/*===========================================================================*/
/*   (Llib/string2key.scm)                                                   */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 27 Feb 2020 07:59:49 AM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3g/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -unsafe -safee -copt -fPIC -copt -IPosix Llib/string2key.scm -o objs/string2key.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62stringzd2ze3keyzd2za7eroz26zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__cryptozd2string2keyzd2();
static obj_t BGl_z62stringzd2ze3keyzd2hashz81zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2saltedze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2string2keyzd2();
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2simpleze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2string2keyzd2();
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
BGL_IMPORT obj_t BGl_openzd2inputzd2procedurez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2za7eroz44zz__cryptozd2string2keyzd2(obj_t, long);
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2string2keyzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2string2keyzd2();
static obj_t BGl_z62stringzd2ze3keyzd2iteratedzd2saltedz53zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2string2keyzd2();
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2string2keyzd2();
static obj_t BGl_z62stringzd2ze3keyzd2saltedz81zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62fz62zz__cryptozd2string2keyzd2(obj_t);
static obj_t BGl_z62stringzd2ze3keyzd2simplez81zz__cryptozd2string2keyzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keyzd2iteratedzd2saltedz31zz__cryptozd2string2keyzd2(obj_t, long, obj_t, obj_t, long);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1131z00zz__cryptozd2string2keyzd2, BgL_bgl_string1131za700za7za7_1143za7, "/builddir/build/BUILD/bigloo4.3g/api/crypto/src/Llib/string2key.scm", 67 );
DEFINE_STRING( BGl_string1132z00zz__cryptozd2string2keyzd2, BgL_bgl_string1132za700za7za7_1144za7, "&string->key-zero", 17 );
DEFINE_STRING( BGl_string1133z00zz__cryptozd2string2keyzd2, BgL_bgl_string1133za700za7za7_1145za7, "bstring", 7 );
DEFINE_STRING( BGl_string1134z00zz__cryptozd2string2keyzd2, BgL_bgl_string1134za700za7za7_1146za7, "bint", 4 );
DEFINE_STRING( BGl_string1135z00zz__cryptozd2string2keyzd2, BgL_bgl_string1135za700za7za7_1147za7, "&string->key-hash", 17 );
DEFINE_STRING( BGl_string1136z00zz__cryptozd2string2keyzd2, BgL_bgl_string1136za700za7za7_1148za7, "procedure", 9 );
DEFINE_STRING( BGl_string1137z00zz__cryptozd2string2keyzd2, BgL_bgl_string1137za700za7za7_1149za7, "&string->key-simple", 19 );
DEFINE_STRING( BGl_string1138z00zz__cryptozd2string2keyzd2, BgL_bgl_string1138za700za7za7_1150za7, "&string->key-salted", 19 );
DEFINE_STRING( BGl_string1139z00zz__cryptozd2string2keyzd2, BgL_bgl_string1139za700za7za7_1151za7, "&string->key-iterated-salted", 28 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2za7erozd2envz96zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1152za7, BGl_z62stringzd2ze3keyzd2za7eroz26zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1140z00zz__cryptozd2string2keyzd2, BgL_bgl_string1140za700za7za7_1153za7, "__crypto-string2key", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2iteratedzd2saltedzd2envze3zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1154za7, BGl_z62stringzd2ze3keyzd2iteratedzd2saltedz53zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2hashzd2envz31zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1155za7, BGl_z62stringzd2ze3keyzd2hashz81zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2simplezd2envz31zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1156za7, BGl_z62stringzd2ze3keyzd2simplez81zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keyzd2saltedzd2envz31zz__cryptozd2string2keyzd2, BgL_bgl_za762stringza7d2za7e3k1157za7, BGl_z62stringzd2ze3keyzd2saltedz81zz__cryptozd2string2keyzd2, 0L, BUNSPEC, 4 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2string2keyzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long BgL_checksumz00_329, char * BgL_fromz00_330)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2string2keyzd2))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2string2keyzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2string2keyzd2(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2string2keyzd2(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2string2keyzd2(); 
return 
BGl_methodzd2initzd2zz__cryptozd2string2keyzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2string2keyzd2()
{
{ /* Llib/string2key.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__crypto-string2key"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__crypto-string2key"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__crypto-string2key"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__crypto-string2key"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__crypto-string2key"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2string2keyzd2()
{
{ /* Llib/string2key.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* string->key-zero */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2za7eroz44zz__cryptozd2string2keyzd2(obj_t BgL_pwdz00_3, long BgL_targetzd2lengthzd2_4)
{
{ /* Llib/string2key.scm 13 */
{ /* Llib/string2key.scm 14 */
long BgL_lenz00_47;
BgL_lenz00_47 = 
STRING_LENGTH(BgL_pwdz00_3); 
if(
(BgL_lenz00_47==BgL_targetzd2lengthzd2_4))
{ /* Llib/string2key.scm 16 */
return BgL_pwdz00_3;}  else 
{ /* Llib/string2key.scm 16 */
if(
(BgL_lenz00_47<BgL_targetzd2lengthzd2_4))
{ /* Llib/string2key.scm 18 */
obj_t BgL_resz00_51;
BgL_resz00_51 = 
make_string(BgL_targetzd2lengthzd2_4, ((unsigned char)'\000')); 
blit_string(BgL_pwdz00_3, ((long)0), BgL_resz00_51, ((long)0), BgL_lenz00_47); 
return BgL_resz00_51;}  else 
{ /* Llib/string2key.scm 17 */
return 
c_substring(BgL_pwdz00_3, ((long)0), BgL_targetzd2lengthzd2_4);} } } } 

}



/* &string->key-zero */
obj_t BGl_z62stringzd2ze3keyzd2za7eroz26zz__cryptozd2string2keyzd2(obj_t BgL_envz00_240, obj_t BgL_pwdz00_241, obj_t BgL_targetzd2lengthzd2_242)
{
{ /* Llib/string2key.scm 13 */
{ /* Llib/string2key.scm 14 */
long BgL_auxz00_359;obj_t BgL_auxz00_352;
{ /* Llib/string2key.scm 14 */
obj_t BgL_tmpz00_360;
if(
INTEGERP(BgL_targetzd2lengthzd2_242))
{ /* Llib/string2key.scm 14 */
BgL_tmpz00_360 = BgL_targetzd2lengthzd2_242
; }  else 
{ 
obj_t BgL_auxz00_363;
BgL_auxz00_363 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)611)), BGl_string1132z00zz__cryptozd2string2keyzd2, BGl_string1134z00zz__cryptozd2string2keyzd2, BgL_targetzd2lengthzd2_242); 
FAILURE(BgL_auxz00_363,BFALSE,BFALSE);} 
BgL_auxz00_359 = 
(long)CINT(BgL_tmpz00_360); } 
if(
STRINGP(BgL_pwdz00_241))
{ /* Llib/string2key.scm 14 */
BgL_auxz00_352 = BgL_pwdz00_241
; }  else 
{ 
obj_t BgL_auxz00_355;
BgL_auxz00_355 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)611)), BGl_string1132z00zz__cryptozd2string2keyzd2, BGl_string1133z00zz__cryptozd2string2keyzd2, BgL_pwdz00_241); 
FAILURE(BgL_auxz00_355,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2za7eroz44zz__cryptozd2string2keyzd2(BgL_auxz00_352, BgL_auxz00_359);} } 

}



/* string->key-hash */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t BgL_pwdz00_5, long BgL_targetzd2lengthzd2_6, obj_t BgL_hashzd2funzd2_7)
{
{ /* Llib/string2key.scm 23 */
{ /* Llib/string2key.scm 24 */
obj_t BgL_hashzd2strzd2_53;
BgL_hashzd2strzd2_53 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_7)(BgL_hashzd2funzd2_7, BgL_pwdz00_5, BEOA); 
{ /* Llib/string2key.scm 24 */
long BgL_hashzd2lenzd2_54;
BgL_hashzd2lenzd2_54 = 
STRING_LENGTH(
((obj_t)BgL_hashzd2strzd2_53)); 
{ /* Llib/string2key.scm 25 */

{ 
obj_t BgL_strz00_56;long BgL_lenz00_57;
BgL_strz00_56 = BgL_hashzd2strzd2_53; 
BgL_lenz00_57 = BgL_hashzd2lenzd2_54; 
BgL_zc3z04anonymousza31024ze3z87_58:
if(
(BgL_lenz00_57<BgL_targetzd2lengthzd2_6))
{ 
long BgL_lenz00_379;obj_t BgL_strz00_377;
BgL_strz00_377 = 
string_append(BgL_strz00_56, BgL_hashzd2strzd2_53); 
BgL_lenz00_379 = 
(BgL_lenz00_57+BgL_hashzd2lenzd2_54); 
BgL_lenz00_57 = BgL_lenz00_379; 
BgL_strz00_56 = BgL_strz00_377; 
goto BgL_zc3z04anonymousza31024ze3z87_58;}  else 
{ /* Llib/string2key.scm 29 */
if(
(BgL_lenz00_57==BgL_targetzd2lengthzd2_6))
{ /* Llib/string2key.scm 31 */
return BgL_strz00_56;}  else 
{ /* Llib/string2key.scm 34 */
obj_t BgL_res1074z00_174;
BgL_res1074z00_174 = 
c_substring(
((obj_t)BgL_strz00_56), ((long)0), BgL_targetzd2lengthzd2_6); 
return BgL_res1074z00_174;} } } } } } } 

}



/* &string->key-hash */
obj_t BGl_z62stringzd2ze3keyzd2hashz81zz__cryptozd2string2keyzd2(obj_t BgL_envz00_243, obj_t BgL_pwdz00_244, obj_t BgL_targetzd2lengthzd2_245, obj_t BgL_hashzd2funzd2_246)
{
{ /* Llib/string2key.scm 23 */
{ /* Llib/string2key.scm 24 */
obj_t BgL_auxz00_401;long BgL_auxz00_392;obj_t BgL_auxz00_385;
if(
PROCEDUREP(BgL_hashzd2funzd2_246))
{ /* Llib/string2key.scm 24 */
BgL_auxz00_401 = BgL_hashzd2funzd2_246
; }  else 
{ 
obj_t BgL_auxz00_404;
BgL_auxz00_404 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)967)), BGl_string1135z00zz__cryptozd2string2keyzd2, BGl_string1136z00zz__cryptozd2string2keyzd2, BgL_hashzd2funzd2_246); 
FAILURE(BgL_auxz00_404,BFALSE,BFALSE);} 
{ /* Llib/string2key.scm 24 */
obj_t BgL_tmpz00_393;
if(
INTEGERP(BgL_targetzd2lengthzd2_245))
{ /* Llib/string2key.scm 24 */
BgL_tmpz00_393 = BgL_targetzd2lengthzd2_245
; }  else 
{ 
obj_t BgL_auxz00_396;
BgL_auxz00_396 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)967)), BGl_string1135z00zz__cryptozd2string2keyzd2, BGl_string1134z00zz__cryptozd2string2keyzd2, BgL_targetzd2lengthzd2_245); 
FAILURE(BgL_auxz00_396,BFALSE,BFALSE);} 
BgL_auxz00_392 = 
(long)CINT(BgL_tmpz00_393); } 
if(
STRINGP(BgL_pwdz00_244))
{ /* Llib/string2key.scm 24 */
BgL_auxz00_385 = BgL_pwdz00_244
; }  else 
{ 
obj_t BgL_auxz00_388;
BgL_auxz00_388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)967)), BGl_string1135z00zz__cryptozd2string2keyzd2, BGl_string1133z00zz__cryptozd2string2keyzd2, BgL_pwdz00_244); 
FAILURE(BgL_auxz00_388,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_auxz00_385, BgL_auxz00_392, BgL_auxz00_401);} } 

}



/* string->key-simple */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2simpleze3zz__cryptozd2string2keyzd2(obj_t BgL_strz00_8, long BgL_lenz00_9, obj_t BgL_hashzd2funzd2_10)
{
{ /* Llib/string2key.scm 37 */
{ /* Llib/string2key.scm 39 */
obj_t BgL_resz00_64;
{ /* Llib/string2key.scm 39 */

BgL_resz00_64 = 
make_string(BgL_lenz00_9, ((unsigned char)' ')); } 
{ 
long BgL_iz00_66;long BgL_reszd2poszd2_67;
BgL_iz00_66 = ((long)0); 
BgL_reszd2poszd2_67 = ((long)0); 
BgL_zc3z04anonymousza31029ze3z87_68:
if(
(BgL_reszd2poszd2_67==BgL_lenz00_9))
{ /* Llib/string2key.scm 42 */
return BgL_resz00_64;}  else 
{ /* Llib/string2key.scm 44 */
obj_t BgL_preloadz00_70;
BgL_preloadz00_70 = 
make_string(BgL_iz00_66, ((unsigned char)'\000')); 
{ /* Llib/string2key.scm 44 */
obj_t BgL_hashz00_71;
{ /* Llib/string2key.scm 45 */
obj_t BgL_arg1034z00_79;
BgL_arg1034z00_79 = 
string_append(BgL_preloadz00_70, BgL_strz00_8); 
BgL_hashz00_71 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_10)(BgL_hashzd2funzd2_10, BgL_arg1034z00_79, BEOA); } 
{ /* Llib/string2key.scm 45 */
long BgL_hashzd2lenzd2_72;
BgL_hashzd2lenzd2_72 = 
STRING_LENGTH(
((obj_t)BgL_hashz00_71)); 
{ /* Llib/string2key.scm 46 */
long BgL_charszd2tozd2blitz00_73;
{ /* Llib/string2key.scm 47 */
long BgL_bz00_77;
BgL_bz00_77 = 
(BgL_lenz00_9-BgL_reszd2poszd2_67); 
if(
(BgL_hashzd2lenzd2_72<BgL_bz00_77))
{ /* Llib/string2key.scm 47 */
BgL_charszd2tozd2blitz00_73 = BgL_hashzd2lenzd2_72; }  else 
{ /* Llib/string2key.scm 47 */
BgL_charszd2tozd2blitz00_73 = BgL_bz00_77; } } 
{ /* Llib/string2key.scm 47 */

blit_string(
((obj_t)BgL_hashz00_71), ((long)0), BgL_resz00_64, BgL_reszd2poszd2_67, BgL_charszd2tozd2blitz00_73); 
{ 
long BgL_reszd2poszd2_427;long BgL_iz00_425;
BgL_iz00_425 = 
(BgL_iz00_66+((long)1)); 
BgL_reszd2poszd2_427 = 
(BgL_reszd2poszd2_67+BgL_charszd2tozd2blitz00_73); 
BgL_reszd2poszd2_67 = BgL_reszd2poszd2_427; 
BgL_iz00_66 = BgL_iz00_425; 
goto BgL_zc3z04anonymousza31029ze3z87_68;} } } } } } } } } 

}



/* &string->key-simple */
obj_t BGl_z62stringzd2ze3keyzd2simplez81zz__cryptozd2string2keyzd2(obj_t BgL_envz00_247, obj_t BgL_strz00_248, obj_t BgL_lenz00_249, obj_t BgL_hashzd2funzd2_250)
{
{ /* Llib/string2key.scm 37 */
{ /* Llib/string2key.scm 39 */
obj_t BgL_auxz00_445;long BgL_auxz00_436;obj_t BgL_auxz00_429;
if(
PROCEDUREP(BgL_hashzd2funzd2_250))
{ /* Llib/string2key.scm 39 */
BgL_auxz00_445 = BgL_hashzd2funzd2_250
; }  else 
{ 
obj_t BgL_auxz00_448;
BgL_auxz00_448 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)1402)), BGl_string1137z00zz__cryptozd2string2keyzd2, BGl_string1136z00zz__cryptozd2string2keyzd2, BgL_hashzd2funzd2_250); 
FAILURE(BgL_auxz00_448,BFALSE,BFALSE);} 
{ /* Llib/string2key.scm 39 */
obj_t BgL_tmpz00_437;
if(
INTEGERP(BgL_lenz00_249))
{ /* Llib/string2key.scm 39 */
BgL_tmpz00_437 = BgL_lenz00_249
; }  else 
{ 
obj_t BgL_auxz00_440;
BgL_auxz00_440 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)1402)), BGl_string1137z00zz__cryptozd2string2keyzd2, BGl_string1134z00zz__cryptozd2string2keyzd2, BgL_lenz00_249); 
FAILURE(BgL_auxz00_440,BFALSE,BFALSE);} 
BgL_auxz00_436 = 
(long)CINT(BgL_tmpz00_437); } 
if(
STRINGP(BgL_strz00_248))
{ /* Llib/string2key.scm 39 */
BgL_auxz00_429 = BgL_strz00_248
; }  else 
{ 
obj_t BgL_auxz00_432;
BgL_auxz00_432 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)1402)), BGl_string1137z00zz__cryptozd2string2keyzd2, BGl_string1133z00zz__cryptozd2string2keyzd2, BgL_strz00_248); 
FAILURE(BgL_auxz00_432,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2simpleze3zz__cryptozd2string2keyzd2(BgL_auxz00_429, BgL_auxz00_436, BgL_auxz00_445);} } 

}



/* string->key-salted */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2saltedze3zz__cryptozd2string2keyzd2(obj_t BgL_strz00_11, long BgL_lenz00_12, obj_t BgL_hashzd2funzd2_13, obj_t BgL_saltz00_14)
{
{ /* Llib/string2key.scm 52 */
return 
BGl_stringzd2ze3keyzd2simpleze3zz__cryptozd2string2keyzd2(
string_append(BgL_saltz00_14, BgL_strz00_11), BgL_lenz00_12, BgL_hashzd2funzd2_13);} 

}



/* &string->key-salted */
obj_t BGl_z62stringzd2ze3keyzd2saltedz81zz__cryptozd2string2keyzd2(obj_t BgL_envz00_251, obj_t BgL_strz00_252, obj_t BgL_lenz00_253, obj_t BgL_hashzd2funzd2_254, obj_t BgL_saltz00_255)
{
{ /* Llib/string2key.scm 52 */
{ /* Llib/string2key.scm 54 */
obj_t BgL_auxz00_478;obj_t BgL_auxz00_471;long BgL_auxz00_462;obj_t BgL_auxz00_455;
if(
STRINGP(BgL_saltz00_255))
{ /* Llib/string2key.scm 54 */
BgL_auxz00_478 = BgL_saltz00_255
; }  else 
{ 
obj_t BgL_auxz00_481;
BgL_auxz00_481 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)1951)), BGl_string1138z00zz__cryptozd2string2keyzd2, BGl_string1133z00zz__cryptozd2string2keyzd2, BgL_saltz00_255); 
FAILURE(BgL_auxz00_481,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_hashzd2funzd2_254))
{ /* Llib/string2key.scm 54 */
BgL_auxz00_471 = BgL_hashzd2funzd2_254
; }  else 
{ 
obj_t BgL_auxz00_474;
BgL_auxz00_474 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)1951)), BGl_string1138z00zz__cryptozd2string2keyzd2, BGl_string1136z00zz__cryptozd2string2keyzd2, BgL_hashzd2funzd2_254); 
FAILURE(BgL_auxz00_474,BFALSE,BFALSE);} 
{ /* Llib/string2key.scm 54 */
obj_t BgL_tmpz00_463;
if(
INTEGERP(BgL_lenz00_253))
{ /* Llib/string2key.scm 54 */
BgL_tmpz00_463 = BgL_lenz00_253
; }  else 
{ 
obj_t BgL_auxz00_466;
BgL_auxz00_466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)1951)), BGl_string1138z00zz__cryptozd2string2keyzd2, BGl_string1134z00zz__cryptozd2string2keyzd2, BgL_lenz00_253); 
FAILURE(BgL_auxz00_466,BFALSE,BFALSE);} 
BgL_auxz00_462 = 
(long)CINT(BgL_tmpz00_463); } 
if(
STRINGP(BgL_strz00_252))
{ /* Llib/string2key.scm 54 */
BgL_auxz00_455 = BgL_strz00_252
; }  else 
{ 
obj_t BgL_auxz00_458;
BgL_auxz00_458 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)1951)), BGl_string1138z00zz__cryptozd2string2keyzd2, BGl_string1133z00zz__cryptozd2string2keyzd2, BgL_strz00_252); 
FAILURE(BgL_auxz00_458,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2saltedze3zz__cryptozd2string2keyzd2(BgL_auxz00_455, BgL_auxz00_462, BgL_auxz00_471, BgL_auxz00_478);} } 

}



/* string->key-iterated-salted */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keyzd2iteratedzd2saltedz31zz__cryptozd2string2keyzd2(obj_t BgL_strz00_15, long BgL_lenz00_16, obj_t BgL_hashzd2funzd2_17, obj_t BgL_saltz00_18, long BgL_countz00_19)
{
{ /* Llib/string2key.scm 57 */
{ /* Llib/string2key.scm 60 */
obj_t BgL_resz00_84;
{ /* Llib/string2key.scm 60 */

BgL_resz00_84 = 
make_string(BgL_lenz00_16, ((unsigned char)' ')); } 
{ /* Llib/string2key.scm 60 */
obj_t BgL_saltzb2strzb2_85;
BgL_saltzb2strzb2_85 = 
string_append(BgL_saltz00_18, BgL_strz00_15); 
{ /* Llib/string2key.scm 61 */
long BgL_saltzb2strzd2lenz60_86;
BgL_saltzb2strzd2lenz60_86 = 
STRING_LENGTH(BgL_saltzb2strzb2_85); 
{ /* Llib/string2key.scm 62 */

{ 
long BgL_iz00_88;long BgL_reszd2poszd2_89;
BgL_iz00_88 = ((long)0); 
BgL_reszd2poszd2_89 = ((long)0); 
BgL_zc3z04anonymousza31036ze3z87_90:
if(
(BgL_reszd2poszd2_89==BgL_lenz00_16))
{ /* Llib/string2key.scm 65 */
return BgL_resz00_84;}  else 
{ /* Llib/string2key.scm 67 */
obj_t BgL_cntz00_275;
{ /* Llib/string2key.scm 67 */
obj_t BgL_cellvalz00_491;
BgL_cellvalz00_491 = 
BINT(BgL_countz00_19); 
BgL_cntz00_275 = 
MAKE_CELL(BgL_cellvalz00_491); } 
{ /* Llib/string2key.scm 67 */
obj_t BgL_hashedzd2completelyzf3z21_276;
BgL_hashedzd2completelyzf3z21_276 = 
MAKE_CELL(BFALSE); 
{ /* Llib/string2key.scm 68 */
obj_t BgL_preloadedzf3zf3_277;
BgL_preloadedzf3zf3_277 = 
MAKE_CELL(BFALSE); 
{ /* Llib/string2key.scm 73 */
obj_t BgL_fz00_256;
BgL_fz00_256 = 
MAKE_FX_PROCEDURE(BGl_z62fz62zz__cryptozd2string2keyzd2, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_fz00_256, 
(int)(((long)0)), 
((obj_t)BgL_hashedzd2completelyzf3z21_276)); 
PROCEDURE_SET(BgL_fz00_256, 
(int)(((long)1)), 
((obj_t)BgL_cntz00_275)); 
PROCEDURE_SET(BgL_fz00_256, 
(int)(((long)2)), 
BINT(BgL_saltzb2strzd2lenz60_86)); 
PROCEDURE_SET(BgL_fz00_256, 
(int)(((long)3)), BgL_saltzb2strzb2_85); 
PROCEDURE_SET(BgL_fz00_256, 
(int)(((long)4)), 
((obj_t)BgL_preloadedzf3zf3_277)); 
PROCEDURE_SET(BgL_fz00_256, 
(int)(((long)5)), 
BINT(BgL_iz00_88)); 
{ /* Llib/string2key.scm 70 */
obj_t BgL_hashz00_96;
{ /* Llib/string2key.scm 88 */
obj_t BgL_arg1041z00_104;
{ /* Llib/string2key.scm 88 */

BgL_arg1041z00_104 = 
BGl_openzd2inputzd2procedurez00zz__r4_ports_6_10_1z00(BgL_fz00_256, BTRUE); } 
BgL_hashz00_96 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_17)(BgL_hashzd2funzd2_17, BgL_arg1041z00_104, BEOA); } 
{ /* Llib/string2key.scm 88 */
long BgL_hashzd2lenzd2_97;
BgL_hashzd2lenzd2_97 = 
STRING_LENGTH(
((obj_t)BgL_hashz00_96)); 
{ /* Llib/string2key.scm 89 */
long BgL_charszd2tozd2blitz00_98;
{ /* Llib/string2key.scm 90 */
long BgL_bz00_102;
BgL_bz00_102 = 
(BgL_lenz00_16-BgL_reszd2poszd2_89); 
if(
(BgL_hashzd2lenzd2_97<BgL_bz00_102))
{ /* Llib/string2key.scm 90 */
BgL_charszd2tozd2blitz00_98 = BgL_hashzd2lenzd2_97; }  else 
{ /* Llib/string2key.scm 90 */
BgL_charszd2tozd2blitz00_98 = BgL_bz00_102; } } 
{ /* Llib/string2key.scm 90 */

blit_string(
((obj_t)BgL_hashz00_96), ((long)0), BgL_resz00_84, BgL_reszd2poszd2_89, BgL_charszd2tozd2blitz00_98); 
{ 
long BgL_reszd2poszd2_527;long BgL_iz00_525;
BgL_iz00_525 = 
(BgL_iz00_88+((long)1)); 
BgL_reszd2poszd2_527 = 
(BgL_reszd2poszd2_89+BgL_charszd2tozd2blitz00_98); 
BgL_reszd2poszd2_89 = BgL_reszd2poszd2_527; 
BgL_iz00_88 = BgL_iz00_525; 
goto BgL_zc3z04anonymousza31036ze3z87_90;} } } } } } } } } } } } } } } 

}



/* &string->key-iterated-salted */
obj_t BGl_z62stringzd2ze3keyzd2iteratedzd2saltedz53zz__cryptozd2string2keyzd2(obj_t BgL_envz00_257, obj_t BgL_strz00_258, obj_t BgL_lenz00_259, obj_t BgL_hashzd2funzd2_260, obj_t BgL_saltz00_261, obj_t BgL_countz00_262)
{
{ /* Llib/string2key.scm 57 */
{ /* Llib/string2key.scm 60 */
long BgL_auxz00_559;obj_t BgL_auxz00_552;obj_t BgL_auxz00_545;long BgL_auxz00_536;obj_t BgL_auxz00_529;
{ /* Llib/string2key.scm 60 */
obj_t BgL_tmpz00_560;
if(
INTEGERP(BgL_countz00_262))
{ /* Llib/string2key.scm 60 */
BgL_tmpz00_560 = BgL_countz00_262
; }  else 
{ 
obj_t BgL_auxz00_563;
BgL_auxz00_563 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)2164)), BGl_string1139z00zz__cryptozd2string2keyzd2, BGl_string1134z00zz__cryptozd2string2keyzd2, BgL_countz00_262); 
FAILURE(BgL_auxz00_563,BFALSE,BFALSE);} 
BgL_auxz00_559 = 
(long)CINT(BgL_tmpz00_560); } 
if(
STRINGP(BgL_saltz00_261))
{ /* Llib/string2key.scm 60 */
BgL_auxz00_552 = BgL_saltz00_261
; }  else 
{ 
obj_t BgL_auxz00_555;
BgL_auxz00_555 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)2164)), BGl_string1139z00zz__cryptozd2string2keyzd2, BGl_string1133z00zz__cryptozd2string2keyzd2, BgL_saltz00_261); 
FAILURE(BgL_auxz00_555,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_hashzd2funzd2_260))
{ /* Llib/string2key.scm 60 */
BgL_auxz00_545 = BgL_hashzd2funzd2_260
; }  else 
{ 
obj_t BgL_auxz00_548;
BgL_auxz00_548 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)2164)), BGl_string1139z00zz__cryptozd2string2keyzd2, BGl_string1136z00zz__cryptozd2string2keyzd2, BgL_hashzd2funzd2_260); 
FAILURE(BgL_auxz00_548,BFALSE,BFALSE);} 
{ /* Llib/string2key.scm 60 */
obj_t BgL_tmpz00_537;
if(
INTEGERP(BgL_lenz00_259))
{ /* Llib/string2key.scm 60 */
BgL_tmpz00_537 = BgL_lenz00_259
; }  else 
{ 
obj_t BgL_auxz00_540;
BgL_auxz00_540 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)2164)), BGl_string1139z00zz__cryptozd2string2keyzd2, BGl_string1134z00zz__cryptozd2string2keyzd2, BgL_lenz00_259); 
FAILURE(BgL_auxz00_540,BFALSE,BFALSE);} 
BgL_auxz00_536 = 
(long)CINT(BgL_tmpz00_537); } 
if(
STRINGP(BgL_strz00_258))
{ /* Llib/string2key.scm 60 */
BgL_auxz00_529 = BgL_strz00_258
; }  else 
{ 
obj_t BgL_auxz00_532;
BgL_auxz00_532 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1131z00zz__cryptozd2string2keyzd2, 
BINT(((long)2164)), BGl_string1139z00zz__cryptozd2string2keyzd2, BGl_string1133z00zz__cryptozd2string2keyzd2, BgL_strz00_258); 
FAILURE(BgL_auxz00_532,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keyzd2iteratedzd2saltedz31zz__cryptozd2string2keyzd2(BgL_auxz00_529, BgL_auxz00_536, BgL_auxz00_545, BgL_auxz00_552, BgL_auxz00_559);} } 

}



/* &f */
obj_t BGl_z62fz62zz__cryptozd2string2keyzd2(obj_t BgL_envz00_263)
{
{ /* Llib/string2key.scm 70 */
{ /* Llib/string2key.scm 73 */
obj_t BgL_hashedzd2completelyzf3z21_264;obj_t BgL_cntz00_265;long BgL_saltzb2strzd2lenz60_266;obj_t BgL_saltzb2strzb2_267;obj_t BgL_preloadedzf3zf3_268;long BgL_iz00_269;
BgL_hashedzd2completelyzf3z21_264 = 
PROCEDURE_REF(BgL_envz00_263, 
(int)(((long)0))); 
BgL_cntz00_265 = 
PROCEDURE_REF(BgL_envz00_263, 
(int)(((long)1))); 
BgL_saltzb2strzd2lenz60_266 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_263, 
(int)(((long)2)))); 
BgL_saltzb2strzb2_267 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_263, 
(int)(((long)3)))); 
BgL_preloadedzf3zf3_268 = 
PROCEDURE_REF(BgL_envz00_263, 
(int)(((long)4))); 
BgL_iz00_269 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_263, 
(int)(((long)5)))); 
{ /* Llib/string2key.scm 73 */
bool_t BgL_test1189z00_584;
if(
CBOOL(
CELL_REF(BgL_preloadedzf3zf3_268)))
{ /* Llib/string2key.scm 73 */
BgL_test1189z00_584 = ((bool_t)0)
; }  else 
{ /* Llib/string2key.scm 73 */
if(
(BgL_iz00_269==((long)0)))
{ /* Llib/string2key.scm 73 */
BgL_test1189z00_584 = ((bool_t)0)
; }  else 
{ /* Llib/string2key.scm 73 */
BgL_test1189z00_584 = ((bool_t)1)
; } } 
if(BgL_test1189z00_584)
{ /* Llib/string2key.scm 73 */
{ /* Llib/string2key.scm 74 */
obj_t BgL_auxz00_323;
BgL_auxz00_323 = BTRUE; 
CELL_SET(BgL_preloadedzf3zf3_268, BgL_auxz00_323); } 
return 
make_string(BgL_iz00_269, ((unsigned char)'\000'));}  else 
{ /* Llib/string2key.scm 73 */
if(
CBOOL(
CELL_REF(BgL_hashedzd2completelyzf3z21_264)))
{ /* Llib/string2key.scm 76 */
if(
(
(long)CINT(
CELL_REF(BgL_cntz00_265))==((long)0)))
{ /* Llib/string2key.scm 80 */
return BFALSE;}  else 
{ /* Llib/string2key.scm 80 */
if(
(
(long)CINT(
CELL_REF(BgL_cntz00_265))<BgL_saltzb2strzd2lenz60_266))
{ /* Llib/string2key.scm 82 */
obj_t BgL_tz00_324;
BgL_tz00_324 = 
CELL_REF(BgL_cntz00_265); 
{ /* Llib/string2key.scm 83 */
obj_t BgL_auxz00_325;
BgL_auxz00_325 = 
BINT(((long)0)); 
CELL_SET(BgL_cntz00_265, BgL_auxz00_325); } 
return 
c_substring(BgL_saltzb2strzb2_267, ((long)0), 
(long)CINT(BgL_tz00_324));}  else 
{ /* Llib/string2key.scm 81 */
{ /* Llib/string2key.scm 86 */
obj_t BgL_auxz00_326;
BgL_auxz00_326 = 
SUBFX(
CELL_REF(BgL_cntz00_265), 
BINT(BgL_saltzb2strzd2lenz60_266)); 
CELL_SET(BgL_cntz00_265, BgL_auxz00_326); } 
return BgL_saltzb2strzb2_267;} } }  else 
{ /* Llib/string2key.scm 76 */
{ /* Llib/string2key.scm 77 */
obj_t BgL_auxz00_327;
BgL_auxz00_327 = BTRUE; 
CELL_SET(BgL_hashedzd2completelyzf3z21_264, BgL_auxz00_327); } 
{ /* Llib/string2key.scm 78 */
obj_t BgL_auxz00_328;
BgL_auxz00_328 = 
SUBFX(
CELL_REF(BgL_cntz00_265), 
BINT(BgL_saltzb2strzd2lenz60_266)); 
CELL_SET(BgL_cntz00_265, BgL_auxz00_328); } 
return BgL_saltzb2strzb2_267;} } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2string2keyzd2()
{
{ /* Llib/string2key.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2string2keyzd2()
{
{ /* Llib/string2key.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2string2keyzd2()
{
{ /* Llib/string2key.scm 1 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2string2keyzd2()
{
{ /* Llib/string2key.scm 1 */
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(((long)300158978), 
BSTRING_TO_STRING(BGl_string1140z00zz__cryptozd2string2keyzd2));} 

}

#ifdef __cplusplus
}
#endif
