/*===========================================================================*/
/*   (Llib/pgp_conversion.scm)                                               */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 27 Feb 2020 07:59:49 AM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3g/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_conversion.scm -o objs/pgp_conversion.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_objectzd2initzd2zz__openpgpzd2conversionzd2();
static obj_t BGl_methodzd2initzd2zz__openpgpzd2conversionzd2();
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2conversionzd2();
BGL_EXPORTED_DECL long BGl_scalarzd2ze3fixnumz31zz__openpgpzd2conversionzd2(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2conversionzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(long, long);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2conversionzd2();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62scalarzd2ze3fixnumz53zz__openpgpzd2conversionzd2(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2conversionzd2();
static obj_t BGl_z62fixnumzd2ze3scalarz53zz__openpgpzd2conversionzd2(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_scalarzd2ze3fixnumzd2envze3zz__openpgpzd2conversionzd2, BgL_bgl_za762scalarza7d2za7e3f1062za7, BGl_z62scalarzd2ze3fixnumz53zz__openpgpzd2conversionzd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_fixnumzd2ze3scalarzd2envze3zz__openpgpzd2conversionzd2, BgL_bgl_za762fixnumza7d2za7e3s1063za7, BGl_z62fixnumzd2ze3scalarz53zz__openpgpzd2conversionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1055z00zz__openpgpzd2conversionzd2, BgL_bgl_string1055za700za7za7_1064za7, "fixnum->scalar", 14 );
DEFINE_STRING( BGl_string1056z00zz__openpgpzd2conversionzd2, BgL_bgl_string1056za700za7za7_1065za7, "number too big for requested size", 33 );
DEFINE_STRING( BGl_string1057z00zz__openpgpzd2conversionzd2, BgL_bgl_string1057za700za7za7_1066za7, "/builddir/build/BUILD/bigloo4.3g/api/openpgp/src/Llib/pgp_conversion.scm", 72 );
DEFINE_STRING( BGl_string1058z00zz__openpgpzd2conversionzd2, BgL_bgl_string1058za700za7za7_1067za7, "&fixnum->scalar", 15 );
DEFINE_STRING( BGl_string1059z00zz__openpgpzd2conversionzd2, BgL_bgl_string1059za700za7za7_1068za7, "bint", 4 );
DEFINE_STRING( BGl_string1060z00zz__openpgpzd2conversionzd2, BgL_bgl_string1060za700za7za7_1069za7, "&scalar->fixnum", 15 );
DEFINE_STRING( BGl_string1061z00zz__openpgpzd2conversionzd2, BgL_bgl_string1061za700za7za7_1070za7, "bstring", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2conversionzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(long BgL_checksumz00_122, char * BgL_fromz00_123)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2conversionzd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2conversionzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2conversionzd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2conversionzd2(); 
return 
BGl_methodzd2initzd2zz__openpgpzd2conversionzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2conversionzd2()
{
{ /* Llib/pgp_conversion.scm 1 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-conversion"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-conversion"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-conversion"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-conversion"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-conversion"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2conversionzd2()
{
{ /* Llib/pgp_conversion.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* fixnum->scalar */
BGL_EXPORTED_DEF obj_t BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(long BgL_nnz00_3, long BgL_lenz00_4)
{
{ /* Llib/pgp_conversion.scm 8 */
{ /* Llib/pgp_conversion.scm 9 */
obj_t BgL_strz00_14;
{ /* Llib/pgp_conversion.scm 9 */

BgL_strz00_14 = 
make_string(BgL_lenz00_4, ((unsigned char)' ')); } 
{ /* Llib/pgp_conversion.scm 10 */
long BgL_g1011z00_15;
BgL_g1011z00_15 = 
(BgL_lenz00_4-((long)1)); 
{ 
long BgL_iz00_17;long BgL_nz00_18;
BgL_iz00_17 = BgL_g1011z00_15; 
BgL_nz00_18 = BgL_nnz00_3; 
BgL_zc3z04anonymousza31015ze3z87_19:
{ /* Llib/pgp_conversion.scm 13 */
bool_t BgL_test1072z00_138;
if(
(BgL_nz00_18==((long)0)))
{ /* Llib/pgp_conversion.scm 13 */
BgL_test1072z00_138 = 
(BgL_iz00_17<((long)0))
; }  else 
{ /* Llib/pgp_conversion.scm 13 */
BgL_test1072z00_138 = ((bool_t)0)
; } 
if(BgL_test1072z00_138)
{ /* Llib/pgp_conversion.scm 13 */
return BgL_strz00_14;}  else 
{ /* Llib/pgp_conversion.scm 13 */
if(
(BgL_iz00_17<((long)0)))
{ /* Llib/pgp_conversion.scm 16 */
return 
BGl_errorz00zz__errorz00(BGl_string1055z00zz__openpgpzd2conversionzd2, BGl_string1056z00zz__openpgpzd2conversionzd2, 
BINT(BgL_nnz00_3));}  else 
{ /* Llib/pgp_conversion.scm 16 */
{ /* Llib/pgp_conversion.scm 19 */
unsigned char BgL_arg1019z00_23;
{ /* Llib/pgp_conversion.scm 19 */
long BgL_arg1020z00_24;
{ /* Llib/pgp_conversion.scm 19 */
long BgL_res1038z00_57;
BgL_res1038z00_57 = 
(BgL_nz00_18%((long)256)); 
BgL_arg1020z00_24 = BgL_res1038z00_57; } 
BgL_arg1019z00_23 = 
(BgL_arg1020z00_24); } 
STRING_SET(BgL_strz00_14, BgL_iz00_17, BgL_arg1019z00_23); } 
{ 
long BgL_nz00_151;long BgL_iz00_149;
BgL_iz00_149 = 
(BgL_iz00_17-((long)1)); 
BgL_nz00_151 = 
(BgL_nz00_18/((long)256)); 
BgL_nz00_18 = BgL_nz00_151; 
BgL_iz00_17 = BgL_iz00_149; 
goto BgL_zc3z04anonymousza31015ze3z87_19;} } } } } } } } 

}



/* &fixnum->scalar */
obj_t BGl_z62fixnumzd2ze3scalarz53zz__openpgpzd2conversionzd2(obj_t BgL_envz00_111, obj_t BgL_nnz00_112, obj_t BgL_lenz00_113)
{
{ /* Llib/pgp_conversion.scm 8 */
{ /* Llib/pgp_conversion.scm 9 */
long BgL_auxz00_162;long BgL_auxz00_153;
{ /* Llib/pgp_conversion.scm 9 */
obj_t BgL_tmpz00_163;
if(
INTEGERP(BgL_lenz00_113))
{ /* Llib/pgp_conversion.scm 9 */
BgL_tmpz00_163 = BgL_lenz00_113
; }  else 
{ 
obj_t BgL_auxz00_166;
BgL_auxz00_166 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1057z00zz__openpgpzd2conversionzd2, 
BINT(((long)308)), BGl_string1058z00zz__openpgpzd2conversionzd2, BGl_string1059z00zz__openpgpzd2conversionzd2, BgL_lenz00_113); 
FAILURE(BgL_auxz00_166,BFALSE,BFALSE);} 
BgL_auxz00_162 = 
(long)CINT(BgL_tmpz00_163); } 
{ /* Llib/pgp_conversion.scm 9 */
obj_t BgL_tmpz00_154;
if(
INTEGERP(BgL_nnz00_112))
{ /* Llib/pgp_conversion.scm 9 */
BgL_tmpz00_154 = BgL_nnz00_112
; }  else 
{ 
obj_t BgL_auxz00_157;
BgL_auxz00_157 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1057z00zz__openpgpzd2conversionzd2, 
BINT(((long)308)), BGl_string1058z00zz__openpgpzd2conversionzd2, BGl_string1059z00zz__openpgpzd2conversionzd2, BgL_nnz00_112); 
FAILURE(BgL_auxz00_157,BFALSE,BFALSE);} 
BgL_auxz00_153 = 
(long)CINT(BgL_tmpz00_154); } 
return 
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_auxz00_153, BgL_auxz00_162);} } 

}



/* scalar->fixnum */
BGL_EXPORTED_DEF long BGl_scalarzd2ze3fixnumz31zz__openpgpzd2conversionzd2(obj_t BgL_scalarz00_5)
{
{ /* Llib/pgp_conversion.scm 21 */
{ 
long BgL_iz00_85;long BgL_nz00_86;
BgL_iz00_85 = ((long)0); 
BgL_nz00_86 = ((long)0); 
BgL_loopz00_84:
if(
(BgL_iz00_85==
STRING_LENGTH(BgL_scalarz00_5)))
{ /* Llib/pgp_conversion.scm 25 */
return BgL_nz00_86;}  else 
{ 
long BgL_nz00_177;long BgL_iz00_175;
BgL_iz00_175 = 
(BgL_iz00_85+((long)1)); 
BgL_nz00_177 = 
(
(BgL_nz00_86*((long)256))+
(
STRING_REF(BgL_scalarz00_5, BgL_iz00_85))); 
BgL_nz00_86 = BgL_nz00_177; 
BgL_iz00_85 = BgL_iz00_175; 
goto BgL_loopz00_84;} } } 

}



/* &scalar->fixnum */
obj_t BGl_z62scalarzd2ze3fixnumz53zz__openpgpzd2conversionzd2(obj_t BgL_envz00_114, obj_t BgL_scalarz00_115)
{
{ /* Llib/pgp_conversion.scm 21 */
{ /* Llib/pgp_conversion.scm 22 */
long BgL_tmpz00_182;
{ /* Llib/pgp_conversion.scm 22 */
obj_t BgL_auxz00_183;
if(
STRINGP(BgL_scalarz00_115))
{ /* Llib/pgp_conversion.scm 22 */
BgL_auxz00_183 = BgL_scalarz00_115
; }  else 
{ 
obj_t BgL_auxz00_186;
BgL_auxz00_186 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1057z00zz__openpgpzd2conversionzd2, 
BINT(((long)693)), BGl_string1060z00zz__openpgpzd2conversionzd2, BGl_string1061z00zz__openpgpzd2conversionzd2, BgL_scalarz00_115); 
FAILURE(BgL_auxz00_186,BFALSE,BFALSE);} 
BgL_tmpz00_182 = 
BGl_scalarzd2ze3fixnumz31zz__openpgpzd2conversionzd2(BgL_auxz00_183); } 
return 
BINT(BgL_tmpz00_182);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2conversionzd2()
{
{ /* Llib/pgp_conversion.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2conversionzd2()
{
{ /* Llib/pgp_conversion.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2conversionzd2()
{
{ /* Llib/pgp_conversion.scm 1 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
