/*===========================================================================*/
/*   (Ast/hrtype.scm)                                                        */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/hrtype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2vsetz121287z62zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2app1267z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2cast1293z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzast_hrtypez00();
	static obj_t BGl_z62hrtypezd2nodez12zd2setq1295z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1315za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	static obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1311za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2sequenc1263z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2instanc1291z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_hrtypez00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2new1281z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1303za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez121258za2zzast_hrtypez00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2vlength1289z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_hrtypez00 = BUNSPEC;
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2var1261z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_hrtypez00();
	static obj_t BGl_genericzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21307z70zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1305za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2sync1265z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1313za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2fail1299z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2funcall1271z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2conditi1297z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2widenin1279z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2setfiel1277z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_hrtypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2vref1285z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
	static obj_t BGl_z62hrtypezd2nodez12zd2valloc1283z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2switch1301z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1269za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1309za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2getfiel1275z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2extern1273z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t
		BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1866z00zzast_hrtypez00,
		BgL_bgl_string1866za700za7za7a1904za7, "hrtype-node!1258", 16);
	      DEFINE_STRING(BGl_string1868z00zzast_hrtypez00,
		BgL_bgl_string1868za700za7za7a1905za7, "hrtype-node!", 12);
	      DEFINE_STRING(BGl_string1896z00zzast_hrtypez00,
		BgL_bgl_string1896za700za7za7a1906za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1897z00zzast_hrtypez00,
		BgL_bgl_string1897za700za7za7a1907za7, "heap", 4);
	      DEFINE_STRING(BGl_string1898z00zzast_hrtypez00,
		BgL_bgl_string1898za700za7za7a1908za7, "Can't find library variable", 27);
	      DEFINE_STRING(BGl_string1899z00zzast_hrtypez00,
		BgL_bgl_string1899za700za7za7a1909za7, "ast_hrtype", 10);
	      DEFINE_STRING(BGl_string1900z00zzast_hrtypez00,
		BgL_bgl_string1900za700za7za7a1910za7, "static sifun ", 13);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1911z00,
		BGl_z62hrtypezd2nodez12za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1912z00,
		BGl_z62hrtypezd2nodez121258za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1913z00,
		BGl_z62hrtypezd2nodez12zd2var1261z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1914z00,
		BGl_z62hrtypezd2nodez12zd2sequenc1263z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1915z00,
		BGl_z62hrtypezd2nodez12zd2sync1265z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1916z00,
		BGl_z62hrtypezd2nodez12zd2app1267z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1917z00,
		BGl_z62hrtypezd2nodez12zd2appzd2ly1269za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1918z00,
		BGl_z62hrtypezd2nodez12zd2funcall1271z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1919z00,
		BGl_z62hrtypezd2nodez12zd2extern1273z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1920z00,
		BGl_z62hrtypezd2nodez12zd2getfiel1275z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1921z00,
		BGl_z62hrtypezd2nodez12zd2setfiel1277z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1922z00,
		BGl_z62hrtypezd2nodez12zd2widenin1279z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1923z00,
		BGl_z62hrtypezd2nodez12zd2new1281z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1924z00,
		BGl_z62hrtypezd2nodez12zd2valloc1283z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1925z00,
		BGl_z62hrtypezd2nodez12zd2vref1285z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1926z00,
		BGl_z62hrtypezd2nodez12zd2vsetz121287z62zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1927z00,
		BGl_z62hrtypezd2nodez12zd2vlength1289z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1928z00,
		BGl_z62hrtypezd2nodez12zd2instanc1291z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1929z00,
		BGl_z62hrtypezd2nodez12zd2cast1293z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1930z00,
		BGl_z62hrtypezd2nodez12zd2setq1295z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1931z00,
		BGl_z62hrtypezd2nodez12zd2conditi1297z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1932z00,
		BGl_z62hrtypezd2nodez12zd2fail1299z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1933z00,
		BGl_z62hrtypezd2nodez12zd2switch1301z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1934z00,
		BGl_z62hrtypezd2nodez12zd2letzd2fun1303za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1935z00,
		BGl_z62hrtypezd2nodez12zd2letzd2var1305za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1936z00,
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21307z70zzast_hrtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1937z00,
		BGl_z62hrtypezd2nodez12zd2jumpzd2ex1309za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1938z00,
		BGl_z62hrtypezd2nodez12zd2makezd2bo1311za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1939z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2set1313za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1940z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2ref1315za2zzast_hrtypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_hrtypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long
		BgL_checksumz00_2206, char *BgL_fromz00_2207)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_hrtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_hrtypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_hrtypez00();
					BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
					BGl_cnstzd2initzd2zzast_hrtypez00();
					BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
					BGl_genericzd2initzd2zzast_hrtypez00();
					BGl_methodzd2initzd2zzast_hrtypez00();
					return BGl_toplevelzd2initzd2zzast_hrtypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_hrtype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			{	/* Ast/hrtype.scm 17 */
				obj_t BgL_cportz00_2033;

				{	/* Ast/hrtype.scm 17 */
					obj_t BgL_stringz00_2041;

					BgL_stringz00_2041 = BGl_string1900z00zzast_hrtypez00;
					{	/* Ast/hrtype.scm 17 */
						obj_t BgL_startz00_2042;

						BgL_startz00_2042 = BINT(((long) 0));
						{	/* Ast/hrtype.scm 17 */
							obj_t BgL_endz00_2043;

							BgL_endz00_2043 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2041)));
							{	/* Ast/hrtype.scm 17 */

								BgL_cportz00_2033 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2041, BgL_startz00_2042, BgL_endz00_2043);
				}}}}
				{
					long BgL_iz00_2034;

					BgL_iz00_2034 = ((long) 1);
				BgL_loopz00_2035:
					if ((BgL_iz00_2034 == ((long) -1)))
						{	/* Ast/hrtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/hrtype.scm 17 */
							{	/* Ast/hrtype.scm 17 */
								obj_t BgL_arg1902z00_2037;

								{	/* Ast/hrtype.scm 17 */

									{	/* Ast/hrtype.scm 17 */
										obj_t BgL_locationz00_2039;

										BgL_locationz00_2039 = BBOOL(((bool_t) 0));
										{	/* Ast/hrtype.scm 17 */

											BgL_arg1902z00_2037 =
												BGl_readz00zz__readerz00(BgL_cportz00_2033,
												BgL_locationz00_2039);
										}
									}
								}
								{	/* Ast/hrtype.scm 17 */
									int BgL_tmpz00_2236;

									BgL_tmpz00_2236 = (int) (BgL_iz00_2034);
									CNST_TABLE_SET(BgL_tmpz00_2236, BgL_arg1902z00_2037);
							}}
							{	/* Ast/hrtype.scm 17 */
								int BgL_auxz00_2040;

								BgL_auxz00_2040 = (int) ((BgL_iz00_2034 - ((long) 1)));
								{
									long BgL_iz00_2241;

									BgL_iz00_2241 = (long) (BgL_auxz00_2040);
									BgL_iz00_2034 = BgL_iz00_2241;
									goto BgL_loopz00_2035;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}

	}



/* hrtype-node*! */
	bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t BgL_nodeza2za2_32)
	{
		{	/* Ast/hrtype.scm 372 */
			{
				obj_t BgL_l1256z00_1337;

				BgL_l1256z00_1337 = BgL_nodeza2za2_32;
			BgL_zc3z04anonymousza31320ze3z87_1338:
				if (PAIRP(BgL_l1256z00_1337))
					{	/* Ast/hrtype.scm 373 */
						{	/* Ast/hrtype.scm 373 */
							obj_t BgL_arg1322z00_1340;

							BgL_arg1322z00_1340 = CAR(BgL_l1256z00_1337);
							BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
								((BgL_nodez00_bglt) BgL_arg1322z00_1340));
						}
						{
							obj_t BgL_l1256z00_2249;

							BgL_l1256z00_2249 = CDR(BgL_l1256z00_1337);
							BgL_l1256z00_1337 = BgL_l1256z00_2249;
							goto BgL_zc3z04anonymousza31320ze3z87_1338;
						}
					}
				else
					{	/* Ast/hrtype.scm 373 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* restore-variable-type! */
	obj_t BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt
		BgL_variablez00_33)
	{
		{	/* Ast/hrtype.scm 378 */
			{	/* Ast/hrtype.scm 379 */
				BgL_typez00_bglt BgL_typez00_1343;

				BgL_typez00_1343 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_33))->BgL_typez00);
				return
					((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_33))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_findzd2typezd2zztype_envz00((((BgL_typez00_bglt)
									COBJECT(BgL_typez00_1343))->BgL_idz00))), BUNSPEC);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_proc1865z00zzast_hrtypez00, BGl_nodez00zzast_nodez00,
				BGl_string1866z00zzast_hrtypez00);
		}

	}



/* &hrtype-node!1258 */
	obj_t BGl_z62hrtypezd2nodez121258za2zzast_hrtypez00(obj_t BgL_envz00_1945,
		obj_t BgL_nodez00_1946)
	{
		{	/* Ast/hrtype.scm 32 */
			{
				BgL_typez00_bglt BgL_auxz00_2256;

				{	/* Ast/hrtype.scm 35 */
					obj_t BgL_arg1362z00_2047;

					BgL_arg1362z00_2047 =
						(((BgL_typez00_bglt) COBJECT(
								(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_nodez00_1946)))->BgL_typez00)))->
						BgL_idz00);
					BgL_auxz00_2256 =
						BGl_findzd2typezd2zztype_envz00(BgL_arg1362z00_2047);
				}
				return
					((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_1946)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_2256), BUNSPEC);
			}
		}

	}



/* hrtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		{	/* Ast/hrtype.scm 32 */
			{	/* Ast/hrtype.scm 32 */
				obj_t BgL_method1259z00_1357;

				{	/* Ast/hrtype.scm 32 */
					obj_t BgL_res1850z00_1881;

					{	/* Ast/hrtype.scm 32 */
						long BgL_objzd2classzd2numz00_1846;

						{	/* Ast/hrtype.scm 32 */
							long BgL_res1840z00_1849;

							BgL_res1840z00_1849 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
							BgL_objzd2classzd2numz00_1846 = BgL_res1840z00_1849;
						}
						{	/* Ast/hrtype.scm 32 */
							obj_t BgL_arg1741z00_1847;

							BgL_arg1741z00_1847 =
								PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
								(int) (((long) 1)));
							{	/* Ast/hrtype.scm 32 */
								int BgL_offsetz00_1851;

								BgL_offsetz00_1851 = (int) (BgL_objzd2classzd2numz00_1846);
								{	/* Ast/hrtype.scm 32 */
									long BgL_offsetz00_1852;

									BgL_offsetz00_1852 =
										((long) (BgL_offsetz00_1851) - OBJECT_TYPE);
									{	/* Ast/hrtype.scm 32 */
										long BgL_modz00_1853;

										BgL_modz00_1853 =
											(BgL_offsetz00_1852 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/hrtype.scm 32 */
											long BgL_restz00_1855;

											BgL_restz00_1855 =
												(BgL_offsetz00_1852 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/hrtype.scm 32 */

												{	/* Ast/hrtype.scm 32 */
													obj_t BgL_bucketz00_1857;

													BgL_bucketz00_1857 =
														VECTOR_REF(
														((obj_t) BgL_arg1741z00_1847), BgL_modz00_1853);
													BgL_res1850z00_1881 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1857), BgL_restz00_1855);
					}}}}}}}}
					BgL_method1259z00_1357 = BgL_res1850z00_1881;
				}
				return
					PROCEDURE_ENTRY(BgL_method1259z00_1357) (BgL_method1259z00_1357,
					((obj_t) BgL_nodez00_3), BEOA);
			}
		}

	}



/* &hrtype-node! */
	obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t BgL_envz00_1947,
		obj_t BgL_nodez00_1948)
	{
		{	/* Ast/hrtype.scm 32 */
			return
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_1948));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_varz00zzast_nodez00,
				BGl_proc1867z00zzast_hrtypez00, BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1869z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_syncz00zzast_nodez00,
				BGl_proc1870z00zzast_hrtypez00, BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_appz00zzast_nodez00,
				BGl_proc1871z00zzast_hrtypez00, BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1872z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1873z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_externz00zzast_nodez00, BGl_proc1874z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc1875z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc1876z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_wideningz00zzast_nodez00, BGl_proc1877z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_newz00zzast_nodez00,
				BGl_proc1878z00zzast_hrtypez00, BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vallocz00zzast_nodez00, BGl_proc1879z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc1880z00zzast_hrtypez00, BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc1881z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vlengthz00zzast_nodez00, BGl_proc1882z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_instanceofz00zzast_nodez00, BGl_proc1883z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_castz00zzast_nodez00,
				BGl_proc1884z00zzast_hrtypez00, BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc1885z00zzast_hrtypez00, BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1886z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_failz00zzast_nodez00,
				BGl_proc1887z00zzast_hrtypez00, BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_switchz00zzast_nodez00, BGl_proc1888z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1889z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1890z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1891z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1892z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1893z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1894z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1895z00zzast_hrtypez00,
				BGl_string1868z00zzast_hrtypez00);
		}

	}



/* &hrtype-node!-box-ref1315 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1315za2zzast_hrtypez00(obj_t
		BgL_envz00_1977, obj_t BgL_nodez00_1978)
	{
		{	/* Ast/hrtype.scm 364 */
			{

				{	/* Ast/hrtype.scm 366 */
					BgL_varz00_bglt BgL_arg1770z00_2051;

					BgL_arg1770z00_2051 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_1978)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1770z00_2051));
				}
				{	/* Ast/hrtype.scm 364 */
					obj_t BgL_nextzd2method1314zd2_2050;

					BgL_nextzd2method1314zd2_2050 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_1978)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_boxzd2refzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1314zd2_2050)
						(BgL_nextzd2method1314zd2_2050,
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_1978)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-box-set1313 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1313za2zzast_hrtypez00(obj_t
		BgL_envz00_1979, obj_t BgL_nodez00_1980)
	{
		{	/* Ast/hrtype.scm 355 */
			{

				{	/* Ast/hrtype.scm 357 */
					BgL_varz00_bglt BgL_arg1768z00_2055;

					BgL_arg1768z00_2055 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1980)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1768z00_2055));
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1980)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 355 */
					obj_t BgL_nextzd2method1312zd2_2054;

					BgL_nextzd2method1312zd2_2054 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1980)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_boxzd2setz12zc0zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1312zd2_2054)
						(BgL_nextzd2method1312zd2_2054,
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1980)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-make-bo1311 */
	obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1311za2zzast_hrtypez00(obj_t
		BgL_envz00_1981, obj_t BgL_nodez00_1982)
	{
		{	/* Ast/hrtype.scm 347 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_1982)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 347 */
					obj_t BgL_nextzd2method1310zd2_2058;

					BgL_nextzd2method1310zd2_2058 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_1982)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_makezd2boxzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1310zd2_2058)
						(BgL_nextzd2method1310zd2_2058,
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_1982)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-jump-ex1309 */
	obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1309za2zzast_hrtypez00(obj_t
		BgL_envz00_1983, obj_t BgL_nodez00_1984)
	{
		{	/* Ast/hrtype.scm 338 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1984)))->
						BgL_exitz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_jumpzd2exzd2itz00_bglt)
							COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1984)))->
						BgL_valuez00));
				{	/* Ast/hrtype.scm 338 */
					obj_t BgL_nextzd2method1308zd2_2061;

					BgL_nextzd2method1308zd2_2061 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1984)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_jumpzd2exzd2itz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1308zd2_2061)
						(BgL_nextzd2method1308zd2_2061,
						((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1984)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-set-ex-1307 */
	obj_t BGl_z62hrtypezd2nodez12zd2setzd2exzd21307z70zzast_hrtypez00(obj_t
		BgL_envz00_1985, obj_t BgL_nodez00_1986)
	{
		{	/* Ast/hrtype.scm 328 */
			{

				BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1986)))->
									BgL_varz00)))->BgL_variablez00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_setzd2exzd2itz00_bglt)
							COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1986)))->
						BgL_bodyz00));
				{	/* Ast/hrtype.scm 332 */
					BgL_varz00_bglt BgL_arg1762z00_2065;

					BgL_arg1762z00_2065 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1986)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1762z00_2065));
				}
				{	/* Ast/hrtype.scm 328 */
					obj_t BgL_nextzd2method1306zd2_2064;

					BgL_nextzd2method1306zd2_2064 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1986)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setzd2exzd2itz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1306zd2_2064)
						(BgL_nextzd2method1306zd2_2064,
						((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1986)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-let-var1305 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1305za2zzast_hrtypez00(obj_t
		BgL_envz00_1987, obj_t BgL_nodez00_1988)
	{
		{	/* Ast/hrtype.scm 314 */
			{

				{	/* Ast/hrtype.scm 316 */
					obj_t BgL_g1255z00_2069;

					BgL_g1255z00_2069 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_1988)))->BgL_bindingsz00);
					{
						obj_t BgL_l1253z00_2071;

						BgL_l1253z00_2071 = BgL_g1255z00_2069;
					BgL_zc3z04anonymousza31753ze3z87_2070:
						if (PAIRP(BgL_l1253z00_2071))
							{	/* Ast/hrtype.scm 316 */
								{	/* Ast/hrtype.scm 317 */
									obj_t BgL_bindingz00_2072;

									BgL_bindingz00_2072 = CAR(BgL_l1253z00_2071);
									{	/* Ast/hrtype.scm 317 */
										obj_t BgL_varz00_2073;
										obj_t BgL_valz00_2074;

										BgL_varz00_2073 = CAR(((obj_t) BgL_bindingz00_2072));
										BgL_valz00_2074 = CDR(((obj_t) BgL_bindingz00_2072));
										BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
											((BgL_nodez00_bglt) BgL_valz00_2074));
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											((BgL_variablez00_bglt) BgL_varz00_2073));
									}
								}
								{
									obj_t BgL_l1253z00_2412;

									BgL_l1253z00_2412 = CDR(BgL_l1253z00_2071);
									BgL_l1253z00_2071 = BgL_l1253z00_2412;
									goto BgL_zc3z04anonymousza31753ze3z87_2070;
								}
							}
						else
							{	/* Ast/hrtype.scm 316 */
								((bool_t) 1);
							}
					}
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_1988)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 314 */
					obj_t BgL_nextzd2method1304zd2_2068;

					BgL_nextzd2method1304zd2_2068 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1988)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_letzd2varzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1304zd2_2068)
						(BgL_nextzd2method1304zd2_2068,
						((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_1988)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-let-fun1303 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1303za2zzast_hrtypez00(obj_t
		BgL_envz00_1989, obj_t BgL_nodez00_1990)
	{
		{	/* Ast/hrtype.scm 288 */
			{

				{	/* Ast/hrtype.scm 290 */
					obj_t BgL_g1252z00_2078;

					BgL_g1252z00_2078 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_1990)))->BgL_localsz00);
					{
						obj_t BgL_l1250z00_2080;

						BgL_l1250z00_2080 = BgL_g1252z00_2078;
					BgL_zc3z04anonymousza31724ze3z87_2079:
						if (PAIRP(BgL_l1250z00_2080))
							{	/* Ast/hrtype.scm 290 */
								{	/* Ast/hrtype.scm 291 */
									obj_t BgL_localz00_2081;

									BgL_localz00_2081 = CAR(BgL_l1250z00_2080);
									{	/* Ast/hrtype.scm 291 */
										BgL_valuez00_bglt BgL_sfunz00_2082;

										BgL_sfunz00_2082 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2081))))->
											BgL_valuez00);
										{	/* Ast/hrtype.scm 292 */
											obj_t BgL_g1125z00_2083;

											BgL_g1125z00_2083 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2082)))->
												BgL_argsz00);
											{
												obj_t BgL_argsz00_2085;

												BgL_argsz00_2085 = BgL_g1125z00_2083;
											BgL_loopz00_2084:
												if (PAIRP(BgL_argsz00_2085))
													{	/* Ast/hrtype.scm 294 */
														obj_t BgL_argz00_2086;

														BgL_argz00_2086 = CAR(BgL_argsz00_2085);
														if (BGl_isazf3zf3zz__objectz00(BgL_argz00_2086,
																BGl_typez00zztype_typez00))
															{	/* Ast/hrtype.scm 297 */
																BgL_typez00_bglt BgL_arg1731z00_2087;

																{	/* Ast/hrtype.scm 297 */
																	obj_t BgL_arg1736z00_2088;

																	BgL_arg1736z00_2088 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt) BgL_argz00_2086)))->
																		BgL_idz00);
																	BgL_arg1731z00_2087 =
																		BGl_findzd2typezd2zztype_envz00
																		(BgL_arg1736z00_2088);
																}
																{	/* Ast/hrtype.scm 297 */
																	obj_t BgL_tmpz00_2444;

																	BgL_tmpz00_2444 =
																		((obj_t) BgL_arg1731z00_2087);
																	SET_CAR(BgL_argsz00_2085, BgL_tmpz00_2444);
																}
															}
														else
															{	/* Ast/hrtype.scm 296 */
																if (BGl_isazf3zf3zz__objectz00(BgL_argz00_2086,
																		BGl_localz00zzast_varz00))
																	{	/* Ast/hrtype.scm 298 */
																		BGl_restorezd2variablezd2typez12z12zzast_hrtypez00
																			(((BgL_variablez00_bglt) (
																					(BgL_localz00_bglt)
																					BgL_argz00_2086)));
																	}
																else
																	{	/* Ast/hrtype.scm 298 */
																		BGl_errorz00zz__errorz00
																			(BGl_string1868z00zzast_hrtypez00,
																			BGl_string1896z00zzast_hrtypez00,
																			BGl_shapez00zztools_shapez00
																			(BgL_argz00_2086));
																	}
															}
														{
															obj_t BgL_argsz00_2454;

															BgL_argsz00_2454 = CDR(BgL_argsz00_2085);
															BgL_argsz00_2085 = BgL_argsz00_2454;
															goto BgL_loopz00_2084;
														}
													}
												else
													{	/* Ast/hrtype.scm 293 */
														((bool_t) 0);
													}
											}
										}
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											((BgL_variablez00_bglt) BgL_localz00_2081));
										{	/* Ast/hrtype.scm 306 */
											obj_t BgL_arg1750z00_2089;

											BgL_arg1750z00_2089 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2082)))->
												BgL_bodyz00);
											BGl_hrtypezd2nodez12zc0zzast_hrtypez00(((BgL_nodez00_bglt)
													BgL_arg1750z00_2089));
										}
									}
								}
								{
									obj_t BgL_l1250z00_2462;

									BgL_l1250z00_2462 = CDR(BgL_l1250z00_2080);
									BgL_l1250z00_2080 = BgL_l1250z00_2462;
									goto BgL_zc3z04anonymousza31724ze3z87_2079;
								}
							}
						else
							{	/* Ast/hrtype.scm 290 */
								((bool_t) 1);
							}
					}
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_1990)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 288 */
					obj_t BgL_nextzd2method1302zd2_2077;

					BgL_nextzd2method1302zd2_2077 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1990)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_letzd2funzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1302zd2_2077)
						(BgL_nextzd2method1302zd2_2077,
						((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_1990)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-switch1301 */
	obj_t BGl_z62hrtypezd2nodez12zd2switch1301z70zzast_hrtypez00(obj_t
		BgL_envz00_1991, obj_t BgL_nodez00_1992)
	{
		{	/* Ast/hrtype.scm 276 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2476;

					{	/* Ast/hrtype.scm 278 */
						obj_t BgL_arg1703z00_2093;

						BgL_arg1703z00_2093 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_switchz00_bglt) COBJECT(
												((BgL_switchz00_bglt) BgL_nodez00_1992)))->
										BgL_itemzd2typezd2)))->BgL_idz00);
						BgL_auxz00_2476 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1703z00_2093);
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_1992)))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_2476), BUNSPEC);
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_1992)))->BgL_testz00));
				{	/* Ast/hrtype.scm 280 */
					obj_t BgL_g1249z00_2094;

					BgL_g1249z00_2094 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_1992)))->BgL_clausesz00);
					{
						obj_t BgL_l1247z00_2096;

						BgL_l1247z00_2096 = BgL_g1249z00_2094;
					BgL_zc3z04anonymousza31714ze3z87_2095:
						if (PAIRP(BgL_l1247z00_2096))
							{	/* Ast/hrtype.scm 280 */
								{	/* Ast/hrtype.scm 281 */
									obj_t BgL_clausez00_2097;

									BgL_clausez00_2097 = CAR(BgL_l1247z00_2096);
									{	/* Ast/hrtype.scm 281 */
										obj_t BgL_arg1717z00_2098;

										BgL_arg1717z00_2098 = CDR(((obj_t) BgL_clausez00_2097));
										BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
											((BgL_nodez00_bglt) BgL_arg1717z00_2098));
									}
								}
								{
									obj_t BgL_l1247z00_2495;

									BgL_l1247z00_2495 = CDR(BgL_l1247z00_2096);
									BgL_l1247z00_2096 = BgL_l1247z00_2495;
									goto BgL_zc3z04anonymousza31714ze3z87_2095;
								}
							}
						else
							{	/* Ast/hrtype.scm 280 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/hrtype.scm 276 */
					obj_t BgL_nextzd2method1300zd2_2092;

					BgL_nextzd2method1300zd2_2092 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt) BgL_nodez00_1992)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_switchz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1300zd2_2092)
						(BgL_nextzd2method1300zd2_2092,
						((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_1992)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-fail1299 */
	obj_t BGl_z62hrtypezd2nodez12zd2fail1299z70zzast_hrtypez00(obj_t
		BgL_envz00_1993, obj_t BgL_nodez00_1994)
	{
		{	/* Ast/hrtype.scm 266 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1994)))->BgL_procz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1994)))->BgL_msgz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1994)))->BgL_objz00));
				{	/* Ast/hrtype.scm 266 */
					obj_t BgL_nextzd2method1298zd2_2101;

					BgL_nextzd2method1298zd2_2101 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt) BgL_nodez00_1994)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_failz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1298zd2_2101)
						(BgL_nextzd2method1298zd2_2101,
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_1994)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-conditi1297 */
	obj_t BGl_z62hrtypezd2nodez12zd2conditi1297z70zzast_hrtypez00(obj_t
		BgL_envz00_1995, obj_t BgL_nodez00_1996)
	{
		{	/* Ast/hrtype.scm 256 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1996)))->BgL_testz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1996)))->BgL_truez00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1996)))->BgL_falsez00));
				{	/* Ast/hrtype.scm 256 */
					obj_t BgL_nextzd2method1296zd2_2104;

					BgL_nextzd2method1296zd2_2104 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_1996)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_conditionalz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1296zd2_2104)
						(BgL_nextzd2method1296zd2_2104,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_1996)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-setq1295 */
	obj_t BGl_z62hrtypezd2nodez12zd2setq1295z70zzast_hrtypez00(obj_t
		BgL_envz00_1997, obj_t BgL_nodez00_1998)
	{
		{	/* Ast/hrtype.scm 247 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_1998)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 250 */
					BgL_varz00_bglt BgL_arg1691z00_2108;

					BgL_arg1691z00_2108 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_1998)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1691z00_2108));
				}
				{	/* Ast/hrtype.scm 247 */
					obj_t BgL_nextzd2method1294zd2_2107;

					BgL_nextzd2method1294zd2_2107 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt) BgL_nodez00_1998)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setqz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1294zd2_2107)
						(BgL_nextzd2method1294zd2_2107,
						((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_1998)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-cast1293 */
	obj_t BGl_z62hrtypezd2nodez12zd2cast1293z70zzast_hrtypez00(obj_t
		BgL_envz00_1999, obj_t BgL_nodez00_2000)
	{
		{	/* Ast/hrtype.scm 239 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2000)))->BgL_argz00));
				{	/* Ast/hrtype.scm 239 */
					obj_t BgL_nextzd2method1292zd2_2111;

					BgL_nextzd2method1292zd2_2111 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt) BgL_nodez00_2000)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_castz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1292zd2_2111)
						(BgL_nextzd2method1292zd2_2111,
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2000)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-instanc1291 */
	obj_t BGl_z62hrtypezd2nodez12zd2instanc1291z70zzast_hrtypez00(obj_t
		BgL_envz00_2001, obj_t BgL_nodez00_2002)
	{
		{	/* Ast/hrtype.scm 231 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2570;

					{	/* Ast/hrtype.scm 233 */
						obj_t BgL_arg1680z00_2115;

						BgL_arg1680z00_2115 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_instanceofz00_bglt) COBJECT(
												((BgL_instanceofz00_bglt) BgL_nodez00_2002)))->
										BgL_classz00)))->BgL_idz00);
						BgL_auxz00_2570 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1680z00_2115);
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt) BgL_nodez00_2002)))->BgL_classz00) =
						((BgL_typez00_bglt) BgL_auxz00_2570), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 231 */
					obj_t BgL_nextzd2method1290zd2_2114;

					BgL_nextzd2method1290zd2_2114 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_2002)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_instanceofz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1290zd2_2114)
						(BgL_nextzd2method1290zd2_2114,
						((obj_t) ((BgL_instanceofz00_bglt) BgL_nodez00_2002)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-vlength1289 */
	obj_t BGl_z62hrtypezd2nodez12zd2vlength1289z70zzast_hrtypez00(obj_t
		BgL_envz00_2003, obj_t BgL_nodez00_2004)
	{
		{	/* Ast/hrtype.scm 223 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2586;

					{	/* Ast/hrtype.scm 225 */
						obj_t BgL_arg1677z00_2119;

						BgL_arg1677z00_2119 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vlengthz00_bglt) COBJECT(
												((BgL_vlengthz00_bglt) BgL_nodez00_2004)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_2586 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1677z00_2119);
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt) BgL_nodez00_2004)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2586), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 223 */
					obj_t BgL_nextzd2method1288zd2_2118;

					BgL_nextzd2method1288zd2_2118 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) BgL_nodez00_2004)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vlengthz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1288zd2_2118)
						(BgL_nextzd2method1288zd2_2118,
						((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_2004)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-vset!1287 */
	obj_t BGl_z62hrtypezd2nodez12zd2vsetz121287z62zzast_hrtypez00(obj_t
		BgL_envz00_2005, obj_t BgL_nodez00_2006)
	{
		{	/* Ast/hrtype.scm 213 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2602;

					{	/* Ast/hrtype.scm 215 */
						obj_t BgL_arg1668z00_2123;

						BgL_arg1668z00_2123 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2006)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_2602 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1668z00_2123);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2006)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2602), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_2609;

					{	/* Ast/hrtype.scm 216 */
						obj_t BgL_arg1670z00_2124;

						BgL_arg1670z00_2124 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2006)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_2609 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1670z00_2124);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2006)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2609), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_2616;

					{	/* Ast/hrtype.scm 217 */
						obj_t BgL_arg1675z00_2125;

						BgL_arg1675z00_2125 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2006)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_2616 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1675z00_2125);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2006)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2616), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 213 */
					obj_t BgL_nextzd2method1286zd2_2122;

					BgL_nextzd2method1286zd2_2122 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_2006)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vsetz12z12zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1286zd2_2122)
						(BgL_nextzd2method1286zd2_2122,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2006)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-vref1285 */
	obj_t BGl_z62hrtypezd2nodez12zd2vref1285z70zzast_hrtypez00(obj_t
		BgL_envz00_2007, obj_t BgL_nodez00_2008)
	{
		{	/* Ast/hrtype.scm 203 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2632;

					{	/* Ast/hrtype.scm 205 */
						obj_t BgL_arg1653z00_2129;

						BgL_arg1653z00_2129 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2008)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_2632 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1653z00_2129);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2008)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2632), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_2639;

					{	/* Ast/hrtype.scm 206 */
						obj_t BgL_arg1656z00_2130;

						BgL_arg1656z00_2130 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2008)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_2639 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1656z00_2130);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2008)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2639), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_2646;

					{	/* Ast/hrtype.scm 207 */
						obj_t BgL_arg1663z00_2131;

						BgL_arg1663z00_2131 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2008)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_2646 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1663z00_2131);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2008)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2646), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 203 */
					obj_t BgL_nextzd2method1284zd2_2128;

					BgL_nextzd2method1284zd2_2128 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_2008)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vrefz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1284zd2_2128)
						(BgL_nextzd2method1284zd2_2128,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2008)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-valloc1283 */
	obj_t BGl_z62hrtypezd2nodez12zd2valloc1283z70zzast_hrtypez00(obj_t
		BgL_envz00_2009, obj_t BgL_nodez00_2010)
	{
		{	/* Ast/hrtype.scm 194 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2662;

					{	/* Ast/hrtype.scm 196 */
						obj_t BgL_arg1647z00_2135;

						BgL_arg1647z00_2135 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vallocz00_bglt) COBJECT(
												((BgL_vallocz00_bglt) BgL_nodez00_2010)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_2662 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1647z00_2135);
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_2010)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2662), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_2669;

					{	/* Ast/hrtype.scm 197 */
						obj_t BgL_arg1650z00_2136;

						BgL_arg1650z00_2136 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vallocz00_bglt) COBJECT(
												((BgL_vallocz00_bglt) BgL_nodez00_2010)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_2669 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1650z00_2136);
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_2010)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2669), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 194 */
					obj_t BgL_nextzd2method1282zd2_2134;

					BgL_nextzd2method1282zd2_2134 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_2010)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vallocz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1282zd2_2134)
						(BgL_nextzd2method1282zd2_2134,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_2010)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-new1281 */
	obj_t BGl_z62hrtypezd2nodez12zd2new1281z70zzast_hrtypez00(obj_t
		BgL_envz00_2011, obj_t BgL_nodez00_2012)
	{
		{	/* Ast/hrtype.scm 186 */
			{

				{
					obj_t BgL_auxz00_2685;

					{	/* Ast/hrtype.scm 188 */
						obj_t BgL_l01246z00_2140;

						BgL_l01246z00_2140 =
							(((BgL_newz00_bglt) COBJECT(
									((BgL_newz00_bglt) BgL_nodez00_2012)))->BgL_argszd2typezd2);
						{
							obj_t BgL_l1245z00_2142;

							BgL_l1245z00_2142 = BgL_l01246z00_2140;
						BgL_zc3z04anonymousza31638ze3z87_2141:
							if (NULLP(BgL_l1245z00_2142))
								{	/* Ast/hrtype.scm 188 */
									BgL_auxz00_2685 = BgL_l01246z00_2140;
								}
							else
								{	/* Ast/hrtype.scm 188 */
									{	/* Ast/hrtype.scm 188 */
										BgL_typez00_bglt BgL_arg1641z00_2143;

										{	/* Ast/hrtype.scm 188 */
											obj_t BgL_tz00_2144;

											BgL_tz00_2144 = CAR(((obj_t) BgL_l1245z00_2142));
											{	/* Ast/hrtype.scm 188 */
												obj_t BgL_arg1644z00_2145;

												BgL_arg1644z00_2145 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_tz00_2144)))->BgL_idz00);
												BgL_arg1641z00_2143 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg1644z00_2145);
											}
										}
										{	/* Ast/hrtype.scm 188 */
											obj_t BgL_auxz00_2698;
											obj_t BgL_tmpz00_2696;

											BgL_auxz00_2698 = ((obj_t) BgL_arg1641z00_2143);
											BgL_tmpz00_2696 = ((obj_t) BgL_l1245z00_2142);
											SET_CAR(BgL_tmpz00_2696, BgL_auxz00_2698);
										}
									}
									{	/* Ast/hrtype.scm 188 */
										obj_t BgL_arg1645z00_2146;

										BgL_arg1645z00_2146 = CDR(((obj_t) BgL_l1245z00_2142));
										{
											obj_t BgL_l1245z00_2703;

											BgL_l1245z00_2703 = BgL_arg1645z00_2146;
											BgL_l1245z00_2142 = BgL_l1245z00_2703;
											goto BgL_zc3z04anonymousza31638ze3z87_2141;
										}
									}
								}
						}
					}
					((((BgL_newz00_bglt) COBJECT(
									((BgL_newz00_bglt) BgL_nodez00_2012)))->BgL_argszd2typezd2) =
						((obj_t) BgL_auxz00_2685), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 186 */
					obj_t BgL_nextzd2method1280zd2_2139;

					BgL_nextzd2method1280zd2_2139 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt) BgL_nodez00_2012)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_newz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1280zd2_2139)
						(BgL_nextzd2method1280zd2_2139,
						((obj_t) ((BgL_newz00_bglt) BgL_nodez00_2012)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-widenin1279 */
	obj_t BGl_z62hrtypezd2nodez12zd2widenin1279z70zzast_hrtypez00(obj_t
		BgL_envz00_2013, obj_t BgL_nodez00_2014)
	{
		{	/* Ast/hrtype.scm 178 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2714;

					{	/* Ast/hrtype.scm 180 */
						obj_t BgL_arg1636z00_2150;

						BgL_arg1636z00_2150 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_wideningz00_bglt) COBJECT(
												((BgL_wideningz00_bglt) BgL_nodez00_2014)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_2714 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1636z00_2150);
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_nodez00_2014)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2714), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 178 */
					obj_t BgL_nextzd2method1278zd2_2149;

					BgL_nextzd2method1278zd2_2149 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_wideningz00_bglt) BgL_nodez00_2014)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_wideningz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1278zd2_2149)
						(BgL_nextzd2method1278zd2_2149,
						((obj_t) ((BgL_wideningz00_bglt) BgL_nodez00_2014)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-setfiel1277 */
	obj_t BGl_z62hrtypezd2nodez12zd2setfiel1277z70zzast_hrtypez00(obj_t
		BgL_envz00_2015, obj_t BgL_nodez00_2016)
	{
		{	/* Ast/hrtype.scm 169 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2730;

					{	/* Ast/hrtype.scm 171 */
						obj_t BgL_arg1627z00_2154;

						BgL_arg1627z00_2154 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_setfieldz00_bglt) COBJECT(
												((BgL_setfieldz00_bglt) BgL_nodez00_2016)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_2730 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1627z00_2154);
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_nodez00_2016)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2730), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_2737;

					{	/* Ast/hrtype.scm 172 */
						obj_t BgL_arg1632z00_2155;

						BgL_arg1632z00_2155 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_setfieldz00_bglt) COBJECT(
												((BgL_setfieldz00_bglt) BgL_nodez00_2016)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_2737 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1632z00_2155);
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_nodez00_2016)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2737), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 169 */
					obj_t BgL_nextzd2method1276zd2_2153;

					BgL_nextzd2method1276zd2_2153 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt) BgL_nodez00_2016)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setfieldz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1276zd2_2153)
						(BgL_nextzd2method1276zd2_2153,
						((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_2016)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-getfiel1275 */
	obj_t BGl_z62hrtypezd2nodez12zd2getfiel1275z70zzast_hrtypez00(obj_t
		BgL_envz00_2017, obj_t BgL_nodez00_2018)
	{
		{	/* Ast/hrtype.scm 160 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_2753;

					{	/* Ast/hrtype.scm 162 */
						obj_t BgL_arg1609z00_2159;

						BgL_arg1609z00_2159 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_getfieldz00_bglt) COBJECT(
												((BgL_getfieldz00_bglt) BgL_nodez00_2018)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_2753 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1609z00_2159);
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_nodez00_2018)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2753), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_2760;

					{	/* Ast/hrtype.scm 163 */
						obj_t BgL_arg1618z00_2160;

						BgL_arg1618z00_2160 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_getfieldz00_bglt) COBJECT(
												((BgL_getfieldz00_bglt) BgL_nodez00_2018)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_2760 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1618z00_2160);
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_nodez00_2018)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_2760), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 160 */
					obj_t BgL_nextzd2method1274zd2_2158;

					BgL_nextzd2method1274zd2_2158 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt) BgL_nodez00_2018)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_getfieldz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1274zd2_2158)
						(BgL_nextzd2method1274zd2_2158,
						((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_2018)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-extern1273 */
	obj_t BGl_z62hrtypezd2nodez12zd2extern1273z70zzast_hrtypez00(obj_t
		BgL_envz00_2019, obj_t BgL_nodez00_2020)
	{
		{	/* Ast/hrtype.scm 152 */
			{

				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2020)))->BgL_exprza2za2));
				{	/* Ast/hrtype.scm 152 */
					obj_t BgL_nextzd2method1272zd2_2163;

					BgL_nextzd2method1272zd2_2163 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_externz00_bglt) BgL_nodez00_2020)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_externz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1272zd2_2163)
						(BgL_nextzd2method1272zd2_2163,
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2020)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-funcall1271 */
	obj_t BGl_z62hrtypezd2nodez12zd2funcall1271z70zzast_hrtypez00(obj_t
		BgL_envz00_2021, obj_t BgL_nodez00_2022)
	{
		{	/* Ast/hrtype.scm 143 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2022)))->BgL_funz00));
				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2022)))->BgL_argsz00));
				{	/* Ast/hrtype.scm 143 */
					obj_t BgL_nextzd2method1270zd2_2166;

					BgL_nextzd2method1270zd2_2166 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_2022)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_funcallz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1270zd2_2166)
						(BgL_nextzd2method1270zd2_2166,
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2022)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-app-ly1269 */
	obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1269za2zzast_hrtypez00(obj_t
		BgL_envz00_2023, obj_t BgL_nodez00_2024)
	{
		{	/* Ast/hrtype.scm 134 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2024)))->BgL_funz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2024)))->BgL_argz00));
				{	/* Ast/hrtype.scm 134 */
					obj_t BgL_nextzd2method1268zd2_2169;

					BgL_nextzd2method1268zd2_2169 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2024)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_appzd2lyzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1268zd2_2169)
						(BgL_nextzd2method1268zd2_2169,
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2024)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-app1267 */
	obj_t BGl_z62hrtypezd2nodez12zd2app1267z70zzast_hrtypez00(obj_t
		BgL_envz00_2025, obj_t BgL_nodez00_2026)
	{
		{	/* Ast/hrtype.scm 95 */
			{

				{	/* Ast/hrtype.scm 97 */
					BgL_varz00_bglt BgL_i1106z00_2173;

					BgL_i1106z00_2173 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2026)))->BgL_funz00);
					{	/* Ast/hrtype.scm 98 */
						bool_t BgL_test1951z00_2820;

						{	/* Ast/hrtype.scm 98 */
							BgL_variablez00_bglt BgL_arg1578z00_2174;

							BgL_arg1578z00_2174 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1106z00_2173))->
								BgL_variablez00);
							{	/* Ast/hrtype.scm 98 */
								bool_t BgL_res1853z00_2175;

								BgL_res1853z00_2175 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1578z00_2174), BGl_globalz00zzast_varz00);
								BgL_test1951z00_2820 = BgL_res1853z00_2175;
							}
						}
						if (BgL_test1951z00_2820)
							{	/* Ast/hrtype.scm 99 */
								BgL_valuez00_bglt BgL_valuez00_2176;

								BgL_valuez00_2176 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(BgL_i1106z00_2173))->
												BgL_variablez00)))->BgL_valuez00);
								{	/* Ast/hrtype.scm 101 */
									bool_t BgL_test1952z00_2826;

									{	/* Ast/hrtype.scm 101 */
										bool_t BgL_res1854z00_2177;

										BgL_res1854z00_2177 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_valuez00_2176), BGl_cfunz00zzast_varz00);
										BgL_test1952z00_2826 = BgL_res1854z00_2177;
									}
									if (BgL_test1952z00_2826)
										{	/* Ast/hrtype.scm 102 */
											BgL_variablez00_bglt BgL_arg1511z00_2178;

											BgL_arg1511z00_2178 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1106z00_2173))->
												BgL_variablez00);
											BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
													BgL_arg1511z00_2178));
										}
									else
										{	/* Ast/hrtype.scm 103 */
											bool_t BgL_test1953z00_2832;

											{	/* Ast/hrtype.scm 103 */
												bool_t BgL_res1855z00_2179;

												BgL_res1855z00_2179 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_valuez00_2176), BGl_sfunz00zzast_varz00);
												BgL_test1953z00_2832 = BgL_res1855z00_2179;
											}
											if (BgL_test1953z00_2832)
												{	/* Ast/hrtype.scm 104 */
													bool_t BgL_test1954z00_2835;

													if (
														((((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_valuez00_2176)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Ast/hrtype.scm 106 */
															bool_t BgL_test1956z00_2841;

															{	/* Ast/hrtype.scm 106 */
																BgL_variablez00_bglt BgL_arg1568z00_2180;

																BgL_arg1568z00_2180 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_i1106z00_2173))->
																	BgL_variablez00);
																BgL_test1956z00_2841 =
																	CBOOL(BGl_alreadyzd2restoredzf3z21zzast_envz00
																	(((obj_t) BgL_arg1568z00_2180)));
															}
															if (BgL_test1956z00_2841)
																{	/* Ast/hrtype.scm 106 */
																	BgL_test1954z00_2835 = ((bool_t) 0);
																}
															else
																{	/* Ast/hrtype.scm 106 */
																	BgL_test1954z00_2835 = ((bool_t) 1);
																}
														}
													else
														{	/* Ast/hrtype.scm 104 */
															BgL_test1954z00_2835 = ((bool_t) 0);
														}
													if (BgL_test1954z00_2835)
														{	/* Ast/hrtype.scm 110 */
															BgL_variablez00_bglt BgL_arg1530z00_2181;

															BgL_arg1530z00_2181 =
																(((BgL_varz00_bglt)
																	COBJECT(BgL_i1106z00_2173))->BgL_variablez00);
															BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
																	BgL_arg1530z00_2181));
														}
													else
														{	/* Ast/hrtype.scm 116 */
															obj_t BgL_gz00_2182;

															{	/* Ast/hrtype.scm 116 */
																obj_t BgL_arg1558z00_2183;
																obj_t BgL_arg1559z00_2184;

																BgL_arg1558z00_2183 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							COBJECT(BgL_i1106z00_2173))->
																						BgL_variablez00)))))->BgL_idz00);
																BgL_arg1559z00_2184 =
																	(((BgL_globalz00_bglt)
																		COBJECT(((BgL_globalz00_bglt) ((
																						(BgL_varz00_bglt)
																						COBJECT(BgL_i1106z00_2173))->
																					BgL_variablez00))))->BgL_modulez00);
																{	/* Ast/hrtype.scm 116 */
																	obj_t BgL_list1560z00_2185;

																	BgL_list1560z00_2185 =
																		MAKE_YOUNG_PAIR(BgL_arg1559z00_2184, BNIL);
																	BgL_gz00_2182 =
																		BGl_findzd2globalzd2zzast_envz00
																		(BgL_arg1558z00_2183, BgL_list1560z00_2185);
																}
															}
															if (BGl_isazf3zf3zz__objectz00(BgL_gz00_2182,
																	BGl_variablez00zzast_varz00))
																{	/* Ast/hrtype.scm 118 */
																	((((BgL_varz00_bglt)
																				COBJECT(BgL_i1106z00_2173))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt) BgL_gz00_2182)),
																		BUNSPEC);
																}
															else
																{	/* Ast/hrtype.scm 119 */
																	obj_t BgL_newzd2gzd2_2186;

																	{	/* Ast/hrtype.scm 119 */
																		obj_t BgL_arg1550z00_2187;

																		BgL_arg1550z00_2187 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							(((BgL_varz00_bglt)
																									COBJECT(BgL_i1106z00_2173))->
																								BgL_variablez00)))))->
																			BgL_idz00);
																		{	/* Ast/hrtype.scm 119 */
																			obj_t BgL_list1551z00_2188;

																			BgL_list1551z00_2188 =
																				MAKE_YOUNG_PAIR
																				(BGl_za2moduleza2z00zzmodule_modulez00,
																				BNIL);
																			BgL_newzd2gzd2_2186 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_arg1550z00_2187,
																				BgL_list1551z00_2188);
																		}
																	}
																	{	/* Ast/hrtype.scm 121 */
																		bool_t BgL_test1958z00_2868;

																		if (BGl_isazf3zf3zz__objectz00
																			(BgL_newzd2gzd2_2186,
																				BGl_globalz00zzast_varz00))
																			{	/* Ast/hrtype.scm 121 */
																				BgL_test1958z00_2868 =
																					(
																					(((BgL_globalz00_bglt) COBJECT(
																								((BgL_globalz00_bglt)
																									BgL_newzd2gzd2_2186)))->
																						BgL_importz00) ==
																					CNST_TABLE_REF(((long) 1)));
																			}
																		else
																			{	/* Ast/hrtype.scm 121 */
																				BgL_test1958z00_2868 = ((bool_t) 0);
																			}
																		if (BgL_test1958z00_2868)
																			{	/* Ast/hrtype.scm 121 */
																				((((BgL_varz00_bglt)
																							COBJECT(BgL_i1106z00_2173))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt) (
																								(BgL_globalz00_bglt)
																								BgL_newzd2gzd2_2186))),
																					BUNSPEC);
																			}
																		else
																			{	/* Ast/hrtype.scm 125 */
																				obj_t BgL_arg1540z00_2189;

																				BgL_arg1540z00_2189 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_varz00_bglt)
																											COBJECT
																											(BgL_i1106z00_2173))->
																										BgL_variablez00)))))->
																					BgL_idz00);
																				BGl_errorz00zz__errorz00
																					(BGl_string1897z00zzast_hrtypez00,
																					BGl_string1898z00zzast_hrtypez00,
																					BgL_arg1540z00_2189);
																			}
																	}
																}
														}
												}
											else
												{	/* Ast/hrtype.scm 103 */
													BFALSE;
												}
										}
								}
							}
						else
							{	/* Ast/hrtype.scm 98 */
								BFALSE;
							}
					}
				}
				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2026)))->BgL_argsz00));
				{	/* Ast/hrtype.scm 95 */
					obj_t BgL_nextzd2method1266zd2_2172;

					BgL_nextzd2method1266zd2_2172 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_2026)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_appz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1266zd2_2172)
						(BgL_nextzd2method1266zd2_2172,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2026)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-sync1265 */
	obj_t BGl_z62hrtypezd2nodez12zd2sync1265z70zzast_hrtypez00(obj_t
		BgL_envz00_2027, obj_t BgL_nodez00_2028)
	{
		{	/* Ast/hrtype.scm 85 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2028)))->BgL_mutexz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2028)))->BgL_prelockz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2028)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 85 */
					obj_t BgL_nextzd2method1264zd2_2192;

					BgL_nextzd2method1264zd2_2192 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt) BgL_nodez00_2028)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_syncz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1264zd2_2192)
						(BgL_nextzd2method1264zd2_2192,
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2028)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-sequenc1263 */
	obj_t BGl_z62hrtypezd2nodez12zd2sequenc1263z70zzast_hrtypez00(obj_t
		BgL_envz00_2029, obj_t BgL_nodez00_2030)
	{
		{	/* Ast/hrtype.scm 77 */
			{

				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2030)))->BgL_nodesz00));
				{	/* Ast/hrtype.scm 77 */
					obj_t BgL_nextzd2method1262zd2_2195;

					BgL_nextzd2method1262zd2_2195 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt) BgL_nodez00_2030)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_sequencez00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1262zd2_2195)
						(BgL_nextzd2method1262zd2_2195,
						((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2030)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-var1261 */
	obj_t BGl_z62hrtypezd2nodez12zd2var1261z70zzast_hrtypez00(obj_t
		BgL_envz00_2031, obj_t BgL_nodez00_2032)
	{
		{	/* Ast/hrtype.scm 40 */
			{

				{	/* Ast/hrtype.scm 65 */
					bool_t BgL_test1960z00_2925;

					{	/* Ast/hrtype.scm 65 */
						bool_t BgL_test1961z00_2926;

						{	/* Ast/hrtype.scm 65 */
							BgL_variablez00_bglt BgL_arg1489z00_2199;

							BgL_arg1489z00_2199 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2032)))->BgL_variablez00);
							{	/* Ast/hrtype.scm 65 */
								bool_t BgL_res1851z00_2200;

								BgL_res1851z00_2200 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1489z00_2199), BGl_globalz00zzast_varz00);
								BgL_test1961z00_2926 = BgL_res1851z00_2200;
							}
						}
						if (BgL_test1961z00_2926)
							{	/* Ast/hrtype.scm 66 */
								obj_t BgL_arg1467z00_2201;
								obj_t BgL_arg1470z00_2202;

								BgL_arg1467z00_2201 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2032)))->
														BgL_variablez00)))))->BgL_idz00);
								BgL_arg1470z00_2202 =
									(((BgL_globalz00_bglt)
										COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
														COBJECT(((BgL_varz00_bglt) BgL_nodez00_2032)))->
													BgL_variablez00))))->BgL_modulez00);
								BgL_test1960z00_2925 =
									CBOOL(BGl_globalzd2bucketzd2positionz00zzast_envz00
									(BgL_arg1467z00_2201, BgL_arg1470z00_2202));
							}
						else
							{	/* Ast/hrtype.scm 65 */
								BgL_test1960z00_2925 = ((bool_t) 0);
							}
					}
					if (BgL_test1960z00_2925)
						{	/* Ast/hrtype.scm 68 */
							obj_t BgL_nz00_2203;

							{	/* Ast/hrtype.scm 68 */
								obj_t BgL_arg1437z00_2204;
								obj_t BgL_arg1438z00_2205;

								BgL_arg1437z00_2204 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2032)))->
														BgL_variablez00)))))->BgL_idz00);
								BgL_arg1438z00_2205 =
									(((BgL_globalz00_bglt)
										COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
														COBJECT(((BgL_varz00_bglt) BgL_nodez00_2032)))->
													BgL_variablez00))))->BgL_modulez00);
								BgL_nz00_2203 =
									BGl_findzd2globalzf2modulez20zzast_envz00(BgL_arg1437z00_2204,
									BgL_arg1438z00_2205);
							}
							if (BGl_isazf3zf3zz__objectz00(BgL_nz00_2203,
									BGl_globalz00zzast_varz00))
								{	/* Ast/hrtype.scm 70 */
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_nodez00_2032)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt) (
													(BgL_globalz00_bglt) BgL_nz00_2203))), BUNSPEC);
								}
							else
								{	/* Ast/hrtype.scm 70 */
									BFALSE;
								}
						}
					else
						{	/* Ast/hrtype.scm 65 */
							BFALSE;
						}
				}
				{	/* Ast/hrtype.scm 40 */
					obj_t BgL_nextzd2method1260zd2_2198;

					BgL_nextzd2method1260zd2_2198 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_varz00_bglt) BgL_nodez00_2032)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_varz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1260zd2_2198)
						(BgL_nextzd2method1260zd2_2198,
						((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2032)), BEOA);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1899z00zzast_hrtypez00));
		}

	}

#ifdef __cplusplus
}
#endif
