/*===========================================================================*/
/*   (Cfa/struct.scm)                                                        */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/struct.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	extern obj_t BGl_makezd2structzd2appz00zzcfa_info2z00;
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzcfa_structz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_structz00();
	extern obj_t BGl_structzd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza31614ze3ze5zzcfa_structz00(obj_t, obj_t);
	extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
	static obj_t BGl_z62loosezd2allocz12zd2makezd2st1514za2zzcfa_structz00(obj_t,
		obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2refzd2app1510za2zzcfa_structz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make1502za2zzcfa_structz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_structz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_structzd2refzd2appz00zzcfa_info2z00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2stru1504za2zzcfa_structz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2stru1506za2zzcfa_structz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_structz00();
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_structz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2structzd2app1508za2zzcfa_structz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_structz00();
	extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
	static obj_t BGl_genericzd2initzd2zzcfa_structz00();
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2setz12zd2app1512zb0zzcfa_structz00(obj_t, obj_t);
	extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
	static obj_t BGl_cnstzd2initzd2zzcfa_structz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_structz00();
	static obj_t BGl_z62zc3z04anonymousza31645ze3ze5zzcfa_structz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1926z00zzcfa_structz00,
		BgL_bgl_string1926za700za7za7c1940za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string1930z00zzcfa_structz00,
		BgL_bgl_string1930za700za7za7c1941za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string1934z00zzcfa_structz00,
		BgL_bgl_string1934za700za7za7c1942za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string1935z00zzcfa_structz00,
		BgL_bgl_string1935za700za7za7c1943za7, "cfa_struct", 10);
	      DEFINE_STRING(BGl_string1936z00zzcfa_structz00,
		BgL_bgl_string1936za700za7za7c1944za7, "all ", 4);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza71945za7,
		BGl_z62nodezd2setupz12zd2prezd2make1502za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza71946za7,
		BGl_z62nodezd2setupz12zd2prezd2stru1504za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza71947za7,
		BGl_z62nodezd2setupz12zd2prezd2stru1506za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2make1948za7,
		BGl_z62cfaz12zd2makezd2structzd2app1508za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2stru1949za7,
		BGl_z62cfaz12zd2structzd2refzd2app1510za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2stru1950za7,
		BGl_z62cfaz12zd2structzd2setz12zd2app1512zb0zzcfa_structz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzcfa_structz00,
		BgL_bgl_za762looseza7d2alloc1951z00,
		BGl_z62loosezd2allocz12zd2makezd2st1514za2zzcfa_structz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_structz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long
		BgL_checksumz00_3598, char *BgL_fromz00_3599)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_structz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_structz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_structz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_structz00();
					BGl_cnstzd2initzd2zzcfa_structz00();
					BGl_importedzd2moduleszd2initz00zzcfa_structz00();
					BGl_methodzd2initzd2zzcfa_structz00();
					return BGl_toplevelzd2initzd2zzcfa_structz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_struct");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_struct");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			{	/* Cfa/struct.scm 17 */
				obj_t BgL_cportz00_3507;

				{	/* Cfa/struct.scm 17 */
					obj_t BgL_stringz00_3515;

					BgL_stringz00_3515 = BGl_string1936z00zzcfa_structz00;
					{	/* Cfa/struct.scm 17 */
						obj_t BgL_startz00_3516;

						BgL_startz00_3516 = BINT(((long) 0));
						{	/* Cfa/struct.scm 17 */
							obj_t BgL_endz00_3517;

							BgL_endz00_3517 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3515)));
							{	/* Cfa/struct.scm 17 */

								BgL_cportz00_3507 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3515, BgL_startz00_3516, BgL_endz00_3517);
				}}}}
				{
					long BgL_iz00_3508;

					BgL_iz00_3508 = ((long) 0);
				BgL_loopz00_3509:
					if ((BgL_iz00_3508 == ((long) -1)))
						{	/* Cfa/struct.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/struct.scm 17 */
							{	/* Cfa/struct.scm 17 */
								obj_t BgL_arg1938z00_3511;

								{	/* Cfa/struct.scm 17 */

									{	/* Cfa/struct.scm 17 */
										obj_t BgL_locationz00_3513;

										BgL_locationz00_3513 = BBOOL(((bool_t) 0));
										{	/* Cfa/struct.scm 17 */

											BgL_arg1938z00_3511 =
												BGl_readz00zz__readerz00(BgL_cportz00_3507,
												BgL_locationz00_3513);
										}
									}
								}
								{	/* Cfa/struct.scm 17 */
									int BgL_tmpz00_3625;

									BgL_tmpz00_3625 = (int) (BgL_iz00_3508);
									CNST_TABLE_SET(BgL_tmpz00_3625, BgL_arg1938z00_3511);
							}}
							{	/* Cfa/struct.scm 17 */
								int BgL_auxz00_3514;

								BgL_auxz00_3514 = (int) ((BgL_iz00_3508 - ((long) 1)));
								{
									long BgL_iz00_3630;

									BgL_iz00_3630 = (long) (BgL_auxz00_3514);
									BgL_iz00_3508 = BgL_iz00_3630;
									goto BgL_loopz00_3509;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00,
				BGl_proc1925z00zzcfa_structz00, BGl_string1926z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00,
				BGl_proc1927z00zzcfa_structz00, BGl_string1926z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00,
				BGl_proc1928z00zzcfa_structz00, BGl_string1926z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2structzd2appz00zzcfa_info2z00,
				BGl_proc1929z00zzcfa_structz00, BGl_string1930z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_structzd2refzd2appz00zzcfa_info2z00, BGl_proc1931z00zzcfa_structz00,
				BGl_string1930z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_structzd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc1932z00zzcfa_structz00, BGl_string1930z00zzcfa_structz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2structzd2appz00zzcfa_info2z00,
				BGl_proc1933z00zzcfa_structz00, BGl_string1934z00zzcfa_structz00);
		}

	}



/* &loose-alloc!-make-st1514 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2st1514za2zzcfa_structz00(obj_t
		BgL_envz00_3483, obj_t BgL_allocz00_3484)
	{
		{	/* Cfa/struct.scm 136 */
			{	/* Cfa/struct.scm 138 */
				bool_t BgL_test1954z00_3640;

				{	/* Cfa/struct.scm 138 */
					long BgL_arg1668z00_3521;

					{
						BgL_makezd2structzd2appz00_bglt BgL_auxz00_3641;

						{
							obj_t BgL_auxz00_3642;

							{	/* Cfa/struct.scm 138 */
								BgL_objectz00_bglt BgL_tmpz00_3643;

								BgL_tmpz00_3643 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_3484));
								BgL_auxz00_3642 = BGL_OBJECT_WIDENING(BgL_tmpz00_3643);
							}
							BgL_auxz00_3641 =
								((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3642);
						}
						BgL_arg1668z00_3521 =
							(((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_3641))->
							BgL_lostzd2stampzd2);
					}
					BgL_test1954z00_3640 =
						(BgL_arg1668z00_3521 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test1954z00_3640)
					{	/* Cfa/struct.scm 138 */
						return BUNSPEC;
					}
				else
					{	/* Cfa/struct.scm 138 */
						{
							BgL_makezd2structzd2appz00_bglt BgL_auxz00_3651;

							{
								obj_t BgL_auxz00_3652;

								{	/* Cfa/struct.scm 142 */
									BgL_objectz00_bglt BgL_tmpz00_3653;

									BgL_tmpz00_3653 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_3484));
									BgL_auxz00_3652 = BGL_OBJECT_WIDENING(BgL_tmpz00_3653);
								}
								BgL_auxz00_3651 =
									((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3652);
							}
							((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_3651))->
									BgL_lostzd2stampzd2) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{	/* Cfa/struct.scm 143 */
							BgL_approxz00_bglt BgL_arg1660z00_3522;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3660;

								{
									obj_t BgL_auxz00_3661;

									{	/* Cfa/struct.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_3662;

										BgL_tmpz00_3662 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_3484));
										BgL_auxz00_3661 = BGL_OBJECT_WIDENING(BgL_tmpz00_3662);
									}
									BgL_auxz00_3660 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3661);
								}
								BgL_arg1660z00_3522 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3660))->BgL_valuezd2approxzd2);
							}
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
								BgL_arg1660z00_3522);
						}
						{	/* Cfa/struct.scm 144 */
							BgL_approxz00_bglt BgL_arg1663z00_3523;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3669;

								{
									obj_t BgL_auxz00_3670;

									{	/* Cfa/struct.scm 144 */
										BgL_objectz00_bglt BgL_tmpz00_3671;

										BgL_tmpz00_3671 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_3484));
										BgL_auxz00_3670 = BGL_OBJECT_WIDENING(BgL_tmpz00_3671);
									}
									BgL_auxz00_3669 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3670);
								}
								BgL_arg1663z00_3523 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3669))->BgL_valuezd2approxzd2);
							}
							BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg1663z00_3523,
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
						}
						{	/* Cfa/struct.scm 145 */
							BgL_approxz00_bglt BgL_arg1665z00_3524;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3679;

								{
									obj_t BgL_auxz00_3680;

									{	/* Cfa/struct.scm 145 */
										BgL_objectz00_bglt BgL_tmpz00_3681;

										BgL_tmpz00_3681 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_3484));
										BgL_auxz00_3680 = BGL_OBJECT_WIDENING(BgL_tmpz00_3681);
									}
									BgL_auxz00_3679 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3680);
								}
								BgL_arg1665z00_3524 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3679))->BgL_valuezd2approxzd2);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
								(BgL_arg1665z00_3524);
						}
					}
			}
		}

	}



/* &cfa!-struct-set!-app1512 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2setz12zd2app1512zb0zzcfa_structz00(obj_t
		BgL_envz00_3485, obj_t BgL_nodez00_3486)
	{
		{	/* Cfa/struct.scm 109 */
			{	/* Cfa/struct.scm 113 */
				obj_t BgL_arg1639z00_3526;

				{	/* Cfa/struct.scm 113 */
					obj_t BgL_pairz00_3527;

					BgL_pairz00_3527 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3486))))->BgL_argsz00);
					BgL_arg1639z00_3526 = CAR(CDR(BgL_pairz00_3527));
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1639z00_3526));
			}
			{	/* Cfa/struct.scm 114 */
				BgL_approxz00_bglt BgL_structzd2approxzd2_3528;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3529;

				{	/* Cfa/struct.scm 114 */
					obj_t BgL_arg1648z00_3530;

					{	/* Cfa/struct.scm 114 */
						obj_t BgL_pairz00_3531;

						BgL_pairz00_3531 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3486))))->BgL_argsz00);
						BgL_arg1648z00_3530 = CAR(BgL_pairz00_3531);
					}
					BgL_structzd2approxzd2_3528 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1648z00_3530));
				}
				{	/* Cfa/struct.scm 115 */
					obj_t BgL_arg1651z00_3532;

					{	/* Cfa/struct.scm 115 */
						obj_t BgL_pairz00_3533;

						BgL_pairz00_3533 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3486))))->BgL_argsz00);
						BgL_arg1651z00_3532 = CAR(CDR(CDR(BgL_pairz00_3533)));
					}
					BgL_valzd2approxzd2_3529 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1651z00_3532));
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_structzd2approxzd2_3528))->
						BgL_topzf3zf3))
					{	/* Cfa/struct.scm 118 */
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3529,
								CNST_TABLE_REF(((long) 0))));
					}
				else
					{	/* Cfa/struct.scm 123 */
						obj_t BgL_zc3z04anonymousza31645ze3z87_3534;

						BgL_zc3z04anonymousza31645ze3z87_3534 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31645ze3ze5zzcfa_structz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31645ze3z87_3534,
							(int) (((long) 0)), ((obj_t) BgL_valzd2approxzd2_3529));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3z04anonymousza31645ze3z87_3534,
							BgL_structzd2approxzd2_3528);
			}}
			{
				BgL_structzd2setz12zd2appz12_bglt BgL_auxz00_3721;

				{
					obj_t BgL_auxz00_3722;

					{	/* Cfa/struct.scm 127 */
						BgL_objectz00_bglt BgL_tmpz00_3723;

						BgL_tmpz00_3723 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3486));
						BgL_auxz00_3722 = BGL_OBJECT_WIDENING(BgL_tmpz00_3723);
					}
					BgL_auxz00_3721 =
						((BgL_structzd2setz12zd2appz12_bglt) BgL_auxz00_3722);
				}
				return
					(((BgL_structzd2setz12zd2appz12_bglt) COBJECT(BgL_auxz00_3721))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1645> */
	obj_t BGl_z62zc3z04anonymousza31645ze3ze5zzcfa_structz00(obj_t
		BgL_envz00_3487, obj_t BgL_appz00_3489)
	{
		{	/* Cfa/struct.scm 122 */
			{	/* Cfa/struct.scm 123 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_3488;

				BgL_valzd2approxzd2_3488 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_3487, (int) (((long) 0))));
				if (BGl_isazf3zf3zz__objectz00(BgL_appz00_3489,
						BGl_makezd2structzd2appz00zzcfa_info2z00))
					{	/* Cfa/struct.scm 125 */
						BgL_approxz00_bglt BgL_arg1647z00_3535;

						{
							BgL_makezd2structzd2appz00_bglt BgL_auxz00_3734;

							{
								obj_t BgL_auxz00_3735;

								{	/* Cfa/struct.scm 125 */
									BgL_objectz00_bglt BgL_tmpz00_3736;

									BgL_tmpz00_3736 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_appz00_3489));
									BgL_auxz00_3735 = BGL_OBJECT_WIDENING(BgL_tmpz00_3736);
								}
								BgL_auxz00_3734 =
									((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3735);
							}
							BgL_arg1647z00_3535 =
								(((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_3734))->
								BgL_valuezd2approxzd2);
						}
						return
							((obj_t)
							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1647z00_3535,
								BgL_valzd2approxzd2_3488));
					}
				else
					{	/* Cfa/struct.scm 123 */
						return BFALSE;
					}
			}
		}

	}



/* &cfa!-struct-ref-app1510 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2refzd2app1510za2zzcfa_structz00(obj_t
		BgL_envz00_3490, obj_t BgL_nodez00_3491)
	{
		{	/* Cfa/struct.scm 87 */
			{	/* Cfa/struct.scm 91 */
				obj_t BgL_arg1598z00_3537;

				{	/* Cfa/struct.scm 91 */
					obj_t BgL_pairz00_3538;

					BgL_pairz00_3538 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3491))))->BgL_argsz00);
					BgL_arg1598z00_3537 = CAR(CDR(BgL_pairz00_3538));
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1598z00_3537));
			}
			{	/* Cfa/struct.scm 92 */
				BgL_approxz00_bglt BgL_structzd2approxzd2_3539;

				{	/* Cfa/struct.scm 92 */
					obj_t BgL_arg1633z00_3540;

					{	/* Cfa/struct.scm 92 */
						obj_t BgL_pairz00_3541;

						BgL_pairz00_3541 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3491))))->BgL_argsz00);
						BgL_arg1633z00_3540 = CAR(BgL_pairz00_3541);
					}
					BgL_structzd2approxzd2_3539 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1633z00_3540));
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_structzd2approxzd2_3539))->
						BgL_topzf3zf3))
					{	/* Cfa/struct.scm 96 */
						BgL_approxz00_bglt BgL_arg1609z00_3542;

						{
							BgL_structzd2refzd2appz00_bglt BgL_auxz00_3759;

							{
								obj_t BgL_auxz00_3760;

								{	/* Cfa/struct.scm 96 */
									BgL_objectz00_bglt BgL_tmpz00_3761;

									BgL_tmpz00_3761 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3491));
									BgL_auxz00_3760 = BGL_OBJECT_WIDENING(BgL_tmpz00_3761);
								}
								BgL_auxz00_3759 =
									((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_3760);
							}
							BgL_arg1609z00_3542 =
								(((BgL_structzd2refzd2appz00_bglt) COBJECT(BgL_auxz00_3759))->
								BgL_approxz00);
						}
						BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1609z00_3542);
					}
				else
					{	/* Cfa/struct.scm 95 */
						BFALSE;
					}
				{	/* Cfa/struct.scm 99 */
					obj_t BgL_zc3z04anonymousza31614ze3z87_3543;

					BgL_zc3z04anonymousza31614ze3z87_3543 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31614ze3ze5zzcfa_structz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31614ze3z87_3543,
						(int) (((long) 0)), ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_3491)));
					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
						(BgL_zc3z04anonymousza31614ze3z87_3543,
						BgL_structzd2approxzd2_3539);
			}}
			{
				BgL_structzd2refzd2appz00_bglt BgL_auxz00_3776;

				{
					obj_t BgL_auxz00_3777;

					{	/* Cfa/struct.scm 104 */
						BgL_objectz00_bglt BgL_tmpz00_3778;

						BgL_tmpz00_3778 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3491));
						BgL_auxz00_3777 = BGL_OBJECT_WIDENING(BgL_tmpz00_3778);
					}
					BgL_auxz00_3776 = ((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_3777);
				}
				return
					(((BgL_structzd2refzd2appz00_bglt) COBJECT(BgL_auxz00_3776))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1614> */
	obj_t BGl_z62zc3z04anonymousza31614ze3ze5zzcfa_structz00(obj_t
		BgL_envz00_3492, obj_t BgL_appz00_3494)
	{
		{	/* Cfa/struct.scm 98 */
			{	/* Cfa/struct.scm 99 */
				BgL_appz00_bglt BgL_i1177z00_3493;

				BgL_i1177z00_3493 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_3492, (int) (((long) 0))));
				if (BGl_isazf3zf3zz__objectz00(BgL_appz00_3494,
						BGl_makezd2structzd2appz00zzcfa_info2z00))
					{	/* Cfa/struct.scm 99 */
						{	/* Cfa/struct.scm 101 */
							BgL_approxz00_bglt BgL_arg1618z00_3544;
							BgL_approxz00_bglt BgL_arg1626z00_3545;

							{
								BgL_structzd2refzd2appz00_bglt BgL_auxz00_3789;

								{
									obj_t BgL_auxz00_3790;

									{	/* Cfa/struct.scm 101 */
										BgL_objectz00_bglt BgL_tmpz00_3791;

										BgL_tmpz00_3791 = ((BgL_objectz00_bglt) BgL_i1177z00_3493);
										BgL_auxz00_3790 = BGL_OBJECT_WIDENING(BgL_tmpz00_3791);
									}
									BgL_auxz00_3789 =
										((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_3790);
								}
								BgL_arg1618z00_3544 =
									(((BgL_structzd2refzd2appz00_bglt) COBJECT(BgL_auxz00_3789))->
									BgL_approxz00);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3796;

								{
									obj_t BgL_auxz00_3797;

									{	/* Cfa/struct.scm 101 */
										BgL_objectz00_bglt BgL_tmpz00_3798;

										BgL_tmpz00_3798 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_3494));
										BgL_auxz00_3797 = BGL_OBJECT_WIDENING(BgL_tmpz00_3798);
									}
									BgL_auxz00_3796 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3797);
								}
								BgL_arg1626z00_3545 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3796))->BgL_valuezd2approxzd2);
							}
							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1618z00_3544,
								BgL_arg1626z00_3545);
						}
						{	/* Cfa/struct.scm 102 */
							BgL_approxz00_bglt BgL_arg1627z00_3546;
							BgL_typez00_bglt BgL_arg1631z00_3547;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_3805;

								{
									obj_t BgL_auxz00_3806;

									{	/* Cfa/struct.scm 102 */
										BgL_objectz00_bglt BgL_tmpz00_3807;

										BgL_tmpz00_3807 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_3494));
										BgL_auxz00_3806 = BGL_OBJECT_WIDENING(BgL_tmpz00_3807);
									}
									BgL_auxz00_3805 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3806);
								}
								BgL_arg1627z00_3546 =
									(((BgL_makezd2structzd2appz00_bglt)
										COBJECT(BgL_auxz00_3805))->BgL_valuezd2approxzd2);
							}
							{	/* Cfa/struct.scm 102 */
								BgL_approxz00_bglt BgL_arg1632z00_3548;

								{
									BgL_structzd2refzd2appz00_bglt BgL_auxz00_3813;

									{
										obj_t BgL_auxz00_3814;

										{	/* Cfa/struct.scm 102 */
											BgL_objectz00_bglt BgL_tmpz00_3815;

											BgL_tmpz00_3815 =
												((BgL_objectz00_bglt) BgL_i1177z00_3493);
											BgL_auxz00_3814 = BGL_OBJECT_WIDENING(BgL_tmpz00_3815);
										}
										BgL_auxz00_3813 =
											((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_3814);
									}
									BgL_arg1632z00_3548 =
										(((BgL_structzd2refzd2appz00_bglt)
											COBJECT(BgL_auxz00_3813))->BgL_approxz00);
								}
								BgL_arg1631z00_3547 =
									(((BgL_approxz00_bglt) COBJECT(BgL_arg1632z00_3548))->
									BgL_typez00);
							}
							return
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
								(BgL_arg1627z00_3546, BgL_arg1631z00_3547);
						}
					}
				else
					{	/* Cfa/struct.scm 99 */
						return BFALSE;
					}
			}
		}

	}



/* &cfa!-make-struct-app1508 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2structzd2app1508za2zzcfa_structz00(obj_t
		BgL_envz00_3495, obj_t BgL_nodez00_3496)
	{
		{	/* Cfa/struct.scm 71 */
			{	/* Cfa/struct.scm 74 */
				obj_t BgL_arg1578z00_3550;

				{	/* Cfa/struct.scm 74 */
					obj_t BgL_pairz00_3551;

					BgL_pairz00_3551 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3496))))->BgL_argsz00);
					BgL_arg1578z00_3550 = CAR(BgL_pairz00_3551);
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1578z00_3550));
			}
			{	/* Cfa/struct.scm 75 */
				BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_3552;

				{	/* Cfa/struct.scm 75 */
					obj_t BgL_arg1590z00_3553;

					{	/* Cfa/struct.scm 75 */
						obj_t BgL_pairz00_3554;

						BgL_pairz00_3554 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3496))))->BgL_argsz00);
						BgL_arg1590z00_3553 = CAR(CDR(BgL_pairz00_3554));
					}
					BgL_initzd2valuezd2approxz00_3552 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1590z00_3553));
				}
				{	/* Cfa/struct.scm 76 */
					BgL_approxz00_bglt BgL_arg1585z00_3555;

					{
						BgL_makezd2structzd2appz00_bglt BgL_auxz00_3835;

						{
							obj_t BgL_auxz00_3836;

							{	/* Cfa/struct.scm 76 */
								BgL_objectz00_bglt BgL_tmpz00_3837;

								BgL_tmpz00_3837 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3496));
								BgL_auxz00_3836 = BGL_OBJECT_WIDENING(BgL_tmpz00_3837);
							}
							BgL_auxz00_3835 =
								((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3836);
						}
						BgL_arg1585z00_3555 =
							(((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_3835))->
							BgL_valuezd2approxzd2);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1585z00_3555,
						BgL_initzd2valuezd2approxz00_3552);
				}
				{
					BgL_makezd2structzd2appz00_bglt BgL_auxz00_3844;

					{
						obj_t BgL_auxz00_3845;

						{	/* Cfa/struct.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_3846;

							BgL_tmpz00_3846 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3496));
							BgL_auxz00_3845 = BGL_OBJECT_WIDENING(BgL_tmpz00_3846);
						}
						BgL_auxz00_3844 =
							((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_3845);
					}
					return
						(((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_3844))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-pre-stru1506 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2stru1506za2zzcfa_structz00(obj_t
		BgL_envz00_3497, obj_t BgL_nodez00_3498)
	{
		{	/* Cfa/struct.scm 62 */
			{	/* Cfa/struct.scm 64 */
				obj_t BgL_arg1563z00_3557;

				BgL_arg1563z00_3557 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_3498))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1563z00_3557);
			}
			{	/* Cfa/struct.scm 65 */
				BgL_appz00_bglt BgL_nodez00_3558;

				{	/* Cfa/struct.scm 65 */
					long BgL_arg1568z00_3559;

					{	/* Cfa/struct.scm 65 */
						obj_t BgL_arg1573z00_3560;

						{	/* Cfa/struct.scm 65 */
							obj_t BgL_arg1574z00_3561;

							{	/* Cfa/struct.scm 65 */
								long BgL_arg1744z00_3562;

								{	/* Cfa/struct.scm 65 */
									long BgL_arg1745z00_3563;

									{	/* Cfa/struct.scm 65 */
										long BgL_res1913z00_3564;

										BgL_res1913z00_3564 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3498)));
										BgL_arg1745z00_3563 = BgL_res1913z00_3564;
									}
									BgL_arg1744z00_3562 = (BgL_arg1745z00_3563 - OBJECT_TYPE);
								}
								BgL_arg1574z00_3561 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1744z00_3562);
							}
							BgL_arg1573z00_3560 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1574z00_3561);
						}
						{	/* Cfa/struct.scm 65 */
							long BgL_res1917z00_3565;

							{	/* Cfa/struct.scm 65 */
								obj_t BgL_tmpz00_3862;

								BgL_tmpz00_3862 = ((obj_t) BgL_arg1573z00_3560);
								BgL_res1917z00_3565 = BGL_CLASS_INDEX(BgL_tmpz00_3862);
							}
							BgL_arg1568z00_3559 = BgL_res1917z00_3565;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_3498)), BgL_arg1568z00_3559);
				}
				{	/* Cfa/struct.scm 65 */
					BgL_objectz00_bglt BgL_tmpz00_3868;

					BgL_tmpz00_3868 =
						((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3498));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3868, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3498));
				BgL_nodez00_3558 = ((BgL_appz00_bglt) BgL_nodez00_3498);
				{	/* Cfa/struct.scm 66 */
					BgL_structzd2setz12zd2appz12_bglt BgL_wide1174z00_3566;

					BgL_wide1174z00_3566 =
						((BgL_structzd2setz12zd2appz12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_structzd2setz12zd2appz12_bgl))));
					{	/* Cfa/struct.scm 66 */
						obj_t BgL_auxz00_3880;
						BgL_objectz00_bglt BgL_tmpz00_3876;

						BgL_auxz00_3880 = ((obj_t) BgL_wide1174z00_3566);
						BgL_tmpz00_3876 =
							((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3558)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3876, BgL_auxz00_3880);
					}
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3558)));
					{	/* Cfa/struct.scm 66 */
						long BgL_arg1564z00_3567;

						{	/* Cfa/struct.scm 66 */
							long BgL_res1918z00_3568;

							BgL_res1918z00_3568 =
								BGL_CLASS_INDEX(BGl_structzd2setz12zd2appz12zzcfa_info2z00);
							BgL_arg1564z00_3567 = BgL_res1918z00_3568;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3558))), BgL_arg1564z00_3567);
					}
					((BgL_appz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3558)));
				}
				{
					BgL_structzd2setz12zd2appz12_bglt BgL_auxz00_3894;

					{
						obj_t BgL_auxz00_3895;

						{	/* Cfa/struct.scm 66 */
							BgL_objectz00_bglt BgL_tmpz00_3896;

							BgL_tmpz00_3896 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3558)));
							BgL_auxz00_3895 = BGL_OBJECT_WIDENING(BgL_tmpz00_3896);
						}
						BgL_auxz00_3894 =
							((BgL_structzd2setz12zd2appz12_bglt) BgL_auxz00_3895);
					}
					((((BgL_structzd2setz12zd2appz12_bglt) COBJECT(BgL_auxz00_3894))->
							BgL_approxz00) =
						((BgL_approxz00_bglt)
							BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
									BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
				}
				return
					((obj_t) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3558)));
			}
		}

	}



/* &node-setup!-pre-stru1504 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2stru1504za2zzcfa_structz00(obj_t
		BgL_envz00_3499, obj_t BgL_nodez00_3500)
	{
		{	/* Cfa/struct.scm 53 */
			{	/* Cfa/struct.scm 55 */
				obj_t BgL_arg1544z00_3570;

				BgL_arg1544z00_3570 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_3500))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1544z00_3570);
			}
			{	/* Cfa/struct.scm 56 */
				BgL_appz00_bglt BgL_nodez00_3571;

				{	/* Cfa/struct.scm 56 */
					long BgL_arg1554z00_3572;

					{	/* Cfa/struct.scm 56 */
						obj_t BgL_arg1558z00_3573;

						{	/* Cfa/struct.scm 56 */
							obj_t BgL_arg1559z00_3574;

							{	/* Cfa/struct.scm 56 */
								long BgL_arg1744z00_3575;

								{	/* Cfa/struct.scm 56 */
									long BgL_arg1745z00_3576;

									{	/* Cfa/struct.scm 56 */
										long BgL_res1909z00_3577;

										BgL_res1909z00_3577 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3500)));
										BgL_arg1745z00_3576 = BgL_res1909z00_3577;
									}
									BgL_arg1744z00_3575 = (BgL_arg1745z00_3576 - OBJECT_TYPE);
								}
								BgL_arg1559z00_3574 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1744z00_3575);
							}
							BgL_arg1558z00_3573 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1559z00_3574);
						}
						{	/* Cfa/struct.scm 56 */
							long BgL_res1911z00_3578;

							{	/* Cfa/struct.scm 56 */
								obj_t BgL_tmpz00_3918;

								BgL_tmpz00_3918 = ((obj_t) BgL_arg1558z00_3573);
								BgL_res1911z00_3578 = BGL_CLASS_INDEX(BgL_tmpz00_3918);
							}
							BgL_arg1554z00_3572 = BgL_res1911z00_3578;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_3500)), BgL_arg1554z00_3572);
				}
				{	/* Cfa/struct.scm 56 */
					BgL_objectz00_bglt BgL_tmpz00_3924;

					BgL_tmpz00_3924 =
						((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3500));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3924, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3500));
				BgL_nodez00_3571 = ((BgL_appz00_bglt) BgL_nodez00_3500);
				{	/* Cfa/struct.scm 57 */
					BgL_structzd2refzd2appz00_bglt BgL_wide1168z00_3579;

					BgL_wide1168z00_3579 =
						((BgL_structzd2refzd2appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_structzd2refzd2appz00_bgl))));
					{	/* Cfa/struct.scm 57 */
						obj_t BgL_auxz00_3936;
						BgL_objectz00_bglt BgL_tmpz00_3932;

						BgL_auxz00_3936 = ((obj_t) BgL_wide1168z00_3579);
						BgL_tmpz00_3932 =
							((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3571)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3932, BgL_auxz00_3936);
					}
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3571)));
					{	/* Cfa/struct.scm 57 */
						long BgL_arg1550z00_3580;

						{	/* Cfa/struct.scm 57 */
							long BgL_res1912z00_3581;

							BgL_res1912z00_3581 =
								BGL_CLASS_INDEX(BGl_structzd2refzd2appz00zzcfa_info2z00);
							BgL_arg1550z00_3580 = BgL_res1912z00_3581;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_3571))), BgL_arg1550z00_3580);
					}
					((BgL_appz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3571)));
				}
				{
					BgL_structzd2refzd2appz00_bglt BgL_auxz00_3950;

					{
						obj_t BgL_auxz00_3951;

						{	/* Cfa/struct.scm 57 */
							BgL_objectz00_bglt BgL_tmpz00_3952;

							BgL_tmpz00_3952 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3571)));
							BgL_auxz00_3951 = BGL_OBJECT_WIDENING(BgL_tmpz00_3952);
						}
						BgL_auxz00_3950 =
							((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_3951);
					}
					((((BgL_structzd2refzd2appz00_bglt) COBJECT(BgL_auxz00_3950))->
							BgL_approxz00) =
						((BgL_approxz00_bglt)
							BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
				}
				return
					((obj_t) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3571)));
			}
		}

	}



/* &node-setup!-pre-make1502 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1502za2zzcfa_structz00(obj_t
		BgL_envz00_3501, obj_t BgL_nodez00_3502)
	{
		{	/* Cfa/struct.scm 36 */
			{	/* Cfa/struct.scm 38 */
				obj_t BgL_arg1523z00_3583;

				BgL_arg1523z00_3583 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_3502))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1523z00_3583);
			}
			{	/* Cfa/struct.scm 39 */
				BgL_variablez00_bglt BgL_ownerz00_3584;

				{
					BgL_prezd2makezd2structzd2appzd2_bglt BgL_auxz00_3968;

					{
						obj_t BgL_auxz00_3969;

						{	/* Cfa/struct.scm 39 */
							BgL_objectz00_bglt BgL_tmpz00_3970;

							BgL_tmpz00_3970 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3502));
							BgL_auxz00_3969 = BGL_OBJECT_WIDENING(BgL_tmpz00_3970);
						}
						BgL_auxz00_3968 =
							((BgL_prezd2makezd2structzd2appzd2_bglt) BgL_auxz00_3969);
					}
					BgL_ownerz00_3584 =
						(((BgL_prezd2makezd2structzd2appzd2_bglt)
							COBJECT(BgL_auxz00_3968))->BgL_ownerz00);
				}
				{	/* Cfa/struct.scm 39 */
					BgL_appz00_bglt BgL_nodez00_3585;

					{	/* Cfa/struct.scm 40 */
						long BgL_arg1536z00_3586;

						{	/* Cfa/struct.scm 40 */
							obj_t BgL_arg1540z00_3587;

							{	/* Cfa/struct.scm 40 */
								obj_t BgL_arg1541z00_3588;

								{	/* Cfa/struct.scm 40 */
									long BgL_arg1744z00_3589;

									{	/* Cfa/struct.scm 40 */
										long BgL_arg1745z00_3590;

										{	/* Cfa/struct.scm 40 */
											long BgL_res1905z00_3591;

											BgL_res1905z00_3591 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_3502)));
											BgL_arg1745z00_3590 = BgL_res1905z00_3591;
										}
										BgL_arg1744z00_3589 = (BgL_arg1745z00_3590 - OBJECT_TYPE);
									}
									BgL_arg1541z00_3588 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										BgL_arg1744z00_3589);
								}
								BgL_arg1540z00_3587 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg1541z00_3588);
							}
							{	/* Cfa/struct.scm 40 */
								long BgL_res1907z00_3592;

								{	/* Cfa/struct.scm 40 */
									obj_t BgL_tmpz00_3982;

									BgL_tmpz00_3982 = ((obj_t) BgL_arg1540z00_3587);
									BgL_res1907z00_3592 = BGL_CLASS_INDEX(BgL_tmpz00_3982);
								}
								BgL_arg1536z00_3586 = BgL_res1907z00_3592;
						}}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_3502)), BgL_arg1536z00_3586);
					}
					{	/* Cfa/struct.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_3988;

						BgL_tmpz00_3988 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3502));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3988, BFALSE);
					}
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3502));
					BgL_nodez00_3585 = ((BgL_appz00_bglt) BgL_nodez00_3502);
					{	/* Cfa/struct.scm 40 */

						{	/* Cfa/struct.scm 41 */
							BgL_appz00_bglt BgL_wnodez00_3593;

							{	/* Cfa/struct.scm 41 */
								BgL_makezd2structzd2appz00_bglt BgL_wide1162z00_3594;

								BgL_wide1162z00_3594 =
									((BgL_makezd2structzd2appz00_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_makezd2structzd2appz00_bgl))));
								{	/* Cfa/struct.scm 41 */
									obj_t BgL_auxz00_4000;
									BgL_objectz00_bglt BgL_tmpz00_3996;

									BgL_auxz00_4000 = ((obj_t) BgL_wide1162z00_3594);
									BgL_tmpz00_3996 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3996, BgL_auxz00_4000);
								}
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585)));
								{	/* Cfa/struct.scm 41 */
									long BgL_arg1530z00_3595;

									{	/* Cfa/struct.scm 41 */
										long BgL_res1908z00_3596;

										BgL_res1908z00_3596 =
											BGL_CLASS_INDEX(BGl_makezd2structzd2appz00zzcfa_info2z00);
										BgL_arg1530z00_3595 = BgL_res1908z00_3596;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3585))),
										BgL_arg1530z00_3595);
								}
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585)));
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4014;

								{
									obj_t BgL_auxz00_4015;

									{	/* Cfa/struct.scm 43 */
										BgL_objectz00_bglt BgL_tmpz00_4016;

										BgL_tmpz00_4016 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585)));
										BgL_auxz00_4015 = BGL_OBJECT_WIDENING(BgL_tmpz00_4016);
									}
									BgL_auxz00_4014 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4015);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4014))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4024;

								{
									obj_t BgL_auxz00_4025;

									{	/* Cfa/struct.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_4026;

										BgL_tmpz00_4026 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585)));
										BgL_auxz00_4025 = BGL_OBJECT_WIDENING(BgL_tmpz00_4026);
									}
									BgL_auxz00_4024 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4025);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4024))->
										BgL_valuezd2approxzd2) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4034;

								{
									obj_t BgL_auxz00_4035;

									{	/* Cfa/struct.scm 40 */
										BgL_objectz00_bglt BgL_tmpz00_4036;

										BgL_tmpz00_4036 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585)));
										BgL_auxz00_4035 = BGL_OBJECT_WIDENING(BgL_tmpz00_4036);
									}
									BgL_auxz00_4034 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4035);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4034))->
										BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4043;

								{
									obj_t BgL_auxz00_4044;

									{	/* Cfa/struct.scm 42 */
										BgL_objectz00_bglt BgL_tmpz00_4045;

										BgL_tmpz00_4045 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585)));
										BgL_auxz00_4044 = BGL_OBJECT_WIDENING(BgL_tmpz00_4045);
									}
									BgL_auxz00_4043 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4044);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4043))->
										BgL_ownerz00) =
									((BgL_variablez00_bglt) BgL_ownerz00_3584), BUNSPEC);
							}
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4052;

								{
									obj_t BgL_auxz00_4053;

									{	/* Cfa/struct.scm 40 */
										BgL_objectz00_bglt BgL_tmpz00_4054;

										BgL_tmpz00_4054 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585)));
										BgL_auxz00_4053 = BGL_OBJECT_WIDENING(BgL_tmpz00_4054);
									}
									BgL_auxz00_4052 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4053);
								}
								((((BgL_makezd2structzd2appz00_bglt) COBJECT(BgL_auxz00_4052))->
										BgL_stackzd2stampzd2) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_wnodez00_3593 =
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3585));
							{	/* Cfa/struct.scm 47 */
								BgL_approxz00_bglt BgL_arg1524z00_3597;

								BgL_arg1524z00_3597 =
									BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
									((BgL_typez00_bglt) BGl_za2structza2z00zztype_cachez00),
									((BgL_nodez00_bglt) BgL_nodez00_3585));
								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4066;

									{
										obj_t BgL_auxz00_4067;

										{	/* Cfa/struct.scm 46 */
											BgL_objectz00_bglt BgL_tmpz00_4068;

											BgL_tmpz00_4068 =
												((BgL_objectz00_bglt) BgL_wnodez00_3593);
											BgL_auxz00_4067 = BGL_OBJECT_WIDENING(BgL_tmpz00_4068);
										}
										BgL_auxz00_4066 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4067);
									}
									return
										((((BgL_makezd2structzd2appz00_bglt)
												COBJECT(BgL_auxz00_4066))->BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_arg1524z00_3597), BUNSPEC);
								}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_structz00()
	{
		{	/* Cfa/struct.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string1935z00zzcfa_structz00));
		}

	}

#ifdef __cplusplus
}
#endif
