/*===========================================================================*/
/*   (Eval/expand.scm)                                                       */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 27 Feb 2020 07:59:49 AM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3g/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/expand.scm -o objs/obj_p/Eval/expand.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62initialzd2expanderzb0zz__expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__expandz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_expandzd2errorzd2zz__expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62expandzd2oncezb0zz__expandz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__expandz00();
static obj_t BGl_objectzd2initzd2zz__expandz00();
static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__expandz00(obj_t);
extern obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62applicationzd2evalzd2expanderz12z70zz__expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62expandz12z70zz__expandz00(obj_t, obj_t);
extern obj_t BGl_parsezd2formalzd2identz00zz__evutilsz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62z52withzd2lexicalze2zz__expandz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__expandz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__expandz00();
static obj_t BGl_initialzd2expanderz12zc0zz__expandz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62applicationzd2evalzd2expanderz62zz__expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62expandzd2errorzb0zz__expandz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_z62z52lexicalzd2stackze2zz__expandz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__expandz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evutilsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_expandz00zz__expandz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52withzd2lexicalz80zz__expandz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__expandz00();
BGL_EXPORTED_DECL obj_t BGl_z52lexicalzd2stackz80zz__expandz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__expandz00();
static obj_t BGl_gczd2rootszd2initz00zz__expandz00();
extern obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t);
static obj_t BGl_z62identifierzd2evalzd2expanderz62zz__expandz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandz12z12zz__expandz00(obj_t);
extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
static obj_t BGl_initialzd2expanderzd2zz__expandz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2oncezd2zz__expandz00(obj_t);
static obj_t BGl_z62initialzd2expanderz12za2zz__expandz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_profzd2initzd2zz__expandz00();
static obj_t BGl_loopze70ze7zz__expandz00(obj_t, obj_t);
static obj_t BGl_z62expandz62zz__expandz00(obj_t, obj_t);
static obj_t BGl_initialzd2expanderzf2applicationz20zz__expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1667z00zz__expandz00 = BUNSPEC;
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_expandzd2oncezd2envz00zz__expandz00, BgL_bgl_za762expandza7d2once1670z00, BGl_z62expandzd2oncezb0zz__expandz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_applicationzd2evalzd2expanderzd2envzd2zz__expandz00, BgL_bgl_za762applicationza7d1671z00, BGl_z62applicationzd2evalzd2expanderz62zz__expandz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_initialzd2expanderz12zd2envz12zz__expandz00, BgL_bgl_za762initialza7d2exp1672z00, BGl_z62initialzd2expanderz12za2zz__expandz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1659z00zz__expandz00, BgL_bgl_string1659za700za7za7_1673za7, "expand", 6 );
DEFINE_STRING( BGl_string1660z00zz__expandz00, BgL_bgl_string1660za700za7za7_1674za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string1662z00zz__expandz00, BgL_bgl_string1662za700za7za7_1675za7, "application", 11 );
DEFINE_STRING( BGl_string1663z00zz__expandz00, BgL_bgl_string1663za700za7za7_1676za7, "/builddir/build/BUILD/bigloo4.3g/runtime/Eval/expand.scm", 56 );
DEFINE_STRING( BGl_string1664z00zz__expandz00, BgL_bgl_string1664za700za7za7_1677za7, "&%with-lexical", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1658z00zz__expandz00, BgL_bgl_za762za7c3za704anonymo1678za7, BGl_z62zc3z04anonymousza31153ze3ze5zz__expandz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1665z00zz__expandz00, BgL_bgl_string1665za700za7za7_1679za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1666z00zz__expandz00, BgL_bgl_string1666za700za7za7_1680za7, "procedure", 9 );
DEFINE_STRING( BGl_string1668z00zz__expandz00, BgL_bgl_string1668za700za7za7_1681za7, "at", 2 );
DEFINE_STRING( BGl_string1669z00zz__expandz00, BgL_bgl_string1669za700za7za7_1682za7, "__expand", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1661z00zz__expandz00, BgL_bgl_za762za7c3za704anonymo1683za7, BGl_z62zc3z04anonymousza31183ze3ze5zz__expandz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_identifierzd2evalzd2expanderzd2envzd2zz__expandz00, BgL_bgl_za762identifierza7d21684z00, BGl_z62identifierzd2evalzd2expanderz62zz__expandz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_initialzd2expanderzd2envz00zz__expandz00, BgL_bgl_za762initialza7d2exp1685z00, BGl_z62initialzd2expanderzb0zz__expandz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_expandzd2envzd2zz__expandz00, BgL_bgl_za762expandza762za7za7__1686z00, BGl_z62expandz62zz__expandz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52withzd2lexicalzd2envz52zz__expandz00, BgL_bgl_za762za752withza7d2lex1687za7, BGl_z62z52withzd2lexicalze2zz__expandz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_expandz12zd2envzc0zz__expandz00, BgL_bgl_za762expandza712za770za71688z00, BGl_z62expandz12z70zz__expandz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_expandzd2errorzd2envz00zz__expandz00, BgL_bgl_za762expandza7d2erro1689z00, BGl_z62expandzd2errorzb0zz__expandz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52lexicalzd2stackzd2envz52zz__expandz00, BgL_bgl_za762za752lexicalza7d21690za7, BGl_z62z52lexicalzd2stackze2zz__expandz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_applicationzd2evalzd2expanderz12zd2envzc0zz__expandz00, BgL_bgl_za762applicationza7d1691z00, BGl_z62applicationzd2evalzd2expanderz12z70zz__expandz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__expandz00) );
ADD_ROOT( (void *)(&BGl_symbol1667z00zz__expandz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"expand\" \"Eval/expand.scm\" 2316) \"BGl_expandz00zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&expand\" \"Eval/expand.scm\" 2316) \"BGl_z62expandz62zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"expand!\" \"Eval/expand.scm\" 2601) \"BGl_expandz12z12zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&expand!\" \"Eval/expand.scm\" 2601) \"BGl_z62expandz12z70zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"expand-once\" \"Eval/expand.scm\" 2888) \"BGl_expandzd2oncezd2zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&expand-once\" \"Eval/expand.scm\" 2888) \"BGl_z62expandzd2oncezb0zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1153>\" \"Eval/expand.scm\" 2935) \"BGl_z62zc3z04anonymousza31153ze3ze5zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"initial-expander\" \"Eval/expand.scm\" 3177) \"BGl_initialzd2expanderzd2zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&initial-expander\" \"Eval/expand.scm\" 3177) \"BGl_z62initialzd2expanderzb0zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"initial-expander!\" \"Eval/expand.scm\" 3496) \"BGl_initialzd2expanderz12zc0zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&initial-expander!\" \"Eval/expand.scm\" 3496) \"BGl_z62initialzd2expanderz12za2zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"initial-expander/application\" \"Eval/expand.scm\" 3817) \"BGl_initialzd2expanderzf2applicationz20zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1183>\" \"Eval/expand.scm\" 4001) \"BGl_z62zc3z04anonymousza31183ze3ze5zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&identifier-eval-expander\" \"Eval/expand.scm\" 4757) \"BGl_z62identifierzd2evalzd2expanderz62zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/expand.scm\" 5068) \"BGl_loopze70ze7zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&application-eval-expander\" \"Eval/expand.scm\" 5025) \"BGl_z62applicationzd2evalzd2expanderz62zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&application-eval-expander!\" \"Eval/expand.scm\" 5518) \"BGl_z62applicationzd2evalzd2expanderz12z70zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"%lexical-stack\" \"Eval/expand.scm\" 5956) \"BGl_z52lexicalzd2stackz80zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&%lexical-stack\" \"Eval/expand.scm\" 5956) \"BGl_z62z52lexicalzd2stackze2zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"%with-lexical\" \"Eval/expand.scm\" 6225) \"BGl_z52withzd2lexicalz80zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&%with-lexical\" \"Eval/expand.scm\" 6225) \"BGl_z62z52withzd2lexicalze2zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1224>\" \"Eval/expand.scm\" 6542) \"BGl_z62zc3z04anonymousza31224ze3ze5zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"expand-error\" \"Eval/expand.scm\" 6843) \"BGl_expandzd2errorzd2zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&expand-error\" \"Eval/expand.scm\" 6843) \"BGl_z62expandzd2errorzb0zz__expandz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long BgL_checksumz00_1934, char * BgL_fromz00_1935)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__expandz00))
{ 
BGl_requirezd2initializa7ationz75zz__expandz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__expandz00(); 
BGl_cnstzd2initzd2zz__expandz00(); 
BGl_importedzd2moduleszd2initz00zz__expandz00(); 
return 
BGl_profzd2initzd2zz__expandz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__expandz00()
{
{ /* Eval/expand.scm 14 */
return ( 
BGl_symbol1667z00zz__expandz00 = 
bstring_to_symbol(BGl_string1668z00zz__expandz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__expandz00()
{
{ /* Eval/expand.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__expandz00()
{
{ /* Eval/expand.scm 14 */
return 
write_bprof_table();} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__expandz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
obj_t BgL_headz00_1083;
BgL_headz00_1083 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1084;obj_t BgL_tailz00_1085;
BgL_prevz00_1084 = BgL_headz00_1083; 
BgL_tailz00_1085 = BgL_l1z00_1; 
BgL_loopz00_1086:
if(
PAIRP(BgL_tailz00_1085))
{ 
obj_t BgL_newzd2prevzd2_1088;
BgL_newzd2prevzd2_1088 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1085), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1084, BgL_newzd2prevzd2_1088); 
{ 
obj_t BgL_tailz00_1953;obj_t BgL_prevz00_1952;
BgL_prevz00_1952 = BgL_newzd2prevzd2_1088; 
BgL_tailz00_1953 = 
CDR(BgL_tailz00_1085); 
BgL_tailz00_1085 = BgL_tailz00_1953; 
BgL_prevz00_1084 = BgL_prevz00_1952; 
goto BgL_loopz00_1086;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1083);} } } 

}



/* expand */
BGL_EXPORTED_DEF obj_t BGl_expandz00zz__expandz00(obj_t BgL_xz00_3)
{
{ /* Eval/expand.scm 71 */
return 
BGl_initialzd2expanderzd2zz__expandz00(BgL_xz00_3, BGl_initialzd2expanderzd2envz00zz__expandz00);} 

}



/* &expand */
obj_t BGl_z62expandz62zz__expandz00(obj_t BgL_envz00_1883, obj_t BgL_xz00_1884)
{
{ /* Eval/expand.scm 71 */
return 
BGl_expandz00zz__expandz00(BgL_xz00_1884);} 

}



/* expand! */
BGL_EXPORTED_DEF obj_t BGl_expandz12z12zz__expandz00(obj_t BgL_xz00_4)
{
{ /* Eval/expand.scm 77 */
return 
BGl_initialzd2expanderz12zc0zz__expandz00(BgL_xz00_4, BGl_initialzd2expanderz12zd2envz12zz__expandz00);} 

}



/* &expand! */
obj_t BGl_z62expandz12z70zz__expandz00(obj_t BgL_envz00_1888, obj_t BgL_xz00_1889)
{
{ /* Eval/expand.scm 77 */
return 
BGl_expandz12z12zz__expandz00(BgL_xz00_1889);} 

}



/* expand-once */
BGL_EXPORTED_DEF obj_t BGl_expandzd2oncezd2zz__expandz00(obj_t BgL_xz00_5)
{
{ /* Eval/expand.scm 83 */
return 
BGl_initialzd2expanderzd2zz__expandz00(BgL_xz00_5, BGl_proc1658z00zz__expandz00);} 

}



/* &expand-once */
obj_t BGl_z62expandzd2oncezb0zz__expandz00(obj_t BgL_envz00_1894, obj_t BgL_xz00_1895)
{
{ /* Eval/expand.scm 83 */
return 
BGl_expandzd2oncezd2zz__expandz00(BgL_xz00_1895);} 

}



/* &<@anonymous:1153> */
obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__expandz00(obj_t BgL_envz00_1896, obj_t BgL_xz00_1897, obj_t BgL_ez00_1898)
{
{ /* Eval/expand.scm 84 */
return BgL_xz00_1897;} 

}



/* initial-expander */
obj_t BGl_initialzd2expanderzd2zz__expandz00(obj_t BgL_xz00_6, obj_t BgL_ez00_7)
{
{ /* Eval/expand.scm 89 */
return 
BGl_initialzd2expanderzf2applicationz20zz__expandz00(BgL_xz00_6, BgL_ez00_7, BGl_applicationzd2evalzd2expanderzd2envzd2zz__expandz00);} 

}



/* &initial-expander */
obj_t BGl_z62initialzd2expanderzb0zz__expandz00(obj_t BgL_envz00_1885, obj_t BgL_xz00_1886, obj_t BgL_ez00_1887)
{
{ /* Eval/expand.scm 89 */
return 
BGl_initialzd2expanderzd2zz__expandz00(BgL_xz00_1886, BgL_ez00_1887);} 

}



/* initial-expander! */
obj_t BGl_initialzd2expanderz12zc0zz__expandz00(obj_t BgL_xz00_8, obj_t BgL_ez00_9)
{
{ /* Eval/expand.scm 95 */
return 
BGl_initialzd2expanderzf2applicationz20zz__expandz00(BgL_xz00_8, BgL_ez00_9, BGl_applicationzd2evalzd2expanderz12zd2envzc0zz__expandz00);} 

}



/* &initial-expander! */
obj_t BGl_z62initialzd2expanderz12za2zz__expandz00(obj_t BgL_envz00_1890, obj_t BgL_xz00_1891, obj_t BgL_ez00_1892)
{
{ /* Eval/expand.scm 95 */
return 
BGl_initialzd2expanderz12zc0zz__expandz00(BgL_xz00_1891, BgL_ez00_1892);} 

}



/* initial-expander/application */
obj_t BGl_initialzd2expanderzf2applicationz20zz__expandz00(obj_t BgL_xz00_10, obj_t BgL_ez00_11, obj_t BgL_aez00_12)
{
{ /* Eval/expand.scm 101 */
{ /* Eval/expand.scm 102 */
obj_t BgL_e1z00_1096;
if(
SYMBOLP(BgL_xz00_10))
{ /* Eval/expand.scm 103 */
BgL_e1z00_1096 = BGl_identifierzd2evalzd2expanderzd2envzd2zz__expandz00; }  else 
{ /* Eval/expand.scm 103 */
if(
NULLP(BgL_xz00_10))
{ /* Eval/expand.scm 105 */
BgL_e1z00_1096 = 
BGl_errorz00zz__errorz00(BGl_string1659z00zz__expandz00, BGl_string1660z00zz__expandz00, BNIL); }  else 
{ /* Eval/expand.scm 105 */
if(
PAIRP(BgL_xz00_10))
{ /* Eval/expand.scm 109 */
bool_t BgL_test1697z00_1973;
{ /* Eval/expand.scm 109 */
obj_t BgL_tmpz00_1974;
BgL_tmpz00_1974 = 
CAR(BgL_xz00_10); 
BgL_test1697z00_1973 = 
SYMBOLP(BgL_tmpz00_1974); } 
if(BgL_test1697z00_1973)
{ /* Eval/expand.scm 111 */
obj_t BgL_g1038z00_1111;
BgL_g1038z00_1111 = 
BGl_getzd2evalzd2expanderz00zz__macroz00(
CAR(BgL_xz00_10)); 
if(
CBOOL(BgL_g1038z00_1111))
{ /* Eval/expand.scm 111 */
BgL_e1z00_1096 = BgL_g1038z00_1111; }  else 
{ /* Eval/expand.scm 115 */
obj_t BgL_locz00_1114;
BgL_locz00_1114 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_xz00_10); 
{ /* Eval/expand.scm 115 */
obj_t BgL_idz00_1115;
{ /* Eval/expand.scm 116 */
obj_t BgL_arg1178z00_1124;
BgL_arg1178z00_1124 = 
BGl_parsezd2formalzd2identz00zz__evutilsz00(
CAR(BgL_xz00_10), BgL_locz00_1114); 
BgL_idz00_1115 = 
CAR(
((obj_t)BgL_arg1178z00_1124)); } 
{ /* Eval/expand.scm 116 */

{ /* Eval/expand.scm 118 */
bool_t BgL_test1699z00_1986;
{ /* Eval/expand.scm 118 */
obj_t BgL_arg1175z00_1122;
{ /* Eval/expand.scm 118 */
obj_t BgL_arg1177z00_1123;
{ /* Eval/expand.scm 118 */
obj_t BgL_res1581z00_1599;
BgL_res1581z00_1599 = 
BGL_LEXICAL_STACK(); 
BgL_arg1177z00_1123 = BgL_res1581z00_1599; } 
BgL_arg1175z00_1122 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1115, BgL_arg1177z00_1123); } 
BgL_test1699z00_1986 = 
PAIRP(BgL_arg1175z00_1122); } 
if(BgL_test1699z00_1986)
{ /* Eval/expand.scm 118 */
BgL_e1z00_1096 = BgL_aez00_12; }  else 
{ /* Eval/expand.scm 120 */
obj_t BgL_g1040z00_1119;
BgL_g1040z00_1119 = 
BGl_getzd2evalzd2expanderz00zz__macroz00(BgL_idz00_1115); 
if(
CBOOL(BgL_g1040z00_1119))
{ /* Eval/expand.scm 120 */
BgL_e1z00_1096 = BgL_g1040z00_1119; }  else 
{ /* Eval/expand.scm 120 */
BgL_e1z00_1096 = BgL_aez00_12; } } } } } } }  else 
{ /* Eval/expand.scm 109 */
BgL_e1z00_1096 = BgL_aez00_12; } }  else 
{ /* Eval/expand.scm 107 */
BgL_e1z00_1096 = BGl_proc1661z00zz__expandz00; } } } 
{ /* Eval/expand.scm 127 */
obj_t BgL_newz00_1097;
BgL_newz00_1097 = 
PROCEDURE_ENTRY(BgL_e1z00_1096)(BgL_e1z00_1096, BgL_xz00_10, BgL_ez00_11, BEOA); 
{ /* Eval/expand.scm 128 */
bool_t BgL_test1701z00_1998;
if(
PAIRP(BgL_newz00_1097))
{ /* Eval/expand.scm 128 */
bool_t BgL_test1703z00_2001;
{ /* Eval/expand.scm 128 */
bool_t BgL_res1584z00_1602;
BgL_res1584z00_1602 = 
EPAIRP(BgL_newz00_1097); 
BgL_test1703z00_2001 = BgL_res1584z00_1602; } 
if(BgL_test1703z00_2001)
{ /* Eval/expand.scm 128 */
BgL_test1701z00_1998 = ((bool_t)0)
; }  else 
{ /* Eval/expand.scm 128 */
bool_t BgL_res1585z00_1603;
BgL_res1585z00_1603 = 
EPAIRP(BgL_xz00_10); 
BgL_test1701z00_1998 = BgL_res1585z00_1603; } }  else 
{ /* Eval/expand.scm 128 */
BgL_test1701z00_1998 = ((bool_t)0)
; } 
if(BgL_test1701z00_1998)
{ /* Eval/expand.scm 129 */
obj_t BgL_arg1157z00_1101;obj_t BgL_arg1158z00_1102;obj_t BgL_arg1159z00_1103;
BgL_arg1157z00_1101 = 
CAR(BgL_newz00_1097); 
BgL_arg1158z00_1102 = 
CDR(BgL_newz00_1097); 
BgL_arg1159z00_1103 = 
CER(
((obj_t)BgL_xz00_10)); 
{ /* Eval/expand.scm 129 */
obj_t BgL_res1586z00_1607;
BgL_res1586z00_1607 = 
MAKE_YOUNG_EPAIR(BgL_arg1157z00_1101, BgL_arg1158z00_1102, BgL_arg1159z00_1103); 
return BgL_res1586z00_1607;} }  else 
{ /* Eval/expand.scm 128 */
return BgL_newz00_1097;} } } } } 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__expandz00(obj_t BgL_envz00_1906, obj_t BgL_xz00_1907, obj_t BgL_ez00_1908)
{
{ /* Eval/expand.scm 108 */
return BgL_xz00_1907;} 

}



/* &identifier-eval-expander */
obj_t BGl_z62identifierzd2evalzd2expanderz62zz__expandz00(obj_t BgL_envz00_1909, obj_t BgL_xz00_1910, obj_t BgL_ez00_1911)
{
{ /* Eval/expand.scm 135 */
return BgL_xz00_1910;} 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__expandz00(obj_t BgL_ez00_1925, obj_t BgL_xz00_1132)
{
{ /* Eval/expand.scm 142 */
if(
NULLP(BgL_xz00_1132))
{ /* Eval/expand.scm 144 */
return BNIL;}  else 
{ /* Eval/expand.scm 144 */
if(
PAIRP(BgL_xz00_1132))
{ /* Eval/expand.scm 148 */
bool_t BgL_test1707z00_2013;
{ /* Eval/expand.scm 148 */
bool_t BgL_res1589z00_1610;
BgL_res1589z00_1610 = 
EPAIRP(BgL_xz00_1132); 
BgL_test1707z00_2013 = BgL_res1589z00_1610; } 
if(BgL_test1707z00_2013)
{ /* Eval/expand.scm 149 */
obj_t BgL_arg1189z00_1137;obj_t BgL_arg1191z00_1138;obj_t BgL_arg1193z00_1139;
{ /* Eval/expand.scm 149 */
obj_t BgL_arg1194z00_1140;
BgL_arg1194z00_1140 = 
CAR(BgL_xz00_1132); 
BgL_arg1189z00_1137 = 
PROCEDURE_ENTRY(BgL_ez00_1925)(BgL_ez00_1925, BgL_arg1194z00_1140, BgL_ez00_1925, BEOA); } 
BgL_arg1191z00_1138 = 
BGl_loopze70ze7zz__expandz00(BgL_ez00_1925, 
CDR(BgL_xz00_1132)); 
BgL_arg1193z00_1139 = 
CER(BgL_xz00_1132); 
{ /* Eval/expand.scm 149 */
obj_t BgL_res1590z00_1614;
BgL_res1590z00_1614 = 
MAKE_YOUNG_EPAIR(BgL_arg1189z00_1137, BgL_arg1191z00_1138, BgL_arg1193z00_1139); 
return BgL_res1590z00_1614;} }  else 
{ /* Eval/expand.scm 151 */
obj_t BgL_arg1197z00_1142;obj_t BgL_arg1198z00_1143;
{ /* Eval/expand.scm 151 */
obj_t BgL_arg1199z00_1144;
BgL_arg1199z00_1144 = 
CAR(BgL_xz00_1132); 
BgL_arg1197z00_1142 = 
PROCEDURE_ENTRY(BgL_ez00_1925)(BgL_ez00_1925, BgL_arg1199z00_1144, BgL_ez00_1925, BEOA); } 
BgL_arg1198z00_1143 = 
BGl_loopze70ze7zz__expandz00(BgL_ez00_1925, 
CDR(BgL_xz00_1132)); 
return 
MAKE_YOUNG_PAIR(BgL_arg1197z00_1142, BgL_arg1198z00_1143);} }  else 
{ /* Eval/expand.scm 146 */
return 
BGl_errorz00zz__errorz00(BGl_string1662z00zz__expandz00, BGl_string1660z00zz__expandz00, BgL_xz00_1132);} } } 

}



/* &application-eval-expander */
obj_t BGl_z62applicationzd2evalzd2expanderz62zz__expandz00(obj_t BgL_envz00_1899, obj_t BgL_xz00_1900, obj_t BgL_ez00_1901)
{
{ /* Eval/expand.scm 141 */
return 
BGl_loopze70ze7zz__expandz00(BgL_ez00_1901, BgL_xz00_1900);} 

}



/* &application-eval-expander! */
obj_t BGl_z62applicationzd2evalzd2expanderz12z70zz__expandz00(obj_t BgL_envz00_1902, obj_t BgL_xz00_1903, obj_t BgL_ez00_1904)
{
{ /* Eval/expand.scm 156 */
{ 
obj_t BgL_yz00_1931;
BgL_yz00_1931 = BgL_xz00_1903; 
BgL_loopz00_1930:
if(
NULLP(BgL_yz00_1931))
{ /* Eval/expand.scm 159 */
return BgL_xz00_1903;}  else 
{ /* Eval/expand.scm 159 */
if(
PAIRP(BgL_yz00_1931))
{ /* Eval/expand.scm 161 */
{ /* Eval/expand.scm 164 */
obj_t BgL_arg1205z00_1932;
{ /* Eval/expand.scm 164 */
obj_t BgL_arg1207z00_1933;
BgL_arg1207z00_1933 = 
CAR(BgL_yz00_1931); 
BgL_arg1205z00_1932 = 
PROCEDURE_ENTRY(BgL_ez00_1904)(BgL_ez00_1904, BgL_arg1207z00_1933, BgL_ez00_1904, BEOA); } 
SET_CAR(BgL_yz00_1931, BgL_arg1205z00_1932); } 
{ 
obj_t BgL_yz00_2047;
BgL_yz00_2047 = 
CDR(BgL_yz00_1931); 
BgL_yz00_1931 = BgL_yz00_2047; 
goto BgL_loopz00_1930;} }  else 
{ /* Eval/expand.scm 161 */
return 
BGl_errorz00zz__errorz00(BGl_string1662z00zz__expandz00, BGl_string1660z00zz__expandz00, BgL_yz00_1931);} } } } 

}



/* %lexical-stack */
BGL_EXPORTED_DEF obj_t BGl_z52lexicalzd2stackz80zz__expandz00()
{
{ /* Eval/expand.scm 170 */
return 
BGL_LEXICAL_STACK();} 

}



/* &%lexical-stack */
obj_t BGl_z62z52lexicalzd2stackze2zz__expandz00(obj_t BgL_envz00_1912)
{
{ /* Eval/expand.scm 170 */
return 
BGl_z52lexicalzd2stackz80zz__expandz00();} 

}



/* %with-lexical */
BGL_EXPORTED_DEF obj_t BGl_z52withzd2lexicalz80zz__expandz00(obj_t BgL_newz00_19, obj_t BgL_formz00_20, obj_t BgL_ez00_21, obj_t BgL_keyz00_22)
{
{ /* Eval/expand.scm 176 */
{ /* Eval/expand.scm 177 */
obj_t BgL_oldzd2lexicalzd2stackz00_1156;
{ /* Eval/expand.scm 177 */
obj_t BgL_res1593z00_1622;
BgL_res1593z00_1622 = 
BGL_LEXICAL_STACK(); 
BgL_oldzd2lexicalzd2stackz00_1156 = BgL_res1593z00_1622; } 
{ /* Eval/expand.scm 179 */
obj_t BgL_arg1209z00_1157;
{ /* Eval/expand.scm 179 */
obj_t BgL_arg1212z00_1158;
if(
NULLP(BgL_newz00_19))
{ /* Eval/expand.scm 179 */
BgL_arg1212z00_1158 = BNIL; }  else 
{ /* Eval/expand.scm 179 */
obj_t BgL_head1087z00_1161;
{ /* Eval/expand.scm 179 */
obj_t BgL_res1595z00_1624;
BgL_res1595z00_1624 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1087z00_1161 = BgL_res1595z00_1624; } 
{ 
obj_t BgL_l1085z00_1163;obj_t BgL_tail1088z00_1164;
BgL_l1085z00_1163 = BgL_newz00_19; 
BgL_tail1088z00_1164 = BgL_head1087z00_1161; 
BgL_zc3z04anonymousza31214ze3z87_1165:
if(
NULLP(BgL_l1085z00_1163))
{ /* Eval/expand.scm 179 */
BgL_arg1212z00_1158 = 
CDR(BgL_head1087z00_1161); }  else 
{ /* Eval/expand.scm 179 */
obj_t BgL_newtail1089z00_1167;
{ /* Eval/expand.scm 179 */
obj_t BgL_arg1217z00_1169;
{ /* Eval/expand.scm 179 */
obj_t BgL_nz00_1170;
BgL_nz00_1170 = 
CAR(
((obj_t)BgL_l1085z00_1163)); 
{ /* Eval/expand.scm 180 */
obj_t BgL_fz00_1171;
BgL_fz00_1171 = 
BGl_parsezd2formalzd2identz00zz__evutilsz00(BgL_nz00_1170, 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_21)); 
if(
PAIRP(BgL_fz00_1171))
{ /* Eval/expand.scm 182 */
BgL_arg1217z00_1169 = 
MAKE_YOUNG_PAIR(
CAR(BgL_fz00_1171), BgL_keyz00_22); }  else 
{ /* Eval/expand.scm 182 */
BgL_arg1217z00_1169 = 
MAKE_YOUNG_PAIR(BgL_nz00_1170, BgL_keyz00_22); } } } 
{ /* Eval/expand.scm 179 */
obj_t BgL_res1598z00_1630;
BgL_res1598z00_1630 = 
MAKE_YOUNG_PAIR(BgL_arg1217z00_1169, BNIL); 
BgL_newtail1089z00_1167 = BgL_res1598z00_1630; } } 
SET_CDR(BgL_tail1088z00_1164, BgL_newtail1089z00_1167); 
{ /* Eval/expand.scm 179 */
obj_t BgL_arg1216z00_1168;
BgL_arg1216z00_1168 = 
CDR(
((obj_t)BgL_l1085z00_1163)); 
{ 
obj_t BgL_tail1088z00_2073;obj_t BgL_l1085z00_2072;
BgL_l1085z00_2072 = BgL_arg1216z00_1168; 
BgL_tail1088z00_2073 = BgL_newtail1089z00_1167; 
BgL_tail1088z00_1164 = BgL_tail1088z00_2073; 
BgL_l1085z00_1163 = BgL_l1085z00_2072; 
goto BgL_zc3z04anonymousza31214ze3z87_1165;} } } } } 
BgL_arg1209z00_1157 = 
BGl_appendzd221010zd2zz__expandz00(BgL_arg1212z00_1158, BgL_oldzd2lexicalzd2stackz00_1156); } 
BGL_LEXICAL_STACK_SET(BgL_arg1209z00_1157); BUNSPEC; } 
{ /* Eval/expand.scm 187 */
obj_t BgL_exitd1042z00_1176;
BgL_exitd1042z00_1176 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
obj_t BgL_zc3z04anonymousza31224ze3z87_1913;
BgL_zc3z04anonymousza31224ze3z87_1913 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31224ze3ze5zz__expandz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31224ze3z87_1913, 
(int)(((long)0)), BgL_oldzd2lexicalzd2stackz00_1156); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1042z00_1176, BgL_zc3z04anonymousza31224ze3z87_1913); 
{ /* Eval/expand.scm 188 */
obj_t BgL_tmp1044z00_1178;
BgL_tmp1044z00_1178 = 
PROCEDURE_ENTRY(BgL_ez00_21)(BgL_ez00_21, BgL_formz00_20, BgL_ez00_21, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1042z00_1176); 
BGl_z62zc3z04anonymousza31224ze3ze5zz__expandz00(BgL_zc3z04anonymousza31224ze3z87_1913); 
return BgL_tmp1044z00_1178;} } } } } 

}



/* &%with-lexical */
obj_t BGl_z62z52withzd2lexicalze2zz__expandz00(obj_t BgL_envz00_1914, obj_t BgL_newz00_1915, obj_t BgL_formz00_1916, obj_t BgL_ez00_1917, obj_t BgL_keyz00_1918)
{
{ /* Eval/expand.scm 176 */
{ /* Eval/expand.scm 177 */
obj_t BgL_auxz00_2097;obj_t BgL_auxz00_2090;
if(
PROCEDUREP(BgL_ez00_1917))
{ /* Eval/expand.scm 177 */
BgL_auxz00_2097 = BgL_ez00_1917
; }  else 
{ 
obj_t BgL_auxz00_2100;
BgL_auxz00_2100 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1663z00zz__expandz00, 
BINT(((long)6267)), BGl_string1664z00zz__expandz00, BGl_string1666z00zz__expandz00, BgL_ez00_1917); 
FAILURE(BgL_auxz00_2100,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_newz00_1915))
{ /* Eval/expand.scm 177 */
BgL_auxz00_2090 = BgL_newz00_1915
; }  else 
{ 
obj_t BgL_auxz00_2093;
BgL_auxz00_2093 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1663z00zz__expandz00, 
BINT(((long)6267)), BGl_string1664z00zz__expandz00, BGl_string1665z00zz__expandz00, BgL_newz00_1915); 
FAILURE(BgL_auxz00_2093,BFALSE,BFALSE);} 
return 
BGl_z52withzd2lexicalz80zz__expandz00(BgL_auxz00_2090, BgL_formz00_1916, BgL_auxz00_2097, BgL_keyz00_1918);} } 

}



/* &<@anonymous:1224> */
obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__expandz00(obj_t BgL_envz00_1919)
{
{ /* Eval/expand.scm 187 */
{ 
obj_t BgL_oldzd2lexicalzd2stackz00_1920;
BgL_oldzd2lexicalzd2stackz00_1920 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1919, 
(int)(((long)0)))); 
BGL_LEXICAL_STACK_SET(BgL_oldzd2lexicalzd2stackz00_1920); 
return BUNSPEC;} } 

}



/* expand-error */
BGL_EXPORTED_DEF obj_t BGl_expandzd2errorzd2zz__expandz00(obj_t BgL_procz00_23, obj_t BgL_msgz00_24, obj_t BgL_objz00_25)
{
{ /* Eval/expand.scm 194 */
{ /* Eval/expand.scm 195 */
bool_t BgL_test1716z00_2109;
{ /* Eval/expand.scm 195 */
bool_t BgL_res1599z00_1633;
BgL_res1599z00_1633 = 
EPAIRP(BgL_objz00_25); 
BgL_test1716z00_2109 = BgL_res1599z00_1633; } 
if(BgL_test1716z00_2109)
{ 
obj_t BgL_fnamez00_1182;obj_t BgL_locz00_1183;
{ /* Eval/expand.scm 196 */
obj_t BgL_ezd2103zd2_1186;
BgL_ezd2103zd2_1186 = 
CER(
((obj_t)BgL_objz00_25)); 
if(
PAIRP(BgL_ezd2103zd2_1186))
{ /* Eval/expand.scm 196 */
obj_t BgL_cdrzd2109zd2_1188;
BgL_cdrzd2109zd2_1188 = 
CDR(BgL_ezd2103zd2_1186); 
if(
(
CAR(BgL_ezd2103zd2_1186)==BGl_symbol1667z00zz__expandz00))
{ /* Eval/expand.scm 196 */
if(
PAIRP(BgL_cdrzd2109zd2_1188))
{ /* Eval/expand.scm 196 */
obj_t BgL_cdrzd2113zd2_1192;
BgL_cdrzd2113zd2_1192 = 
CDR(BgL_cdrzd2109zd2_1188); 
if(
PAIRP(BgL_cdrzd2113zd2_1192))
{ /* Eval/expand.scm 196 */
if(
NULLP(
CDR(BgL_cdrzd2113zd2_1192)))
{ /* Eval/expand.scm 196 */
BgL_fnamez00_1182 = 
CAR(BgL_cdrzd2109zd2_1188); 
BgL_locz00_1183 = 
CAR(BgL_cdrzd2113zd2_1192); 
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_23, BgL_msgz00_24, BgL_objz00_25, BgL_fnamez00_1182, BgL_locz00_1183);}  else 
{ /* Eval/expand.scm 196 */
BgL_tagzd2102zd2_1185:
return 
BGl_errorz00zz__errorz00(BgL_procz00_23, BgL_msgz00_24, BgL_objz00_25);} }  else 
{ /* Eval/expand.scm 196 */
goto BgL_tagzd2102zd2_1185;} }  else 
{ /* Eval/expand.scm 196 */
goto BgL_tagzd2102zd2_1185;} }  else 
{ /* Eval/expand.scm 196 */
goto BgL_tagzd2102zd2_1185;} }  else 
{ /* Eval/expand.scm 196 */
goto BgL_tagzd2102zd2_1185;} } }  else 
{ /* Eval/expand.scm 195 */
return 
BGl_errorz00zz__errorz00(BgL_procz00_23, BgL_msgz00_24, BgL_objz00_25);} } } 

}



/* &expand-error */
obj_t BGl_z62expandzd2errorzb0zz__expandz00(obj_t BgL_envz00_1921, obj_t BgL_procz00_1922, obj_t BgL_msgz00_1923, obj_t BgL_objz00_1924)
{
{ /* Eval/expand.scm 194 */
return 
BGl_expandzd2errorzd2zz__expandz00(BgL_procz00_1922, BgL_msgz00_1923, BgL_objz00_1924);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__expandz00()
{
{ /* Eval/expand.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__expandz00()
{
{ /* Eval/expand.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__expandz00()
{
{ /* Eval/expand.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__expandz00()
{
{ /* Eval/expand.scm 14 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)330490148), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251314740), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)193422112), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68574988), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)93454137), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
BGl_modulezd2initializa7ationz75zz__evutilsz00(((long)470356213), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00)); 
return 
BGl_modulezd2initializa7ationz75zz__macroz00(((long)261397491), 
BSTRING_TO_STRING(BGl_string1669z00zz__expandz00));} 

}

#ifdef __cplusplus
}
#endif
