/*===========================================================================*/
/*   (Llib/package.scm)                                                      */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 27 Feb 2020 07:59:49 AM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3g/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -unsafe -safee -copt -fPIC -copt -IC Llib/package.scm -o objs/package.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_tarzd2headerzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   long BgL_modez00;
   long BgL_uidz00;
   long BgL_gidz00;
   long BgL_siza7eza7;
   obj_t BgL_mtimez00;
   long BgL_checksumz00;
   obj_t BgL_typez00;
   obj_t BgL_linknamez00;
   obj_t BgL_magicz00;
   obj_t BgL_unamez00;
   obj_t BgL_gnamez00;
   long BgL_devmajorz00;
   long BgL_devminorz00;
} *BgL_tarzd2headerzd2_bglt;

typedef struct BgL_z62iozd2readzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2readzd2errorz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;


static obj_t BGl_z62zc3z04anonymousza31757ze3ze5zz__pkglib_packagez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_packagezd2extractzd2interfacez00zz__pkglib_packagez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern obj_t BGl_interfacezd2readzd2interfacez00zz__pkglib_interfacez00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_packagezd2filenamezf3z21zz__pkglib_packagez00(obj_t);
static obj_t BGl_z62packagezd2versionzf3z43zz__pkglib_packagez00(obj_t, obj_t);
static obj_t BGl_z62packagezd2namezd2parsez62zz__pkglib_packagez00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pkglib_packagez00();
static obj_t BGl_z62zc3z04anonymousza31779ze3ze5zz__pkglib_packagez00(obj_t);
BGL_IMPORT obj_t BGl_tarzd2readzd2blockz00zz__tarz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2indexzd2rightz00zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_methodzd2initzd2zz__pkglib_packagez00();
BGL_EXPORTED_DECL bool_t BGl_packagezd2tuningzf3z21zz__pkglib_packagez00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_pkglibzd2errorzd2zz__pkglib_miscz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_packagezd2namezd2parsez00zz__pkglib_packagez00(obj_t);
static obj_t BGl_z62makezd2packagezd2namez62zz__pkglib_packagez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__pkglib_packagez00();
extern obj_t BGl_pkglibzd2metazd2filenamez00zz__pkglib_paramz00();
static obj_t BGl_z62packagezd2sanszd2suffixz62zz__pkglib_packagez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31742ze3ze5zz__pkglib_packagez00(obj_t);
BGL_IMPORT bool_t BGl_stringzd2suffixzd2cizf3zf3zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62packagezd2extractzd2metaz62zz__pkglib_packagez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62packagezd2extractzd2interfacez62zz__pkglib_packagez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_packagezd2versionzf3z21zz__pkglib_packagez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_packagezd2extractzd2metaz00zz__pkglib_packagez00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_packagezd2sanszd2suffixz00zz__pkglib_packagez00(obj_t);
static obj_t BGl_z62packagezd2companionszb0zz__pkglib_packagez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pkglib_packagez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__pkglib_packagez00();
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_pkglibzd2interfacezd2suffixz00zz__pkglib_paramz00();
extern obj_t BGl_pkglibzd2packagezd2suffixz00zz__pkglib_paramz00();
BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2packagezd2namez00zz__pkglib_packagez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_tarzd2readzd2headerz00zz__tarz00(obj_t);
extern unsigned char BGl_pkglibzd2packagezd2tuningzd2markzd2zz__pkglib_paramz00();
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_packagezd2companionszd2zz__pkglib_packagez00(obj_t, obj_t);
static obj_t BGl_z62packagezd2tuningzf3z43zz__pkglib_packagez00(obj_t, obj_t);
static obj_t BGl_z62packagezd2filenamezf3z43zz__pkglib_packagez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2gza7ipzd2filez75zz__gunza7ipza7(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pkglib_packagez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pkglib_interfacez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pkglib_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pkglib_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__tarz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__gunza7ipza7(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__pkglib_packagez00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__pkglib_packagez00();
static obj_t BGl_importedzd2moduleszd2initz00zz__pkglib_packagez00();
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2filezd2pathz00zz__osz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31627ze3ze5zz__pkglib_packagez00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
BGL_IMPORT obj_t BGl_z62iozd2readzd2errorz62zz__objectz00;
static obj_t __cnst[ 5 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_packagezd2filenamezf3zd2envzf3zz__pkglib_packagez00, BgL_bgl_za762packageza7d2fil1951z00, BGl_z62packagezd2filenamezf3z43zz__pkglib_packagez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_packagezd2companionszd2envz00zz__pkglib_packagez00, BgL_bgl_za762packageza7d2com1952z00, BGl_z62packagezd2companionszb0zz__pkglib_packagez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2packagezd2namezd2envzd2zz__pkglib_packagez00, BgL_bgl_za762makeza7d2packag1953z00, BGl_z62makezd2packagezd2namez62zz__pkglib_packagez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_packagezd2extractzd2metazd2envzd2zz__pkglib_packagez00, BgL_bgl_za762packageza7d2ext1954z00, BGl_z62packagezd2extractzd2metaz62zz__pkglib_packagez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_packagezd2tuningzf3zd2envzf3zz__pkglib_packagez00, BgL_bgl_za762packageza7d2tun1955z00, BGl_z62packagezd2tuningzf3z43zz__pkglib_packagez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_packagezd2extractzd2interfacezd2envzd2zz__pkglib_packagez00, BgL_bgl_za762packageza7d2ext1956z00, BGl_z62packagezd2extractzd2interfacez62zz__pkglib_packagez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1928z00zz__pkglib_packagez00, BgL_bgl_string1928za700za7za7_1957za7, "/builddir/build/BUILD/bigloo4.3g/api/pkglib/src/Llib/package.scm", 64 );
DEFINE_STRING( BGl_string1929z00zz__pkglib_packagez00, BgL_bgl_string1929za700za7za7_1958za7, "&package-filename?", 18 );
DEFINE_STRING( BGl_string1930z00zz__pkglib_packagez00, BgL_bgl_string1930za700za7za7_1959za7, "bstring", 7 );
DEFINE_STRING( BGl_string1931z00zz__pkglib_packagez00, BgL_bgl_string1931za700za7za7_1960za7, "&package-tuning?", 16 );
DEFINE_STRING( BGl_string1932z00zz__pkglib_packagez00, BgL_bgl_string1932za700za7za7_1961za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string1933z00zz__pkglib_packagez00, BgL_bgl_string1933za700za7za7_1962za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string1934z00zz__pkglib_packagez00, BgL_bgl_string1934za700za7za7_1963za7, "&package-version?", 17 );
DEFINE_STRING( BGl_string1935z00zz__pkglib_packagez00, BgL_bgl_string1935za700za7za7_1964za7, "&package-sans-suffix", 20 );
DEFINE_STRING( BGl_string1936z00zz__pkglib_packagez00, BgL_bgl_string1936za700za7za7_1965za7, "Illegal package name", 20 );
DEFINE_STRING( BGl_string1937z00zz__pkglib_packagez00, BgL_bgl_string1937za700za7za7_1966za7, "0", 1 );
DEFINE_STRING( BGl_string1938z00zz__pkglib_packagez00, BgL_bgl_string1938za700za7za7_1967za7, "&package-name-parse", 19 );
DEFINE_STRING( BGl_string1939z00zz__pkglib_packagez00, BgL_bgl_string1939za700za7za7_1968za7, "-", 1 );
DEFINE_STRING( BGl_string1940z00zz__pkglib_packagez00, BgL_bgl_string1940za700za7za7_1969za7, ".", 1 );
DEFINE_STRING( BGl_string1941z00zz__pkglib_packagez00, BgL_bgl_string1941za700za7za7_1970za7, "&make-package-name", 18 );
DEFINE_STRING( BGl_string1942z00zz__pkglib_packagez00, BgL_bgl_string1942za700za7za7_1971za7, "Can't open file for input", 25 );
DEFINE_STRING( BGl_string1943z00zz__pkglib_packagez00, BgL_bgl_string1943za700za7za7_1972za7, "&package-extract-interface", 26 );
DEFINE_STRING( BGl_string1944z00zz__pkglib_packagez00, BgL_bgl_string1944za700za7za7_1973za7, "&package-extract-meta", 21 );
DEFINE_STRING( BGl_string1945z00zz__pkglib_packagez00, BgL_bgl_string1945za700za7za7_1974za7, "&package-companions", 19 );
DEFINE_STRING( BGl_string1946z00zz__pkglib_packagez00, BgL_bgl_string1946za700za7za7_1975za7, "__pkglib_package", 16 );
DEFINE_STRING( BGl_string1947z00zz__pkglib_packagez00, BgL_bgl_string1947za700za7za7_1976za7, "package-companions package-extract-provide normal package-extract-interface package-name-parse ", 95 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_packagezd2versionzf3zd2envzf3zz__pkglib_packagez00, BgL_bgl_za762packageza7d2ver1977z00, BGl_z62packagezd2versionzf3z43zz__pkglib_packagez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_packagezd2namezd2parsezd2envzd2zz__pkglib_packagez00, BgL_bgl_za762packageza7d2nam1978z00, BGl_z62packagezd2namezd2parsez62zz__pkglib_packagez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_packagezd2sanszd2suffixzd2envzd2zz__pkglib_packagez00, BgL_bgl_za762packageza7d2san1979z00, BGl_z62packagezd2sanszd2suffixz62zz__pkglib_packagez00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pkglib_packagez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pkglib_packagez00(long BgL_checksumz00_935, char * BgL_fromz00_936)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pkglib_packagez00))
{ 
BGl_requirezd2initializa7ationz75zz__pkglib_packagez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__pkglib_packagez00(); 
BGl_libraryzd2moduleszd2initz00zz__pkglib_packagez00(); 
BGl_cnstzd2initzd2zz__pkglib_packagez00(); 
BGl_importedzd2moduleszd2initz00zz__pkglib_packagez00(); 
return 
BGl_methodzd2initzd2zz__pkglib_packagez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pkglib_packagez00()
{
{ /* Llib/package.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__tarz00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__gunza7ipza7(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__rgcz00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__pkglib_package"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__pkglib_package"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pkglib_packagez00()
{
{ /* Llib/package.scm 15 */
{ /* Llib/package.scm 15 */
obj_t BgL_cportz00_922;
{ /* Llib/package.scm 15 */
obj_t BgL_stringz00_930;
BgL_stringz00_930 = BGl_string1947z00zz__pkglib_packagez00; 
{ /* Llib/package.scm 15 */
obj_t BgL_startz00_931;
BgL_startz00_931 = 
BINT(((long)0)); 
{ /* Llib/package.scm 15 */
obj_t BgL_endz00_932;
BgL_endz00_932 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_930))); 
{ /* Llib/package.scm 15 */

BgL_cportz00_922 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_930, BgL_startz00_931, BgL_endz00_932); } } } } 
{ 
long BgL_iz00_923;
BgL_iz00_923 = ((long)4); 
BgL_loopz00_924:
if(
(BgL_iz00_923==((long)-1)))
{ /* Llib/package.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/package.scm 15 */
{ /* Llib/package.scm 15 */
obj_t BgL_arg1949z00_926;
{ /* Llib/package.scm 15 */

{ /* Llib/package.scm 15 */
obj_t BgL_locationz00_928;
BgL_locationz00_928 = 
BBOOL(((bool_t)0)); 
{ /* Llib/package.scm 15 */

BgL_arg1949z00_926 = 
BGl_readz00zz__readerz00(BgL_cportz00_922, BgL_locationz00_928); } } } 
{ /* Llib/package.scm 15 */
int BgL_tmpz00_969;
BgL_tmpz00_969 = 
(int)(BgL_iz00_923); 
CNST_TABLE_SET(BgL_tmpz00_969, BgL_arg1949z00_926); } } 
{ /* Llib/package.scm 15 */
int BgL_auxz00_929;
BgL_auxz00_929 = 
(int)(
(BgL_iz00_923-((long)1))); 
{ 
long BgL_iz00_974;
BgL_iz00_974 = 
(long)(BgL_auxz00_929); 
BgL_iz00_923 = BgL_iz00_974; 
goto BgL_loopz00_924;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pkglib_packagez00()
{
{ /* Llib/package.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* package-filename? */
BGL_EXPORTED_DEF bool_t BGl_packagezd2filenamezf3z21zz__pkglib_packagez00(obj_t BgL_namez00_3)
{
{ /* Llib/package.scm 34 */
{ /* Llib/package.scm 35 */
obj_t BgL_arg1110z00_26;
BgL_arg1110z00_26 = 
BGl_pkglibzd2packagezd2suffixz00zz__pkglib_paramz00(); 
{ /* Llib/package.scm 35 */

return 
BGl_stringzd2suffixzd2cizf3zf3zz__r4_strings_6_7z00(BgL_arg1110z00_26, BgL_namez00_3, BFALSE, BFALSE, BFALSE, BFALSE);} } } 

}



/* &package-filename? */
obj_t BGl_z62packagezd2filenamezf3z43zz__pkglib_packagez00(obj_t BgL_envz00_860, obj_t BgL_namez00_861)
{
{ /* Llib/package.scm 34 */
{ /* Llib/package.scm 35 */
bool_t BgL_tmpz00_979;
{ /* Llib/package.scm 35 */
obj_t BgL_auxz00_980;
if(
STRINGP(BgL_namez00_861))
{ /* Llib/package.scm 35 */
BgL_auxz00_980 = BgL_namez00_861
; }  else 
{ 
obj_t BgL_auxz00_983;
BgL_auxz00_983 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)1753)), BGl_string1929z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_namez00_861); 
FAILURE(BgL_auxz00_983,BFALSE,BFALSE);} 
BgL_tmpz00_979 = 
BGl_packagezd2filenamezf3z21zz__pkglib_packagez00(BgL_auxz00_980); } 
return 
BBOOL(BgL_tmpz00_979);} } 

}



/* package-tuning? */
BGL_EXPORTED_DEF bool_t BGl_packagezd2tuningzf3z21zz__pkglib_packagez00(obj_t BgL_namez00_4)
{
{ /* Llib/package.scm 40 */
{ /* Llib/package.scm 41 */
obj_t BgL_iz00_33;
{ /* Llib/package.scm 41 */
unsigned char BgL_arg1123z00_45;
BgL_arg1123z00_45 = 
BGl_pkglibzd2packagezd2tuningzd2markzd2zz__pkglib_paramz00(); 
{ /* Llib/package.scm 41 */
long BgL_startz00_48;
BgL_startz00_48 = 
STRING_LENGTH(BgL_namez00_4); 
{ /* Llib/package.scm 41 */

BgL_iz00_33 = 
BGl_stringzd2indexzd2rightz00zz__r4_strings_6_7z00(BgL_namez00_4, 
BCHAR(BgL_arg1123z00_45), 
BINT(BgL_startz00_48)); } } } 
if(
CBOOL(BgL_iz00_33))
{ 
long BgL_jz00_35;
BgL_jz00_35 = ((long)0); 
BgL_zc3z04anonymousza31111ze3z87_36:
if(
(BgL_jz00_35==
(long)CINT(BgL_iz00_33)))
{ /* Llib/package.scm 45 */
return ((bool_t)0);}  else 
{ /* Llib/package.scm 47 */
bool_t BgL_test1985z00_999;
{ /* Llib/package.scm 47 */
unsigned char BgL_arg1121z00_42;unsigned char BgL_arg1122z00_43;
BgL_arg1121z00_42 = 
STRING_REF(BgL_namez00_4, BgL_jz00_35); 
BgL_arg1122z00_43 = 
BGl_pkglibzd2packagezd2tuningzd2markzd2zz__pkglib_paramz00(); 
BgL_test1985z00_999 = 
(BgL_arg1121z00_42==
(unsigned char)(BgL_arg1122z00_43)); } 
if(BgL_test1985z00_999)
{ 
long BgL_jz00_1004;
BgL_jz00_1004 = 
(BgL_jz00_35+((long)1)); 
BgL_jz00_35 = BgL_jz00_1004; 
goto BgL_zc3z04anonymousza31111ze3z87_36;}  else 
{ /* Llib/package.scm 47 */
return ((bool_t)1);} } }  else 
{ /* Llib/package.scm 42 */
return ((bool_t)0);} } } 

}



/* &package-tuning? */
obj_t BGl_z62packagezd2tuningzf3z43zz__pkglib_packagez00(obj_t BgL_envz00_862, obj_t BgL_namez00_863)
{
{ /* Llib/package.scm 40 */
{ /* Llib/package.scm 41 */
bool_t BgL_tmpz00_1006;
{ /* Llib/package.scm 41 */
obj_t BgL_auxz00_1007;
if(
STRINGP(BgL_namez00_863))
{ /* Llib/package.scm 41 */
BgL_auxz00_1007 = BgL_namez00_863
; }  else 
{ 
obj_t BgL_auxz00_1010;
BgL_auxz00_1010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)2041)), BGl_string1931z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_namez00_863); 
FAILURE(BgL_auxz00_1010,BFALSE,BFALSE);} 
BgL_tmpz00_1006 = 
BGl_packagezd2tuningzf3z21zz__pkglib_packagez00(BgL_auxz00_1007); } 
return 
BBOOL(BgL_tmpz00_1006);} } 

}



/* package-version? */
BGL_EXPORTED_DEF bool_t BGl_packagezd2versionzf3z21zz__pkglib_packagez00(obj_t BgL_namez00_5)
{
{ /* Llib/package.scm 55 */
{ /* Llib/package.scm 56 */
obj_t BgL_port1048z00_49;
{ /* Llib/package.scm 56 */
long BgL_endz00_370;
BgL_endz00_370 = 
STRING_LENGTH(BgL_namez00_5); 
{ /* Llib/package.scm 56 */

BgL_port1048z00_49 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_namez00_5, 
BINT(((long)0)), 
BINT(BgL_endz00_370)); } } 
{ /* Llib/package.scm 56 */
obj_t BgL_exitd1049z00_50;
BgL_exitd1049z00_50 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/package.scm 56 */
obj_t BgL_zc3z04anonymousza31627ze3z87_864;
BgL_zc3z04anonymousza31627ze3z87_864 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31627ze3ze5zz__pkglib_packagez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31627ze3z87_864, 
(int)(((long)0)), BgL_port1048z00_49); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1049z00_50, BgL_zc3z04anonymousza31627ze3z87_864); 
{ /* Llib/package.scm 56 */
obj_t BgL_tmp1051z00_52;
{ 
obj_t BgL_iportz00_188;long BgL_lastzd2matchzd2_189;long BgL_forwardz00_190;long BgL_bufposz00_191;obj_t BgL_iportz00_172;long BgL_lastzd2matchzd2_173;long BgL_forwardz00_174;long BgL_bufposz00_175;obj_t BgL_iportz00_155;long BgL_lastzd2matchzd2_156;long BgL_forwardz00_157;long BgL_bufposz00_158;obj_t BgL_iportz00_141;long BgL_lastzd2matchzd2_142;long BgL_forwardz00_143;long BgL_bufposz00_144;obj_t BgL_iportz00_125;long BgL_lastzd2matchzd2_126;long BgL_forwardz00_127;long BgL_bufposz00_128;obj_t BgL_iportz00_105;long BgL_lastzd2matchzd2_106;long BgL_forwardz00_107;long BgL_bufposz00_108;obj_t BgL_iportz00_90;long BgL_lastzd2matchzd2_91;long BgL_forwardz00_92;long BgL_bufposz00_93;
{ /* Llib/package.scm 56 */
long BgL_res1853z00_735;
BgL_res1853z00_735 = 
RGC_START_MATCH(BgL_port1048z00_49); BgL_res1853z00_735; } 
{ /* Llib/package.scm 56 */
long BgL_matchz00_322;
{ /* Llib/package.scm 56 */
long BgL_arg1625z00_329;long BgL_arg1626z00_330;
{ /* Llib/package.scm 56 */
long BgL_res1854z00_737;
BgL_res1854z00_737 = 
RGC_BUFFER_FORWARD(BgL_port1048z00_49); 
BgL_arg1625z00_329 = BgL_res1854z00_737; } 
{ /* Llib/package.scm 56 */
long BgL_res1855z00_739;
BgL_res1855z00_739 = 
RGC_BUFFER_BUFPOS(BgL_port1048z00_49); 
BgL_arg1626z00_330 = BgL_res1855z00_739; } 
BgL_iportz00_90 = BgL_port1048z00_49; 
BgL_lastzd2matchzd2_91 = ((long)1); 
BgL_forwardz00_92 = BgL_arg1625z00_329; 
BgL_bufposz00_93 = BgL_arg1626z00_330; 
BgL_zc3z04anonymousza31124ze3z87_94:
if(
(BgL_forwardz00_92==BgL_bufposz00_93))
{ /* Llib/package.scm 56 */
if(
rgc_fill_buffer(BgL_iportz00_90))
{ /* Llib/package.scm 56 */
long BgL_arg1127z00_97;long BgL_arg1128z00_98;
{ /* Llib/package.scm 56 */
long BgL_res1788z00_586;
BgL_res1788z00_586 = 
RGC_BUFFER_FORWARD(BgL_iportz00_90); 
BgL_arg1127z00_97 = BgL_res1788z00_586; } 
{ /* Llib/package.scm 56 */
long BgL_res1789z00_588;
BgL_res1789z00_588 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_90); 
BgL_arg1128z00_98 = BgL_res1789z00_588; } 
{ 
long BgL_bufposz00_1037;long BgL_forwardz00_1036;
BgL_forwardz00_1036 = BgL_arg1127z00_97; 
BgL_bufposz00_1037 = BgL_arg1128z00_98; 
BgL_bufposz00_93 = BgL_bufposz00_1037; 
BgL_forwardz00_92 = BgL_forwardz00_1036; 
goto BgL_zc3z04anonymousza31124ze3z87_94;} }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_91; } }  else 
{ /* Llib/package.scm 56 */
int BgL_curz00_99;
{ /* Llib/package.scm 56 */
int BgL_res1790z00_591;
BgL_res1790z00_591 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_90, BgL_forwardz00_92); 
BgL_curz00_99 = BgL_res1790z00_591; } 
{ /* Llib/package.scm 56 */

{ /* Llib/package.scm 56 */
bool_t BgL_test1989z00_1039;
if(
(
(long)(BgL_curz00_99)>=((long)48)))
{ /* Llib/package.scm 56 */
BgL_test1989z00_1039 = 
(
(long)(BgL_curz00_99)<((long)58))
; }  else 
{ /* Llib/package.scm 56 */
BgL_test1989z00_1039 = ((bool_t)0)
; } 
if(BgL_test1989z00_1039)
{ /* Llib/package.scm 56 */
BgL_iportz00_155 = BgL_iportz00_90; 
BgL_lastzd2matchzd2_156 = BgL_lastzd2matchzd2_91; 
BgL_forwardz00_157 = 
(((long)1)+BgL_forwardz00_92); 
BgL_bufposz00_158 = BgL_bufposz00_93; 
BgL_zc3z04anonymousza31172ze3z87_159:
{ /* Llib/package.scm 56 */
long BgL_newzd2matchzd2_160;
{ /* Llib/package.scm 56 */
long BgL_res1823z00_668;
BgL_res1823z00_668 = 
RGC_STOP_MATCH(BgL_iportz00_155, BgL_forwardz00_157); BgL_res1823z00_668; } 
BgL_newzd2matchzd2_160 = ((long)1); 
if(
(BgL_forwardz00_157==BgL_bufposz00_158))
{ /* Llib/package.scm 56 */
if(
rgc_fill_buffer(BgL_iportz00_155))
{ /* Llib/package.scm 56 */
long BgL_arg1177z00_163;long BgL_arg1178z00_164;
{ /* Llib/package.scm 56 */
long BgL_res1826z00_675;
BgL_res1826z00_675 = 
RGC_BUFFER_FORWARD(BgL_iportz00_155); 
BgL_arg1177z00_163 = BgL_res1826z00_675; } 
{ /* Llib/package.scm 56 */
long BgL_res1827z00_677;
BgL_res1827z00_677 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_155); 
BgL_arg1178z00_164 = BgL_res1827z00_677; } 
{ 
long BgL_bufposz00_1053;long BgL_forwardz00_1052;
BgL_forwardz00_1052 = BgL_arg1177z00_163; 
BgL_bufposz00_1053 = BgL_arg1178z00_164; 
BgL_bufposz00_158 = BgL_bufposz00_1053; 
BgL_forwardz00_157 = BgL_forwardz00_1052; 
goto BgL_zc3z04anonymousza31172ze3z87_159;} }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_newzd2matchzd2_160; } }  else 
{ /* Llib/package.scm 56 */
int BgL_curz00_165;
{ /* Llib/package.scm 56 */
int BgL_res1828z00_680;
BgL_res1828z00_680 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_155, BgL_forwardz00_157); 
BgL_curz00_165 = BgL_res1828z00_680; } 
{ /* Llib/package.scm 56 */

{ /* Llib/package.scm 56 */
bool_t BgL_test1993z00_1055;
if(
(
(long)(BgL_curz00_165)>=((long)48)))
{ /* Llib/package.scm 56 */
BgL_test1993z00_1055 = 
(
(long)(BgL_curz00_165)<((long)58))
; }  else 
{ /* Llib/package.scm 56 */
BgL_test1993z00_1055 = ((bool_t)0)
; } 
if(BgL_test1993z00_1055)
{ /* Llib/package.scm 56 */
BgL_iportz00_125 = BgL_iportz00_155; 
BgL_lastzd2matchzd2_126 = BgL_newzd2matchzd2_160; 
BgL_forwardz00_127 = 
(((long)1)+BgL_forwardz00_157); 
BgL_bufposz00_128 = BgL_bufposz00_158; 
BgL_zc3z04anonymousza31145ze3z87_129:
if(
(BgL_forwardz00_127==BgL_bufposz00_128))
{ /* Llib/package.scm 56 */
if(
rgc_fill_buffer(BgL_iportz00_125))
{ /* Llib/package.scm 56 */
long BgL_arg1148z00_132;long BgL_arg1152z00_133;
{ /* Llib/package.scm 56 */
long BgL_res1807z00_632;
BgL_res1807z00_632 = 
RGC_BUFFER_FORWARD(BgL_iportz00_125); 
BgL_arg1148z00_132 = BgL_res1807z00_632; } 
{ /* Llib/package.scm 56 */
long BgL_res1808z00_634;
BgL_res1808z00_634 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_125); 
BgL_arg1152z00_133 = BgL_res1808z00_634; } 
{ 
long BgL_bufposz00_1068;long BgL_forwardz00_1067;
BgL_forwardz00_1067 = BgL_arg1148z00_132; 
BgL_bufposz00_1068 = BgL_arg1152z00_133; 
BgL_bufposz00_128 = BgL_bufposz00_1068; 
BgL_forwardz00_127 = BgL_forwardz00_1067; 
goto BgL_zc3z04anonymousza31145ze3z87_129;} }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_126; } }  else 
{ /* Llib/package.scm 56 */
int BgL_curz00_134;
{ /* Llib/package.scm 56 */
int BgL_res1809z00_637;
BgL_res1809z00_637 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_125, BgL_forwardz00_127); 
BgL_curz00_134 = BgL_res1809z00_637; } 
{ /* Llib/package.scm 56 */

{ /* Llib/package.scm 56 */
bool_t BgL_test1997z00_1070;
if(
(
(long)(BgL_curz00_134)>=((long)48)))
{ /* Llib/package.scm 56 */
BgL_test1997z00_1070 = 
(
(long)(BgL_curz00_134)<((long)58))
; }  else 
{ /* Llib/package.scm 56 */
BgL_test1997z00_1070 = ((bool_t)0)
; } 
if(BgL_test1997z00_1070)
{ 
long BgL_forwardz00_1076;
BgL_forwardz00_1076 = 
(((long)1)+BgL_forwardz00_127); 
BgL_forwardz00_127 = BgL_forwardz00_1076; 
goto BgL_zc3z04anonymousza31145ze3z87_129;}  else 
{ /* Llib/package.scm 56 */
if(
(
(long)(BgL_curz00_134)==((long)46)))
{ /* Llib/package.scm 56 */
BgL_iportz00_105 = BgL_iportz00_125; 
BgL_lastzd2matchzd2_106 = BgL_lastzd2matchzd2_126; 
BgL_forwardz00_107 = 
(((long)1)+BgL_forwardz00_127); 
BgL_bufposz00_108 = BgL_bufposz00_128; 
BgL_zc3z04anonymousza31135ze3z87_109:
if(
(BgL_forwardz00_107==BgL_bufposz00_108))
{ /* Llib/package.scm 56 */
if(
rgc_fill_buffer(BgL_iportz00_105))
{ /* Llib/package.scm 56 */
long BgL_arg1138z00_112;long BgL_arg1140z00_113;
{ /* Llib/package.scm 56 */
long BgL_res1798z00_610;
BgL_res1798z00_610 = 
RGC_BUFFER_FORWARD(BgL_iportz00_105); 
BgL_arg1138z00_112 = BgL_res1798z00_610; } 
{ /* Llib/package.scm 56 */
long BgL_res1799z00_612;
BgL_res1799z00_612 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_105); 
BgL_arg1140z00_113 = BgL_res1799z00_612; } 
{ 
long BgL_bufposz00_1088;long BgL_forwardz00_1087;
BgL_forwardz00_1087 = BgL_arg1138z00_112; 
BgL_bufposz00_1088 = BgL_arg1140z00_113; 
BgL_bufposz00_108 = BgL_bufposz00_1088; 
BgL_forwardz00_107 = BgL_forwardz00_1087; 
goto BgL_zc3z04anonymousza31135ze3z87_109;} }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_106; } }  else 
{ /* Llib/package.scm 56 */
int BgL_curz00_114;
{ /* Llib/package.scm 56 */
int BgL_res1800z00_615;
BgL_res1800z00_615 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_105, BgL_forwardz00_107); 
BgL_curz00_114 = BgL_res1800z00_615; } 
{ /* Llib/package.scm 56 */

{ /* Llib/package.scm 56 */
bool_t BgL_test2002z00_1090;
if(
(
(long)(BgL_curz00_114)>=((long)48)))
{ /* Llib/package.scm 56 */
BgL_test2002z00_1090 = 
(
(long)(BgL_curz00_114)<((long)58))
; }  else 
{ /* Llib/package.scm 56 */
BgL_test2002z00_1090 = ((bool_t)0)
; } 
if(BgL_test2002z00_1090)
{ /* Llib/package.scm 56 */
BgL_iportz00_172 = BgL_iportz00_105; 
BgL_lastzd2matchzd2_173 = BgL_lastzd2matchzd2_106; 
BgL_forwardz00_174 = 
(((long)1)+BgL_forwardz00_107); 
BgL_bufposz00_175 = BgL_bufposz00_108; 
BgL_zc3z04anonymousza31187ze3z87_176:
if(
(BgL_forwardz00_174==BgL_bufposz00_175))
{ /* Llib/package.scm 56 */
if(
rgc_fill_buffer(BgL_iportz00_172))
{ /* Llib/package.scm 56 */
long BgL_arg1191z00_179;long BgL_arg1193z00_180;
{ /* Llib/package.scm 56 */
long BgL_res1836z00_697;
BgL_res1836z00_697 = 
RGC_BUFFER_FORWARD(BgL_iportz00_172); 
BgL_arg1191z00_179 = BgL_res1836z00_697; } 
{ /* Llib/package.scm 56 */
long BgL_res1837z00_699;
BgL_res1837z00_699 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_172); 
BgL_arg1193z00_180 = BgL_res1837z00_699; } 
{ 
long BgL_bufposz00_1103;long BgL_forwardz00_1102;
BgL_forwardz00_1102 = BgL_arg1191z00_179; 
BgL_bufposz00_1103 = BgL_arg1193z00_180; 
BgL_bufposz00_175 = BgL_bufposz00_1103; 
BgL_forwardz00_174 = BgL_forwardz00_1102; 
goto BgL_zc3z04anonymousza31187ze3z87_176;} }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_173; } }  else 
{ /* Llib/package.scm 56 */
int BgL_curz00_181;
{ /* Llib/package.scm 56 */
int BgL_res1838z00_702;
BgL_res1838z00_702 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_172, BgL_forwardz00_174); 
BgL_curz00_181 = BgL_res1838z00_702; } 
{ /* Llib/package.scm 56 */

{ /* Llib/package.scm 56 */
bool_t BgL_test2006z00_1105;
if(
(
(long)(BgL_curz00_181)>=((long)48)))
{ /* Llib/package.scm 56 */
BgL_test2006z00_1105 = 
(
(long)(BgL_curz00_181)<((long)58))
; }  else 
{ /* Llib/package.scm 56 */
BgL_test2006z00_1105 = ((bool_t)0)
; } 
if(BgL_test2006z00_1105)
{ 
long BgL_forwardz00_1111;
BgL_forwardz00_1111 = 
(((long)1)+BgL_forwardz00_174); 
BgL_forwardz00_174 = BgL_forwardz00_1111; 
goto BgL_zc3z04anonymousza31187ze3z87_176;}  else 
{ /* Llib/package.scm 56 */
if(
(
(long)(BgL_curz00_181)==((long)46)))
{ /* Llib/package.scm 56 */
BgL_iportz00_141 = BgL_iportz00_172; 
BgL_lastzd2matchzd2_142 = BgL_lastzd2matchzd2_173; 
BgL_forwardz00_143 = 
(((long)1)+BgL_forwardz00_174); 
BgL_bufposz00_144 = BgL_bufposz00_175; 
BgL_zc3z04anonymousza31159ze3z87_145:
if(
(BgL_forwardz00_143==BgL_bufposz00_144))
{ /* Llib/package.scm 56 */
if(
rgc_fill_buffer(BgL_iportz00_141))
{ /* Llib/package.scm 56 */
long BgL_arg1167z00_148;long BgL_arg1168z00_149;
{ /* Llib/package.scm 56 */
long BgL_res1817z00_654;
BgL_res1817z00_654 = 
RGC_BUFFER_FORWARD(BgL_iportz00_141); 
BgL_arg1167z00_148 = BgL_res1817z00_654; } 
{ /* Llib/package.scm 56 */
long BgL_res1818z00_656;
BgL_res1818z00_656 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_141); 
BgL_arg1168z00_149 = BgL_res1818z00_656; } 
{ 
long BgL_bufposz00_1123;long BgL_forwardz00_1122;
BgL_forwardz00_1122 = BgL_arg1167z00_148; 
BgL_bufposz00_1123 = BgL_arg1168z00_149; 
BgL_bufposz00_144 = BgL_bufposz00_1123; 
BgL_forwardz00_143 = BgL_forwardz00_1122; 
goto BgL_zc3z04anonymousza31159ze3z87_145;} }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_142; } }  else 
{ /* Llib/package.scm 56 */
int BgL_curz00_150;
{ /* Llib/package.scm 56 */
int BgL_res1819z00_659;
BgL_res1819z00_659 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_141, BgL_forwardz00_143); 
BgL_curz00_150 = BgL_res1819z00_659; } 
{ /* Llib/package.scm 56 */

{ /* Llib/package.scm 56 */
bool_t BgL_test2011z00_1125;
if(
(
(long)(BgL_curz00_150)>=((long)48)))
{ /* Llib/package.scm 56 */
BgL_test2011z00_1125 = 
(
(long)(BgL_curz00_150)<((long)58))
; }  else 
{ /* Llib/package.scm 56 */
BgL_test2011z00_1125 = ((bool_t)0)
; } 
if(BgL_test2011z00_1125)
{ /* Llib/package.scm 56 */
BgL_iportz00_188 = BgL_iportz00_141; 
BgL_lastzd2matchzd2_189 = BgL_lastzd2matchzd2_142; 
BgL_forwardz00_190 = 
(((long)1)+BgL_forwardz00_143); 
BgL_bufposz00_191 = BgL_bufposz00_144; 
BgL_zc3z04anonymousza31200ze3z87_192:
{ /* Llib/package.scm 56 */
long BgL_newzd2matchzd2_193;
{ /* Llib/package.scm 56 */
long BgL_res1844z00_715;
BgL_res1844z00_715 = 
RGC_STOP_MATCH(BgL_iportz00_188, BgL_forwardz00_190); BgL_res1844z00_715; } 
BgL_newzd2matchzd2_193 = ((long)0); 
if(
(BgL_forwardz00_190==BgL_bufposz00_191))
{ /* Llib/package.scm 56 */
if(
rgc_fill_buffer(BgL_iportz00_188))
{ /* Llib/package.scm 56 */
long BgL_arg1217z00_196;long BgL_arg1219z00_197;
{ /* Llib/package.scm 56 */
long BgL_res1847z00_722;
BgL_res1847z00_722 = 
RGC_BUFFER_FORWARD(BgL_iportz00_188); 
BgL_arg1217z00_196 = BgL_res1847z00_722; } 
{ /* Llib/package.scm 56 */
long BgL_res1848z00_724;
BgL_res1848z00_724 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_188); 
BgL_arg1219z00_197 = BgL_res1848z00_724; } 
{ 
long BgL_bufposz00_1139;long BgL_forwardz00_1138;
BgL_forwardz00_1138 = BgL_arg1217z00_196; 
BgL_bufposz00_1139 = BgL_arg1219z00_197; 
BgL_bufposz00_191 = BgL_bufposz00_1139; 
BgL_forwardz00_190 = BgL_forwardz00_1138; 
goto BgL_zc3z04anonymousza31200ze3z87_192;} }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_newzd2matchzd2_193; } }  else 
{ /* Llib/package.scm 56 */
int BgL_curz00_198;
{ /* Llib/package.scm 56 */
int BgL_res1849z00_727;
BgL_res1849z00_727 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_188, BgL_forwardz00_190); 
BgL_curz00_198 = BgL_res1849z00_727; } 
{ /* Llib/package.scm 56 */

{ /* Llib/package.scm 56 */
bool_t BgL_test2015z00_1141;
if(
(
(long)(BgL_curz00_198)>=((long)48)))
{ /* Llib/package.scm 56 */
BgL_test2015z00_1141 = 
(
(long)(BgL_curz00_198)<((long)58))
; }  else 
{ /* Llib/package.scm 56 */
BgL_test2015z00_1141 = ((bool_t)0)
; } 
if(BgL_test2015z00_1141)
{ 
long BgL_forwardz00_1148;long BgL_lastzd2matchzd2_1147;
BgL_lastzd2matchzd2_1147 = BgL_newzd2matchzd2_193; 
BgL_forwardz00_1148 = 
(((long)1)+BgL_forwardz00_190); 
BgL_forwardz00_190 = BgL_forwardz00_1148; 
BgL_lastzd2matchzd2_189 = BgL_lastzd2matchzd2_1147; 
goto BgL_zc3z04anonymousza31200ze3z87_192;}  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_newzd2matchzd2_193; } } } } } }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_142; } } } } }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_173; } } } } } }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_106; } } } } }  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_lastzd2matchzd2_126; } } } } } }  else 
{ /* Llib/package.scm 56 */
if(
(
(long)(BgL_curz00_165)==((long)46)))
{ 
long BgL_bufposz00_1162;long BgL_forwardz00_1160;long BgL_lastzd2matchzd2_1159;obj_t BgL_iportz00_1158;
BgL_iportz00_1158 = BgL_iportz00_155; 
BgL_lastzd2matchzd2_1159 = BgL_newzd2matchzd2_160; 
BgL_forwardz00_1160 = 
(((long)1)+BgL_forwardz00_157); 
BgL_bufposz00_1162 = BgL_bufposz00_158; 
BgL_bufposz00_108 = BgL_bufposz00_1162; 
BgL_forwardz00_107 = BgL_forwardz00_1160; 
BgL_lastzd2matchzd2_106 = BgL_lastzd2matchzd2_1159; 
BgL_iportz00_105 = BgL_iportz00_1158; 
goto BgL_zc3z04anonymousza31135ze3z87_109;}  else 
{ /* Llib/package.scm 56 */
BgL_matchz00_322 = BgL_newzd2matchzd2_160; } } } } } } }  else 
{ /* Llib/package.scm 56 */
long BgL_arg1134z00_103;
BgL_arg1134z00_103 = 
(((long)1)+BgL_forwardz00_92); 
{ /* Llib/package.scm 56 */
long BgL_newzd2matchzd2_600;
{ /* Llib/package.scm 56 */
long BgL_res1795z00_603;
BgL_res1795z00_603 = 
RGC_STOP_MATCH(BgL_iportz00_90, BgL_arg1134z00_103); BgL_res1795z00_603; } 
BgL_newzd2matchzd2_600 = ((long)1); 
BgL_matchz00_322 = BgL_newzd2matchzd2_600; } } } } } } 
RGC_SET_FILEPOS(BgL_port1048z00_49); 
{ 

{ /* Llib/package.scm 56 */
obj_t BgL_aux1088z00_327;
BgL_aux1088z00_327 = 
BINT(BgL_matchz00_322); 
switch( 
(long)CINT(BgL_aux1088z00_327)) { case ((long)1) : 

BgL_tmp1051z00_52 = BFALSE; break;case ((long)0) : 

BgL_tmp1051z00_52 = BTRUE; break;
default: 
BgL_tmp1051z00_52 = 
BGl_errorz00zz__errorz00(BGl_string1932z00zz__pkglib_packagez00, BGl_string1933z00zz__pkglib_packagez00, 
BINT(BgL_matchz00_322)); } } } } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1049z00_50); 
bgl_close_input_port(BgL_port1048z00_49); 
return 
CBOOL(BgL_tmp1051z00_52);} } } } } 

}



/* &package-version? */
obj_t BGl_z62packagezd2versionzf3z43zz__pkglib_packagez00(obj_t BgL_envz00_865, obj_t BgL_namez00_866)
{
{ /* Llib/package.scm 55 */
{ /* Llib/package.scm 56 */
bool_t BgL_tmpz00_1175;
{ /* Llib/package.scm 56 */
obj_t BgL_auxz00_1176;
if(
STRINGP(BgL_namez00_866))
{ /* Llib/package.scm 56 */
BgL_auxz00_1176 = BgL_namez00_866
; }  else 
{ 
obj_t BgL_auxz00_1179;
BgL_auxz00_1179 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)2547)), BGl_string1934z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_namez00_866); 
FAILURE(BgL_auxz00_1179,BFALSE,BFALSE);} 
BgL_tmpz00_1175 = 
BGl_packagezd2versionzf3z21zz__pkglib_packagez00(BgL_auxz00_1176); } 
return 
BBOOL(BgL_tmpz00_1175);} } 

}



/* &<@anonymous:1627> */
obj_t BGl_z62zc3z04anonymousza31627ze3ze5zz__pkglib_packagez00(obj_t BgL_envz00_867)
{
{ /* Llib/package.scm 56 */
{ /* Llib/package.scm 56 */
obj_t BgL_port1048z00_868;
BgL_port1048z00_868 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_867, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_port1048z00_868);} } 

}



/* package-sans-suffix */
BGL_EXPORTED_DEF obj_t BGl_packagezd2sanszd2suffixz00zz__pkglib_packagez00(obj_t BgL_namez00_6)
{
{ /* Llib/package.scm 65 */
return 
c_substring(BgL_namez00_6, ((long)0), 
(
STRING_LENGTH(BgL_namez00_6)-
(((long)1)+
STRING_LENGTH(
BGl_pkglibzd2packagezd2suffixz00zz__pkglib_paramz00()))));} 

}



/* &package-sans-suffix */
obj_t BGl_z62packagezd2sanszd2suffixz62zz__pkglib_packagez00(obj_t BgL_envz00_869, obj_t BgL_namez00_870)
{
{ /* Llib/package.scm 65 */
{ /* Llib/package.scm 68 */
obj_t BgL_auxz00_1195;
if(
STRINGP(BgL_namez00_870))
{ /* Llib/package.scm 68 */
BgL_auxz00_1195 = BgL_namez00_870
; }  else 
{ 
obj_t BgL_auxz00_1198;
BgL_auxz00_1198 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)2944)), BGl_string1935z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_namez00_870); 
FAILURE(BgL_auxz00_1198,BFALSE,BFALSE);} 
return 
BGl_packagezd2sanszd2suffixz00zz__pkglib_packagez00(BgL_auxz00_1195);} } 

}



/* package-name-parse */
BGL_EXPORTED_DEF obj_t BGl_packagezd2namezd2parsez00zz__pkglib_packagez00(obj_t BgL_namez00_7)
{
{ /* Llib/package.scm 81 */
if(
BGl_packagezd2filenamezf3z21zz__pkglib_packagez00(BgL_namez00_7))
{ /* Llib/package.scm 82 */BFALSE; }  else 
{ /* Llib/package.scm 82 */
BGl_pkglibzd2errorzd2zz__pkglib_miscz00(
CNST_TABLE_REF(((long)0)), BGl_string1936z00zz__pkglib_packagez00, BgL_namez00_7); } 
{ /* Llib/package.scm 84 */
obj_t BgL_nz00_377;
BgL_nz00_377 = 
BGl_packagezd2sanszd2suffixz00zz__pkglib_packagez00(
BGl_basenamez00zz__osz00(BgL_namez00_7)); 
{ /* Llib/package.scm 84 */
obj_t BgL_indexz00_378;
{ /* Llib/package.scm 85 */
long BgL_startz00_434;
BgL_startz00_434 = 
STRING_LENGTH(BgL_nz00_377); 
{ /* Llib/package.scm 85 */

BgL_indexz00_378 = 
BGl_stringzd2indexzd2rightz00zz__r4_strings_6_7z00(BgL_nz00_377, 
BCHAR(((unsigned char)'-')), 
BINT(BgL_startz00_434)); } } 
{ /* Llib/package.scm 85 */
obj_t BgL_vdotz00_379;
{ /* Llib/package.scm 86 */
long BgL_startz00_431;
BgL_startz00_431 = 
STRING_LENGTH(BgL_nz00_377); 
{ /* Llib/package.scm 86 */

BgL_vdotz00_379 = 
BGl_stringzd2indexzd2rightz00zz__r4_strings_6_7z00(BgL_nz00_377, 
BCHAR(((unsigned char)'.')), 
BINT(BgL_startz00_431)); } } 
{ /* Llib/package.scm 86 */

if(
CBOOL(BgL_indexz00_378))
{ /* Llib/package.scm 90 */
bool_t BgL_test2022z00_1219;
if(
INTEGERP(BgL_vdotz00_379))
{ /* Llib/package.scm 90 */
BgL_test2022z00_1219 = 
(
(long)CINT(BgL_vdotz00_379)>
(long)CINT(BgL_indexz00_378))
; }  else 
{ /* Llib/package.scm 90 */
BgL_test2022z00_1219 = ((bool_t)0)
; } 
if(BgL_test2022z00_1219)
{ /* Llib/package.scm 92 */
obj_t BgL_versionz00_382;
BgL_versionz00_382 = 
c_substring(BgL_nz00_377, 
(((long)1)+
(long)CINT(BgL_indexz00_378)), 
STRING_LENGTH(BgL_nz00_377)); 
{ /* Llib/package.scm 92 */
obj_t BgL_basez00_383;
BgL_basez00_383 = 
c_substring(BgL_nz00_377, ((long)0), 
(long)CINT(BgL_indexz00_378)); 
{ /* Llib/package.scm 93 */
obj_t BgL_tindexz00_384;
{ /* Llib/package.scm 94 */
unsigned char BgL_arg1652z00_398;
BgL_arg1652z00_398 = 
BGl_pkglibzd2packagezd2tuningzd2markzd2zz__pkglib_paramz00(); 
{ /* Llib/package.scm 94 */
long BgL_startz00_401;
BgL_startz00_401 = 
STRING_LENGTH(BgL_nz00_377); 
{ /* Llib/package.scm 94 */

BgL_tindexz00_384 = 
BGl_stringzd2indexzd2rightz00zz__r4_strings_6_7z00(BgL_nz00_377, 
BCHAR(BgL_arg1652z00_398), 
BINT(BgL_startz00_401)); } } } 
{ /* Llib/package.scm 94 */

{ /* Llib/package.scm 95 */
bool_t BgL_test2024z00_1236;
if(
INTEGERP(BgL_tindexz00_384))
{ /* Llib/package.scm 95 */
BgL_test2024z00_1236 = 
(
(long)CINT(BgL_tindexz00_384)>((long)0))
; }  else 
{ /* Llib/package.scm 95 */
BgL_test2024z00_1236 = ((bool_t)0)
; } 
if(BgL_test2024z00_1236)
{ /* Llib/package.scm 96 */
obj_t BgL_val0_1089z00_387;obj_t BgL_val3_1092z00_390;
BgL_val0_1089z00_387 = 
c_substring(BgL_basez00_383, ((long)0), 
(long)CINT(BgL_tindexz00_384)); 
BgL_val3_1092z00_390 = 
c_substring(BgL_basez00_383, 
(((long)1)+
(long)CINT(BgL_tindexz00_384)), 
STRING_LENGTH(BgL_basez00_383)); 
{ /* Llib/package.scm 96 */
int BgL_res1876z00_789;
{ /* Llib/package.scm 96 */
int BgL_tmpz00_1247;
BgL_tmpz00_1247 = 
(int)(((long)4)); 
BgL_res1876z00_789 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1247); } BgL_res1876z00_789; } 
{ /* Llib/package.scm 96 */
int BgL_tmpz00_1250;
BgL_tmpz00_1250 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1250, BgL_versionz00_382); } 
{ /* Llib/package.scm 96 */
int BgL_tmpz00_1253;
BgL_tmpz00_1253 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1253, BGl_string1937z00zz__pkglib_packagez00); } 
{ /* Llib/package.scm 96 */
int BgL_tmpz00_1256;
BgL_tmpz00_1256 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1256, BgL_val3_1092z00_390); } 
return BgL_val0_1089z00_387;}  else 
{ /* Llib/package.scm 95 */
{ /* Llib/package.scm 100 */
int BgL_res1877z00_790;
{ /* Llib/package.scm 100 */
int BgL_tmpz00_1259;
BgL_tmpz00_1259 = 
(int)(((long)4)); 
BgL_res1877z00_790 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1259); } BgL_res1877z00_790; } 
{ /* Llib/package.scm 100 */
int BgL_tmpz00_1262;
BgL_tmpz00_1262 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1262, BgL_versionz00_382); } 
{ /* Llib/package.scm 100 */
int BgL_tmpz00_1265;
BgL_tmpz00_1265 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1265, BGl_string1937z00zz__pkglib_packagez00); } 
{ /* Llib/package.scm 100 */
int BgL_tmpz00_1268;
BgL_tmpz00_1268 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1268, BFALSE); } 
return BgL_basez00_383;} } } } } }  else 
{ /* Llib/package.scm 106 */
obj_t BgL_vindexz00_404;obj_t BgL_tindexz00_405;
BgL_vindexz00_404 = 
BGl_stringzd2indexzd2rightz00zz__r4_strings_6_7z00(BgL_nz00_377, 
BCHAR(((unsigned char)'-')), BgL_indexz00_378); 
{ /* Llib/package.scm 107 */
unsigned char BgL_arg1677z00_424;
BgL_arg1677z00_424 = 
BGl_pkglibzd2packagezd2tuningzd2markzd2zz__pkglib_paramz00(); 
{ /* Llib/package.scm 107 */
long BgL_startz00_427;
BgL_startz00_427 = 
STRING_LENGTH(BgL_nz00_377); 
{ /* Llib/package.scm 107 */

BgL_tindexz00_405 = 
BGl_stringzd2indexzd2rightz00zz__r4_strings_6_7z00(BgL_nz00_377, 
BCHAR(BgL_arg1677z00_424), 
BINT(BgL_startz00_427)); } } } 
if(
CBOOL(BgL_vindexz00_404))
{ /* Llib/package.scm 110 */
obj_t BgL_versionz00_406;
BgL_versionz00_406 = 
c_substring(BgL_nz00_377, 
(((long)1)+
(long)CINT(BgL_vindexz00_404)), 
(long)CINT(BgL_indexz00_378)); 
{ /* Llib/package.scm 110 */
obj_t BgL_releasez00_407;
BgL_releasez00_407 = 
c_substring(BgL_nz00_377, 
(((long)1)+
(long)CINT(BgL_indexz00_378)), 
STRING_LENGTH(BgL_nz00_377)); 
{ /* Llib/package.scm 111 */
obj_t BgL_basez00_408;
BgL_basez00_408 = 
c_substring(BgL_nz00_377, ((long)0), 
(long)CINT(BgL_vindexz00_404)); 
{ /* Llib/package.scm 112 */

{ /* Llib/package.scm 113 */
bool_t BgL_test2027z00_1290;
if(
INTEGERP(BgL_tindexz00_405))
{ /* Llib/package.scm 113 */
BgL_test2027z00_1290 = 
(
(long)CINT(BgL_tindexz00_405)>((long)0))
; }  else 
{ /* Llib/package.scm 113 */
BgL_test2027z00_1290 = ((bool_t)0)
; } 
if(BgL_test2027z00_1290)
{ /* Llib/package.scm 114 */
obj_t BgL_val0_1097z00_411;obj_t BgL_val3_1100z00_414;
BgL_val0_1097z00_411 = 
c_substring(BgL_basez00_408, ((long)0), 
(long)CINT(BgL_tindexz00_405)); 
BgL_val3_1100z00_414 = 
c_substring(BgL_basez00_408, 
(((long)1)+
(long)CINT(BgL_tindexz00_405)), 
(long)CINT(BgL_vindexz00_404)); 
{ /* Llib/package.scm 114 */
int BgL_res1890z00_822;
{ /* Llib/package.scm 114 */
int BgL_tmpz00_1301;
BgL_tmpz00_1301 = 
(int)(((long)4)); 
BgL_res1890z00_822 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1301); } BgL_res1890z00_822; } 
{ /* Llib/package.scm 114 */
int BgL_tmpz00_1304;
BgL_tmpz00_1304 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1304, BgL_versionz00_406); } 
{ /* Llib/package.scm 114 */
int BgL_tmpz00_1307;
BgL_tmpz00_1307 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1307, BgL_releasez00_407); } 
{ /* Llib/package.scm 114 */
int BgL_tmpz00_1310;
BgL_tmpz00_1310 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1310, BgL_val3_1100z00_414); } 
return BgL_val0_1097z00_411;}  else 
{ /* Llib/package.scm 113 */
{ /* Llib/package.scm 118 */
int BgL_res1891z00_823;
{ /* Llib/package.scm 118 */
int BgL_tmpz00_1313;
BgL_tmpz00_1313 = 
(int)(((long)4)); 
BgL_res1891z00_823 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1313); } BgL_res1891z00_823; } 
{ /* Llib/package.scm 118 */
int BgL_tmpz00_1316;
BgL_tmpz00_1316 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1316, BgL_versionz00_406); } 
{ /* Llib/package.scm 118 */
int BgL_tmpz00_1319;
BgL_tmpz00_1319 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1319, BgL_releasez00_407); } 
{ /* Llib/package.scm 118 */
int BgL_tmpz00_1322;
BgL_tmpz00_1322 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1322, BFALSE); } 
return BgL_basez00_408;} } } } } }  else 
{ /* Llib/package.scm 108 */
return 
BGl_pkglibzd2errorzd2zz__pkglib_miscz00(
CNST_TABLE_REF(((long)0)), BGl_string1936z00zz__pkglib_packagez00, BgL_namez00_7);} } }  else 
{ /* Llib/package.scm 88 */
return 
BGl_pkglibzd2errorzd2zz__pkglib_miscz00(
CNST_TABLE_REF(((long)0)), BGl_string1936z00zz__pkglib_packagez00, BgL_namez00_7);} } } } } } 

}



/* &package-name-parse */
obj_t BGl_z62packagezd2namezd2parsez62zz__pkglib_packagez00(obj_t BgL_envz00_871, obj_t BgL_namez00_872)
{
{ /* Llib/package.scm 81 */
{ /* Llib/package.scm 83 */
obj_t BgL_auxz00_1329;
if(
STRINGP(BgL_namez00_872))
{ /* Llib/package.scm 83 */
BgL_auxz00_1329 = BgL_namez00_872
; }  else 
{ 
obj_t BgL_auxz00_1332;
BgL_auxz00_1332 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)3900)), BGl_string1938z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_namez00_872); 
FAILURE(BgL_auxz00_1332,BFALSE,BFALSE);} 
return 
BGl_packagezd2namezd2parsez00zz__pkglib_packagez00(BgL_auxz00_1329);} } 

}



/* make-package-name */
BGL_EXPORTED_DEF obj_t BGl_makezd2packagezd2namez00zz__pkglib_packagez00(obj_t BgL_packagez00_8, obj_t BgL_versionz00_9, obj_t BgL_releasez00_10, obj_t BgL_tuningz00_11)
{
{ /* Llib/package.scm 126 */
{ /* Llib/package.scm 127 */
obj_t BgL_basez00_436;
if(
CBOOL(BgL_tuningz00_11))
{ /* Llib/package.scm 129 */
obj_t BgL_arg1712z00_444;
{ /* Llib/package.scm 129 */
unsigned char BgL_arg1728z00_450;
BgL_arg1728z00_450 = 
BGl_pkglibzd2packagezd2tuningzd2markzd2zz__pkglib_paramz00(); 
{ /* Llib/package.scm 129 */
obj_t BgL_list1729z00_451;
BgL_list1729z00_451 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1728z00_450), BNIL); 
BgL_arg1712z00_444 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1729z00_451); } } 
{ /* Llib/package.scm 128 */
obj_t BgL_list1713z00_445;
{ /* Llib/package.scm 128 */
obj_t BgL_arg1716z00_446;
{ /* Llib/package.scm 128 */
obj_t BgL_arg1725z00_447;
{ /* Llib/package.scm 128 */
obj_t BgL_arg1726z00_448;
{ /* Llib/package.scm 128 */
obj_t BgL_arg1727z00_449;
BgL_arg1727z00_449 = 
MAKE_YOUNG_PAIR(BgL_versionz00_9, BNIL); 
BgL_arg1726z00_448 = 
MAKE_YOUNG_PAIR(BGl_string1939z00zz__pkglib_packagez00, BgL_arg1727z00_449); } 
BgL_arg1725z00_447 = 
MAKE_YOUNG_PAIR(BgL_tuningz00_11, BgL_arg1726z00_448); } 
BgL_arg1716z00_446 = 
MAKE_YOUNG_PAIR(BgL_arg1712z00_444, BgL_arg1725z00_447); } 
BgL_list1713z00_445 = 
MAKE_YOUNG_PAIR(BgL_packagez00_8, BgL_arg1716z00_446); } 
BgL_basez00_436 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1713z00_445); } }  else 
{ /* Llib/package.scm 127 */
BgL_basez00_436 = 
string_append_3(BgL_packagez00_8, BGl_string1939z00zz__pkglib_packagez00, BgL_versionz00_9); } 
if(
CBOOL(BgL_releasez00_10))
{ /* Llib/package.scm 135 */
obj_t BgL_arg1686z00_437;
BgL_arg1686z00_437 = 
BGl_pkglibzd2packagezd2suffixz00zz__pkglib_paramz00(); 
{ /* Llib/package.scm 135 */
obj_t BgL_list1687z00_438;
{ /* Llib/package.scm 135 */
obj_t BgL_arg1689z00_439;
{ /* Llib/package.scm 135 */
obj_t BgL_arg1690z00_440;
{ /* Llib/package.scm 135 */
obj_t BgL_arg1693z00_441;
{ /* Llib/package.scm 135 */
obj_t BgL_arg1699z00_442;
BgL_arg1699z00_442 = 
MAKE_YOUNG_PAIR(BgL_arg1686z00_437, BNIL); 
BgL_arg1693z00_441 = 
MAKE_YOUNG_PAIR(BGl_string1940z00zz__pkglib_packagez00, BgL_arg1699z00_442); } 
BgL_arg1690z00_440 = 
MAKE_YOUNG_PAIR(BgL_releasez00_10, BgL_arg1693z00_441); } 
BgL_arg1689z00_439 = 
MAKE_YOUNG_PAIR(BGl_string1939z00zz__pkglib_packagez00, BgL_arg1690z00_440); } 
BgL_list1687z00_438 = 
MAKE_YOUNG_PAIR(BgL_basez00_436, BgL_arg1689z00_439); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1687z00_438);} }  else 
{ /* Llib/package.scm 134 */
return 
string_append_3(BgL_basez00_436, BGl_string1940z00zz__pkglib_packagez00, 
BGl_pkglibzd2packagezd2suffixz00zz__pkglib_paramz00());} } } 

}



/* &make-package-name */
obj_t BGl_z62makezd2packagezd2namez62zz__pkglib_packagez00(obj_t BgL_envz00_873, obj_t BgL_packagez00_874, obj_t BgL_versionz00_875, obj_t BgL_releasez00_876, obj_t BgL_tuningz00_877)
{
{ /* Llib/package.scm 126 */
{ /* Llib/package.scm 127 */
obj_t BgL_auxz00_1368;obj_t BgL_auxz00_1361;
if(
STRINGP(BgL_versionz00_875))
{ /* Llib/package.scm 127 */
BgL_auxz00_1368 = BgL_versionz00_875
; }  else 
{ 
obj_t BgL_auxz00_1371;
BgL_auxz00_1371 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)5453)), BGl_string1941z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_versionz00_875); 
FAILURE(BgL_auxz00_1371,BFALSE,BFALSE);} 
if(
STRINGP(BgL_packagez00_874))
{ /* Llib/package.scm 127 */
BgL_auxz00_1361 = BgL_packagez00_874
; }  else 
{ 
obj_t BgL_auxz00_1364;
BgL_auxz00_1364 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)5453)), BGl_string1941z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_packagez00_874); 
FAILURE(BgL_auxz00_1364,BFALSE,BFALSE);} 
return 
BGl_makezd2packagezd2namez00zz__pkglib_packagez00(BgL_auxz00_1361, BgL_auxz00_1368, BgL_releasez00_876, BgL_tuningz00_877);} } 

}



/* package-extract-interface */
BGL_EXPORTED_DEF obj_t BGl_packagezd2extractzd2interfacez00zz__pkglib_packagez00(obj_t BgL_pathz00_12, obj_t BgL_basez00_13)
{
{ /* Llib/package.scm 143 */
{ /* Llib/package.scm 147 */
obj_t BgL_intfz00_452;obj_t BgL_pza7za7_453;
BgL_intfz00_452 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_basez00_13, 
string_append_3(BgL_basez00_13, BGl_string1940z00zz__pkglib_packagez00, 
BGl_pkglibzd2interfacezd2suffixz00zz__pkglib_paramz00())); 
{ /* Llib/package.scm 151 */

BgL_pza7za7_453 = 
BGl_openzd2inputzd2gza7ipzd2filez75zz__gunza7ipza7(BgL_pathz00_12, BTRUE, 
BINT(((long)1000000))); } 
if(
INPUT_PORTP(BgL_pza7za7_453))
{ /* Llib/package.scm 152 */BFALSE; }  else 
{ /* Llib/package.scm 153 */
BgL_z62iozd2readzd2errorz62_bglt BgL_arg1731z00_455;
{ /* Llib/package.scm 153 */
BgL_z62iozd2readzd2errorz62_bglt BgL_new1064z00_456;
{ /* Llib/package.scm 153 */
BgL_z62iozd2readzd2errorz62_bglt BgL_new1063z00_459;
BgL_new1063z00_459 = 
((BgL_z62iozd2readzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2readzd2errorz62_bgl) ))); 
{ /* Llib/package.scm 153 */
long BgL_arg1734z00_460;
{ /* Llib/package.scm 153 */
long BgL_res1893z00_826;
BgL_res1893z00_826 = 
BGL_CLASS_INDEX(BGl_z62iozd2readzd2errorz62zz__objectz00); 
BgL_arg1734z00_460 = BgL_res1893z00_826; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_459), BgL_arg1734z00_460); } 
BgL_new1064z00_456 = BgL_new1063z00_459; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_456)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_456)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1391;
{ /* Llib/package.scm 153 */
obj_t BgL_arg1732z00_457;
{ /* Llib/package.scm 153 */
obj_t BgL_arg1733z00_458;
{ /* Llib/package.scm 153 */
obj_t BgL_res1894z00_830;
{ /* Llib/package.scm 153 */
obj_t BgL_classz00_829;
BgL_classz00_829 = BGl_z62iozd2readzd2errorz62zz__objectz00; 
BgL_res1894z00_830 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_829); } 
BgL_arg1733z00_458 = BgL_res1894z00_830; } 
BgL_arg1732z00_457 = 
VECTOR_REF(BgL_arg1733z00_458,((long)2)); } 
BgL_auxz00_1391 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1732z00_457); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_456)))->BgL_stackz00)=((obj_t)BgL_auxz00_1391),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_456)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)1))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_456)))->BgL_msgz00)=((obj_t)BGl_string1942z00zz__pkglib_packagez00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_456)))->BgL_objz00)=((obj_t)BgL_pathz00_12),BUNSPEC); 
BgL_arg1731z00_455 = BgL_new1064z00_456; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1731z00_455)); } 
{ /* Llib/package.scm 157 */
obj_t BgL_exitd1065z00_461;
BgL_exitd1065z00_461 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/package.scm 172 */
obj_t BgL_zc3z04anonymousza31742ze3z87_878;
BgL_zc3z04anonymousza31742ze3z87_878 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31742ze3ze5zz__pkglib_packagez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31742ze3z87_878, 
(int)(((long)0)), BgL_pza7za7_453); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1065z00_461, BgL_zc3z04anonymousza31742ze3z87_878); 
{ /* Llib/package.scm 160 */
obj_t BgL_tmp1067z00_463;
{ 

BgL_zc3z04anonymousza31735ze3z87_465:
{ /* Llib/package.scm 160 */
obj_t BgL_hz00_466;
BgL_hz00_466 = 
BGl_tarzd2readzd2headerz00zz__tarz00(BgL_pza7za7_453); 
if(
CBOOL(BgL_hz00_466))
{ /* Llib/package.scm 161 */
if(
(
(((BgL_tarzd2headerzd2_bglt)COBJECT(
((BgL_tarzd2headerzd2_bglt)BgL_hz00_466)))->BgL_typez00)==
CNST_TABLE_REF(((long)2))))
{ /* Llib/package.scm 165 */
if(
bigloo_strcmp(
(((BgL_tarzd2headerzd2_bglt)COBJECT(
((BgL_tarzd2headerzd2_bglt)BgL_hz00_466)))->BgL_namez00), BgL_intfz00_452))
{ /* Llib/package.scm 166 */
BgL_tmp1067z00_463 = 
BGl_interfacezd2readzd2interfacez00zz__pkglib_interfacez00(BgL_pza7za7_453); }  else 
{ /* Llib/package.scm 166 */
BGl_tarzd2readzd2blockz00zz__tarz00(BgL_hz00_466, BgL_pza7za7_453); 
goto BgL_zc3z04anonymousza31735ze3z87_465;} }  else 
{ /* Llib/package.scm 165 */
goto BgL_zc3z04anonymousza31735ze3z87_465;} }  else 
{ /* Llib/package.scm 161 */
BgL_tmp1067z00_463 = BFALSE; } } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1065z00_461); 
bgl_close_input_port(
((obj_t)BgL_pza7za7_453)); 
return BgL_tmp1067z00_463;} } } } } 

}



/* &package-extract-interface */
obj_t BGl_z62packagezd2extractzd2interfacez62zz__pkglib_packagez00(obj_t BgL_envz00_879, obj_t BgL_pathz00_880, obj_t BgL_basez00_881)
{
{ /* Llib/package.scm 143 */
{ /* Llib/package.scm 147 */
obj_t BgL_auxz00_1437;obj_t BgL_auxz00_1430;
if(
STRINGP(BgL_basez00_881))
{ /* Llib/package.scm 147 */
BgL_auxz00_1437 = BgL_basez00_881
; }  else 
{ 
obj_t BgL_auxz00_1440;
BgL_auxz00_1440 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)6307)), BGl_string1943z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_basez00_881); 
FAILURE(BgL_auxz00_1440,BFALSE,BFALSE);} 
if(
STRINGP(BgL_pathz00_880))
{ /* Llib/package.scm 147 */
BgL_auxz00_1430 = BgL_pathz00_880
; }  else 
{ 
obj_t BgL_auxz00_1433;
BgL_auxz00_1433 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)6307)), BGl_string1943z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_pathz00_880); 
FAILURE(BgL_auxz00_1433,BFALSE,BFALSE);} 
return 
BGl_packagezd2extractzd2interfacez00zz__pkglib_packagez00(BgL_auxz00_1430, BgL_auxz00_1437);} } 

}



/* &<@anonymous:1742> */
obj_t BGl_z62zc3z04anonymousza31742ze3ze5zz__pkglib_packagez00(obj_t BgL_envz00_882)
{
{ /* Llib/package.scm 157 */
{ /* Llib/package.scm 172 */
obj_t BgL_pza7za7_883;
BgL_pza7za7_883 = 
PROCEDURE_REF(BgL_envz00_882, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pza7za7_883));} } 

}



/* package-extract-meta */
BGL_EXPORTED_DEF obj_t BGl_packagezd2extractzd2metaz00zz__pkglib_packagez00(obj_t BgL_pathz00_14, obj_t BgL_basez00_15)
{
{ /* Llib/package.scm 179 */
{ /* Llib/package.scm 183 */
obj_t BgL_metaz00_482;obj_t BgL_pza7za7_483;
BgL_metaz00_482 = 
BGl_makezd2filezd2pathz00zz__osz00(BgL_basez00_15, 
BGl_pkglibzd2metazd2filenamez00zz__pkglib_paramz00(), BNIL); 
{ /* Llib/package.scm 184 */

BgL_pza7za7_483 = 
BGl_openzd2inputzd2gza7ipzd2filez75zz__gunza7ipza7(BgL_pathz00_14, BTRUE, 
BINT(((long)1000000))); } 
if(
INPUT_PORTP(BgL_pza7za7_483))
{ /* Llib/package.scm 185 */BFALSE; }  else 
{ /* Llib/package.scm 186 */
BgL_z62iozd2readzd2errorz62_bglt BgL_arg1746z00_485;
{ /* Llib/package.scm 186 */
BgL_z62iozd2readzd2errorz62_bglt BgL_new1070z00_486;
{ /* Llib/package.scm 186 */
BgL_z62iozd2readzd2errorz62_bglt BgL_new1069z00_489;
BgL_new1069z00_489 = 
((BgL_z62iozd2readzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2readzd2errorz62_bgl) ))); 
{ /* Llib/package.scm 186 */
long BgL_arg1749z00_490;
{ /* Llib/package.scm 186 */
long BgL_res1896z00_838;
BgL_res1896z00_838 = 
BGL_CLASS_INDEX(BGl_z62iozd2readzd2errorz62zz__objectz00); 
BgL_arg1749z00_490 = BgL_res1896z00_838; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_489), BgL_arg1749z00_490); } 
BgL_new1070z00_486 = BgL_new1069z00_489; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_486)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_486)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1463;
{ /* Llib/package.scm 186 */
obj_t BgL_arg1747z00_487;
{ /* Llib/package.scm 186 */
obj_t BgL_arg1748z00_488;
{ /* Llib/package.scm 186 */
obj_t BgL_res1897z00_842;
{ /* Llib/package.scm 186 */
obj_t BgL_classz00_841;
BgL_classz00_841 = BGl_z62iozd2readzd2errorz62zz__objectz00; 
BgL_res1897z00_842 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_841); } 
BgL_arg1748z00_488 = BgL_res1897z00_842; } 
BgL_arg1747z00_487 = 
VECTOR_REF(BgL_arg1748z00_488,((long)2)); } 
BgL_auxz00_1463 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1747z00_487); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_486)))->BgL_stackz00)=((obj_t)BgL_auxz00_1463),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_486)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)3))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_486)))->BgL_msgz00)=((obj_t)BGl_string1942z00zz__pkglib_packagez00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_486)))->BgL_objz00)=((obj_t)BgL_pathz00_14),BUNSPEC); 
BgL_arg1746z00_485 = BgL_new1070z00_486; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1746z00_485)); } 
{ /* Llib/package.scm 190 */
obj_t BgL_exitd1071z00_491;
BgL_exitd1071z00_491 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/package.scm 205 */
obj_t BgL_zc3z04anonymousza31757ze3z87_884;
BgL_zc3z04anonymousza31757ze3z87_884 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31757ze3ze5zz__pkglib_packagez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31757ze3z87_884, 
(int)(((long)0)), BgL_pza7za7_483); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1071z00_491, BgL_zc3z04anonymousza31757ze3z87_884); 
{ /* Llib/package.scm 193 */
obj_t BgL_tmp1073z00_493;
{ 

BgL_zc3z04anonymousza31750ze3z87_495:
{ /* Llib/package.scm 193 */
obj_t BgL_hz00_496;
BgL_hz00_496 = 
BGl_tarzd2readzd2headerz00zz__tarz00(BgL_pza7za7_483); 
if(
CBOOL(BgL_hz00_496))
{ /* Llib/package.scm 194 */
if(
(
(((BgL_tarzd2headerzd2_bglt)COBJECT(
((BgL_tarzd2headerzd2_bglt)BgL_hz00_496)))->BgL_typez00)==
CNST_TABLE_REF(((long)2))))
{ /* Llib/package.scm 198 */
if(
bigloo_strcmp(
(((BgL_tarzd2headerzd2_bglt)COBJECT(
((BgL_tarzd2headerzd2_bglt)BgL_hz00_496)))->BgL_namez00), BgL_metaz00_482))
{ /* Llib/package.scm 200 */

{ /* Llib/package.scm 200 */

BgL_tmp1073z00_493 = 
BGl_readz00zz__readerz00(
((obj_t)BgL_pza7za7_483), BFALSE); } }  else 
{ /* Llib/package.scm 199 */
BGl_tarzd2readzd2blockz00zz__tarz00(BgL_hz00_496, BgL_pza7za7_483); 
goto BgL_zc3z04anonymousza31750ze3z87_495;} }  else 
{ /* Llib/package.scm 198 */
goto BgL_zc3z04anonymousza31750ze3z87_495;} }  else 
{ /* Llib/package.scm 194 */
BgL_tmp1073z00_493 = BFALSE; } } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1071z00_491); 
bgl_close_input_port(
((obj_t)BgL_pza7za7_483)); 
return BgL_tmp1073z00_493;} } } } } 

}



/* &package-extract-meta */
obj_t BGl_z62packagezd2extractzd2metaz62zz__pkglib_packagez00(obj_t BgL_envz00_885, obj_t BgL_pathz00_886, obj_t BgL_basez00_887)
{
{ /* Llib/package.scm 179 */
{ /* Llib/package.scm 183 */
obj_t BgL_auxz00_1510;obj_t BgL_auxz00_1503;
if(
STRINGP(BgL_basez00_887))
{ /* Llib/package.scm 183 */
BgL_auxz00_1510 = BgL_basez00_887
; }  else 
{ 
obj_t BgL_auxz00_1513;
BgL_auxz00_1513 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)7615)), BGl_string1944z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_basez00_887); 
FAILURE(BgL_auxz00_1513,BFALSE,BFALSE);} 
if(
STRINGP(BgL_pathz00_886))
{ /* Llib/package.scm 183 */
BgL_auxz00_1503 = BgL_pathz00_886
; }  else 
{ 
obj_t BgL_auxz00_1506;
BgL_auxz00_1506 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)7615)), BGl_string1944z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_pathz00_886); 
FAILURE(BgL_auxz00_1506,BFALSE,BFALSE);} 
return 
BGl_packagezd2extractzd2metaz00zz__pkglib_packagez00(BgL_auxz00_1503, BgL_auxz00_1510);} } 

}



/* &<@anonymous:1757> */
obj_t BGl_z62zc3z04anonymousza31757ze3ze5zz__pkglib_packagez00(obj_t BgL_envz00_888)
{
{ /* Llib/package.scm 190 */
{ /* Llib/package.scm 205 */
obj_t BgL_pza7za7_889;
BgL_pza7za7_889 = 
PROCEDURE_REF(BgL_envz00_888, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pza7za7_889));} } 

}



/* package-companions */
BGL_EXPORTED_DEF obj_t BGl_packagezd2companionszd2zz__pkglib_packagez00(obj_t BgL_pathz00_16, obj_t BgL_basez00_17)
{
{ /* Llib/package.scm 212 */
{ /* Llib/package.scm 216 */
obj_t BgL_pza7za7_514;
{ /* Llib/package.scm 216 */

BgL_pza7za7_514 = 
BGl_openzd2inputzd2gza7ipzd2filez75zz__gunza7ipza7(BgL_pathz00_16, BTRUE, 
BINT(((long)1000000))); } 
if(
INPUT_PORTP(BgL_pza7za7_514))
{ /* Llib/package.scm 217 */BFALSE; }  else 
{ /* Llib/package.scm 218 */
BgL_z62iozd2readzd2errorz62_bglt BgL_arg1761z00_516;
{ /* Llib/package.scm 218 */
BgL_z62iozd2readzd2errorz62_bglt BgL_new1076z00_517;
{ /* Llib/package.scm 218 */
BgL_z62iozd2readzd2errorz62_bglt BgL_new1075z00_520;
BgL_new1075z00_520 = 
((BgL_z62iozd2readzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2readzd2errorz62_bgl) ))); 
{ /* Llib/package.scm 218 */
long BgL_arg1764z00_521;
{ /* Llib/package.scm 218 */
long BgL_res1899z00_850;
BgL_res1899z00_850 = 
BGL_CLASS_INDEX(BGl_z62iozd2readzd2errorz62zz__objectz00); 
BgL_arg1764z00_521 = BgL_res1899z00_850; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_520), BgL_arg1764z00_521); } 
BgL_new1076z00_517 = BgL_new1075z00_520; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_517)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_517)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1534;
{ /* Llib/package.scm 218 */
obj_t BgL_arg1762z00_518;
{ /* Llib/package.scm 218 */
obj_t BgL_arg1763z00_519;
{ /* Llib/package.scm 218 */
obj_t BgL_res1900z00_854;
{ /* Llib/package.scm 218 */
obj_t BgL_classz00_853;
BgL_classz00_853 = BGl_z62iozd2readzd2errorz62zz__objectz00; 
BgL_res1900z00_854 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_853); } 
BgL_arg1763z00_519 = BgL_res1900z00_854; } 
BgL_arg1762z00_518 = 
VECTOR_REF(BgL_arg1763z00_519,((long)2)); } 
BgL_auxz00_1534 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1762z00_518); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_517)))->BgL_stackz00)=((obj_t)BgL_auxz00_1534),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_517)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)4))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_517)))->BgL_msgz00)=((obj_t)BGl_string1942z00zz__pkglib_packagez00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_517)))->BgL_objz00)=((obj_t)BgL_pathz00_16),BUNSPEC); 
BgL_arg1761z00_516 = BgL_new1076z00_517; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1761z00_516)); } 
{ /* Llib/package.scm 222 */
obj_t BgL_exitd1077z00_522;
BgL_exitd1077z00_522 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/package.scm 236 */
obj_t BgL_zc3z04anonymousza31779ze3z87_890;
BgL_zc3z04anonymousza31779ze3z87_890 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31779ze3ze5zz__pkglib_packagez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31779ze3z87_890, 
(int)(((long)0)), BgL_pza7za7_514); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1077z00_522, BgL_zc3z04anonymousza31779ze3z87_890); 
{ /* Llib/package.scm 223 */
obj_t BgL_tmp1079z00_524;
{ 
obj_t BgL_resz00_527;
BgL_resz00_527 = BNIL; 
BgL_zc3z04anonymousza31765ze3z87_528:
{ /* Llib/package.scm 224 */
obj_t BgL_hz00_529;
BgL_hz00_529 = 
BGl_tarzd2readzd2headerz00zz__tarz00(BgL_pza7za7_514); 
if(
CBOOL(BgL_hz00_529))
{ /* Llib/package.scm 225 */
BGl_tarzd2readzd2blockz00zz__tarz00(BgL_hz00_529, BgL_pza7za7_514); 
{ /* Llib/package.scm 230 */
bool_t BgL_test2048z00_1560;
if(
(
(((BgL_tarzd2headerzd2_bglt)COBJECT(
((BgL_tarzd2headerzd2_bglt)BgL_hz00_529)))->BgL_typez00)==
CNST_TABLE_REF(((long)2))))
{ /* Llib/package.scm 231 */
obj_t BgL_arg1776z00_549;obj_t BgL_arg1777z00_550;
BgL_arg1776z00_549 = 
BGl_pkglibzd2interfacezd2suffixz00zz__pkglib_paramz00(); 
BgL_arg1777z00_550 = 
(((BgL_tarzd2headerzd2_bglt)COBJECT(
((BgL_tarzd2headerzd2_bglt)BgL_hz00_529)))->BgL_namez00); 
{ /* Llib/package.scm 231 */

BgL_test2048z00_1560 = 
BGl_stringzd2suffixzd2cizf3zf3zz__r4_strings_6_7z00(BgL_arg1776z00_549, BgL_arg1777z00_550, BFALSE, BFALSE, BFALSE, BFALSE); } }  else 
{ /* Llib/package.scm 230 */
BgL_test2048z00_1560 = ((bool_t)0)
; } 
if(BgL_test2048z00_1560)
{ /* Llib/package.scm 233 */
obj_t BgL_pz00_543;
{ /* Llib/package.scm 233 */
obj_t BgL_arg1774z00_546;
{ /* Llib/package.scm 233 */
obj_t BgL_arg1775z00_547;
BgL_arg1775z00_547 = 
(((BgL_tarzd2headerzd2_bglt)COBJECT(
((BgL_tarzd2headerzd2_bglt)BgL_hz00_529)))->BgL_namez00); 
BgL_arg1774z00_546 = 
BGl_basenamez00zz__osz00(BgL_arg1775z00_547); } 
BgL_pz00_543 = 
BGl_prefixz00zz__osz00(BgL_arg1774z00_546); } 
{ /* Llib/package.scm 234 */
obj_t BgL_arg1772z00_544;
BgL_arg1772z00_544 = 
MAKE_YOUNG_PAIR(
bstring_to_symbol(BgL_pz00_543), BgL_resz00_527); 
{ 
obj_t BgL_resz00_1576;
BgL_resz00_1576 = BgL_arg1772z00_544; 
BgL_resz00_527 = BgL_resz00_1576; 
goto BgL_zc3z04anonymousza31765ze3z87_528;} } }  else 
{ 

goto BgL_zc3z04anonymousza31765ze3z87_528;} } }  else 
{ /* Llib/package.scm 225 */
BgL_tmp1079z00_524 = BgL_resz00_527; } } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1077z00_522); 
bgl_close_input_port(
((obj_t)BgL_pza7za7_514)); 
return BgL_tmp1079z00_524;} } } } } 

}



/* &package-companions */
obj_t BGl_z62packagezd2companionszb0zz__pkglib_packagez00(obj_t BgL_envz00_891, obj_t BgL_pathz00_892, obj_t BgL_basez00_893)
{
{ /* Llib/package.scm 212 */
{ /* Llib/package.scm 216 */
obj_t BgL_auxz00_1587;obj_t BgL_auxz00_1580;
if(
STRINGP(BgL_basez00_893))
{ /* Llib/package.scm 216 */
BgL_auxz00_1587 = BgL_basez00_893
; }  else 
{ 
obj_t BgL_auxz00_1590;
BgL_auxz00_1590 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)8844)), BGl_string1945z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_basez00_893); 
FAILURE(BgL_auxz00_1590,BFALSE,BFALSE);} 
if(
STRINGP(BgL_pathz00_892))
{ /* Llib/package.scm 216 */
BgL_auxz00_1580 = BgL_pathz00_892
; }  else 
{ 
obj_t BgL_auxz00_1583;
BgL_auxz00_1583 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1928z00zz__pkglib_packagez00, 
BINT(((long)8844)), BGl_string1945z00zz__pkglib_packagez00, BGl_string1930z00zz__pkglib_packagez00, BgL_pathz00_892); 
FAILURE(BgL_auxz00_1583,BFALSE,BFALSE);} 
return 
BGl_packagezd2companionszd2zz__pkglib_packagez00(BgL_auxz00_1580, BgL_auxz00_1587);} } 

}



/* &<@anonymous:1779> */
obj_t BGl_z62zc3z04anonymousza31779ze3ze5zz__pkglib_packagez00(obj_t BgL_envz00_894)
{
{ /* Llib/package.scm 222 */
{ /* Llib/package.scm 236 */
obj_t BgL_pza7za7_895;
BgL_pza7za7_895 = 
PROCEDURE_REF(BgL_envz00_894, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pza7za7_895));} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pkglib_packagez00()
{
{ /* Llib/package.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pkglib_packagez00()
{
{ /* Llib/package.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pkglib_packagez00()
{
{ /* Llib/package.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pkglib_packagez00()
{
{ /* Llib/package.scm 15 */
BGl_modulezd2initializa7ationz75zz__pkglib_paramz00(((long)428478835), 
BSTRING_TO_STRING(BGl_string1946z00zz__pkglib_packagez00)); 
BGl_modulezd2initializa7ationz75zz__pkglib_miscz00(((long)0), 
BSTRING_TO_STRING(BGl_string1946z00zz__pkglib_packagez00)); 
return 
BGl_modulezd2initializa7ationz75zz__pkglib_interfacez00(((long)300125412), 
BSTRING_TO_STRING(BGl_string1946z00zz__pkglib_packagez00));} 

}

#ifdef __cplusplus
}
#endif
