/*===========================================================================*/
/*   (Cfa/funcall.scm)                                                       */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static obj_t BGl_objectzd2initzd2zzcfa_funcallz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_funcallz00();
	static bool_t
		BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt,
		obj_t);
	static bool_t
		BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza31724ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo1515z50zzcfa_funcallz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_variablez00_bglt, long, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31763ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62zc3z04anonymousza31698ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern bool_t BGl_soundzd2arityzf3z21zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t
		BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	extern obj_t
		BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
		(BgL_appz00_bglt);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt,
		obj_t, BgL_funcallz00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_funcallz00();
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	extern BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt,
		BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00();
	static obj_t BGl_genericzd2initzd2zzcfa_funcallz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_cnstzd2initzd2zzcfa_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1991z00zzcfa_funcallz00,
		BgL_bgl_string1991za700za7za7c2004za7, "cfa", 3);
	      DEFINE_STRING(BGl_string1992z00zzcfa_funcallz00,
		BgL_bgl_string1992za700za7za7c2005za7, "Possible funcall type error", 27);
	      DEFINE_STRING(BGl_string1993z00zzcfa_funcallz00,
		BgL_bgl_string1993za700za7za7c2006za7, " provided", 9);
	      DEFINE_STRING(BGl_string1994z00zzcfa_funcallz00,
		BgL_bgl_string1994za700za7za7c2007za7, " arg(s) expected, ", 18);
	      DEFINE_STRING(BGl_string1995z00zzcfa_funcallz00,
		BgL_bgl_string1995za700za7za7c2008za7, "Possible funcall arity error", 28);
	      DEFINE_STRING(BGl_string1997z00zzcfa_funcallz00,
		BgL_bgl_string1997za700za7za7c2009za7, "cfa!", 4);
	      DEFINE_STRING(BGl_string1999z00zzcfa_funcallz00,
		BgL_bgl_string1999za700za7za7c2010za7, "cfa_funcall", 11);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzcfa_funcallz00,
		BgL_bgl_za762cfaza712za7d2func2011za7,
		BGl_z62cfaz12zd2funcallzf2Cinfo1515z50zzcfa_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzcfa_funcallz00,
		BgL_bgl_za762za7c3za704anonymo2012za7,
		BGl_z62zc3z04anonymousza31763ze3ze5zzcfa_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2000z00zzcfa_funcallz00,
		BgL_bgl_string2000za700za7za7c2013za7, "all ", 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long
		BgL_checksumz00_3641, char *BgL_fromz00_3642)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_cnstzd2initzd2zzcfa_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_methodzd2initzd2zzcfa_funcallz00();
					return BGl_toplevelzd2initzd2zzcfa_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			{	/* Cfa/funcall.scm 15 */
				obj_t BgL_cportz00_3586;

				{	/* Cfa/funcall.scm 15 */
					obj_t BgL_stringz00_3594;

					BgL_stringz00_3594 = BGl_string2000z00zzcfa_funcallz00;
					{	/* Cfa/funcall.scm 15 */
						obj_t BgL_startz00_3595;

						BgL_startz00_3595 = BINT(((long) 0));
						{	/* Cfa/funcall.scm 15 */
							obj_t BgL_endz00_3596;

							BgL_endz00_3596 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3594)));
							{	/* Cfa/funcall.scm 15 */

								BgL_cportz00_3586 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3594, BgL_startz00_3595, BgL_endz00_3596);
				}}}}
				{
					long BgL_iz00_3587;

					BgL_iz00_3587 = ((long) 0);
				BgL_loopz00_3588:
					if ((BgL_iz00_3587 == ((long) -1)))
						{	/* Cfa/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/funcall.scm 15 */
							{	/* Cfa/funcall.scm 15 */
								obj_t BgL_arg2002z00_3590;

								{	/* Cfa/funcall.scm 15 */

									{	/* Cfa/funcall.scm 15 */
										obj_t BgL_locationz00_3592;

										BgL_locationz00_3592 = BBOOL(((bool_t) 0));
										{	/* Cfa/funcall.scm 15 */

											BgL_arg2002z00_3590 =
												BGl_readz00zz__readerz00(BgL_cportz00_3586,
												BgL_locationz00_3592);
										}
									}
								}
								{	/* Cfa/funcall.scm 15 */
									int BgL_tmpz00_3667;

									BgL_tmpz00_3667 = (int) (BgL_iz00_3587);
									CNST_TABLE_SET(BgL_tmpz00_3667, BgL_arg2002z00_3590);
							}}
							{	/* Cfa/funcall.scm 15 */
								int BgL_auxz00_3593;

								BgL_auxz00_3593 = (int) ((BgL_iz00_3587 - ((long) 1)));
								{
									long BgL_iz00_3672;

									BgL_iz00_3672 = (long) (BgL_auxz00_3593);
									BgL_iz00_3587 = BgL_iz00_3672;
									goto BgL_loopz00_3588;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* optional-correct-arity? */
	bool_t BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_4, obj_t BgL_argszd2approxzd2_5)
	{
		{	/* Cfa/funcall.scm 111 */
			{	/* Cfa/funcall.scm 113 */
				long BgL_miz00_2772;

				BgL_miz00_2772 =
					(((long) 1) +
					(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_4)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 114 */
					long BgL_lz00_2774;

					BgL_lz00_2774 = bgl_list_length(BgL_argszd2approxzd2_5);
					{	/* Cfa/funcall.scm 115 */

						if ((BgL_lz00_2774 >= BgL_miz00_2772))
							{	/* Cfa/funcall.scm 116 */
								return
									(BgL_lz00_2774 <=
									(BgL_miz00_2772 +
										bgl_list_length(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_4)))->
												BgL_optionalsz00))));
							}
						else
							{	/* Cfa/funcall.scm 116 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* key-correct-arity? */
	bool_t BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_6, obj_t BgL_argszd2approxzd2_7)
	{
		{	/* Cfa/funcall.scm 121 */
			{	/* Cfa/funcall.scm 123 */
				long BgL_miz00_2779;

				BgL_miz00_2779 =
					(((long) 1) +
					(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_6)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 124 */
					long BgL_lz00_2781;

					BgL_lz00_2781 = bgl_list_length(BgL_argszd2approxzd2_7);
					{	/* Cfa/funcall.scm 125 */

						if ((BgL_lz00_2781 >= BgL_miz00_2779))
							{	/* Cfa/funcall.scm 126 */
								return
									(BgL_lz00_2781 <=
									(BgL_miz00_2779 +
										(((long) 2) *
											bgl_list_length(
												(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_6)))->
													BgL_keysz00)))));
							}
						else
							{	/* Cfa/funcall.scm 126 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* cfa-correct-arity? */
	bool_t BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_8, obj_t BgL_argszd2approxzd2_9)
	{
		{	/* Cfa/funcall.scm 131 */
			{	/* Cfa/funcall.scm 132 */
				obj_t BgL_gz00_2787;

				BgL_gz00_2787 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_funz00_8)))->
					BgL_thezd2closurezd2globalz00);
				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2787))
					{	/* Cfa/funcall.scm 135 */
						BgL_valuez00_bglt BgL_arg1550z00_2789;

						BgL_arg1550z00_2789 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_2787))))->BgL_valuez00);
						return
							BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00
							(BgL_arg1550z00_2789, BgL_argszd2approxzd2_9);
					}
				else
					{	/* Cfa/funcall.scm 134 */
						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2787))
							{	/* Cfa/funcall.scm 137 */
								BgL_valuez00_bglt BgL_arg1554z00_2791;

								BgL_arg1554z00_2791 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2787))))->BgL_valuez00);
								return
									BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_arg1554z00_2791, BgL_argszd2approxzd2_9);
							}
						else
							{	/* Cfa/funcall.scm 139 */
								long BgL_arg1558z00_2792;

								BgL_arg1558z00_2792 =
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_funz00_8)))->BgL_arityz00);
								return
									BGl_soundzd2arityzf3z21zztools_argsz00(BINT
									(BgL_arg1558z00_2792), BgL_argszd2approxzd2_9);
							}
					}
			}
		}

	}



/* funcall! */
	BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt
		BgL_allocz00_10, obj_t BgL_argszd2approxzd2_11,
		BgL_funcallz00_bglt BgL_nodez00_12)
	{
		{	/* Cfa/funcall.scm 144 */
			{	/* Cfa/funcall.scm 145 */
				obj_t BgL_calleez00_2793;

				{	/* Cfa/funcall.scm 145 */
					obj_t BgL_pairz00_3485;

					BgL_pairz00_3485 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_allocz00_10)))->BgL_argsz00);
					BgL_calleez00_2793 = CAR(BgL_pairz00_3485);
				}
				{	/* Cfa/funcall.scm 145 */
					BgL_variablez00_bglt BgL_vz00_2794;

					BgL_vz00_2794 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_calleez00_2793)))->BgL_variablez00);
					{	/* Cfa/funcall.scm 146 */
						BgL_valuez00_bglt BgL_funz00_2795;

						BgL_funz00_2795 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2794))->BgL_valuez00);
						{	/* Cfa/funcall.scm 147 */
							long BgL_arityz00_2796;

							BgL_arityz00_2796 =
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_funz00_2795)))->BgL_arityz00);
							{	/* Cfa/funcall.scm 148 */

								if (BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_funz00_2795, BgL_argszd2approxzd2_11))
									{	/* Cfa/funcall.scm 159 */
										bool_t BgL_test2021z00_3726;

										{	/* Cfa/funcall.scm 159 */
											bool_t BgL_test2022z00_3727;

											{	/* Cfa/funcall.scm 159 */
												obj_t BgL_arg1627z00_2835;

												BgL_arg1627z00_2835 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_2795)))->
													BgL_thezd2closurezd2globalz00);
												BgL_test2022z00_3727 =
													BGl_globalzd2optionalzf3z21zzast_varz00
													(BgL_arg1627z00_2835);
											}
											if (BgL_test2022z00_3727)
												{	/* Cfa/funcall.scm 159 */
													BgL_test2021z00_3726 = ((bool_t) 1);
												}
											else
												{	/* Cfa/funcall.scm 160 */
													obj_t BgL_arg1626z00_2834;

													BgL_arg1626z00_2834 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_2795)))->
														BgL_thezd2closurezd2globalz00);
													BgL_test2021z00_3726 =
														BGl_globalzd2keyzf3z21zzast_varz00
														(BgL_arg1626z00_2834);
												}
										}
										if (BgL_test2021z00_3726)
											{	/* Cfa/funcall.scm 159 */
												{
													obj_t BgL_l1510z00_2804;

													BgL_l1510z00_2804 = BgL_argszd2approxzd2_11;
												BgL_zc3z04anonymousza31575ze3z87_2805:
													if (PAIRP(BgL_l1510z00_2804))
														{	/* Cfa/funcall.scm 163 */
															{	/* Cfa/funcall.scm 163 */
																obj_t BgL_approxz00_2807;

																BgL_approxz00_2807 = CAR(BgL_l1510z00_2804);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_approxz00_2807),
																	CNST_TABLE_REF(((long) 0)));
															}
															{
																obj_t BgL_l1510z00_3740;

																BgL_l1510z00_3740 = CDR(BgL_l1510z00_2804);
																BgL_l1510z00_2804 = BgL_l1510z00_3740;
																goto BgL_zc3z04anonymousza31575ze3z87_2805;
															}
														}
													else
														{	/* Cfa/funcall.scm 163 */
															((bool_t) 1);
														}
												}
												return
													BGl_makezd2typezd2approxz00zzcfa_approxz00(
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/funcall.scm 159 */
												if ((BgL_arityz00_2796 >= ((long) 0)))
													{	/* Cfa/funcall.scm 165 */
														return
															BGl_appz12z12zzcfa_appz00(
															((BgL_funz00_bglt) BgL_funz00_2795),
															((BgL_varz00_bglt) BgL_calleez00_2793),
															BgL_argszd2approxzd2_11);
													}
												else
													{	/* Cfa/funcall.scm 165 */
														{
															obj_t BgL_oldzd2argszd2approxz00_2813;
															obj_t BgL_newzd2argszd2approxz00_2814;
															long BgL_arityz00_2815;

															BgL_oldzd2argszd2approxz00_2813 =
																BgL_argszd2approxzd2_11;
															BgL_newzd2argszd2approxz00_2814 = BNIL;
															BgL_arityz00_2815 = BgL_arityz00_2796;
														BgL_zc3z04anonymousza31580ze3z87_2816:
															if ((BgL_arityz00_2815 == ((long) -1)))
																{	/* Cfa/funcall.scm 175 */
																	{
																		obj_t BgL_l1512z00_2819;

																		BgL_l1512z00_2819 =
																			BgL_oldzd2argszd2approxz00_2813;
																	BgL_zc3z04anonymousza31582ze3z87_2820:
																		if (PAIRP(BgL_l1512z00_2819))
																			{	/* Cfa/funcall.scm 177 */
																				{	/* Cfa/funcall.scm 177 */
																					obj_t BgL_approxz00_2822;

																					BgL_approxz00_2822 =
																						CAR(BgL_l1512z00_2819);
																					BGl_loosez12z12zzcfa_loosez00(
																						((BgL_approxz00_bglt)
																							BgL_approxz00_2822),
																						CNST_TABLE_REF(((long) 0)));
																				}
																				{
																					obj_t BgL_l1512z00_3757;

																					BgL_l1512z00_3757 =
																						CDR(BgL_l1512z00_2819);
																					BgL_l1512z00_2819 = BgL_l1512z00_3757;
																					goto
																						BgL_zc3z04anonymousza31582ze3z87_2820;
																				}
																			}
																		else
																			{	/* Cfa/funcall.scm 177 */
																				((bool_t) 1);
																			}
																	}
																	{	/* Cfa/funcall.scm 181 */
																		obj_t BgL_arg1590z00_2825;

																		{	/* Cfa/funcall.scm 181 */
																			obj_t BgL_arg1594z00_2826;

																			{	/* Cfa/funcall.scm 181 */
																				BgL_approxz00_bglt BgL_arg1598z00_2827;

																				{
																					BgL_funcallzf2cinfozf2_bglt
																						BgL_auxz00_3759;
																					{
																						obj_t BgL_auxz00_3760;

																						{	/* Cfa/funcall.scm 181 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3761;
																							BgL_tmpz00_3761 =
																								((BgL_objectz00_bglt)
																								BgL_nodez00_12);
																							BgL_auxz00_3760 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_3761);
																						}
																						BgL_auxz00_3759 =
																							((BgL_funcallzf2cinfozf2_bglt)
																							BgL_auxz00_3760);
																					}
																					BgL_arg1598z00_2827 =
																						(((BgL_funcallzf2cinfozf2_bglt)
																							COBJECT(BgL_auxz00_3759))->
																						BgL_vazd2approxzd2);
																				}
																				BgL_arg1594z00_2826 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg1598z00_2827),
																					BgL_newzd2argszd2approxz00_2814);
																			}
																			BgL_arg1590z00_2825 =
																				bgl_reverse_bang(BgL_arg1594z00_2826);
																		}
																		return
																			BGl_appz12z12zzcfa_appz00(
																			((BgL_funz00_bglt) BgL_funz00_2795),
																			((BgL_varz00_bglt) BgL_calleez00_2793),
																			BgL_arg1590z00_2825);
																	}
																}
															else
																{	/* Cfa/funcall.scm 183 */
																	obj_t BgL_arg1602z00_2828;
																	obj_t BgL_arg1609z00_2829;
																	long BgL_arg1613z00_2830;

																	BgL_arg1602z00_2828 =
																		CDR(
																		((obj_t) BgL_oldzd2argszd2approxz00_2813));
																	{	/* Cfa/funcall.scm 184 */
																		obj_t BgL_arg1618z00_2831;

																		BgL_arg1618z00_2831 =
																			CAR(
																			((obj_t)
																				BgL_oldzd2argszd2approxz00_2813));
																		BgL_arg1609z00_2829 =
																			MAKE_YOUNG_PAIR(BgL_arg1618z00_2831,
																			BgL_newzd2argszd2approxz00_2814);
																	}
																	BgL_arg1613z00_2830 =
																		(BgL_arityz00_2815 + ((long) 1));
																	{
																		long BgL_arityz00_3780;
																		obj_t BgL_newzd2argszd2approxz00_3779;
																		obj_t BgL_oldzd2argszd2approxz00_3778;

																		BgL_oldzd2argszd2approxz00_3778 =
																			BgL_arg1602z00_2828;
																		BgL_newzd2argszd2approxz00_3779 =
																			BgL_arg1609z00_2829;
																		BgL_arityz00_3780 = BgL_arg1613z00_2830;
																		BgL_arityz00_2815 = BgL_arityz00_3780;
																		BgL_newzd2argszd2approxz00_2814 =
																			BgL_newzd2argszd2approxz00_3779;
																		BgL_oldzd2argszd2approxz00_2813 =
																			BgL_oldzd2argszd2approxz00_3778;
																		goto BgL_zc3z04anonymousza31580ze3z87_2816;
																	}
																}
														}
													}
											}
									}
								else
									{	/* Cfa/funcall.scm 153 */
										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_3781;

											{
												obj_t BgL_auxz00_3782;

												{	/* Cfa/funcall.scm 157 */
													BgL_objectz00_bglt BgL_tmpz00_3783;

													BgL_tmpz00_3783 =
														((BgL_objectz00_bglt) BgL_allocz00_10);
													BgL_auxz00_3782 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3783);
												}
												BgL_auxz00_3781 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_3782);
											}
											((((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_3781))->BgL_xzd2tzf3z21) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										return
											BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00
											(BgL_nodez00_12, BgL_vz00_2794, BgL_arityz00_2796,
											BgL_argszd2approxzd2_11);
									}
							}
						}
					}
				}
			}
		}

	}



/* funcall-type-error */
	obj_t BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_13, BgL_typez00_bglt BgL_typez00_14)
	{
		{	/* Cfa/funcall.scm 190 */
			{	/* Cfa/funcall.scm 193 */
				bool_t BgL_test2027z00_3789;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_3790;

					{
						obj_t BgL_auxz00_3791;

						{	/* Cfa/funcall.scm 193 */
							BgL_objectz00_bglt BgL_tmpz00_3792;

							BgL_tmpz00_3792 = ((BgL_objectz00_bglt) BgL_nodez00_13);
							BgL_auxz00_3791 = BGL_OBJECT_WIDENING(BgL_tmpz00_3792);
						}
						BgL_auxz00_3790 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_3791);
					}
					BgL_test2027z00_3789 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_3790))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				if (BgL_test2027z00_3789)
					{	/* Cfa/funcall.scm 193 */
						return BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 193 */
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_3797;

							{
								obj_t BgL_auxz00_3798;

								{	/* Cfa/funcall.scm 194 */
									BgL_objectz00_bglt BgL_tmpz00_3799;

									BgL_tmpz00_3799 = ((BgL_objectz00_bglt) BgL_nodez00_13);
									BgL_auxz00_3798 = BGL_OBJECT_WIDENING(BgL_tmpz00_3799);
								}
								BgL_auxz00_3797 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_3798);
							}
							((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_3797))->
									BgL_typezd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 195 */
							obj_t BgL_arg1633z00_2840;
							obj_t BgL_arg1636z00_2841;

							BgL_arg1633z00_2840 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_13)))->BgL_locz00);
							BgL_arg1636z00_2841 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_14));
							return
								BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg1633z00_2840, BGl_string1991z00zzcfa_funcallz00,
								BGl_string1992z00zzcfa_funcallz00, BgL_arg1636z00_2841);
						}
					}
			}
		}

	}



/* funcall-arity-error */
	BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_15, BgL_variablez00_bglt BgL_vz00_16, long BgL_arityz00_17,
		obj_t BgL_argszd2approxzd2_18)
	{
		{	/* Cfa/funcall.scm 203 */
			{	/* Cfa/funcall.scm 205 */
				bool_t BgL_test2028z00_3809;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_3810;

					{
						obj_t BgL_auxz00_3811;

						{	/* Cfa/funcall.scm 205 */
							BgL_objectz00_bglt BgL_tmpz00_3812;

							BgL_tmpz00_3812 = ((BgL_objectz00_bglt) BgL_nodez00_15);
							BgL_auxz00_3811 = BGL_OBJECT_WIDENING(BgL_tmpz00_3812);
						}
						BgL_auxz00_3810 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_3811);
					}
					BgL_test2028z00_3809 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_3810))->
						BgL_arityzd2errorzd2noticedzf3zf3);
				}
				if (BgL_test2028z00_3809)
					{	/* Cfa/funcall.scm 205 */
						BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 206 */
						long BgL_lenzd2provzd2_2844;

						BgL_lenzd2provzd2_2844 =
							(bgl_list_length(BgL_argszd2approxzd2_18) - ((long) 1));
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_3819;

							{
								obj_t BgL_auxz00_3820;

								{	/* Cfa/funcall.scm 207 */
									BgL_objectz00_bglt BgL_tmpz00_3821;

									BgL_tmpz00_3821 = ((BgL_objectz00_bglt) BgL_nodez00_15);
									BgL_auxz00_3820 = BGL_OBJECT_WIDENING(BgL_tmpz00_3821);
								}
								BgL_auxz00_3819 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_3820);
							}
							((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_3819))->
									BgL_arityzd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 208 */
							obj_t BgL_arg1639z00_2845;
							obj_t BgL_arg1641z00_2846;
							obj_t BgL_arg1644z00_2847;

							BgL_arg1639z00_2845 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
							{	/* Cfa/funcall.scm 212 */
								BgL_variablez00_bglt BgL_arg1645z00_2848;

								{	/* Cfa/funcall.scm 212 */
									bool_t BgL_test2029z00_3828;

									{	/* Cfa/funcall.scm 212 */
										bool_t BgL_res1977z00_3514;

										BgL_res1977z00_3514 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_vz00_16), BGl_localz00zzast_varz00);
										BgL_test2029z00_3828 = BgL_res1977z00_3514;
									}
									if (BgL_test2029z00_3828)
										{	/* Cfa/funcall.scm 213 */
											BgL_variablez00_bglt BgL_duplicated1167z00_2850;
											BgL_localz00_bglt BgL_new1165z00_2851;

											BgL_duplicated1167z00_2850 = BgL_vz00_16;
											{	/* Cfa/funcall.scm 213 */
												BgL_localz00_bglt BgL_new1169z00_2853;

												BgL_new1169z00_2853 =
													((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_localz00_bgl))));
												{	/* Cfa/funcall.scm 213 */
													long BgL_arg1647z00_2854;

													{	/* Cfa/funcall.scm 213 */
														long BgL_res1978z00_3516;

														BgL_res1978z00_3516 =
															BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
														BgL_arg1647z00_2854 = BgL_res1978z00_3516;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1169z00_2853),
														BgL_arg1647z00_2854);
												}
												{	/* Cfa/funcall.scm 213 */
													BgL_objectz00_bglt BgL_tmpz00_3835;

													BgL_tmpz00_3835 =
														((BgL_objectz00_bglt) BgL_new1169z00_2853);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3835, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1169z00_2853);
												BgL_new1165z00_2851 = BgL_new1169z00_2853;
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_new1165z00_2851)))->
													BgL_idz00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->BgL_idz00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_namez00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_namez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_typez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_valuez00) =
												((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_valuez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_accessz00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_accessz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_fastzd2alphazd2) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_fastzd2alphazd2)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_removablez00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_removablez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_occurrencez00) =
												((long) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_occurrencez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_occurrencewz00) =
												((long) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_occurrencewz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1165z00_2851)))->BgL_userzf3zf3) =
												((bool_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_duplicated1167z00_2850))->
														BgL_userzf3zf3)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1165z00_2851))->
													BgL_keyz00) =
												((long) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt)
																	BgL_duplicated1167z00_2850)))->BgL_keyz00)),
												BUNSPEC);
											BgL_arg1645z00_2848 =
												((BgL_variablez00_bglt) BgL_new1165z00_2851);
										}
									else
										{	/* Cfa/funcall.scm 214 */
											bool_t BgL_test2030z00_3873;

											{	/* Cfa/funcall.scm 214 */
												bool_t BgL_res1979z00_3520;

												BgL_res1979z00_3520 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_vz00_16), BGl_globalz00zzast_varz00);
												BgL_test2030z00_3873 = BgL_res1979z00_3520;
											}
											if (BgL_test2030z00_3873)
												{	/* Cfa/funcall.scm 215 */
													BgL_variablez00_bglt BgL_duplicated1172z00_2856;
													BgL_globalz00_bglt BgL_new1170z00_2857;

													BgL_duplicated1172z00_2856 = BgL_vz00_16;
													{	/* Cfa/funcall.scm 215 */
														BgL_globalz00_bglt BgL_new1184z00_2868;

														BgL_new1184z00_2868 =
															((BgL_globalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_globalz00_bgl))));
														{	/* Cfa/funcall.scm 215 */
															long BgL_arg1650z00_2869;

															{	/* Cfa/funcall.scm 215 */
																long BgL_res1980z00_3522;

																BgL_res1980z00_3522 =
																	BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
																BgL_arg1650z00_2869 = BgL_res1980z00_3522;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1184z00_2868),
																BgL_arg1650z00_2869);
														}
														{	/* Cfa/funcall.scm 215 */
															BgL_objectz00_bglt BgL_tmpz00_3880;

															BgL_tmpz00_3880 =
																((BgL_objectz00_bglt) BgL_new1184z00_2868);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3880, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1184z00_2868);
														BgL_new1170z00_2857 = BgL_new1184z00_2868;
													}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->BgL_idz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_idz00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->BgL_namez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_namez00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_typez00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->BgL_valuez00) =
														((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_valuez00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->BgL_accessz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_accessz00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->
															BgL_fastzd2alphazd2) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_fastzd2alphazd2)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->BgL_removablez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_removablez00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->BgL_occurrencez00) =
														((long) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_occurrencez00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->
															BgL_occurrencewz00) =
														((long) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_occurrencewz00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1170z00_2857)))->BgL_userzf3zf3) =
														((bool_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_duplicated1172z00_2856))->
																BgL_userzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->BgL_modulez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_modulez00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->BgL_importz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_importz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->
															BgL_evaluablezf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_evaluablezf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->BgL_evalzf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_evalzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->BgL_libraryz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_libraryz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->BgL_pragmaz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_pragmaz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->BgL_srcz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_srcz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->
															BgL_jvmzd2typezd2namez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_jvmzd2typezd2namez00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->BgL_initz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_initz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1170z00_2857))->BgL_aliasz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt)
																			BgL_duplicated1172z00_2856)))->
																BgL_aliasz00)), BUNSPEC);
													BgL_arg1645z00_2848 =
														((BgL_variablez00_bglt) BgL_new1170z00_2857);
												}
											else
												{	/* Cfa/funcall.scm 214 */
													BgL_arg1645z00_2848 = BgL_vz00_16;
												}
										}
								}
								BgL_arg1641z00_2846 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg1645z00_2848));
							}
							{	/* Cfa/funcall.scm 220 */
								obj_t BgL_arg1651z00_2870;
								obj_t BgL_arg1653z00_2871;

								{	/* Cfa/funcall.scm 220 */

									BgL_arg1651z00_2870 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(BgL_arityz00_17 - ((long) 1)), ((long) 10));
								}
								{	/* Cfa/funcall.scm 222 */

									BgL_arg1653z00_2871 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_lenzd2provzd2_2844, ((long) 10));
								}
								{	/* Cfa/funcall.scm 219 */
									obj_t BgL_list1654z00_2872;

									{	/* Cfa/funcall.scm 219 */
										obj_t BgL_arg1655z00_2873;

										{	/* Cfa/funcall.scm 219 */
											obj_t BgL_arg1656z00_2874;

											{	/* Cfa/funcall.scm 219 */
												obj_t BgL_arg1660z00_2875;

												BgL_arg1660z00_2875 =
													MAKE_YOUNG_PAIR(BGl_string1993z00zzcfa_funcallz00,
													BNIL);
												BgL_arg1656z00_2874 =
													MAKE_YOUNG_PAIR(BgL_arg1653z00_2871,
													BgL_arg1660z00_2875);
											}
											BgL_arg1655z00_2873 =
												MAKE_YOUNG_PAIR(BGl_string1994z00zzcfa_funcallz00,
												BgL_arg1656z00_2874);
										}
										BgL_list1654z00_2872 =
											MAKE_YOUNG_PAIR(BgL_arg1651z00_2870, BgL_arg1655z00_2873);
									}
									BgL_arg1644z00_2847 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list1654z00_2872);
							}}
							BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg1639z00_2845, BgL_arg1641z00_2846,
								BGl_string1995z00zzcfa_funcallz00, BgL_arg1644z00_2847);
			}}}
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_funcallzf2Cinfozf2zzcfa_infoz00,
				BGl_proc1996z00zzcfa_funcallz00, BGl_string1997z00zzcfa_funcallz00);
		}

	}



/* &cfa!-funcall/Cinfo1515 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo1515z50zzcfa_funcallz00(obj_t
		BgL_envz00_3570, obj_t BgL_nodez00_3571)
	{
		{	/* Cfa/funcall.scm 44 */
			{	/* Cfa/funcall.scm 48 */
				BgL_approxz00_bglt BgL_fapproxz00_3600;

				{	/* Cfa/funcall.scm 48 */
					BgL_nodez00_bglt BgL_arg1781z00_3601;

					BgL_arg1781z00_3601 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_3571))))->BgL_funz00);
					BgL_fapproxz00_3600 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1781z00_3601);
				}
				{	/* Cfa/funcall.scm 48 */
					obj_t BgL_aapproxz00_3602;

					{	/* Cfa/funcall.scm 49 */
						obj_t BgL_l1502z00_3603;

						{	/* Cfa/funcall.scm 49 */
							obj_t BgL_pairz00_3604;

							BgL_pairz00_3604 =
								(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nodez00_3571))))->BgL_argsz00);
							BgL_l1502z00_3603 = CDR(BgL_pairz00_3604);
						}
						if (NULLP(BgL_l1502z00_3603))
							{	/* Cfa/funcall.scm 49 */
								BgL_aapproxz00_3602 = BNIL;
							}
						else
							{	/* Cfa/funcall.scm 49 */
								obj_t BgL_head1504z00_3605;

								{	/* Cfa/funcall.scm 49 */
									BgL_approxz00_bglt BgL_arg1777z00_3606;

									{	/* Cfa/funcall.scm 49 */
										obj_t BgL_arg1778z00_3607;

										BgL_arg1778z00_3607 = CAR(((obj_t) BgL_l1502z00_3603));
										BgL_arg1777z00_3606 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1778z00_3607));
									}
									{	/* Cfa/funcall.scm 49 */
										obj_t BgL_res1983z00_3608;

										BgL_res1983z00_3608 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1777z00_3606), BNIL);
										BgL_head1504z00_3605 = BgL_res1983z00_3608;
									}
								}
								{	/* Cfa/funcall.scm 49 */
									obj_t BgL_g1507z00_3609;

									BgL_g1507z00_3609 = CDR(((obj_t) BgL_l1502z00_3603));
									{
										obj_t BgL_l1502z00_3611;
										obj_t BgL_tail1505z00_3612;

										BgL_l1502z00_3611 = BgL_g1507z00_3609;
										BgL_tail1505z00_3612 = BgL_head1504z00_3605;
									BgL_zc3z04anonymousza31771ze3z87_3610:
										if (NULLP(BgL_l1502z00_3611))
											{	/* Cfa/funcall.scm 49 */
												BgL_aapproxz00_3602 = BgL_head1504z00_3605;
											}
										else
											{	/* Cfa/funcall.scm 49 */
												obj_t BgL_newtail1506z00_3613;

												{	/* Cfa/funcall.scm 49 */
													BgL_approxz00_bglt BgL_arg1775z00_3614;

													{	/* Cfa/funcall.scm 49 */
														obj_t BgL_arg1776z00_3615;

														BgL_arg1776z00_3615 =
															CAR(((obj_t) BgL_l1502z00_3611));
														BgL_arg1775z00_3614 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1776z00_3615));
													}
													{	/* Cfa/funcall.scm 49 */
														obj_t BgL_res1985z00_3616;

														BgL_res1985z00_3616 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1775z00_3614), BNIL);
														BgL_newtail1506z00_3613 = BgL_res1985z00_3616;
													}
												}
												SET_CDR(BgL_tail1505z00_3612, BgL_newtail1506z00_3613);
												{	/* Cfa/funcall.scm 49 */
													obj_t BgL_arg1774z00_3617;

													BgL_arg1774z00_3617 =
														CDR(((obj_t) BgL_l1502z00_3611));
													{
														obj_t BgL_tail1505z00_3988;
														obj_t BgL_l1502z00_3987;

														BgL_l1502z00_3987 = BgL_arg1774z00_3617;
														BgL_tail1505z00_3988 = BgL_newtail1506z00_3613;
														BgL_tail1505z00_3612 = BgL_tail1505z00_3988;
														BgL_l1502z00_3611 = BgL_l1502z00_3987;
														goto BgL_zc3z04anonymousza31771ze3z87_3610;
													}
												}
											}
									}
								}
							}
					}
					{	/* Cfa/funcall.scm 49 */

						{	/* Cfa/funcall.scm 54 */
							BgL_typez00_bglt BgL_funzd2typezd2_3618;

							BgL_funzd2typezd2_3618 =
								(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3600))->
								BgL_typez00);
							{	/* Cfa/funcall.scm 55 */
								bool_t BgL_test2033z00_3990;

								if (
									(((obj_t) BgL_funzd2typezd2_3618) ==
										BGl_za2_za2z00zztype_cachez00))
									{	/* Cfa/funcall.scm 55 */
										BgL_test2033z00_3990 = ((bool_t) 1);
									}
								else
									{	/* Cfa/funcall.scm 55 */
										if (
											(((obj_t) BgL_funzd2typezd2_3618) ==
												BGl_za2objza2z00zztype_cachez00))
											{	/* Cfa/funcall.scm 56 */
												BgL_test2033z00_3990 = ((bool_t) 1);
											}
										else
											{	/* Cfa/funcall.scm 56 */
												BgL_test2033z00_3990 =
													(
													((obj_t) BgL_funzd2typezd2_3618) ==
													BGl_za2procedureza2z00zztype_cachez00);
											}
									}
								if (BgL_test2033z00_3990)
									{	/* Cfa/funcall.scm 55 */
										BFALSE;
									}
								else
									{	/* Cfa/funcall.scm 55 */
										BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(
											((BgL_funcallz00_bglt) BgL_nodez00_3571),
											BgL_funzd2typezd2_3618);
									}
							}
						}
						{	/* Cfa/funcall.scm 60 */
							bool_t BgL_test2036z00_4001;

							{	/* Cfa/funcall.scm 60 */
								bool_t BgL_test2037z00_4002;

								{	/* Cfa/funcall.scm 60 */
									BgL_typez00_bglt BgL_arg1680z00_3619;

									BgL_arg1680z00_3619 =
										(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3600))->
										BgL_typez00);
									BgL_test2037z00_4002 =
										(((obj_t) BgL_arg1680z00_3619) ==
										BGl_za2procedureza2z00zztype_cachez00);
								}
								if (BgL_test2037z00_4002)
									{	/* Cfa/funcall.scm 60 */
										BgL_test2036z00_4001 =
											(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3600))->
											BgL_topzf3zf3);
									}
								else
									{	/* Cfa/funcall.scm 60 */
										BgL_test2036z00_4001 = ((bool_t) 1);
									}
							}
							if (BgL_test2036z00_4001)
								{	/* Cfa/funcall.scm 62 */
									BgL_approxz00_bglt BgL_arg1679z00_3620;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4007;

										{
											obj_t BgL_auxz00_4008;

											{	/* Cfa/funcall.scm 62 */
												BgL_objectz00_bglt BgL_tmpz00_4009;

												BgL_tmpz00_4009 =
													((BgL_objectz00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_3571));
												BgL_auxz00_4008 = BGL_OBJECT_WIDENING(BgL_tmpz00_4009);
											}
											BgL_auxz00_4007 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4008);
										}
										BgL_arg1679z00_3620 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4007))->BgL_approxz00);
									}
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
										(BgL_arg1679z00_3620,
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
								}
							else
								{	/* Cfa/funcall.scm 60 */
									BFALSE;
								}
						}
						{	/* Cfa/funcall.scm 65 */
							bool_t BgL_test2038z00_4017;

							if (
								(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3600))->
									BgL_topzf3zf3))
								{	/* Cfa/funcall.scm 65 */
									BgL_test2038z00_4017 = ((bool_t) 1);
								}
							else
								{	/* Cfa/funcall.scm 66 */
									bool_t BgL_test2040z00_4020;

									{	/* Cfa/funcall.scm 66 */
										BgL_typez00_bglt BgL_arg1748z00_3621;

										BgL_arg1748z00_3621 =
											(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_3600))->
											BgL_typez00);
										BgL_test2040z00_4020 =
											(((obj_t) BgL_arg1748z00_3621) ==
											BGl_za2procedureza2z00zztype_cachez00);
									}
									if (BgL_test2040z00_4020)
										{	/* Cfa/funcall.scm 66 */
											BgL_test2038z00_4017 = ((bool_t) 0);
										}
									else
										{	/* Cfa/funcall.scm 66 */
											BgL_test2038z00_4017 = ((bool_t) 1);
										}
								}
							if (BgL_test2038z00_4017)
								{	/* Cfa/funcall.scm 65 */
									{
										obj_t BgL_l1508z00_3623;

										BgL_l1508z00_3623 = BgL_aapproxz00_3602;
									BgL_zc3z04anonymousza31693ze3z87_3622:
										if (PAIRP(BgL_l1508z00_3623))
											{	/* Cfa/funcall.scm 67 */
												{	/* Cfa/funcall.scm 67 */
													obj_t BgL_approxz00_3624;

													BgL_approxz00_3624 = CAR(BgL_l1508z00_3623);
													BGl_loosez12z12zzcfa_loosez00(
														((BgL_approxz00_bglt) BgL_approxz00_3624),
														CNST_TABLE_REF(((long) 0)));
												}
												{
													obj_t BgL_l1508z00_4030;

													BgL_l1508z00_4030 = CDR(BgL_l1508z00_3623);
													BgL_l1508z00_3623 = BgL_l1508z00_4030;
													goto BgL_zc3z04anonymousza31693ze3z87_3622;
												}
											}
										else
											{	/* Cfa/funcall.scm 67 */
												((bool_t) 1);
											}
									}
									{	/* Cfa/funcall.scm 70 */
										obj_t BgL_zc3z04anonymousza31698ze3z87_3625;

										BgL_zc3z04anonymousza31698ze3z87_3625 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31698ze3ze5zzcfa_funcallz00,
											(int) (((long) 1)), (int) (((long) 3)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31698ze3z87_3625,
											(int) (((long) 0)),
											((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_3571)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31698ze3z87_3625,
											(int) (((long) 1)), BgL_aapproxz00_3602);
										PROCEDURE_SET(BgL_zc3z04anonymousza31698ze3z87_3625,
											(int) (((long) 2)),
											((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_3571)));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3z04anonymousza31698ze3z87_3625,
											BgL_fapproxz00_3600);
									}
									{	/* Cfa/funcall.scm 77 */
										BgL_approxz00_bglt BgL_arg1713z00_3626;

										{
											BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4046;

											{
												obj_t BgL_auxz00_4047;

												{	/* Cfa/funcall.scm 77 */
													BgL_objectz00_bglt BgL_tmpz00_4048;

													BgL_tmpz00_4048 =
														((BgL_objectz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_3571));
													BgL_auxz00_4047 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4048);
												}
												BgL_auxz00_4046 =
													((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4047);
											}
											BgL_arg1713z00_3626 =
												(((BgL_funcallzf2cinfozf2_bglt)
													COBJECT(BgL_auxz00_4046))->BgL_approxz00);
										}
										BGl_approxzd2setzd2topz12z12zzcfa_approxz00
											(BgL_arg1713z00_3626);
								}}
							else
								{	/* Cfa/funcall.scm 65 */
									if (CBOOL(BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00
											(BgL_fapproxz00_3600)))
										{	/* Cfa/funcall.scm 82 */
											BgL_approxz00_bglt BgL_arg1717z00_3627;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4058;

												{
													obj_t BgL_auxz00_4059;

													{	/* Cfa/funcall.scm 82 */
														BgL_objectz00_bglt BgL_tmpz00_4060;

														BgL_tmpz00_4060 =
															((BgL_objectz00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_3571));
														BgL_auxz00_4059 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4060);
													}
													BgL_auxz00_4058 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4059);
												}
												BgL_arg1717z00_3627 =
													(((BgL_funcallzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_4058))->BgL_approxz00);
											}
											BGl_approxzd2setzd2typez12z12zzcfa_approxz00
												(BgL_arg1717z00_3627,
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
										}
									else
										{	/* Cfa/funcall.scm 86 */
											obj_t BgL_zc3z04anonymousza31724ze3z87_3628;

											BgL_zc3z04anonymousza31724ze3z87_3628 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31724ze3ze5zzcfa_funcallz00,
												(int) (((long) 1)), (int) (((long) 3)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31724ze3z87_3628,
												(int) (((long) 0)),
												((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_3571)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31724ze3z87_3628,
												(int) (((long) 1)), BgL_aapproxz00_3602);
											PROCEDURE_SET(BgL_zc3z04anonymousza31724ze3z87_3628,
												(int) (((long) 2)),
												((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_3571)));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3z04anonymousza31724ze3z87_3628,
												BgL_fapproxz00_3600);
						}}}
						{	/* Cfa/funcall.scm 96 */
							bool_t BgL_test2043z00_4082;

							if (CBOOL
								(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
								{	/* Cfa/funcall.scm 97 */
									bool_t BgL_test2045z00_4085;

									{	/* Cfa/funcall.scm 97 */
										BgL_typez00_bglt BgL_arg1768z00_3629;

										{	/* Cfa/funcall.scm 97 */
											BgL_approxz00_bglt BgL_arg1769z00_3630;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4086;

												{
													obj_t BgL_auxz00_4087;

													{	/* Cfa/funcall.scm 97 */
														BgL_objectz00_bglt BgL_tmpz00_4088;

														BgL_tmpz00_4088 =
															((BgL_objectz00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_3571));
														BgL_auxz00_4087 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4088);
													}
													BgL_auxz00_4086 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4087);
												}
												BgL_arg1769z00_3630 =
													(((BgL_funcallzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_4086))->BgL_approxz00);
											}
											BgL_arg1768z00_3629 =
												(((BgL_approxz00_bglt) COBJECT(BgL_arg1769z00_3630))->
												BgL_typez00);
										}
										BgL_test2045z00_4085 =
											BGl_bigloozd2typezf3z21zztype_typez00
											(BgL_arg1768z00_3629);
									}
									if (BgL_test2045z00_4085)
										{	/* Cfa/funcall.scm 98 */
											bool_t BgL_test2046z00_4096;

											{	/* Cfa/funcall.scm 98 */
												BgL_typez00_bglt BgL_arg1765z00_3631;

												{	/* Cfa/funcall.scm 98 */
													BgL_approxz00_bglt BgL_arg1767z00_3632;

													{
														BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4097;

														{
															obj_t BgL_auxz00_4098;

															{	/* Cfa/funcall.scm 98 */
																BgL_objectz00_bglt BgL_tmpz00_4099;

																BgL_tmpz00_4099 =
																	((BgL_objectz00_bglt)
																	((BgL_funcallz00_bglt) BgL_nodez00_3571));
																BgL_auxz00_4098 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4099);
															}
															BgL_auxz00_4097 =
																((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4098);
														}
														BgL_arg1767z00_3632 =
															(((BgL_funcallzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_4097))->BgL_approxz00);
													}
													BgL_arg1765z00_3631 =
														(((BgL_approxz00_bglt)
															COBJECT(BgL_arg1767z00_3632))->BgL_typez00);
												}
												BgL_test2046z00_4096 =
													(
													((obj_t) BgL_arg1765z00_3631) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2046z00_4096)
												{	/* Cfa/funcall.scm 98 */
													BgL_test2043z00_4082 = ((bool_t) 0);
												}
											else
												{	/* Cfa/funcall.scm 98 */
													BgL_test2043z00_4082 = ((bool_t) 1);
												}
										}
									else
										{	/* Cfa/funcall.scm 97 */
											BgL_test2043z00_4082 = ((bool_t) 0);
										}
								}
							else
								{	/* Cfa/funcall.scm 96 */
									BgL_test2043z00_4082 = ((bool_t) 0);
								}
							if (BgL_test2043z00_4082)
								{	/* Cfa/funcall.scm 96 */
									BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
										(BGl_proc1998z00zzcfa_funcallz00, BgL_fapproxz00_3600);
								}
							else
								{	/* Cfa/funcall.scm 96 */
									BFALSE;
								}
						}
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4109;

							{
								obj_t BgL_auxz00_4110;

								{	/* Cfa/funcall.scm 106 */
									BgL_objectz00_bglt BgL_tmpz00_4111;

									BgL_tmpz00_4111 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_3571));
									BgL_auxz00_4110 = BGL_OBJECT_WIDENING(BgL_tmpz00_4111);
								}
								BgL_auxz00_4109 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4110);
							}
							return
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4109))->
								BgL_approxz00);
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1763> */
	obj_t BGl_z62zc3z04anonymousza31763ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_3572, obj_t BgL_az00_3573)
	{
		{	/* Cfa/funcall.scm 100 */
			if (BGl_isazf3zf3zz__objectz00(BgL_az00_3573,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00))
				{	/* Cfa/funcall.scm 101 */
					return
						BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00(
						((BgL_appz00_bglt) BgL_az00_3573));
				}
			else
				{	/* Cfa/funcall.scm 101 */
					return BFALSE;
				}
		}

	}



/* &<@anonymous:1698> */
	obj_t BGl_z62zc3z04anonymousza31698ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_3574, obj_t BgL_allocz00_3578)
	{
		{	/* Cfa/funcall.scm 69 */
			{	/* Cfa/funcall.scm 70 */
				BgL_funcallz00_bglt BgL_i1158z00_3575;
				obj_t BgL_aapproxz00_3576;
				BgL_funcallz00_bglt BgL_nodez00_3577;

				BgL_i1158z00_3575 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_3574, (int) (((long) 0))));
				BgL_aapproxz00_3576 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3574, (int) (((long) 1))));
				BgL_nodez00_3577 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_3574, (int) (((long) 2))));
				{
					BgL_approxz00_bglt BgL_auxz00_4130;

					if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_3578,
							BGl_makezd2procedurezd2appz00zzcfa_info2z00))
						{	/* Cfa/funcall.scm 71 */
							BgL_approxz00_bglt BgL_eapproxz00_3633;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4133;

								{
									obj_t BgL_auxz00_4134;

									{	/* Cfa/funcall.scm 71 */
										BgL_objectz00_bglt BgL_tmpz00_4135;

										BgL_tmpz00_4135 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_3578));
										BgL_auxz00_4134 = BGL_OBJECT_WIDENING(BgL_tmpz00_4135);
									}
									BgL_auxz00_4133 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4134);
								}
								BgL_eapproxz00_3633 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_4133))->BgL_approxz00);
							}
							{	/* Cfa/funcall.scm 72 */
								BgL_approxz00_bglt BgL_arg1702z00_3634;
								BgL_approxz00_bglt BgL_arg1703z00_3635;

								{
									BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4141;

									{
										obj_t BgL_auxz00_4142;

										{	/* Cfa/funcall.scm 72 */
											BgL_objectz00_bglt BgL_tmpz00_4143;

											BgL_tmpz00_4143 =
												((BgL_objectz00_bglt) BgL_i1158z00_3575);
											BgL_auxz00_4142 = BGL_OBJECT_WIDENING(BgL_tmpz00_4143);
										}
										BgL_auxz00_4141 =
											((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4142);
									}
									BgL_arg1702z00_3634 =
										(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4141))->
										BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 74 */
									obj_t BgL_arg1710z00_3636;

									BgL_arg1710z00_3636 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_eapproxz00_3633), BgL_aapproxz00_3576);
									BgL_arg1703z00_3635 =
										BGl_funcallz12z12zzcfa_funcallz00(
										((BgL_appz00_bglt) BgL_allocz00_3578), BgL_arg1710z00_3636,
										BgL_nodez00_3577);
								}
								BgL_auxz00_4130 =
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1702z00_3634,
									BgL_arg1703z00_3635);
							}
						}
					else
						{	/* Cfa/funcall.scm 70 */
							BgL_auxz00_4130 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
						}
					return ((obj_t) BgL_auxz00_4130);
				}
			}
		}

	}



/* &<@anonymous:1724> */
	obj_t BGl_z62zc3z04anonymousza31724ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_3579, obj_t BgL_allocz00_3583)
	{
		{	/* Cfa/funcall.scm 85 */
			{	/* Cfa/funcall.scm 86 */
				BgL_funcallz00_bglt BgL_i1158z00_3580;
				obj_t BgL_aapproxz00_3581;
				BgL_funcallz00_bglt BgL_nodez00_3582;

				BgL_i1158z00_3580 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_3579, (int) (((long) 0))));
				BgL_aapproxz00_3581 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3579, (int) (((long) 1))));
				BgL_nodez00_3582 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_3579, (int) (((long) 2))));
				{
					BgL_approxz00_bglt BgL_auxz00_4164;

					if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_3583,
							BGl_makezd2procedurezd2appz00zzcfa_info2z00))
						{	/* Cfa/funcall.scm 87 */
							BgL_approxz00_bglt BgL_eapproxz00_3637;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4167;

								{
									obj_t BgL_auxz00_4168;

									{	/* Cfa/funcall.scm 87 */
										BgL_objectz00_bglt BgL_tmpz00_4169;

										BgL_tmpz00_4169 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_3583));
										BgL_auxz00_4168 = BGL_OBJECT_WIDENING(BgL_tmpz00_4169);
									}
									BgL_auxz00_4167 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4168);
								}
								BgL_eapproxz00_3637 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_4167))->BgL_approxz00);
							}
							{	/* Cfa/funcall.scm 88 */
								BgL_approxz00_bglt BgL_arg1731z00_3638;
								BgL_approxz00_bglt BgL_arg1736z00_3639;

								{
									BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4175;

									{
										obj_t BgL_auxz00_4176;

										{	/* Cfa/funcall.scm 88 */
											BgL_objectz00_bglt BgL_tmpz00_4177;

											BgL_tmpz00_4177 =
												((BgL_objectz00_bglt) BgL_i1158z00_3580);
											BgL_auxz00_4176 = BGL_OBJECT_WIDENING(BgL_tmpz00_4177);
										}
										BgL_auxz00_4175 =
											((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4176);
									}
									BgL_arg1731z00_3638 =
										(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4175))->
										BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 90 */
									obj_t BgL_arg1737z00_3640;

									BgL_arg1737z00_3640 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_eapproxz00_3637), BgL_aapproxz00_3581);
									BgL_arg1736z00_3639 =
										BGl_funcallz12z12zzcfa_funcallz00(
										((BgL_appz00_bglt) BgL_allocz00_3583), BgL_arg1737z00_3640,
										BgL_nodez00_3582);
								}
								BgL_auxz00_4164 =
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1731z00_3638,
									BgL_arg1736z00_3639);
							}
						}
					else
						{	/* Cfa/funcall.scm 86 */
							BgL_auxz00_4164 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
						}
					return ((obj_t) BgL_auxz00_4164);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00()
	{
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(((long) 102053843),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string1999z00zzcfa_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
