/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcoerce_funcallz00();
	static obj_t
		BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
		(BgL_funcallz00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_funcallz00();
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2funcall1289za2zzcoerce_funcallz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_funcallz00_bglt);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_funcallz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[19];


	   
		 
		DEFINE_STRING(BGl_string1880z00zzcoerce_funcallz00,
		BgL_bgl_string1880za700za7za7c1888za7, ":Wrong number of arguments", 26);
	      DEFINE_STRING(BGl_string1882z00zzcoerce_funcallz00,
		BgL_bgl_string1882za700za7za7c1889za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string1883z00zzcoerce_funcallz00,
		BgL_bgl_string1883za700za7za7c1890za7, "coerce_funcall", 14);
	      DEFINE_STRING(BGl_string1884z00zzcoerce_funcallz00,
		BgL_bgl_string1884za700za7za7c1891za7,
		"let if correct-arity? ::int len fun light elight __eoa__ dummy begin failure quote _ @ error/location __error location bdb ",
		123);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzcoerce_funcallz00,
		BgL_bgl_za762coerceza712za7d2f1892za7,
		BGl_z62coercez12zd2funcall1289za2zzcoerce_funcallz00, 0L, BUNSPEC, 4);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_1992, char *BgL_fromz00_1993)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					return BGl_toplevelzd2initzd2zzcoerce_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_1924;

				{	/* Coerce/funcall.scm 15 */
					obj_t BgL_stringz00_1932;

					BgL_stringz00_1932 = BGl_string1884z00zzcoerce_funcallz00;
					{	/* Coerce/funcall.scm 15 */
						obj_t BgL_startz00_1933;

						BgL_startz00_1933 = BINT(((long) 0));
						{	/* Coerce/funcall.scm 15 */
							obj_t BgL_endz00_1934;

							BgL_endz00_1934 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1932)));
							{	/* Coerce/funcall.scm 15 */

								BgL_cportz00_1924 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1932, BgL_startz00_1933, BgL_endz00_1934);
				}}}}
				{
					long BgL_iz00_1925;

					BgL_iz00_1925 = ((long) 18);
				BgL_loopz00_1926:
					if ((BgL_iz00_1925 == ((long) -1)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg1886z00_1928;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_1930;

										BgL_locationz00_1930 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg1886z00_1928 =
												BGl_readz00zz__readerz00(BgL_cportz00_1924,
												BgL_locationz00_1930);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_tmpz00_2022;

									BgL_tmpz00_2022 = (int) (BgL_iz00_1925);
									CNST_TABLE_SET(BgL_tmpz00_2022, BgL_arg1886z00_1928);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_1931;

								BgL_auxz00_1931 = (int) ((BgL_iz00_1925 - ((long) 1)));
								{
									long BgL_iz00_2027;

									BgL_iz00_2027 = (long) (BgL_auxz00_1931);
									BgL_iz00_1925 = BgL_iz00_2027;
									goto BgL_loopz00_1926;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_21, obj_t BgL_errorzd2msgzd2_22, obj_t BgL_locz00_23,
		obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
	{
		{	/* Coerce/funcall.scm 101 */
			{	/* Coerce/funcall.scm 102 */
				BgL_nodez00_bglt BgL_nodez00_1427;

				{	/* Coerce/funcall.scm 103 */
					obj_t BgL_arg1309z00_1428;

					{	/* Coerce/funcall.scm 103 */
						bool_t BgL_test1895z00_2030;

						{	/* Coerce/funcall.scm 103 */
							bool_t BgL_test1896z00_2031;

							if (
								((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
									((long) 0)))
								{	/* Coerce/funcall.scm 103 */
									BgL_test1896z00_2031 = ((bool_t) 1);
								}
							else
								{	/* Coerce/funcall.scm 103 */
									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
											((long) 0)))
										{	/* Coerce/funcall.scm 107 */
											obj_t BgL_arg1507z00_1474;

											{	/* Coerce/funcall.scm 107 */
												obj_t BgL_arg1511z00_1475;

												BgL_arg1511z00_1475 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1507z00_1474 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1511z00_1475)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1896z00_2031 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg1507z00_1474));
										}
									else
										{	/* Coerce/funcall.scm 104 */
											BgL_test1896z00_2031 = ((bool_t) 0);
										}
								}
							if (BgL_test1896z00_2031)
								{	/* Coerce/funcall.scm 103 */
									if (STRUCTP(BgL_locz00_23))
										{	/* Coerce/funcall.scm 108 */
											BgL_test1895z00_2030 =
												(STRUCT_KEY(BgL_locz00_23) ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* Coerce/funcall.scm 108 */
											BgL_test1895z00_2030 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/funcall.scm 103 */
									BgL_test1895z00_2030 = ((bool_t) 0);
								}
						}
						if (BgL_test1895z00_2030)
							{	/* Coerce/funcall.scm 110 */
								obj_t BgL_arg1320z00_1439;

								{	/* Coerce/funcall.scm 110 */
									obj_t BgL_arg1322z00_1440;
									obj_t BgL_arg1325z00_1441;

									{	/* Coerce/funcall.scm 110 */
										obj_t BgL_arg1329z00_1442;
										obj_t BgL_arg1330z00_1443;

										{	/* Coerce/funcall.scm 110 */
											obj_t BgL_arg1332z00_1444;

											{	/* Coerce/funcall.scm 110 */
												obj_t BgL_arg1333z00_1445;

												BgL_arg1333z00_1445 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
												BgL_arg1332z00_1444 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg1333z00_1445);
											}
											BgL_arg1329z00_1442 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg1332z00_1444);
										}
										{	/* Coerce/funcall.scm 112 */
											obj_t BgL_arg1334z00_1446;
											obj_t BgL_arg1335z00_1447;

											{	/* Coerce/funcall.scm 112 */
												obj_t BgL_arg1362z00_1448;

												{	/* Coerce/funcall.scm 112 */
													obj_t BgL_arg1363z00_1449;

													BgL_arg1363z00_1449 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/funcall.scm 111 */
														obj_t BgL_res1804z00_1834;

														{	/* Coerce/funcall.scm 111 */
															obj_t BgL_arg1409z00_1833;

															BgL_arg1409z00_1833 =
																SYMBOL_TO_STRING(((obj_t) BgL_arg1363z00_1449));
															BgL_res1804z00_1834 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1409z00_1833);
														}
														BgL_arg1362z00_1448 = BgL_res1804z00_1834;
												}}
												BgL_arg1334z00_1446 =
													string_append(BgL_arg1362z00_1448,
													BGl_string1880z00zzcoerce_funcallz00);
											}
											{	/* Coerce/funcall.scm 116 */
												obj_t BgL_arg1365z00_1450;

												{	/* Coerce/funcall.scm 116 */
													obj_t BgL_arg1378z00_1451;

													{	/* Coerce/funcall.scm 116 */
														obj_t BgL_arg1399z00_1452;
														obj_t BgL_arg1406z00_1453;

														BgL_arg1399z00_1452 =
															BGl_locationzd2fullzd2fnamez00zztools_locationz00
															(BgL_locz00_23);
														BgL_arg1406z00_1453 =
															MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_23,
																(int) (((long) 1))), BNIL);
														BgL_arg1378z00_1451 =
															MAKE_YOUNG_PAIR(BgL_arg1399z00_1452,
															BgL_arg1406z00_1453);
													}
													BgL_arg1365z00_1450 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_funz00_21), BgL_arg1378z00_1451);
												}
												BgL_arg1335z00_1447 =
													MAKE_YOUNG_PAIR(BgL_errorzd2msgzd2_22,
													BgL_arg1365z00_1450);
											}
											BgL_arg1330z00_1443 =
												MAKE_YOUNG_PAIR(BgL_arg1334z00_1446,
												BgL_arg1335z00_1447);
										}
										BgL_arg1322z00_1440 =
											MAKE_YOUNG_PAIR(BgL_arg1329z00_1442, BgL_arg1330z00_1443);
									}
									{	/* Coerce/funcall.scm 118 */
										obj_t BgL_arg1429z00_1455;

										{	/* Coerce/funcall.scm 118 */
											obj_t BgL_arg1430z00_1456;

											{	/* Coerce/funcall.scm 118 */
												obj_t BgL_arg1437z00_1457;
												obj_t BgL_arg1438z00_1458;

												{	/* Coerce/funcall.scm 118 */
													obj_t BgL_arg1452z00_1459;

													BgL_arg1452z00_1459 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
													BgL_arg1437z00_1457 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
														BgL_arg1452z00_1459);
												}
												{	/* Coerce/funcall.scm 118 */
													obj_t BgL_arg1453z00_1460;
													obj_t BgL_arg1467z00_1461;

													{	/* Coerce/funcall.scm 118 */
														obj_t BgL_arg1470z00_1462;

														BgL_arg1470z00_1462 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
														BgL_arg1453z00_1460 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1470z00_1462);
													}
													{	/* Coerce/funcall.scm 118 */
														obj_t BgL_arg1486z00_1463;

														{	/* Coerce/funcall.scm 118 */
															obj_t BgL_arg1488z00_1464;

															BgL_arg1488z00_1464 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
																BNIL);
															BgL_arg1486z00_1463 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg1488z00_1464);
														}
														BgL_arg1467z00_1461 =
															MAKE_YOUNG_PAIR(BgL_arg1486z00_1463, BNIL);
													}
													BgL_arg1438z00_1458 =
														MAKE_YOUNG_PAIR(BgL_arg1453z00_1460,
														BgL_arg1467z00_1461);
												}
												BgL_arg1430z00_1456 =
													MAKE_YOUNG_PAIR(BgL_arg1437z00_1457,
													BgL_arg1438z00_1458);
											}
											BgL_arg1429z00_1455 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg1430z00_1456);
										}
										BgL_arg1325z00_1441 =
											MAKE_YOUNG_PAIR(BgL_arg1429z00_1455, BNIL);
									}
									BgL_arg1320z00_1439 =
										MAKE_YOUNG_PAIR(BgL_arg1322z00_1440, BgL_arg1325z00_1441);
								}
								BgL_arg1309z00_1428 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
									BgL_arg1320z00_1439);
							}
						else
							{	/* Coerce/funcall.scm 120 */
								obj_t BgL_arg1489z00_1465;

								{	/* Coerce/funcall.scm 120 */
									obj_t BgL_arg1493z00_1466;
									obj_t BgL_arg1495z00_1467;

									{	/* Coerce/funcall.scm 120 */
										obj_t BgL_arg1499z00_1468;

										{	/* Coerce/funcall.scm 120 */
											obj_t BgL_arg1500z00_1469;

											BgL_arg1500z00_1469 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/funcall.scm 119 */
												obj_t BgL_res1805z00_1838;

												{	/* Coerce/funcall.scm 119 */
													obj_t BgL_arg1409z00_1837;

													BgL_arg1409z00_1837 =
														SYMBOL_TO_STRING(((obj_t) BgL_arg1500z00_1469));
													BgL_res1805z00_1838 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1409z00_1837);
												}
												BgL_arg1499z00_1468 = BgL_res1805z00_1838;
											}
										}
										BgL_arg1493z00_1466 =
											string_append(BgL_arg1499z00_1468,
											BGl_string1880z00zzcoerce_funcallz00);
									}
									{	/* Coerce/funcall.scm 119 */
										obj_t BgL_arg1506z00_1470;

										BgL_arg1506z00_1470 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_funz00_21), BNIL);
										BgL_arg1495z00_1467 =
											MAKE_YOUNG_PAIR(BgL_errorzd2msgzd2_22,
											BgL_arg1506z00_1470);
									}
									BgL_arg1489z00_1465 =
										MAKE_YOUNG_PAIR(BgL_arg1493z00_1466, BgL_arg1495z00_1467);
								}
								BgL_arg1309z00_1428 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1489z00_1465);
					}}
					BgL_nodez00_1427 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1309z00_1428, BgL_locz00_23);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_1427);
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_1427, BgL_callerz00_24,
					((BgL_typez00_bglt) BgL_toz00_25), ((bool_t) 0));
			}
		}

	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_26, obj_t BgL_callerz00_27, obj_t BgL_toz00_28,
		obj_t BgL_safez00_29)
	{
		{	/* Coerce/funcall.scm 131 */
			if (NULLP((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 139 */
					obj_t BgL_arg1520z00_1479;

					{	/* Coerce/funcall.scm 139 */
						BgL_nodez00_bglt BgL_arg1521z00_1480;

						BgL_arg1521z00_1480 =
							BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_nodez00_26);
						{	/* Coerce/funcall.scm 139 */
							obj_t BgL_list1522z00_1481;

							BgL_list1522z00_1481 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1521z00_1480), BNIL);
							BgL_arg1520z00_1479 = BgL_list1522z00_1481;
						}
					}
					return
						((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00) =
						((obj_t) BgL_arg1520z00_1479), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 140 */
					obj_t BgL_g1112z00_1482;
					obj_t BgL_g1113z00_1483;

					BgL_g1112z00_1482 =
						(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00);
					BgL_g1113z00_1483 = CNST_TABLE_REF(((long) 9));
					{
						obj_t BgL_actualsz00_1485;
						obj_t BgL_prevz00_1486;

						BgL_actualsz00_1485 = BgL_g1112z00_1482;
						BgL_prevz00_1486 = BgL_g1113z00_1483;
					BgL_zc3z04anonymousza31523ze3z87_1487:
						if (NULLP(BgL_actualsz00_1485))
							{	/* Coerce/funcall.scm 143 */
								obj_t BgL_arg1530z00_1489;

								{	/* Coerce/funcall.scm 143 */
									BgL_nodez00_bglt BgL_arg1536z00_1490;

									BgL_arg1536z00_1490 =
										BGl_toplevelzd2expze71z35zzcoerce_funcallz00
										(BgL_nodez00_26);
									{	/* Coerce/funcall.scm 143 */
										obj_t BgL_list1537z00_1491;

										BgL_list1537z00_1491 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1536z00_1490), BNIL);
										BgL_arg1530z00_1489 = BgL_list1537z00_1491;
									}
								}
								{	/* Coerce/funcall.scm 143 */
									obj_t BgL_tmpz00_2120;

									BgL_tmpz00_2120 = ((obj_t) BgL_prevz00_1486);
									return SET_CDR(BgL_tmpz00_2120, BgL_arg1530z00_1489);
								}
							}
						else
							{	/* Coerce/funcall.scm 142 */
								{	/* Coerce/funcall.scm 145 */
									BgL_nodez00_bglt BgL_arg1540z00_1492;

									{	/* Coerce/funcall.scm 145 */
										obj_t BgL_arg1541z00_1493;

										BgL_arg1541z00_1493 = CAR(((obj_t) BgL_actualsz00_1485));
										BgL_arg1540z00_1492 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_arg1541z00_1493),
											BgL_callerz00_27,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
											CBOOL(BgL_safez00_29));
									}
									{	/* Coerce/funcall.scm 145 */
										obj_t BgL_auxz00_2131;
										obj_t BgL_tmpz00_2129;

										BgL_auxz00_2131 = ((obj_t) BgL_arg1540z00_1492);
										BgL_tmpz00_2129 = ((obj_t) BgL_actualsz00_1485);
										SET_CAR(BgL_tmpz00_2129, BgL_auxz00_2131);
									}
								}
								{	/* Coerce/funcall.scm 146 */
									obj_t BgL_arg1544z00_1494;

									BgL_arg1544z00_1494 = CDR(((obj_t) BgL_actualsz00_1485));
									{
										obj_t BgL_prevz00_2137;
										obj_t BgL_actualsz00_2136;

										BgL_actualsz00_2136 = BgL_arg1544z00_1494;
										BgL_prevz00_2137 = BgL_actualsz00_1485;
										BgL_prevz00_1486 = BgL_prevz00_2137;
										BgL_actualsz00_1485 = BgL_actualsz00_2136;
										goto BgL_zc3z04anonymousza31523ze3z87_1487;
									}
								}
							}
					}
				}
		}

	}



/* toplevel-exp~1 */
	BgL_nodez00_bglt
		BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1497)
	{
		{	/* Coerce/funcall.scm 136 */
			{	/* Coerce/funcall.scm 134 */
				BgL_nodez00_bglt BgL_nz00_1499;

				{	/* Coerce/funcall.scm 134 */
					obj_t BgL_arg1554z00_1500;

					BgL_arg1554z00_1500 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_1497)))->BgL_locz00);
					BgL_nz00_1499 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
								(long) 10)), BgL_arg1554z00_1500);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1499);
				return BgL_nz00_1499;
			}
		}

	}



/* coerce-funcall-elight-args! */
	obj_t
		BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
		(BgL_funcallz00_bglt BgL_nodez00_30, obj_t BgL_callerz00_31,
		obj_t BgL_toz00_32, obj_t BgL_safez00_33)
	{
		{	/* Coerce/funcall.scm 151 */
			if (NULLP((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 159 */
					obj_t BgL_arg1563z00_1505;

					{	/* Coerce/funcall.scm 159 */
						BgL_nodez00_bglt BgL_arg1564z00_1506;

						BgL_arg1564z00_1506 =
							BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_nodez00_30);
						{	/* Coerce/funcall.scm 159 */
							obj_t BgL_list1565z00_1507;

							BgL_list1565z00_1507 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1564z00_1506), BNIL);
							BgL_arg1563z00_1505 = BgL_list1565z00_1507;
						}
					}
					return
						((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00) =
						((obj_t) BgL_arg1563z00_1505), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 160 */
					BgL_variablez00_bglt BgL_calleez00_1508;

					{
						BgL_varz00_bglt BgL_auxz00_2150;

						{	/* Coerce/funcall.scm 160 */
							obj_t BgL_pairz00_1857;

							BgL_pairz00_1857 =
								(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->
								BgL_functionsz00);
							BgL_auxz00_2150 = ((BgL_varz00_bglt) CAR(BgL_pairz00_1857));
						}
						BgL_calleez00_1508 =
							(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2150))->BgL_variablez00);
					}
					{	/* Coerce/funcall.scm 161 */
						obj_t BgL_g1114z00_1509;
						obj_t BgL_g1115z00_1510;
						obj_t BgL_g1116z00_1511;

						BgL_g1114z00_1509 =
							(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00);
						BgL_g1115z00_1510 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(BgL_calleez00_1508))->
											BgL_valuez00))))->BgL_argsz00);
						BgL_g1116z00_1511 = CNST_TABLE_REF(((long) 9));
						{
							obj_t BgL_actualsz00_1513;
							obj_t BgL_formalsz00_1514;
							obj_t BgL_prevz00_1515;

							BgL_actualsz00_1513 = BgL_g1114z00_1509;
							BgL_formalsz00_1514 = BgL_g1115z00_1510;
							BgL_prevz00_1515 = BgL_g1116z00_1511;
						BgL_zc3z04anonymousza31566ze3z87_1516:
							if (NULLP(BgL_actualsz00_1513))
								{	/* Coerce/funcall.scm 165 */
									obj_t BgL_arg1568z00_1518;

									{	/* Coerce/funcall.scm 165 */
										BgL_nodez00_bglt BgL_arg1573z00_1519;

										BgL_arg1573z00_1519 =
											BGl_toplevelzd2expze70z35zzcoerce_funcallz00
											(BgL_nodez00_30);
										{	/* Coerce/funcall.scm 165 */
											obj_t BgL_list1574z00_1520;

											BgL_list1574z00_1520 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1573z00_1519), BNIL);
											BgL_arg1568z00_1518 = BgL_list1574z00_1520;
										}
									}
									{	/* Coerce/funcall.scm 165 */
										obj_t BgL_tmpz00_2165;

										BgL_tmpz00_2165 = ((obj_t) BgL_prevz00_1515);
										return SET_CDR(BgL_tmpz00_2165, BgL_arg1568z00_1518);
									}
								}
							else
								{	/* Coerce/funcall.scm 164 */
									{	/* Coerce/funcall.scm 168 */
										BgL_nodez00_bglt BgL_arg1578z00_1521;

										{	/* Coerce/funcall.scm 168 */
											obj_t BgL_arg1579z00_1522;
											BgL_typez00_bglt BgL_arg1585z00_1523;

											BgL_arg1579z00_1522 = CAR(((obj_t) BgL_actualsz00_1513));
											BgL_arg1585z00_1523 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_formalsz00_1514))))))->
												BgL_typez00);
											BgL_arg1578z00_1521 =
												BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
													BgL_arg1579z00_1522), BgL_callerz00_31,
												BgL_arg1585z00_1523, CBOOL(BgL_safez00_33));
										}
										{	/* Coerce/funcall.scm 167 */
											obj_t BgL_auxz00_2180;
											obj_t BgL_tmpz00_2178;

											BgL_auxz00_2180 = ((obj_t) BgL_arg1578z00_1521);
											BgL_tmpz00_2178 = ((obj_t) BgL_actualsz00_1513);
											SET_CAR(BgL_tmpz00_2178, BgL_auxz00_2180);
										}
									}
									{	/* Coerce/funcall.scm 170 */
										obj_t BgL_arg1594z00_1525;
										obj_t BgL_arg1598z00_1526;

										BgL_arg1594z00_1525 = CDR(((obj_t) BgL_actualsz00_1513));
										BgL_arg1598z00_1526 = CDR(((obj_t) BgL_formalsz00_1514));
										{
											obj_t BgL_prevz00_2189;
											obj_t BgL_formalsz00_2188;
											obj_t BgL_actualsz00_2187;

											BgL_actualsz00_2187 = BgL_arg1594z00_1525;
											BgL_formalsz00_2188 = BgL_arg1598z00_1526;
											BgL_prevz00_2189 = BgL_actualsz00_1513;
											BgL_prevz00_1515 = BgL_prevz00_2189;
											BgL_formalsz00_1514 = BgL_formalsz00_2188;
											BgL_actualsz00_1513 = BgL_actualsz00_2187;
											goto BgL_zc3z04anonymousza31566ze3z87_1516;
										}
									}
								}
						}
					}
				}
		}

	}



/* toplevel-exp~0 */
	BgL_nodez00_bglt
		BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1532)
	{
		{	/* Coerce/funcall.scm 156 */
			{	/* Coerce/funcall.scm 154 */
				BgL_nodez00_bglt BgL_nz00_1534;

				{	/* Coerce/funcall.scm 154 */
					obj_t BgL_arg1626z00_1535;

					BgL_arg1626z00_1535 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_1532)))->BgL_locz00);
					BgL_nz00_1534 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
								(long) 10)), BgL_arg1626z00_1535);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1534);
				return BgL_nz00_1534;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1881z00zzcoerce_funcallz00,
				BGl_string1882z00zzcoerce_funcallz00);
		}

	}



/* &coerce!-funcall1289 */
	BgL_nodez00_bglt BGl_z62coercez12zd2funcall1289za2zzcoerce_funcallz00(obj_t
		BgL_envz00_1913, obj_t BgL_nodez00_1914, obj_t BgL_callerz00_1915,
		obj_t BgL_toz00_1916, obj_t BgL_safez00_1917)
	{
		{	/* Coerce/funcall.scm 37 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_errorzd2msgzd2_1938;
				obj_t BgL_strengthz00_1939;
				BgL_typez00_bglt BgL_ntyz00_1940;

				{	/* Tools/trace.sch 53 */
					obj_t BgL_arg1688z00_1941;

					BgL_arg1688z00_1941 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_1914)));
					{	/* Tools/trace.sch 53 */
						obj_t BgL_list1689z00_1942;

						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1691z00_1943;

							BgL_arg1691z00_1943 = MAKE_YOUNG_PAIR(BgL_arg1688z00_1941, BNIL);
							BgL_list1689z00_1942 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
								BgL_arg1691z00_1943);
						}
						BgL_errorzd2msgzd2_1938 = BgL_list1689z00_1942;
				}}
				BgL_strengthz00_1939 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_1914)))->BgL_strengthz00);
				BgL_ntyz00_1940 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_1914))))->BgL_typez00);
				if ((BgL_strengthz00_1939 == CNST_TABLE_REF(((long) 11))))
					{	/* Tools/trace.sch 53 */
						if (CBOOL
							(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
							{	/* Tools/trace.sch 53 */
								BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1914), BgL_callerz00_1915,
									BgL_toz00_1916, BgL_safez00_1917);
							}
						else
							{	/* Tools/trace.sch 53 */
								BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1914), BgL_callerz00_1915,
									BgL_toz00_1916, BgL_safez00_1917);
							}
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_1914)), BgL_ntyz00_1940,
							((BgL_typez00_bglt) BgL_toz00_1916), CBOOL(BgL_safez00_1917));
					}
				else
					{	/* Tools/trace.sch 53 */
						if ((BgL_strengthz00_1939 == CNST_TABLE_REF(((long) 12))))
							{	/* Tools/trace.sch 53 */
								if (CBOOL
									(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
									{	/* Tools/trace.sch 53 */
										BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
											(((BgL_funcallz00_bglt) BgL_nodez00_1914),
											BgL_callerz00_1915, BgL_toz00_1916, BgL_safez00_1917);
									}
								else
									{	/* Tools/trace.sch 53 */
										BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
											((BgL_funcallz00_bglt) BgL_nodez00_1914),
											BgL_callerz00_1915, BgL_toz00_1916, BgL_safez00_1917);
									}
								return
									BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_1914)), BgL_ntyz00_1940,
									((BgL_typez00_bglt) BgL_toz00_1916), CBOOL(BgL_safez00_1917));
							}
						else
							{	/* Tools/trace.sch 53 */
								BgL_nodez00_bglt BgL_czd2funzd2_1944;

								{	/* Tools/trace.sch 53 */
									BgL_nodez00_bglt BgL_arg1687z00_1945;

									BgL_arg1687z00_1945 =
										(((BgL_funcallz00_bglt) COBJECT(
												((BgL_funcallz00_bglt) BgL_nodez00_1914)))->BgL_funz00);
									BgL_czd2funzd2_1944 =
										BGl_coercez12z12zzcoerce_coercez00(BgL_arg1687z00_1945,
										BgL_callerz00_1915,
										((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00),
										CBOOL(BgL_safez00_1917));
								}
								BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1914), BgL_callerz00_1915,
									BgL_toz00_1916, BgL_safez00_1917);
								if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
									{	/* Tools/trace.sch 53 */
										((((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_nodez00_1914)))->
												BgL_funz00) =
											((BgL_nodez00_bglt) BgL_czd2funzd2_1944), BUNSPEC);
										return
											BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt) (
													(BgL_funcallz00_bglt) BgL_nodez00_1914)),
											BgL_ntyz00_1940, ((BgL_typez00_bglt) BgL_toz00_1916),
											CBOOL(BgL_safez00_1917));
									}
								else
									{	/* Tools/trace.sch 53 */
										BgL_localz00_bglt BgL_funz00_1946;

										BgL_funz00_1946 =
											BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
													(long) 13)),
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00));
										{	/* Tools/trace.sch 53 */
											obj_t BgL_locz00_1947;

											BgL_locz00_1947 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_1914))))->
												BgL_locz00);
											{	/* Tools/trace.sch 53 */
												BgL_literalz00_bglt BgL_lenz00_1948;

												{	/* Tools/trace.sch 53 */
													BgL_literalz00_bglt BgL_new1106z00_1949;

													{	/* Tools/trace.sch 53 */
														BgL_literalz00_bglt BgL_new1105z00_1950;

														BgL_new1105z00_1950 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Tools/trace.sch 53 */
															long BgL_arg1681z00_1951;

															{	/* Tools/trace.sch 53 */
																long BgL_res1817z00_1952;

																BgL_res1817z00_1952 =
																	BGL_CLASS_INDEX(BGl_literalz00zzast_nodez00);
																BgL_arg1681z00_1951 = BgL_res1817z00_1952;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1105z00_1950),
																BgL_arg1681z00_1951);
														}
														{	/* Tools/trace.sch 53 */
															BgL_objectz00_bglt BgL_tmpz00_2261;

															BgL_tmpz00_2261 =
																((BgL_objectz00_bglt) BgL_new1105z00_1950);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2261, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1105z00_1950);
														BgL_new1106z00_1949 = BgL_new1105z00_1950;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1106z00_1949)))->
															BgL_locz00) = ((obj_t) BgL_locz00_1947), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1106z00_1949)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2intza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1106z00_1949)))->BgL_valuez00) =
														((obj_t)
															BINT((bgl_list_length((((BgL_funcallz00_bglt)
																				COBJECT(((BgL_funcallz00_bglt)
																						BgL_nodez00_1914)))->BgL_argsz00)) -
																	((long) 2)))), BUNSPEC);
													BgL_lenz00_1948 = BgL_new1106z00_1949;
												}
												{	/* Tools/trace.sch 53 */
													obj_t BgL_azd2lenzd2_1953;

													BgL_azd2lenzd2_1953 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 14))));
													{	/* Tools/trace.sch 53 */
														obj_t BgL_azd2tlenzd2_1954;

														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1670z00_1955;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1673z00_1956;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1675z00_1957;
																	obj_t BgL_arg1676z00_1958;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_res1819z00_1959;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1409z00_1960;

																			BgL_arg1409z00_1960 =
																				SYMBOL_TO_STRING(BgL_azd2lenzd2_1953);
																			BgL_res1819z00_1959 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1409z00_1960);
																		}
																		BgL_arg1675z00_1957 = BgL_res1819z00_1959;
																	}
																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_res1820z00_1961;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_symbolz00_1962;

																			BgL_symbolz00_1962 =
																				CNST_TABLE_REF(((long) 15));
																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1409z00_1963;

																				BgL_arg1409z00_1963 =
																					SYMBOL_TO_STRING(BgL_symbolz00_1962);
																				BgL_res1820z00_1961 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1409z00_1963);
																		}}
																		BgL_arg1676z00_1958 = BgL_res1820z00_1961;
																	}
																	BgL_arg1673z00_1956 =
																		string_append(BgL_arg1675z00_1957,
																		BgL_arg1676z00_1958);
																}
																BgL_arg1670z00_1955 =
																	bstring_to_symbol(BgL_arg1673z00_1956);
															}
															BgL_azd2tlenzd2_1954 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg1670z00_1955);
														}
														{	/* Tools/trace.sch 53 */
															BgL_letzd2varzd2_bglt BgL_lnodez00_1964;

															{	/* Tools/trace.sch 53 */
																BgL_letzd2varzd2_bglt BgL_new1108z00_1965;

																{	/* Tools/trace.sch 53 */
																	BgL_letzd2varzd2_bglt BgL_new1107z00_1966;

																	BgL_new1107z00_1966 =
																		((BgL_letzd2varzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_letzd2varzd2_bgl))));
																	{	/* Tools/trace.sch 53 */
																		long BgL_arg1669z00_1967;

																		{	/* Tools/trace.sch 53 */
																			long BgL_res1822z00_1968;

																			BgL_res1822z00_1968 =
																				BGL_CLASS_INDEX
																				(BGl_letzd2varzd2zzast_nodez00);
																			BgL_arg1669z00_1967 = BgL_res1822z00_1968;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1107z00_1966),
																			BgL_arg1669z00_1967);
																	}
																	{	/* Tools/trace.sch 53 */
																		BgL_objectz00_bglt BgL_tmpz00_2292;

																		BgL_tmpz00_2292 =
																			((BgL_objectz00_bglt)
																			BgL_new1107z00_1966);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2292,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1107z00_1966);
																	BgL_new1108z00_1965 = BgL_new1107z00_1966;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1108z00_1965)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1947), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1108z00_1965)))->BgL_typez00) =
																	((BgL_typez00_bglt)
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt) BgL_toz00_1916),
																			BgL_ntyz00_1940)), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1108z00_1965)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1108z00_1965)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																{
																	obj_t BgL_auxz00_2307;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1636z00_1969;

																		BgL_arg1636z00_1969 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_funz00_1946),
																			((obj_t) BgL_czd2funzd2_1944));
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_list1637z00_1970;

																			BgL_list1637z00_1970 =
																				MAKE_YOUNG_PAIR(BgL_arg1636z00_1969,
																				BNIL);
																			BgL_auxz00_2307 = BgL_list1637z00_1970;
																	}}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1108z00_1965))->
																			BgL_bindingsz00) =
																		((obj_t) BgL_auxz00_2307), BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_2313;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1639z00_1971;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1641z00_1972;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1644z00_1973;
																				obj_t BgL_arg1645z00_1974;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1647z00_1975;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1648z00_1976;

																						BgL_arg1648z00_1976 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_lenz00_1948), BNIL);
																						BgL_arg1647z00_1975 =
																							MAKE_YOUNG_PAIR
																							(BgL_azd2tlenzd2_1954,
																							BgL_arg1648z00_1976);
																					}
																					BgL_arg1644z00_1973 =
																						MAKE_YOUNG_PAIR(BgL_arg1647z00_1975,
																						BNIL);
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1650z00_1977;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1651z00_1978;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_arg1653z00_1979;
																							obj_t BgL_arg1655z00_1980;

																							{	/* Tools/trace.sch 53 */
																								obj_t BgL_arg1656z00_1981;

																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1660z00_1982;

																									BgL_arg1660z00_1982 =
																										MAKE_YOUNG_PAIR
																										(BgL_azd2lenzd2_1953, BNIL);
																									BgL_arg1656z00_1981 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_funz00_1946),
																										BgL_arg1660z00_1982);
																								}
																								BgL_arg1653z00_1979 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 16)),
																									BgL_arg1656z00_1981);
																							}
																							{	/* Tools/trace.sch 53 */
																								BgL_nodez00_bglt
																									BgL_arg1663z00_1983;
																								obj_t BgL_arg1665z00_1984;

																								BgL_arg1663z00_1983 =
																									BGl_convertz12z12zzcoerce_convertz00
																									(((BgL_nodez00_bglt) (
																											(BgL_funcallz00_bglt)
																											BgL_nodez00_1914)),
																									BgL_ntyz00_1940,
																									((BgL_typez00_bglt)
																										BgL_toz00_1916),
																									CBOOL(BgL_safez00_1917));
																								{	/* Tools/trace.sch 53 */
																									BgL_nodez00_bglt
																										BgL_arg1668z00_1985;
																									BgL_arg1668z00_1985 =
																										BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																										(BgL_funz00_1946,
																										BgL_errorzd2msgzd2_1938,
																										BgL_locz00_1947,
																										BgL_callerz00_1915,
																										BgL_toz00_1916);
																									BgL_arg1665z00_1984 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_arg1668z00_1985),
																										BNIL);
																								}
																								BgL_arg1655z00_1980 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_arg1663z00_1983),
																									BgL_arg1665z00_1984);
																							}
																							BgL_arg1651z00_1978 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1653z00_1979,
																								BgL_arg1655z00_1980);
																						}
																						BgL_arg1650z00_1977 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 17)),
																							BgL_arg1651z00_1978);
																					}
																					BgL_arg1645z00_1974 =
																						MAKE_YOUNG_PAIR(BgL_arg1650z00_1977,
																						BNIL);
																				}
																				BgL_arg1641z00_1972 =
																					MAKE_YOUNG_PAIR(BgL_arg1644z00_1973,
																					BgL_arg1645z00_1974);
																			}
																			BgL_arg1639z00_1971 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						18)), BgL_arg1641z00_1972);
																		}
																		BgL_auxz00_2313 =
																			BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_arg1639z00_1971, BgL_locz00_1947);
																	}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1108z00_1965))->
																			BgL_bodyz00) =
																		((BgL_nodez00_bglt) BgL_auxz00_2313),
																		BUNSPEC);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1108z00_1965))->
																		BgL_removablezf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																BgL_lnodez00_1964 = BgL_new1108z00_1965;
															}
															{	/* Tools/trace.sch 53 */

																{	/* Tools/trace.sch 53 */
																	BgL_varz00_bglt BgL_arg1631z00_1986;

																	{	/* Tools/trace.sch 53 */
																		BgL_varz00_bglt BgL_new1110z00_1987;

																		{	/* Tools/trace.sch 53 */
																			BgL_varz00_bglt BgL_new1109z00_1988;

																			BgL_new1109z00_1988 =
																				((BgL_varz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_varz00_bgl))));
																			{	/* Tools/trace.sch 53 */
																				long BgL_arg1633z00_1989;

																				{	/* Tools/trace.sch 53 */
																					long BgL_res1824z00_1990;

																					BgL_res1824z00_1990 =
																						BGL_CLASS_INDEX
																						(BGl_varz00zzast_nodez00);
																					BgL_arg1633z00_1989 =
																						BgL_res1824z00_1990;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1109z00_1988),
																					BgL_arg1633z00_1989);
																			}
																			BgL_new1110z00_1987 = BgL_new1109z00_1988;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1110z00_1987)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1947), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_2349;

																			{	/* Tools/trace.sch 53 */
																				BgL_typez00_bglt BgL_arg1632z00_1991;

																				BgL_arg1632z00_1991 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_funz00_1946)))->
																					BgL_typez00);
																				BgL_auxz00_2349 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(BgL_arg1632z00_1991,
																					((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00));
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1110z00_1987)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_2349),
																				BUNSPEC);
																		}
																		((((BgL_varz00_bglt)
																					COBJECT(BgL_new1110z00_1987))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_funz00_1946)), BUNSPEC);
																		BgL_arg1631z00_1986 = BgL_new1110z00_1987;
																	}
																	((((BgL_funcallz00_bglt) COBJECT(
																					((BgL_funcallz00_bglt)
																						BgL_nodez00_1914)))->BgL_funz00) =
																		((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																				BgL_arg1631z00_1986)), BUNSPEC);
																}
																BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																	((BgL_nodez00_bglt) BgL_lnodez00_1964));
																return ((BgL_nodez00_bglt) BgL_lnodez00_1964);
															}
														}
													}
												}
											}
										}
									}
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string1883z00zzcoerce_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
