/*===========================================================================*/
/*   (SawMill/rtl.scm)                                                       */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/rtl.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;


	static obj_t BGl_z62namez62zzsaw_rtlz00(obj_t, obj_t);
	static obj_t BGl_z62unlinkz12z70zzsaw_rtlz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_rtlz00();
	static obj_t BGl_methodzd2initzd2zzsaw_rtlz00();
	BGL_EXPORTED_DECL obj_t BGl_rtl_dfsz00zzsaw_rtlz00(BgL_blockz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_rtlz00();
	BGL_EXPORTED_DECL obj_t BGl_unlinkz12z12zzsaw_rtlz00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_rtlz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_namez00zzsaw_rtlz00(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t BGl_neighboursz00zzsaw_rtlz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62neighboursz62zzsaw_rtlz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_rtlz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_rtlz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzsaw_rtlz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_rtlz00();
	static obj_t BGl_z62rtl_dfsz62zzsaw_rtlz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_substzd2appendzd2zzsaw_libz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_namezd2envzd2zzsaw_rtlz00,
		BgL_bgl_za762nameza762za7za7saw_1791z00, BGl_z62namez62zzsaw_rtlz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_neighbourszd2envzd2zzsaw_rtlz00,
		BgL_bgl_za762neighboursza7621792z00, BGl_z62neighboursz62zzsaw_rtlz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_dfszd2envzd2zzsaw_rtlz00,
		BgL_bgl_za762rtl_dfsza762za7za7s1793z00, BGl_z62rtl_dfsz62zzsaw_rtlz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1785z00zzsaw_rtlz00,
		BgL_bgl_string1785za700za7za7s1794za7, "must have only one successor", 28);
	      DEFINE_STRING(BGl_string1786z00zzsaw_rtlz00,
		BgL_bgl_string1786za700za7za7s1795za7, "saw_rtl", 7);
	      DEFINE_STRING(BGl_string1787z00zzsaw_rtlz00,
		BgL_bgl_string1787za700za7za7s1796za7, "unlink! (froms) -> (to) ", 24);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unlinkz12zd2envzc0zzsaw_rtlz00,
		BgL_bgl_za762unlinkza712za770za71797z00, BGl_z62unlinkz12z70zzsaw_rtlz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_rtlz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_rtlz00(long
		BgL_checksumz00_2126, char *BgL_fromz00_2127)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_rtlz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_rtlz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_rtlz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00();
					BGl_cnstzd2initzd2zzsaw_rtlz00();
					BGl_importedzd2moduleszd2initz00zzsaw_rtlz00();
					return BGl_methodzd2initzd2zzsaw_rtlz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00()
	{
		{	/* SawMill/rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_rtl");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_rtl");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_rtl");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_rtlz00()
	{
		{	/* SawMill/rtl.scm 1 */
			{	/* SawMill/rtl.scm 1 */
				obj_t BgL_cportz00_2113;

				{	/* SawMill/rtl.scm 1 */
					obj_t BgL_stringz00_2121;

					BgL_stringz00_2121 = BGl_string1787z00zzsaw_rtlz00;
					{	/* SawMill/rtl.scm 1 */
						obj_t BgL_startz00_2122;

						BgL_startz00_2122 = BINT(((long) 0));
						{	/* SawMill/rtl.scm 1 */
							obj_t BgL_endz00_2123;

							BgL_endz00_2123 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2121)));
							{	/* SawMill/rtl.scm 1 */

								BgL_cportz00_2113 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2121, BgL_startz00_2122, BgL_endz00_2123);
				}}}}
				{
					long BgL_iz00_2114;

					BgL_iz00_2114 = ((long) 3);
				BgL_loopz00_2115:
					if ((BgL_iz00_2114 == ((long) -1)))
						{	/* SawMill/rtl.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/rtl.scm 1 */
							{	/* SawMill/rtl.scm 1 */
								obj_t BgL_arg1789z00_2117;

								{	/* SawMill/rtl.scm 1 */

									{	/* SawMill/rtl.scm 1 */
										obj_t BgL_locationz00_2119;

										BgL_locationz00_2119 = BBOOL(((bool_t) 0));
										{	/* SawMill/rtl.scm 1 */

											BgL_arg1789z00_2117 =
												BGl_readz00zz__readerz00(BgL_cportz00_2113,
												BgL_locationz00_2119);
										}
									}
								}
								{	/* SawMill/rtl.scm 1 */
									int BgL_tmpz00_2153;

									BgL_tmpz00_2153 = (int) (BgL_iz00_2114);
									CNST_TABLE_SET(BgL_tmpz00_2153, BgL_arg1789z00_2117);
							}}
							{	/* SawMill/rtl.scm 1 */
								int BgL_auxz00_2120;

								BgL_auxz00_2120 = (int) ((BgL_iz00_2114 - ((long) 1)));
								{
									long BgL_iz00_2158;

									BgL_iz00_2158 = (long) (BgL_auxz00_2120);
									BgL_iz00_2114 = BgL_iz00_2158;
									goto BgL_loopz00_2115;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_rtlz00()
	{
		{	/* SawMill/rtl.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* name */
	BGL_EXPORTED_DEF obj_t BGl_namez00zzsaw_rtlz00(BgL_rtl_insz00_bglt
		BgL_insz00_3)
	{
		{	/* SawMill/rtl.scm 21 */
			{	/* SawMill/rtl.scm 22 */
				obj_t BgL_arg1365z00_2060;

				{	/* SawMill/rtl.scm 22 */
					BgL_rtl_funz00_bglt BgL_arg1378z00_2061;

					BgL_arg1378z00_2061 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_3))->BgL_funz00);
					{	/* SawMill/rtl.scm 22 */
						long BgL_arg1744z00_2064;

						{	/* SawMill/rtl.scm 22 */
							long BgL_arg1745z00_2065;

							{	/* SawMill/rtl.scm 22 */
								long BgL_res1775z00_2067;

								BgL_res1775z00_2067 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) BgL_arg1378z00_2061));
								BgL_arg1745z00_2065 = BgL_res1775z00_2067;
							}
							BgL_arg1744z00_2064 = (BgL_arg1745z00_2065 - OBJECT_TYPE);
						}
						BgL_arg1365z00_2060 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1744z00_2064);
				}}
				return BGl_classzd2namezd2zz__objectz00(BgL_arg1365z00_2060);
			}
		}

	}



/* &name */
	obj_t BGl_z62namez62zzsaw_rtlz00(obj_t BgL_envz00_2103, obj_t BgL_insz00_2104)
	{
		{	/* SawMill/rtl.scm 21 */
			return BGl_namez00zzsaw_rtlz00(((BgL_rtl_insz00_bglt) BgL_insz00_2104));
		}

	}



/* neighbours */
	BGL_EXPORTED_DEF obj_t BGl_neighboursz00zzsaw_rtlz00(BgL_rtl_insz00_bglt
		BgL_insz00_4)
	{
		{	/* SawMill/rtl.scm 27 */
			{	/* SawMill/rtl.scm 31 */
				obj_t BgL_arg1399z00_1724;

				{	/* SawMill/rtl.scm 31 */
					obj_t BgL_res1779z00_2087;

					{	/* SawMill/rtl.scm 22 */
						obj_t BgL_arg1365z00_2074;

						{	/* SawMill/rtl.scm 22 */
							BgL_rtl_funz00_bglt BgL_arg1378z00_2075;

							BgL_arg1378z00_2075 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_4))->BgL_funz00);
							{	/* SawMill/rtl.scm 22 */
								long BgL_arg1744z00_2078;

								{	/* SawMill/rtl.scm 22 */
									long BgL_arg1745z00_2079;

									{	/* SawMill/rtl.scm 22 */
										long BgL_res1777z00_2081;

										BgL_res1777z00_2081 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_arg1378z00_2075));
										BgL_arg1745z00_2079 = BgL_res1777z00_2081;
									}
									BgL_arg1744z00_2078 = (BgL_arg1745z00_2079 - OBJECT_TYPE);
								}
								BgL_arg1365z00_2074 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1744z00_2078);
						}}
						BgL_res1779z00_2087 =
							BGl_classzd2namezd2zz__objectz00(BgL_arg1365z00_2074);
					}
					BgL_arg1399z00_1724 = BgL_res1779z00_2087;
				}
				{	/* SawMill/rtl.scm 29 */
					obj_t BgL_list1400z00_1725;

					{	/* SawMill/rtl.scm 29 */
						obj_t BgL_arg1406z00_1726;

						{	/* SawMill/rtl.scm 29 */
							obj_t BgL_arg1408z00_1727;

							{	/* SawMill/rtl.scm 29 */
								obj_t BgL_arg1429z00_1728;

								{	/* SawMill/rtl.scm 29 */
									obj_t BgL_arg1430z00_1729;

									BgL_arg1430z00_1729 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
									BgL_arg1429z00_1728 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
										BgL_arg1430z00_1729);
								}
								BgL_arg1408z00_1727 =
									MAKE_YOUNG_PAIR(BgL_arg1399z00_1724, BgL_arg1429z00_1728);
							}
							BgL_arg1406z00_1726 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
								BgL_arg1408z00_1727);
						}
						BgL_list1400z00_1725 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg1406z00_1726);
					}
					return BgL_list1400z00_1725;
				}
			}
		}

	}



/* &neighbours */
	obj_t BGl_z62neighboursz62zzsaw_rtlz00(obj_t BgL_envz00_2105,
		obj_t BgL_insz00_2106)
	{
		{	/* SawMill/rtl.scm 27 */
			return
				BGl_neighboursz00zzsaw_rtlz00(((BgL_rtl_insz00_bglt) BgL_insz00_2106));
		}

	}



/* unlink! */
	BGL_EXPORTED_DEF obj_t BGl_unlinkz12z12zzsaw_rtlz00(BgL_blockz00_bglt
		BgL_bz00_5)
	{
		{	/* SawMill/rtl.scm 39 */
			{	/* SawMill/rtl.scm 41 */
				bool_t BgL_test1800z00_2186;

				if (NULLP((((BgL_blockz00_bglt) COBJECT(BgL_bz00_5))->BgL_succsz00)))
					{	/* SawMill/rtl.scm 41 */
						BgL_test1800z00_2186 = ((bool_t) 1);
					}
				else
					{	/* SawMill/rtl.scm 41 */
						obj_t BgL_tmpz00_2190;

						BgL_tmpz00_2190 =
							CDR((((BgL_blockz00_bglt) COBJECT(BgL_bz00_5))->BgL_succsz00));
						BgL_test1800z00_2186 = PAIRP(BgL_tmpz00_2190);
					}
				if (BgL_test1800z00_2186)
					{	/* SawMill/rtl.scm 41 */
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
							BGl_string1785z00zzsaw_rtlz00, ((obj_t) BgL_bz00_5));
					}
				else
					{	/* SawMill/rtl.scm 41 */
						BFALSE;
					}
			}
			{	/* SawMill/rtl.scm 43 */
				obj_t BgL_sz00_1741;

				BgL_sz00_1741 =
					CAR((((BgL_blockz00_bglt) COBJECT(BgL_bz00_5))->BgL_succsz00));
				{	/* SawMill/rtl.scm 44 */
					obj_t BgL_g1352z00_1742;

					BgL_g1352z00_1742 =
						(((BgL_blockz00_bglt) COBJECT(BgL_bz00_5))->BgL_predsz00);
					{
						obj_t BgL_l1350z00_1744;

						BgL_l1350z00_1744 = BgL_g1352z00_1742;
					BgL_zc3z04anonymousza31489ze3z87_1745:
						if (PAIRP(BgL_l1350z00_1744))
							{	/* SawMill/rtl.scm 44 */
								{	/* SawMill/rtl.scm 44 */
									obj_t BgL_pz00_1747;

									BgL_pz00_1747 = CAR(BgL_l1350z00_1744);
									{
										obj_t BgL_auxz00_2203;

										{	/* SawMill/rtl.scm 45 */
											obj_t BgL_arg1493z00_1749;

											BgL_arg1493z00_1749 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_pz00_1747)))->
												BgL_succsz00);
											BgL_auxz00_2203 =
												BGl_substz00zzsaw_libz00(BgL_arg1493z00_1749,
												((obj_t) BgL_bz00_5), BgL_sz00_1741);
										}
										((((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_pz00_1747)))->
												BgL_succsz00) = ((obj_t) BgL_auxz00_2203), BUNSPEC);
									}
								}
								{
									obj_t BgL_l1350z00_2210;

									BgL_l1350z00_2210 = CDR(BgL_l1350z00_1744);
									BgL_l1350z00_1744 = BgL_l1350z00_2210;
									goto BgL_zc3z04anonymousza31489ze3z87_1745;
								}
							}
						else
							{	/* SawMill/rtl.scm 44 */
								((bool_t) 1);
							}
					}
				}
				{	/* SawMill/rtl.scm 47 */
					obj_t BgL_arg1499z00_1752;

					{	/* SawMill/rtl.scm 47 */
						obj_t BgL_arg1500z00_1753;
						obj_t BgL_arg1506z00_1754;

						BgL_arg1500z00_1753 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_sz00_1741)))->BgL_predsz00);
						BgL_arg1506z00_1754 =
							(((BgL_blockz00_bglt) COBJECT(BgL_bz00_5))->BgL_predsz00);
						BgL_arg1499z00_1752 =
							BGl_substzd2appendzd2zzsaw_libz00(BgL_arg1500z00_1753,
							((obj_t) BgL_bz00_5), BgL_arg1506z00_1754);
					}
					return
						((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_sz00_1741)))->BgL_predsz00) =
						((obj_t) BgL_arg1499z00_1752), BUNSPEC);
				}
			}
		}

	}



/* &unlink! */
	obj_t BGl_z62unlinkz12z70zzsaw_rtlz00(obj_t BgL_envz00_2107,
		obj_t BgL_bz00_2108)
	{
		{	/* SawMill/rtl.scm 39 */
			return BGl_unlinkz12z12zzsaw_rtlz00(((BgL_blockz00_bglt) BgL_bz00_2108));
		}

	}



/* rtl_dfs */
	BGL_EXPORTED_DEF obj_t BGl_rtl_dfsz00zzsaw_rtlz00(BgL_blockz00_bglt
		BgL_bz00_7, obj_t BgL_visitz00_8, obj_t BgL_visitzf3zf3_9)
	{
		{	/* SawMill/rtl.scm 89 */
			PROCEDURE_ENTRY(BgL_visitz00_8) (BgL_visitz00_8,
				((obj_t) BgL_bz00_7), BEOA);
			{	/* SawMill/rtl.scm 91 */
				obj_t BgL_g1355z00_1760;

				BgL_g1355z00_1760 =
					(((BgL_blockz00_bglt) COBJECT(BgL_bz00_7))->BgL_succsz00);
				{
					obj_t BgL_l1353z00_1762;

					{	/* SawMill/rtl.scm 93 */
						bool_t BgL_tmpz00_2227;

						BgL_l1353z00_1762 = BgL_g1355z00_1760;
					BgL_zc3z04anonymousza31512ze3z87_1763:
						if (PAIRP(BgL_l1353z00_1762))
							{	/* SawMill/rtl.scm 93 */
								{	/* SawMill/rtl.scm 92 */
									obj_t BgL_succz00_1765;

									BgL_succz00_1765 = CAR(BgL_l1353z00_1762);
									if (CBOOL(PROCEDURE_ENTRY(BgL_visitzf3zf3_9)
											(BgL_visitzf3zf3_9, BgL_succz00_1765, BEOA)))
										{	/* SawMill/rtl.scm 92 */
											BFALSE;
										}
									else
										{	/* SawMill/rtl.scm 92 */
											BGl_rtl_dfsz00zzsaw_rtlz00(
												((BgL_blockz00_bglt) BgL_succz00_1765), BgL_visitz00_8,
												BgL_visitzf3zf3_9);
										}
								}
								{
									obj_t BgL_l1353z00_2239;

									BgL_l1353z00_2239 = CDR(BgL_l1353z00_1762);
									BgL_l1353z00_1762 = BgL_l1353z00_2239;
									goto BgL_zc3z04anonymousza31512ze3z87_1763;
								}
							}
						else
							{	/* SawMill/rtl.scm 93 */
								BgL_tmpz00_2227 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2227);
					}
				}
			}
		}

	}



/* &rtl_dfs */
	obj_t BGl_z62rtl_dfsz62zzsaw_rtlz00(obj_t BgL_envz00_2109,
		obj_t BgL_bz00_2110, obj_t BgL_visitz00_2111, obj_t BgL_visitzf3zf3_2112)
	{
		{	/* SawMill/rtl.scm 89 */
			return
				BGl_rtl_dfsz00zzsaw_rtlz00(
				((BgL_blockz00_bglt) BgL_bz00_2110), BgL_visitz00_2111,
				BgL_visitzf3zf3_2112);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_rtlz00()
	{
		{	/* SawMill/rtl.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_rtlz00()
	{
		{	/* SawMill/rtl.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_rtlz00()
	{
		{	/* SawMill/rtl.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_rtlz00()
	{
		{	/* SawMill/rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1786z00zzsaw_rtlz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1786z00zzsaw_rtlz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1786z00zzsaw_rtlz00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string1786z00zzsaw_rtlz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string1786z00zzsaw_rtlz00));
		}

	}

#ifdef __cplusplus
}
#endif
