/*===========================================================================*/
/*   (Type/tenv.scm)                                                         */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/tenv.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	static obj_t BGl_z62zc3z04anonymousza31595ze3ze5zztype_envz00(obj_t);
	extern obj_t BGl_delayzd2tvectorz12zc0zzmodule_typez00(obj_t, obj_t, bool_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2tenvzd2zztype_envz00();
	static obj_t BGl_objectzd2initzd2zztype_envz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_ctypezf3zf3zzforeign_ctypez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2foreignzd2typez12z12zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62declarezd2subtypez12za2zztype_envz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static bool_t BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00;
	static obj_t BGl_methodzd2initzd2zztype_envz00();
	extern obj_t
		BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2aliastypez12zc0zztype_envz00(obj_t, obj_t, obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31257ze3ze5zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	static obj_t BGl_z62forzd2eachzd2typez12z70zztype_envz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zztype_envz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62usezd2typez12za2zztype_envz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t);
	static obj_t BGl_z62addzd2tenvz12za2zztype_envz00(obj_t, obj_t);
	extern obj_t
		BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_heapzd2addzd2classz12z12zzobject_classz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62findzd2typezf2locationz42zztype_envz00(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_heapzd2addzd2jclassz12z12zzmodule_javaz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztype_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztype_envz00();
	static obj_t BGl_z62subzd2typezf3z43zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31221ze3ze5zztype_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zztype_envz00();
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2typez12zc0zztype_envz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_z62initializa7ezd2Tenvz12z05zztype_envz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62usezd2foreignzd2typezf2importzd2locz12z50zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2typeszd2zztype_envz00();
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_findzd2typezf2locationz20zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	static BgL_typez00_bglt BGl_bindzd2typez12zc0zztype_envz00(obj_t, bool_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31228ze3ze5zztype_envz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62usezd2typezf2importzd2locz12z82zztype_envz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2existszf3z43zztype_envz00(obj_t, obj_t);
	static obj_t BGl_z62checkzd2typeszb0zztype_envz00(obj_t);
	static obj_t BGl_z62setzd2tenvz12za2zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62zc3z04anonymousza31266ze3ze5zztype_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31534ze3ze5zztype_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31551ze3ze5zztype_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	static BgL_typez00_bglt BGl_z62usezd2foreignzd2typez12z70zztype_envz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zztype_envz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_envz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztype_envz00();
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static obj_t BGl_z62zc3z04anonymousza31537ze3ze5zztype_envz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62findzd2typezb0zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2Tenvza2z00zztype_envz00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62declarezd2typez12za2zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2tenvzb0zztype_envz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	static obj_t BGl_uninitializa7edzd2typesz75zztype_envz00();
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	static BgL_typez00_bglt BGl_z62declarezd2aliastypez12za2zztype_envz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[8];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2typez12zd2envz12zztype_envz00,
		BgL_bgl_za762declareza7d2typ1758z00,
		BGl_z62declarezd2typez12za2zztype_envz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2typeszd2envz00zztype_envz00,
		BgL_bgl_za762checkza7d2types1759z00, BGl_z62checkzd2typeszb0zztype_envz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2tenvzd2envz00zztype_envz00,
		BgL_bgl_za762getza7d2tenvza7b01760za7, BGl_z62getzd2tenvzb0zztype_envz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1736z00zztype_envz00,
		BgL_bgl_za762za7c3za704anonymo1761za7,
		BGl_z62zc3z04anonymousza31228ze3ze5zztype_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1738z00zztype_envz00,
		BgL_bgl_za762za7c3za704anonymo1762za7,
		BGl_z62zc3z04anonymousza31257ze3ze5zztype_envz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1739z00zztype_envz00,
		BgL_bgl_za762za7c3za704anonymo1763za7,
		BGl_z62zc3z04anonymousza31266ze3ze5zztype_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2tenvz12zd2envz12zztype_envz00,
		BgL_bgl_za762addza7d2tenvza7121764za7, BGl_z62addzd2tenvz12za2zztype_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2Tenvz12zd2envzb5zztype_envz00,
		BgL_bgl_za762initializa7a7eza71765za7,
		BGl_z62initializa7ezd2Tenvz12z05zztype_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2aliastypez12zd2envz12zztype_envz00,
		BgL_bgl_za762declareza7d2ali1766z00,
		BGl_z62declarezd2aliastypez12za2zztype_envz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2typezf2importzd2locz12zd2envz32zztype_envz00,
		BgL_bgl_za762useza7d2typeza7f21767za7,
		BGl_z62usezd2typezf2importzd2locz12z82zztype_envz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2typezd2envz00zztype_envz00,
		BgL_bgl_za762findza7d2typeza7b1768za7, BGl_z62findzd2typezb0zztype_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_subzd2typezf3zd2envzf3zztype_envz00,
		BgL_bgl_za762subza7d2typeza7f31769za7, BGl_z62subzd2typezf3z43zztype_envz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2typezf2locationzd2envzf2zztype_envz00,
		BgL_bgl_za762findza7d2typeza7f1770za7,
		BGl_z62findzd2typezf2locationz42zztype_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2subtypez12zd2envz12zztype_envz00,
		BgL_bgl_za762declareza7d2sub1771z00,
		BGl_z62declarezd2subtypez12za2zztype_envz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1737z00zztype_envz00,
		BgL_bgl_string1737za700za7za7t1772za7, "Can't find super class of", 25);
	      DEFINE_STRING(BGl_string1740z00zztype_envz00,
		BgL_bgl_string1740za700za7za7t1773za7, "add-Tenv!", 9);
	      DEFINE_STRING(BGl_string1741z00zztype_envz00,
		BgL_bgl_string1741za700za7za7t1774za7, "Illegal type heap redefinition",
		30);
	      DEFINE_STRING(BGl_string1742z00zztype_envz00,
		BgL_bgl_string1742za700za7za7t1775za7, "Can't find type", 15);
	      DEFINE_STRING(BGl_string1743z00zztype_envz00,
		BgL_bgl_string1743za700za7za7t1776za7, "Type redefinition", 17);
	      DEFINE_STRING(BGl_string1744z00zztype_envz00,
		BgL_bgl_string1744za700za7za7t1777za7, "declare-type!", 13);
	      DEFINE_STRING(BGl_string1745z00zztype_envz00,
		BgL_bgl_string1745za700za7za7t1778za7, "Illegal type class", 18);
	      DEFINE_STRING(BGl_string1746z00zztype_envz00,
		BgL_bgl_string1746za700za7za7t1779za7, " type(s) used but not defined.",
		30);
	      DEFINE_STRING(BGl_string1747z00zztype_envz00,
		BgL_bgl_string1747za700za7za7t1780za7, "Stopping compilation...", 23);
	      DEFINE_STRING(BGl_string1748z00zztype_envz00,
		BgL_bgl_string1748za700za7za7t1781za7,
		"Undefined type used in export clause", 36);
	      DEFINE_STRING(BGl_string1749z00zztype_envz00,
		BgL_bgl_string1749za700za7za7t1782za7, "Undefined used type", 19);
	      DEFINE_STRING(BGl_string1750z00zztype_envz00,
		BgL_bgl_string1750za700za7za7t1783za7, "Undefined type", 14);
	      DEFINE_STRING(BGl_string1751z00zztype_envz00,
		BgL_bgl_string1751za700za7za7t1784za7, "type_env", 8);
	      DEFINE_STRING(BGl_string1752z00zztype_envz00,
		BgL_bgl_string1752za700za7za7t1785za7,
		"(bigloo C _ java) use-type! bigloo bind-type! find-type heap add-Tenv the-global-environment ",
		93);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2typez12zd2envzc0zztype_envz00,
		BgL_bgl_za762forza7d2eachza7d21786za7,
		BGl_z62forzd2eachzd2typez12z70zztype_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2typez12zd2envz12zztype_envz00,
		BgL_bgl_za762useza7d2typeza7121787za7, BGl_z62usezd2typez12za2zztype_envz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2tenvz12zd2envz12zztype_envz00,
		BgL_bgl_za762setza7d2tenvza7121788za7, BGl_z62setzd2tenvz12za2zztype_envz00,
		0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_errorzd2notifyzd2envz00zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2foreignzd2typez12zd2envzc0zztype_envz00,
		BgL_bgl_za762useza7d2foreign1789z00,
		BGl_z62usezd2foreignzd2typez12z70zztype_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2existszf3zd2envzf3zztype_envz00,
		BgL_bgl_za762typeza7d2exists1790z00,
		BGl_z62typezd2existszf3z43zztype_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2foreignzd2typezf2importzd2locz12zd2envze0zztype_envz00,
		BgL_bgl_za762useza7d2foreign1791z00,
		BGl_z62usezd2foreignzd2typezf2importzd2locz12z50zztype_envz00, 0L, BUNSPEC,
		3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztype_envz00));
		     ADD_ROOT((void *) (&BGl_za2Tenvza2z00zztype_envz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long
		BgL_checksumz00_1990, char *BgL_fromz00_1991)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_envz00))
				{
					BGl_requirezd2initializa7ationz75zztype_envz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztype_envz00();
					BGl_libraryzd2moduleszd2initz00zztype_envz00();
					BGl_cnstzd2initzd2zztype_envz00();
					BGl_importedzd2moduleszd2initz00zztype_envz00();
					return BGl_toplevelzd2initzd2zztype_envz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_envz00()
	{
		{	/* Type/tenv.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "type_env");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_envz00()
	{
		{	/* Type/tenv.scm 15 */
			{	/* Type/tenv.scm 15 */
				obj_t BgL_cportz00_1902;

				{	/* Type/tenv.scm 15 */
					obj_t BgL_stringz00_1910;

					BgL_stringz00_1910 = BGl_string1752z00zztype_envz00;
					{	/* Type/tenv.scm 15 */
						obj_t BgL_startz00_1911;

						BgL_startz00_1911 = BINT(((long) 0));
						{	/* Type/tenv.scm 15 */
							obj_t BgL_endz00_1912;

							BgL_endz00_1912 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1910)));
							{	/* Type/tenv.scm 15 */

								BgL_cportz00_1902 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1910, BgL_startz00_1911, BgL_endz00_1912);
				}}}}
				{
					long BgL_iz00_1903;

					BgL_iz00_1903 = ((long) 7);
				BgL_loopz00_1904:
					if ((BgL_iz00_1903 == ((long) -1)))
						{	/* Type/tenv.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/tenv.scm 15 */
							{	/* Type/tenv.scm 15 */
								obj_t BgL_arg1756z00_1906;

								{	/* Type/tenv.scm 15 */

									{	/* Type/tenv.scm 15 */
										obj_t BgL_locationz00_1908;

										BgL_locationz00_1908 = BBOOL(((bool_t) 0));
										{	/* Type/tenv.scm 15 */

											BgL_arg1756z00_1906 =
												BGl_readz00zz__readerz00(BgL_cportz00_1902,
												BgL_locationz00_1908);
										}
									}
								}
								{	/* Type/tenv.scm 15 */
									int BgL_tmpz00_2020;

									BgL_tmpz00_2020 = (int) (BgL_iz00_1903);
									CNST_TABLE_SET(BgL_tmpz00_2020, BgL_arg1756z00_1906);
							}}
							{	/* Type/tenv.scm 15 */
								int BgL_auxz00_1909;

								BgL_auxz00_1909 = (int) ((BgL_iz00_1903 - ((long) 1)));
								{
									long BgL_iz00_2025;

									BgL_iz00_2025 = (long) (BgL_auxz00_1909);
									BgL_iz00_1903 = BgL_iz00_2025;
									goto BgL_loopz00_1904;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztype_envz00()
	{
		{	/* Type/tenv.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_envz00()
	{
		{	/* Type/tenv.scm 15 */
			BGl_za2Tenvza2z00zztype_envz00 = CNST_TABLE_REF(((long) 0));
			return (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00 =
				((bool_t) 0), BUNSPEC);
		}

	}



/* initialize-Tenv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00()
	{
		{	/* Type/tenv.scm 75 */
			if (BGl_hashtablezf3zf3zz__hashz00(BGl_za2Tenvza2z00zztype_envz00))
				{	/* Type/tenv.scm 77 */
					return BFALSE;
				}
			else
				{	/* Type/tenv.scm 77 */
					return (BGl_za2Tenvza2z00zztype_envz00 =
						BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
				}
		}

	}



/* &initialize-Tenv! */
	obj_t BGl_z62initializa7ezd2Tenvz12z05zztype_envz00(obj_t BgL_envz00_1812)
	{
		{	/* Type/tenv.scm 75 */
			return BGl_initializa7ezd2Tenvz12z67zztype_envz00();
		}

	}



/* get-tenv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2tenvzd2zztype_envz00()
	{
		{	/* Type/tenv.scm 83 */
			return BGl_za2Tenvza2z00zztype_envz00;
		}

	}



/* &get-tenv */
	obj_t BGl_z62getzd2tenvzb0zztype_envz00(obj_t BgL_envz00_1813)
	{
		{	/* Type/tenv.scm 83 */
			return BGl_getzd2tenvzd2zztype_envz00();
		}

	}



/* set-tenv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t BgL_tenvz00_21)
	{
		{	/* Type/tenv.scm 89 */
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			return BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_21);
		}

	}



/* &set-tenv! */
	obj_t BGl_z62setzd2tenvz12za2zztype_envz00(obj_t BgL_envz00_1814,
		obj_t BgL_tenvz00_1815)
	{
		{	/* Type/tenv.scm 89 */
			return BGl_setzd2tenvz12zc0zztype_envz00(BgL_tenvz00_1815);
		}

	}



/* add-tenv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t BgL_tenvz00_22)
	{
		{	/* Type/tenv.scm 101 */
			{	/* Type/tenv.scm 155 */
				obj_t BgL_rememberzd2listzd2_1836;
				obj_t BgL_tvectorzd2listzd2_1837;

				BgL_rememberzd2listzd2_1836 = MAKE_CELL(BNIL);
				BgL_tvectorzd2listzd2_1837 = MAKE_CELL(BNIL);
				{	/* Type/tenv.scm 167 */
					obj_t BgL_zc3z04anonymousza31221ze3z87_1819;

					BgL_zc3z04anonymousza31221ze3z87_1819 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31221ze3ze5zztype_envz00,
						(int) (((long) 2)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31221ze3z87_1819,
						(int) (((long) 0)), ((obj_t) BgL_rememberzd2listzd2_1836));
					PROCEDURE_SET(BgL_zc3z04anonymousza31221ze3z87_1819,
						(int) (((long) 1)), ((obj_t) BgL_tvectorzd2listzd2_1837));
					BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_22,
						BgL_zc3z04anonymousza31221ze3z87_1819);
				}
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_22,
					BGl_proc1736z00zztype_envz00);
				{
					obj_t BgL_l1178z00_1277;

					BgL_l1178z00_1277 = CELL_REF(BgL_rememberzd2listzd2_1836);
				BgL_zc3z04anonymousza31236ze3z87_1278:
					if (PAIRP(BgL_l1178z00_1277))
						{	/* Type/tenv.scm 200 */
							{	/* Type/tenv.scm 201 */
								obj_t BgL_newz00_1280;

								BgL_newz00_1280 = CAR(BgL_l1178z00_1277);
								if (BGl_isazf3zf3zz__objectz00(BgL_newz00_1280,
										BGl_tclassz00zzobject_classz00))
									{	/* Type/tenv.scm 203 */
										obj_t BgL_superz00_1282;

										{
											BgL_tclassz00_bglt BgL_auxz00_2053;

											{
												obj_t BgL_auxz00_2054;

												{	/* Type/tenv.scm 203 */
													BgL_objectz00_bglt BgL_tmpz00_2055;

													BgL_tmpz00_2055 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_newz00_1280));
													BgL_auxz00_2054 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2055);
												}
												BgL_auxz00_2053 =
													((BgL_tclassz00_bglt) BgL_auxz00_2054);
											}
											BgL_superz00_1282 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2053))->
												BgL_itszd2superzd2);
										}
										if (BGl_isazf3zf3zz__objectz00(BgL_superz00_1282,
												BGl_tclassz00zzobject_classz00))
											{	/* Type/tenv.scm 205 */
												obj_t BgL_superzd2idzd2_1284;

												BgL_superzd2idzd2_1284 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt)
																((BgL_typez00_bglt) BgL_superz00_1282))))->
													BgL_idz00);
												{	/* Type/tenv.scm 205 */
													BgL_typez00_bglt BgL_oldzd2szd2_1285;

													BgL_oldzd2szd2_1285 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_superzd2idzd2_1284);
													{	/* Type/tenv.scm 206 */

														{	/* Type/tenv.scm 207 */
															bool_t BgL_test1798z00_2067;

															{	/* Type/tenv.scm 207 */
																bool_t BgL_res1713z00_1727;

																BgL_res1713z00_1727 =
																	BGl_isazf3zf3zz__objectz00(
																	((obj_t) BgL_oldzd2szd2_1285),
																	BGl_tclassz00zzobject_classz00);
																BgL_test1798z00_2067 = BgL_res1713z00_1727;
															}
															if (BgL_test1798z00_2067)
																{
																	BgL_tclassz00_bglt BgL_auxz00_2070;

																	{
																		obj_t BgL_auxz00_2071;

																		{	/* Type/tenv.scm 211 */
																			BgL_objectz00_bglt BgL_tmpz00_2072;

																			BgL_tmpz00_2072 =
																				((BgL_objectz00_bglt)
																				((BgL_typez00_bglt) BgL_newz00_1280));
																			BgL_auxz00_2071 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2072);
																		}
																		BgL_auxz00_2070 =
																			((BgL_tclassz00_bglt) BgL_auxz00_2071);
																	}
																	((((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2070))->
																			BgL_itszd2superzd2) =
																		((obj_t) ((obj_t) BgL_oldzd2szd2_1285)),
																		BUNSPEC);
																}
															else
																{	/* Type/tenv.scm 210 */
																	obj_t BgL_arg1241z00_1287;

																	BgL_arg1241z00_1287 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt)
																					((BgL_typez00_bglt)
																						BgL_newz00_1280))))->BgL_namez00);
																	BGl_errorz00zz__errorz00(CNST_TABLE_REF((
																				(long) 1)),
																		BGl_string1737z00zztype_envz00,
																		BgL_arg1241z00_1287);
											}}}}}
										else
											{	/* Type/tenv.scm 204 */
												BFALSE;
											}
									}
								else
									{	/* Type/tenv.scm 201 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1178z00_2084;

								BgL_l1178z00_2084 = CDR(BgL_l1178z00_1277);
								BgL_l1178z00_1277 = BgL_l1178z00_2084;
								goto BgL_zc3z04anonymousza31236ze3z87_1278;
							}
						}
					else
						{	/* Type/tenv.scm 200 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_l1180z00_1291;

					BgL_l1180z00_1291 = CELL_REF(BgL_tvectorzd2listzd2_1837);
				BgL_zc3z04anonymousza31246ze3z87_1292:
					if (PAIRP(BgL_l1180z00_1291))
						{	/* Type/tenv.scm 214 */
							{	/* Type/tenv.scm 215 */
								obj_t BgL_newz00_1294;

								BgL_newz00_1294 = CAR(BgL_l1180z00_1291);
								BGl_delayzd2tvectorz12zc0zzmodule_typez00(BgL_newz00_1294,
									CNST_TABLE_REF(((long) 2)), ((bool_t) 0));
							}
							{
								obj_t BgL_l1180z00_2091;

								BgL_l1180z00_2091 = CDR(BgL_l1180z00_1291);
								BgL_l1180z00_1291 = BgL_l1180z00_2091;
								goto BgL_zc3z04anonymousza31246ze3z87_1292;
							}
						}
					else
						{	/* Type/tenv.scm 214 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_l1182z00_1298;

					BgL_l1182z00_1298 = CELL_REF(BgL_rememberzd2listzd2_1836);
				BgL_zc3z04anonymousza31249ze3z87_1299:
					if (PAIRP(BgL_l1182z00_1298))
						{	/* Type/tenv.scm 222 */
							{	/* Type/tenv.scm 223 */
								obj_t BgL_nz00_1301;

								BgL_nz00_1301 = CAR(BgL_l1182z00_1298);
								if (BGl_isazf3zf3zz__objectz00(BgL_nz00_1301,
										BGl_tclassz00zzobject_classz00))
									{	/* Type/tenv.scm 230 */
										obj_t BgL_arg1254z00_1303;

										BgL_arg1254z00_1303 =
											BGl_makezd2promisezd2zz__r4_control_features_6_9z00
											(BGl_proc1738z00zztype_envz00);
										((obj_t)
											BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00((
													(BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_nz00_1301)), BgL_arg1254z00_1303));
									}
								else
									{	/* Type/tenv.scm 223 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1182z00_2103;

								BgL_l1182z00_2103 = CDR(BgL_l1182z00_1298);
								BgL_l1182z00_1298 = BgL_l1182z00_2103;
								goto BgL_zc3z04anonymousza31249ze3z87_1299;
							}
						}
					else
						{	/* Type/tenv.scm 222 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
				BGl_proc1739z00zztype_envz00);
		}

	}



/* &add-tenv! */
	obj_t BGl_z62addzd2tenvz12za2zztype_envz00(obj_t BgL_envz00_1820,
		obj_t BgL_tenvz00_1821)
	{
		{	/* Type/tenv.scm 101 */
			return BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_1821);
		}

	}



/* &<@anonymous:1266> */
	obj_t BGl_z62zc3z04anonymousza31266ze3ze5zztype_envz00(obj_t BgL_envz00_1822,
		obj_t BgL_kz00_1823, obj_t BgL_newz00_1824)
	{
		{	/* Type/tenv.scm 239 */
			{	/* Type/tenv.scm 240 */
				bool_t BgL_tmpz00_2107;

				{
					obj_t BgL_typez00_1916;

					BgL_typez00_1916 = BgL_newz00_1824;
					{	/* Type/tenv.scm 105 */
						bool_t BgL_test1802z00_2108;

						{	/* Type/tenv.scm 105 */
							obj_t BgL_arg1277z00_1917;

							BgL_arg1277z00_1917 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_typez00_1916)))->BgL_aliasz00);
							BgL_test1802z00_2108 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1277z00_1917,
								BGl_typez00zztype_typez00);
						}
						if (BgL_test1802z00_2108)
							{	/* Type/tenv.scm 106 */
								BgL_typez00_bglt BgL_arg1274z00_1918;

								{	/* Type/tenv.scm 106 */
									obj_t BgL_arg1275z00_1919;

									BgL_arg1275z00_1919 =
										(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt)
													(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_typez00_1916)))->
														BgL_aliasz00))))->BgL_idz00);
									BgL_arg1274z00_1918 =
										BGl_findzd2typezd2zztype_envz00(BgL_arg1275z00_1919);
								}
								((((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt) BgL_typez00_1916)))->BgL_aliasz00) =
									((obj_t) ((obj_t) BgL_arg1274z00_1918)), BUNSPEC);
							}
						else
							{	/* Type/tenv.scm 105 */
								BFALSE;
							}
					}
					{	/* Type/tenv.scm 109 */
						obj_t BgL_arg1278z00_1920;

						{	/* Type/tenv.scm 109 */
							obj_t BgL_l1160z00_1921;

							BgL_l1160z00_1921 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_typez00_1916)))->BgL_parentsz00);
							if (NULLP(BgL_l1160z00_1921))
								{	/* Type/tenv.scm 109 */
									BgL_arg1278z00_1920 = BNIL;
								}
							else
								{	/* Type/tenv.scm 109 */
									obj_t BgL_head1162z00_1922;

									{	/* Type/tenv.scm 109 */
										obj_t BgL_res1698z00_1923;

										BgL_res1698z00_1923 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										BgL_head1162z00_1922 = BgL_res1698z00_1923;
									}
									{
										obj_t BgL_l1160z00_1925;
										obj_t BgL_tail1163z00_1926;

										BgL_l1160z00_1925 = BgL_l1160z00_1921;
										BgL_tail1163z00_1926 = BgL_head1162z00_1922;
									BgL_zc3z04anonymousza31280ze3z87_1924:
										if (NULLP(BgL_l1160z00_1925))
											{	/* Type/tenv.scm 109 */
												BgL_arg1278z00_1920 = CDR(BgL_head1162z00_1922);
											}
										else
											{	/* Type/tenv.scm 109 */
												obj_t BgL_newtail1164z00_1927;

												{	/* Type/tenv.scm 109 */
													BgL_typez00_bglt BgL_arg1284z00_1928;

													{	/* Type/tenv.scm 109 */
														obj_t BgL_parentz00_1929;

														BgL_parentz00_1929 =
															CAR(((obj_t) BgL_l1160z00_1925));
														{	/* Type/tenv.scm 110 */
															obj_t BgL_arg1285z00_1930;

															BgL_arg1285z00_1930 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_parentz00_1929)))->
																BgL_idz00);
															BgL_arg1284z00_1928 =
																BGl_findzd2typezd2zztype_envz00
																(BgL_arg1285z00_1930);
														}
													}
													{	/* Type/tenv.scm 109 */
														obj_t BgL_res1700z00_1931;

														BgL_res1700z00_1931 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1284z00_1928), BNIL);
														BgL_newtail1164z00_1927 = BgL_res1700z00_1931;
													}
												}
												SET_CDR(BgL_tail1163z00_1926, BgL_newtail1164z00_1927);
												{	/* Type/tenv.scm 109 */
													obj_t BgL_arg1282z00_1932;

													BgL_arg1282z00_1932 =
														CDR(((obj_t) BgL_l1160z00_1925));
													{
														obj_t BgL_tail1163z00_2139;
														obj_t BgL_l1160z00_2138;

														BgL_l1160z00_2138 = BgL_arg1282z00_1932;
														BgL_tail1163z00_2139 = BgL_newtail1164z00_1927;
														BgL_tail1163z00_1926 = BgL_tail1163z00_2139;
														BgL_l1160z00_1925 = BgL_l1160z00_2138;
														goto BgL_zc3z04anonymousza31280ze3z87_1924;
													}
												}
											}
									}
								}
						}
						((((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_typez00_1916)))->BgL_parentsz00) =
							((obj_t) BgL_arg1278z00_1920), BUNSPEC);
					}
					{	/* Type/tenv.scm 113 */
						obj_t BgL_g1174z00_1933;

						BgL_g1174z00_1933 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_typez00_1916)))->BgL_coercezd2tozd2);
						{
							obj_t BgL_l1172z00_1935;

							BgL_l1172z00_1935 = BgL_g1174z00_1933;
						BgL_zc3z04anonymousza31286ze3z87_1934:
							if (PAIRP(BgL_l1172z00_1935))
								{	/* Type/tenv.scm 124 */
									{	/* Type/tenv.scm 114 */
										obj_t BgL_coercerz00_1936;

										BgL_coercerz00_1936 = CAR(BgL_l1172z00_1935);
										{	/* Type/tenv.scm 114 */
											obj_t BgL_fromz00_1937;
											obj_t BgL_toz00_1938;

											BgL_fromz00_1937 =
												STRUCT_REF(
												((obj_t) BgL_coercerz00_1936), (int) (((long) 0)));
											BgL_toz00_1938 =
												STRUCT_REF(
												((obj_t) BgL_coercerz00_1936), (int) (((long) 1)));
											{	/* Type/tenv.scm 116 */
												BgL_typez00_bglt BgL_arg1293z00_1939;

												{	/* Type/tenv.scm 116 */
													obj_t BgL_arg1295z00_1940;

													BgL_arg1295z00_1940 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_fromz00_1937)))->
														BgL_idz00);
													BgL_arg1293z00_1939 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg1295z00_1940);
												}
												{	/* Type/tenv.scm 116 */
													obj_t BgL_auxz00_2160;
													int BgL_auxz00_2158;
													obj_t BgL_tmpz00_2156;

													BgL_auxz00_2160 = ((obj_t) BgL_arg1293z00_1939);
													BgL_auxz00_2158 = (int) (((long) 0));
													BgL_tmpz00_2156 = ((obj_t) BgL_coercerz00_1936);
													STRUCT_SET(BgL_tmpz00_2156, BgL_auxz00_2158,
														BgL_auxz00_2160);
											}}
											{	/* Type/tenv.scm 117 */
												BgL_typez00_bglt BgL_arg1297z00_1941;

												{	/* Type/tenv.scm 117 */
													obj_t BgL_arg1299z00_1942;

													BgL_arg1299z00_1942 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_toz00_1938)))->
														BgL_idz00);
													BgL_arg1297z00_1941 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg1299z00_1942);
												}
												{	/* Type/tenv.scm 117 */
													obj_t BgL_auxz00_2170;
													int BgL_auxz00_2168;
													obj_t BgL_tmpz00_2166;

													BgL_auxz00_2170 = ((obj_t) BgL_arg1297z00_1941);
													BgL_auxz00_2168 = (int) (((long) 1));
													BgL_tmpz00_2166 = ((obj_t) BgL_coercerz00_1936);
													STRUCT_SET(BgL_tmpz00_2166, BgL_auxz00_2168,
														BgL_auxz00_2170);
											}}
											{	/* Type/tenv.scm 118 */
												obj_t BgL_g1168z00_1943;

												BgL_g1168z00_1943 =
													STRUCT_REF(
													((obj_t) BgL_coercerz00_1936), (int) (((long) 2)));
												{
													obj_t BgL_l1165z00_1945;

													BgL_l1165z00_1945 = BgL_g1168z00_1943;
												BgL_zc3z04anonymousza31300ze3z87_1944:
													if (PAIRP(BgL_l1165z00_1945))
														{	/* Type/tenv.scm 120 */
															{	/* Type/tenv.scm 119 */
																obj_t BgL_coz00_1946;

																BgL_coz00_1946 = CAR(BgL_l1165z00_1945);
																{	/* Type/tenv.scm 119 */
																	BgL_typez00_bglt BgL_arg1303z00_1947;

																	{	/* Type/tenv.scm 119 */
																		obj_t BgL_arg1304z00_1948;

																		BgL_arg1304z00_1948 =
																			(((BgL_typez00_bglt) COBJECT(
																					((BgL_typez00_bglt)
																						CDR(
																							((obj_t) BgL_coz00_1946)))))->
																			BgL_idz00);
																		BgL_arg1303z00_1947 =
																			BGl_findzd2typezd2zztype_envz00
																			(BgL_arg1304z00_1948);
																	}
																	{	/* Type/tenv.scm 119 */
																		obj_t BgL_auxz00_2186;
																		obj_t BgL_tmpz00_2184;

																		BgL_auxz00_2186 =
																			((obj_t) BgL_arg1303z00_1947);
																		BgL_tmpz00_2184 = ((obj_t) BgL_coz00_1946);
																		SET_CDR(BgL_tmpz00_2184, BgL_auxz00_2186);
																	}
																}
															}
															{
																obj_t BgL_l1165z00_2189;

																BgL_l1165z00_2189 = CDR(BgL_l1165z00_1945);
																BgL_l1165z00_1945 = BgL_l1165z00_2189;
																goto BgL_zc3z04anonymousza31300ze3z87_1944;
															}
														}
													else
														{	/* Type/tenv.scm 120 */
															((bool_t) 1);
														}
												}
											}
											{	/* Type/tenv.scm 121 */
												obj_t BgL_g1171z00_1949;

												BgL_g1171z00_1949 =
													STRUCT_REF(
													((obj_t) BgL_coercerz00_1936), (int) (((long) 3)));
												{
													obj_t BgL_l1169z00_1951;

													BgL_l1169z00_1951 = BgL_g1171z00_1949;
												BgL_zc3z04anonymousza31308ze3z87_1950:
													if (PAIRP(BgL_l1169z00_1951))
														{	/* Type/tenv.scm 123 */
															{	/* Type/tenv.scm 122 */
																obj_t BgL_coz00_1952;

																BgL_coz00_1952 = CAR(BgL_l1169z00_1951);
																{	/* Type/tenv.scm 122 */
																	BgL_typez00_bglt BgL_arg1310z00_1953;

																	{	/* Type/tenv.scm 122 */
																		obj_t BgL_arg1311z00_1954;

																		BgL_arg1311z00_1954 =
																			(((BgL_typez00_bglt) COBJECT(
																					((BgL_typez00_bglt)
																						CDR(
																							((obj_t) BgL_coz00_1952)))))->
																			BgL_idz00);
																		BgL_arg1310z00_1953 =
																			BGl_findzd2typezd2zztype_envz00
																			(BgL_arg1311z00_1954);
																	}
																	{	/* Type/tenv.scm 122 */
																		obj_t BgL_auxz00_2204;
																		obj_t BgL_tmpz00_2202;

																		BgL_auxz00_2204 =
																			((obj_t) BgL_arg1310z00_1953);
																		BgL_tmpz00_2202 = ((obj_t) BgL_coz00_1952);
																		SET_CDR(BgL_tmpz00_2202, BgL_auxz00_2204);
																	}
																}
															}
															{
																obj_t BgL_l1169z00_2207;

																BgL_l1169z00_2207 = CDR(BgL_l1169z00_1951);
																BgL_l1169z00_1951 = BgL_l1169z00_2207;
																goto BgL_zc3z04anonymousza31308ze3z87_1950;
															}
														}
													else
														{	/* Type/tenv.scm 123 */
															((bool_t) 1);
														}
												}
											}
										}
									}
									{
										obj_t BgL_l1172z00_2209;

										BgL_l1172z00_2209 = CDR(BgL_l1172z00_1935);
										BgL_l1172z00_1935 = BgL_l1172z00_2209;
										goto BgL_zc3z04anonymousza31286ze3z87_1934;
									}
								}
							else
								{	/* Type/tenv.scm 124 */
									BgL_tmpz00_2107 = ((bool_t) 1);
								}
						}
					}
				}
				return BBOOL(BgL_tmpz00_2107);
			}
		}

	}



/* &<@anonymous:1257> */
	obj_t BGl_z62zc3z04anonymousza31257ze3ze5zztype_envz00(obj_t BgL_envz00_1825)
	{
		{	/* Type/tenv.scm 226 */
			return BNIL;
		}

	}



/* &<@anonymous:1228> */
	obj_t BGl_z62zc3z04anonymousza31228ze3ze5zztype_envz00(obj_t BgL_envz00_1826,
		obj_t BgL_kz00_1827, obj_t BgL_newz00_1828)
	{
		{	/* Type/tenv.scm 191 */
			{	/* Type/tenv.scm 192 */
				obj_t BgL_idz00_1955;

				BgL_idz00_1955 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_newz00_1828)))->BgL_idz00);
				{	/* Type/tenv.scm 192 */
					obj_t BgL_oldz00_1956;

					BgL_oldz00_1956 =
						BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
						BgL_idz00_1955);
					{	/* Type/tenv.scm 193 */

						if (BGl_ctypezf3zf3zzforeign_ctypez00(BgL_oldz00_1956))
							{	/* Type/tenv.scm 195 */
								obj_t BgL_lz00_1957;

								BgL_lz00_1957 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_oldz00_1956)))->BgL_locationz00);
								{	/* Type/tenv.scm 197 */
									obj_t BgL_arg1235z00_1958;

									BgL_arg1235z00_1958 =
										BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(
										((BgL_typez00_bglt) BgL_oldz00_1956),
										((BgL_typez00_bglt) BgL_oldz00_1956), BgL_lz00_1957);
									return
										BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00
										(BgL_arg1235z00_1958);
								}
							}
						else
							{	/* Type/tenv.scm 194 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1221> */
	obj_t BGl_z62zc3z04anonymousza31221ze3ze5zztype_envz00(obj_t BgL_envz00_1829,
		obj_t BgL_kz00_1832, obj_t BgL_newz00_1833)
	{
		{	/* Type/tenv.scm 166 */
			{	/* Type/tenv.scm 167 */
				obj_t BgL_rememberzd2listzd2_1830;
				obj_t BgL_tvectorzd2listzd2_1831;

				BgL_rememberzd2listzd2_1830 =
					PROCEDURE_REF(BgL_envz00_1829, (int) (((long) 0)));
				BgL_tvectorzd2listzd2_1831 =
					PROCEDURE_REF(BgL_envz00_1829, (int) (((long) 1)));
				{
					BgL_typez00_bglt BgL_oldz00_1966;
					obj_t BgL_newz00_1967;
					BgL_typez00_bglt BgL_fromz00_1961;
					BgL_typez00_bglt BgL_toz00_1962;

					{	/* Type/tenv.scm 167 */
						obj_t BgL_idz00_1977;

						BgL_idz00_1977 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_newz00_1833)))->BgL_idz00);
						{	/* Type/tenv.scm 167 */
							obj_t BgL_oldz00_1978;

							BgL_oldz00_1978 =
								BGl_hashtablezd2getzd2zz__hashz00
								(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_1977);
							{	/* Type/tenv.scm 168 */

								if (BGl_isazf3zf3zz__objectz00(BgL_oldz00_1978,
										BGl_typez00zztype_typez00))
									{	/* Type/tenv.scm 170 */
										if (
											(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_oldz00_1978)))->
												BgL_initzf3zf3))
											{	/* Type/tenv.scm 189 */
												bool_t BgL_tmpz00_2235;

												BgL_oldz00_1966 = ((BgL_typez00_bglt) BgL_oldz00_1978);
												BgL_newz00_1967 = BgL_newz00_1833;
												{	/* Type/tenv.scm 134 */
													obj_t BgL_g1177z00_1968;

													BgL_g1177z00_1968 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_newz00_1967)))->
														BgL_coercezd2tozd2);
													{
														obj_t BgL_l1175z00_1970;

														BgL_l1175z00_1970 = BgL_g1177z00_1968;
													BgL_zc3z04anonymousza31332ze3z87_1969:
														if (PAIRP(BgL_l1175z00_1970))
															{	/* Type/tenv.scm 144 */
																{	/* Type/tenv.scm 135 */
																	obj_t BgL_coercerz00_1971;

																	BgL_coercerz00_1971 = CAR(BgL_l1175z00_1970);
																	{	/* Type/tenv.scm 135 */
																		obj_t BgL_toz00_1972;

																		BgL_toz00_1972 =
																			STRUCT_REF(
																			((obj_t) BgL_coercerz00_1971),
																			(int) (((long) 1)));
																		{	/* Type/tenv.scm 136 */
																			obj_t BgL_tidz00_1973;

																			BgL_tidz00_1973 =
																				(((BgL_typez00_bglt) COBJECT(
																						((BgL_typez00_bglt)
																							BgL_toz00_1972)))->BgL_idz00);
																			{	/* Type/tenv.scm 137 */
																				bool_t BgL_tidzd2existszf3z21_1974;

																				BgL_tidzd2existszf3z21_1974 =
																					BGl_typezd2existszf3z21zztype_envz00
																					(BgL_tidz00_1973);
																				{	/* Type/tenv.scm 138 */

																					{	/* Type/tenv.scm 139 */
																						bool_t BgL_test1812z00_2247;

																						if (BgL_tidzd2existszf3z21_1974)
																							{	/* Type/tenv.scm 140 */
																								bool_t BgL_test1814z00_2249;

																								{	/* Type/tenv.scm 140 */
																									BgL_typez00_bglt
																										BgL_arg1406z00_1975;
																									BgL_arg1406z00_1975 =
																										BGl_findzd2typezd2zztype_envz00
																										(BgL_tidz00_1973);
																									{	/* Type/tenv.scm 140 */
																										obj_t BgL_tmpz00_2251;

																										BgL_fromz00_1961 =
																											BgL_oldz00_1966;
																										BgL_toz00_1962 =
																											BgL_arg1406z00_1975;
																										{
																											obj_t BgL_coercerz00_1964;

																											BgL_coercerz00_1964 =
																												(((BgL_typez00_bglt)
																													COBJECT
																													(BgL_fromz00_1961))->
																												BgL_coercezd2tozd2);
																										BgL_loopz00_1963:
																											if (NULLP
																												(BgL_coercerz00_1964))
																												{	/* Type/tenv.scm 129 */
																													BgL_tmpz00_2251 =
																														BFALSE;
																												}
																											else
																												{	/* Type/tenv.scm 130 */
																													bool_t
																														BgL_test1816z00_2254;
																													{	/* Type/tenv.scm 130 */
																														obj_t
																															BgL_tmpz00_2255;
																														{	/* Type/tenv.scm 130 */
																															obj_t
																																BgL_sz00_1965;
																															BgL_sz00_1965 =
																																CAR(((obj_t)
																																	BgL_coercerz00_1964));
																															BgL_tmpz00_2255 =
																																STRUCT_REF
																																(BgL_sz00_1965,
																																(int) (((long)
																																		1)));
																														}
																														BgL_test1816z00_2254
																															=
																															(BgL_tmpz00_2255
																															==
																															((obj_t)
																																BgL_toz00_1962));
																													}
																													if (BgL_test1816z00_2254)
																														{	/* Type/tenv.scm 130 */
																															BgL_tmpz00_2251 =
																																CAR(
																																((obj_t)
																																	BgL_coercerz00_1964));
																														}
																													else
																														{
																															obj_t
																																BgL_coercerz00_2264;
																															BgL_coercerz00_2264
																																=
																																CDR(((obj_t)
																																	BgL_coercerz00_1964));
																															BgL_coercerz00_1964
																																=
																																BgL_coercerz00_2264;
																															goto
																																BgL_loopz00_1963;
																														}
																												}
																										}
																										BgL_test1814z00_2249 =
																											CBOOL(BgL_tmpz00_2251);
																									}
																								}
																								if (BgL_test1814z00_2249)
																									{	/* Type/tenv.scm 140 */
																										BgL_test1812z00_2247 =
																											((bool_t) 0);
																									}
																								else
																									{	/* Type/tenv.scm 140 */
																										BgL_test1812z00_2247 =
																											((bool_t) 1);
																									}
																							}
																						else
																							{	/* Type/tenv.scm 139 */
																								BgL_test1812z00_2247 =
																									((bool_t) 1);
																							}
																						if (BgL_test1812z00_2247)
																							{	/* Type/tenv.scm 143 */
																								obj_t BgL_arg1378z00_1976;

																								BgL_arg1378z00_1976 =
																									MAKE_YOUNG_PAIR
																									(BgL_coercerz00_1971,
																									(((BgL_typez00_bglt)
																											COBJECT
																											(BgL_oldz00_1966))->
																										BgL_coercezd2tozd2));
																								((((BgL_typez00_bglt)
																											COBJECT
																											(BgL_oldz00_1966))->
																										BgL_coercezd2tozd2) =
																									((obj_t) BgL_arg1378z00_1976),
																									BUNSPEC);
																							}
																						else
																							{	/* Type/tenv.scm 139 */
																								BFALSE;
																							}
																					}
																				}
																			}
																		}
																	}
																}
																{
																	obj_t BgL_l1175z00_2272;

																	BgL_l1175z00_2272 = CDR(BgL_l1175z00_1970);
																	BgL_l1175z00_1970 = BgL_l1175z00_2272;
																	goto BgL_zc3z04anonymousza31332ze3z87_1969;
																}
															}
														else
															{	/* Type/tenv.scm 144 */
																BgL_tmpz00_2235 = ((bool_t) 1);
															}
													}
												}
												return BBOOL(BgL_tmpz00_2235);
											}
										else
											{	/* Type/tenv.scm 181 */
												BGl_errorz00zz__errorz00(BGl_string1740z00zztype_envz00,
													BGl_string1741z00zztype_envz00, BgL_idz00_1977);
												return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
															55)));
									}}
								else
									{	/* Type/tenv.scm 170 */
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_1977,
											BgL_newz00_1833);
										if (BGl_isazf3zf3zz__objectz00(BgL_newz00_1833,
												BGl_tclassz00zzobject_classz00))
											{	/* Type/tenv.scm 172 */
												BGl_heapzd2addzd2classz12z12zzobject_classz00(
													((BgL_typez00_bglt) BgL_newz00_1833));
												{	/* Type/tenv.scm 174 */
													obj_t BgL_auxz00_1979;

													BgL_auxz00_1979 =
														MAKE_YOUNG_PAIR(BgL_newz00_1833,
														CELL_REF(BgL_rememberzd2listzd2_1830));
													CELL_SET(BgL_rememberzd2listzd2_1830,
														BgL_auxz00_1979);
												}
											}
										else
											{	/* Type/tenv.scm 172 */
												BFALSE;
											}
										if (BGl_isazf3zf3zz__objectz00(BgL_newz00_1833,
												BGl_jclassz00zzobject_classz00))
											{	/* Type/tenv.scm 176 */
												BGl_heapzd2addzd2jclassz12z12zzmodule_javaz00
													(BgL_newz00_1833);
											}
										else
											{	/* Type/tenv.scm 176 */
												BFALSE;
											}
										if (BGl_isazf3zf3zz__objectz00(BgL_newz00_1833,
												BGl_tvecz00zztvector_tvectorz00))
											{	/* Type/tenv.scm 179 */
												obj_t BgL_auxz00_1980;

												BgL_auxz00_1980 =
													MAKE_YOUNG_PAIR(BgL_newz00_1833,
													CELL_REF(BgL_tvectorzd2listzd2_1831));
												return
													CELL_SET(BgL_tvectorzd2listzd2_1831, BgL_auxz00_1980);
											}
										else
											{	/* Type/tenv.scm 178 */
												return BFALSE;
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* find-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t
		BgL_idz00_23)
	{
		{	/* Type/tenv.scm 245 */
			{	/* Type/tenv.scm 246 */
				obj_t BgL_typez00_1422;

				BgL_typez00_1422 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_23);
				if (BGl_isazf3zf3zz__objectz00(BgL_typez00_1422,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 247 */
						return ((BgL_typez00_bglt) BgL_typez00_1422);
					}
				else
					{	/* Type/tenv.scm 247 */
						return
							((BgL_typez00_bglt)
							BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
								BGl_string1742z00zztype_envz00, BgL_idz00_23));
		}}}

	}



/* &find-type */
	BgL_typez00_bglt BGl_z62findzd2typezb0zztype_envz00(obj_t BgL_envz00_1840,
		obj_t BgL_idz00_1841)
	{
		{	/* Type/tenv.scm 245 */
			return BGl_findzd2typezd2zztype_envz00(BgL_idz00_1841);
		}

	}



/* find-type/location */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_findzd2typezf2locationz20zztype_envz00(obj_t BgL_idz00_24,
		obj_t BgL_locz00_25)
	{
		{	/* Type/tenv.scm 254 */
			{	/* Type/tenv.scm 255 */
				obj_t BgL_typez00_1424;

				BgL_typez00_1424 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_24);
				if (BGl_isazf3zf3zz__objectz00(BgL_typez00_1424,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 256 */
						return ((BgL_typez00_bglt) BgL_typez00_1424);
					}
				else
					{	/* Type/tenv.scm 256 */
						return
							((BgL_typez00_bglt)
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_25,
								CNST_TABLE_REF(((long) 3)), BGl_string1742z00zztype_envz00,
								BgL_idz00_24, BNIL));
		}}}

	}



/* &find-type/location */
	BgL_typez00_bglt BGl_z62findzd2typezf2locationz42zztype_envz00(obj_t
		BgL_envz00_1842, obj_t BgL_idz00_1843, obj_t BgL_locz00_1844)
	{
		{	/* Type/tenv.scm 254 */
			return
				BGl_findzd2typezf2locationz20zztype_envz00(BgL_idz00_1843,
				BgL_locz00_1844);
		}

	}



/* type-exists? */
	BGL_EXPORTED_DEF bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t
		BgL_idz00_26)
	{
		{	/* Type/tenv.scm 265 */
			{	/* Type/tenv.scm 266 */
				obj_t BgL_typez00_1427;

				BgL_typez00_1427 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_26);
				if (BGl_isazf3zf3zz__objectz00(BgL_typez00_1427,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 267 */
						return
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_typez00_1427)))->BgL_initzf3zf3);
					}
				else
					{	/* Type/tenv.scm 267 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &type-exists? */
	obj_t BGl_z62typezd2existszf3z43zztype_envz00(obj_t BgL_envz00_1845,
		obj_t BgL_idz00_1846)
	{
		{	/* Type/tenv.scm 265 */
			return BBOOL(BGl_typezd2existszf3z21zztype_envz00(BgL_idz00_1846));
		}

	}



/* bind-type! */
	BgL_typez00_bglt BGl_bindzd2typez12zc0zztype_envz00(obj_t BgL_idz00_27,
		bool_t BgL_initzf3zf3_28, obj_t BgL_locz00_29)
	{
		{	/* Type/tenv.scm 274 */
			{	/* Type/tenv.scm 275 */
				obj_t BgL_typez00_1429;

				BgL_typez00_1429 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_27);
				if (BGl_isazf3zf3zz__objectz00(BgL_typez00_1429,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 277 */
						bool_t BgL_test1824z00_2317;

						if (CBOOL
							(BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00))
							{	/* Type/tenv.scm 277 */
								BgL_test1824z00_2317 = ((bool_t) 0);
							}
						else
							{	/* Type/tenv.scm 277 */
								if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
									{	/* Type/tenv.scm 278 */
										BgL_test1824z00_2317 = ((bool_t) 0);
									}
								else
									{	/* Type/tenv.scm 278 */
										BgL_test1824z00_2317 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_typez00_1429)))->
											BgL_initzf3zf3);
									}
							}
						if (BgL_test1824z00_2317)
							{	/* Type/tenv.scm 280 */
								obj_t BgL_arg1437z00_1432;

								BgL_arg1437z00_1432 =
									BGl_shapez00zztools_shapez00(BgL_typez00_1429);
								return
									((BgL_typez00_bglt)
									BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
												4)), BGl_string1743z00zztype_envz00,
										BgL_arg1437z00_1432, BNIL));
							}
						else
							{	/* Type/tenv.scm 277 */
								{	/* Type/tenv.scm 282 */
									bool_t BgL_test1827z00_2328;

									if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
										{	/* Type/tenv.scm 283 */
											BgL_test1827z00_2328 = ((bool_t) 0);
										}
									else
										{	/* Type/tenv.scm 283 */
											BgL_test1827z00_2328 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_typez00_1429)))->
												BgL_initzf3zf3);
										}
									if (BgL_test1827z00_2328)
										{	/* Type/tenv.scm 282 */
											if (CBOOL
												(BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00))
												{	/* Type/tenv.scm 285 */
													BFALSE;
												}
											else
												{	/* Type/tenv.scm 288 */
													obj_t BgL_arg1452z00_1436;

													BgL_arg1452z00_1436 =
														BGl_shapez00zztools_shapez00(BgL_typez00_1429);
													BGl_userzd2warningzd2zztools_errorz00(CNST_TABLE_REF((
																(long) 4)), BGl_string1743z00zztype_envz00,
														BgL_arg1452z00_1436);
										}}
									else
										{	/* Type/tenv.scm 282 */
											BFALSE;
										}
								}
								if (BgL_initzf3zf3_28)
									{	/* Type/tenv.scm 291 */
										((((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_typez00_1429)))->
												BgL_initzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
								else
									{	/* Type/tenv.scm 291 */
										BFALSE;
									}
								return ((BgL_typez00_bglt) BgL_typez00_1429);
							}
					}
				else
					{	/* Type/tenv.scm 294 */
						BgL_typez00_bglt BgL_newz00_1438;

						{	/* Type/tenv.scm 294 */
							BgL_typez00_bglt BgL_new1081z00_1439;

							{	/* Type/tenv.scm 294 */
								BgL_typez00_bglt BgL_new1080z00_1440;

								BgL_new1080z00_1440 =
									((BgL_typez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_typez00_bgl))));
								{	/* Type/tenv.scm 294 */
									long BgL_arg1453z00_1441;

									{	/* Type/tenv.scm 294 */
										long BgL_res1722z00_1750;

										BgL_res1722z00_1750 =
											BGL_CLASS_INDEX(BGl_typez00zztype_typez00);
										BgL_arg1453z00_1441 = BgL_res1722z00_1750;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1080z00_1440),
										BgL_arg1453z00_1441);
								}
								{	/* Type/tenv.scm 294 */
									BgL_objectz00_bglt BgL_tmpz00_2346;

									BgL_tmpz00_2346 = ((BgL_objectz00_bglt) BgL_new1080z00_1440);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2346, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1080z00_1440);
								BgL_new1081z00_1439 = BgL_new1080z00_1440;
							}
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->BgL_idz00) =
								((obj_t) BgL_idz00_27), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_namez00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_siza7eza7) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_classz00) =
								((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_coercezd2tozd2) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_parentsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_initzf3zf3) = ((bool_t) BgL_initzf3zf3_28), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_magiczf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->BgL_z42z42) =
								((obj_t) BTRUE), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_aliasz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_pointedzd2tozd2byz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_tvectorz00) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_locationz00) = ((obj_t) BgL_locz00_29), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_importzd2locationzd2) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_typez00_bglt) COBJECT(BgL_new1081z00_1439))->
									BgL_occurrencez00) = ((int) (int) (((long) 0))), BUNSPEC);
							BgL_newz00_1438 = BgL_new1081z00_1439;
						}
						BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
							BgL_idz00_27, ((obj_t) BgL_newz00_1438));
						return BgL_newz00_1438;
					}
			}
		}

	}



/* use-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t
		BgL_idz00_30, obj_t BgL_locz00_31)
	{
		{	/* Type/tenv.scm 301 */
			{	/* Type/tenv.scm 303 */
				obj_t BgL_typez00_1442;

				BgL_typez00_1442 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_30);
				if (BGl_isazf3zf3zz__objectz00(BgL_typez00_1442,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 305 */
						BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
							((BgL_typez00_bglt) BgL_typez00_1442));
						return ((BgL_typez00_bglt) BgL_typez00_1442);
					}
				else
					{	/* Type/tenv.scm 305 */
						if (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00)
							{	/* Type/tenv.scm 308 */
								return
									((BgL_typez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_31,
										CNST_TABLE_REF(((long) 6)), BGl_string1742z00zztype_envz00,
										BgL_idz00_30, BNIL));
							}
						else
							{	/* Type/tenv.scm 308 */
								{	/* Type/tenv.scm 312 */
									BgL_typez00_bglt BgL_typez00_1445;

									BgL_typez00_1445 =
										BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_30,
										((bool_t) 0), BgL_locz00_31);
									BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
										(BgL_typez00_1445);
									return BgL_typez00_1445;
								}
							}
					}
			}
		}

	}



/* &use-type! */
	BgL_typez00_bglt BGl_z62usezd2typez12za2zztype_envz00(obj_t BgL_envz00_1847,
		obj_t BgL_idz00_1848, obj_t BgL_locz00_1849)
	{
		{	/* Type/tenv.scm 301 */
			return BGl_usezd2typez12zc0zztype_envz00(BgL_idz00_1848, BgL_locz00_1849);
		}

	}



/* use-type/import-loc! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t BgL_idz00_32,
		obj_t BgL_locz00_33, obj_t BgL_lociz00_34)
	{
		{	/* Type/tenv.scm 319 */
			{	/* Type/tenv.scm 321 */
				obj_t BgL_typez00_1446;

				BgL_typez00_1446 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_32);
				if (BGl_isazf3zf3zz__objectz00(BgL_typez00_1446,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 323 */
						return ((BgL_typez00_bglt) BgL_typez00_1446);
					}
				else
					{	/* Type/tenv.scm 323 */
						if (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00)
							{	/* Type/tenv.scm 325 */
								return
									((BgL_typez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_33,
										CNST_TABLE_REF(((long) 6)), BGl_string1742z00zztype_envz00,
										BgL_idz00_32, BNIL));
							}
						else
							{	/* Type/tenv.scm 325 */
								{	/* Type/tenv.scm 329 */
									BgL_typez00_bglt BgL_typez00_1449;

									BgL_typez00_1449 =
										BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_32,
										((bool_t) 0), BgL_locz00_33);
									((((BgL_typez00_bglt) COBJECT(BgL_typez00_1449))->
											BgL_importzd2locationzd2) =
										((obj_t) BgL_lociz00_34), BUNSPEC);
									return BgL_typez00_1449;
								}
							}
					}
			}
		}

	}



/* &use-type/import-loc! */
	BgL_typez00_bglt BGl_z62usezd2typezf2importzd2locz12z82zztype_envz00(obj_t
		BgL_envz00_1850, obj_t BgL_idz00_1851, obj_t BgL_locz00_1852,
		obj_t BgL_lociz00_1853)
	{
		{	/* Type/tenv.scm 319 */
			return
				BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(BgL_idz00_1851,
				BgL_locz00_1852, BgL_lociz00_1853);
		}

	}



/* use-foreign-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2foreignzd2typez12z12zztype_envz00(obj_t BgL_idz00_35,
		obj_t BgL_locz00_36)
	{
		{	/* Type/tenv.scm 342 */
			{	/* Type/tenv.scm 344 */
				obj_t BgL_tidz00_1450;

				BgL_tidz00_1450 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_35, BgL_locz00_36);
				{	/* Type/tenv.scm 349 */
					bool_t BgL_test1835z00_2394;

					{	/* Type/tenv.scm 349 */
						obj_t BgL_arg1488z00_1455;
						BgL_typez00_bglt BgL_arg1489z00_1456;

						BgL_arg1488z00_1455 = CDR(BgL_tidz00_1450);
						BgL_arg1489z00_1456 = BGl_getzd2defaultzd2typez00zztype_cachez00();
						BgL_test1835z00_2394 =
							(BgL_arg1488z00_1455 == ((obj_t) BgL_arg1489z00_1456));
					}
					if (BgL_test1835z00_2394)
						{	/* Type/tenv.scm 349 */
							return
								BGl_usezd2typez12zc0zztype_envz00(CAR(BgL_tidz00_1450),
								BgL_locz00_36);
						}
					else
						{	/* Type/tenv.scm 349 */
							return ((BgL_typez00_bglt) CDR(BgL_tidz00_1450));
						}
				}
			}
		}

	}



/* &use-foreign-type! */
	BgL_typez00_bglt BGl_z62usezd2foreignzd2typez12z70zztype_envz00(obj_t
		BgL_envz00_1854, obj_t BgL_idz00_1855, obj_t BgL_locz00_1856)
	{
		{	/* Type/tenv.scm 342 */
			return
				BGl_usezd2foreignzd2typez12z12zztype_envz00(BgL_idz00_1855,
				BgL_locz00_1856);
		}

	}



/* use-foreign-type/import-loc! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t
		BgL_idz00_37, obj_t BgL_locz00_38, obj_t BgL_lociz00_39)
	{
		{	/* Type/tenv.scm 364 */
			{	/* Type/tenv.scm 366 */
				obj_t BgL_tidz00_1457;

				BgL_tidz00_1457 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_37, BgL_locz00_38);
				{	/* Type/tenv.scm 371 */
					bool_t BgL_test1836z00_2405;

					{	/* Type/tenv.scm 371 */
						obj_t BgL_arg1500z00_1462;
						BgL_typez00_bglt BgL_arg1506z00_1463;

						BgL_arg1500z00_1462 = CDR(BgL_tidz00_1457);
						BgL_arg1506z00_1463 = BGl_getzd2defaultzd2typez00zztype_cachez00();
						BgL_test1836z00_2405 =
							(BgL_arg1500z00_1462 == ((obj_t) BgL_arg1506z00_1463));
					}
					if (BgL_test1836z00_2405)
						{	/* Type/tenv.scm 371 */
							return
								BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(CAR
								(BgL_tidz00_1457), BgL_locz00_38, BgL_lociz00_39);
						}
					else
						{	/* Type/tenv.scm 371 */
							return ((BgL_typez00_bglt) CDR(BgL_tidz00_1457));
						}
				}
			}
		}

	}



/* &use-foreign-type/import-loc! */
	BgL_typez00_bglt
		BGl_z62usezd2foreignzd2typezf2importzd2locz12z50zztype_envz00(obj_t
		BgL_envz00_1857, obj_t BgL_idz00_1858, obj_t BgL_locz00_1859,
		obj_t BgL_lociz00_1860)
	{
		{	/* Type/tenv.scm 364 */
			return
				BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
				(BgL_idz00_1858, BgL_locz00_1859, BgL_lociz00_1860);
		}

	}



/* declare-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t
		BgL_idz00_40, obj_t BgL_namez00_41, obj_t BgL_classz00_42)
	{
		{	/* Type/tenv.scm 380 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_classz00_42,
						CNST_TABLE_REF(((long) 7)))))
				{	/* Type/tenv.scm 386 */
					BgL_typez00_bglt BgL_typez00_1465;

					BgL_typez00_1465 =
						BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_40, ((bool_t) 1),
						BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(BgL_typez00_1465))->BgL_namez00) =
						((obj_t) BgL_namez00_41), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(BgL_typez00_1465))->BgL_z42z42) =
						((obj_t) BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(BgL_namez00_41)),
						BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(BgL_typez00_1465))->BgL_classz00) =
						((obj_t) BgL_classz00_42), BUNSPEC);
					return BgL_typez00_1465;
				}
			else
				{	/* Type/tenv.scm 382 */
					return
						((BgL_typez00_bglt)
						BGl_userzd2errorzd2zztools_errorz00(BGl_string1744z00zztype_envz00,
							BGl_string1745z00zztype_envz00, BgL_classz00_42, BNIL));
				}
		}

	}



/* &declare-type! */
	BgL_typez00_bglt BGl_z62declarezd2typez12za2zztype_envz00(obj_t
		BgL_envz00_1861, obj_t BgL_idz00_1862, obj_t BgL_namez00_1863,
		obj_t BgL_classz00_1864)
	{
		{	/* Type/tenv.scm 380 */
			return
				BGl_declarezd2typez12zc0zztype_envz00(BgL_idz00_1862, BgL_namez00_1863,
				BgL_classz00_1864);
		}

	}



/* declare-subtype! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2subtypez12zc0zztype_envz00(obj_t BgL_idz00_43,
		obj_t BgL_namez00_44, obj_t BgL_parentsz00_45, obj_t BgL_classz00_46)
	{
		{	/* Type/tenv.scm 397 */
			{	/* Type/tenv.scm 400 */
				BgL_typez00_bglt BgL_typez00_1468;
				obj_t BgL_parentsz00_1469;

				BgL_typez00_1468 =
					BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_43, ((bool_t) 1),
					BUNSPEC);
				if (NULLP(BgL_parentsz00_45))
					{	/* Type/tenv.scm 401 */
						BgL_parentsz00_1469 = BNIL;
					}
				else
					{	/* Type/tenv.scm 401 */
						obj_t BgL_head1186z00_1473;

						{	/* Type/tenv.scm 401 */
							BgL_typez00_bglt BgL_arg1524z00_1485;

							{	/* Type/tenv.scm 401 */
								obj_t BgL_arg1530z00_1486;

								BgL_arg1530z00_1486 = CAR(((obj_t) BgL_parentsz00_45));
								BgL_arg1524z00_1485 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg1530z00_1486);
							}
							{	/* Type/tenv.scm 401 */
								obj_t BgL_res1726z00_1768;

								BgL_res1726z00_1768 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1524z00_1485), BNIL);
								BgL_head1186z00_1473 = BgL_res1726z00_1768;
							}
						}
						{	/* Type/tenv.scm 401 */
							obj_t BgL_g1189z00_1474;

							BgL_g1189z00_1474 = CDR(((obj_t) BgL_parentsz00_45));
							{
								obj_t BgL_l1184z00_1476;
								obj_t BgL_tail1187z00_1477;

								BgL_l1184z00_1476 = BgL_g1189z00_1474;
								BgL_tail1187z00_1477 = BgL_head1186z00_1473;
							BgL_zc3z04anonymousza31517ze3z87_1478:
								if (NULLP(BgL_l1184z00_1476))
									{	/* Type/tenv.scm 401 */
										BgL_parentsz00_1469 = BgL_head1186z00_1473;
									}
								else
									{	/* Type/tenv.scm 401 */
										obj_t BgL_newtail1188z00_1480;

										{	/* Type/tenv.scm 401 */
											BgL_typez00_bglt BgL_arg1521z00_1482;

											{	/* Type/tenv.scm 401 */
												obj_t BgL_arg1523z00_1483;

												BgL_arg1523z00_1483 = CAR(((obj_t) BgL_l1184z00_1476));
												BgL_arg1521z00_1482 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg1523z00_1483);
											}
											{	/* Type/tenv.scm 401 */
												obj_t BgL_res1728z00_1772;

												BgL_res1728z00_1772 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1521z00_1482), BNIL);
												BgL_newtail1188z00_1480 = BgL_res1728z00_1772;
											}
										}
										SET_CDR(BgL_tail1187z00_1477, BgL_newtail1188z00_1480);
										{	/* Type/tenv.scm 401 */
											obj_t BgL_arg1520z00_1481;

											BgL_arg1520z00_1481 = CDR(((obj_t) BgL_l1184z00_1476));
											{
												obj_t BgL_tail1187z00_2448;
												obj_t BgL_l1184z00_2447;

												BgL_l1184z00_2447 = BgL_arg1520z00_1481;
												BgL_tail1187z00_2448 = BgL_newtail1188z00_1480;
												BgL_tail1187z00_1477 = BgL_tail1187z00_2448;
												BgL_l1184z00_1476 = BgL_l1184z00_2447;
												goto BgL_zc3z04anonymousza31517ze3z87_1478;
											}
										}
									}
							}
						}
					}
				((((BgL_typez00_bglt) COBJECT(BgL_typez00_1468))->BgL_namez00) =
					((obj_t) BgL_namez00_44), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(BgL_typez00_1468))->BgL_z42z42) =
					((obj_t) BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(BgL_namez00_44)),
					BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(BgL_typez00_1468))->BgL_classz00) =
					((obj_t) BgL_classz00_46), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(BgL_typez00_1468))->BgL_parentsz00) =
					((obj_t) BgL_parentsz00_1469), BUNSPEC);
				return BgL_typez00_1468;
			}
		}

	}



/* &declare-subtype! */
	BgL_typez00_bglt BGl_z62declarezd2subtypez12za2zztype_envz00(obj_t
		BgL_envz00_1865, obj_t BgL_idz00_1866, obj_t BgL_namez00_1867,
		obj_t BgL_parentsz00_1868, obj_t BgL_classz00_1869)
	{
		{	/* Type/tenv.scm 397 */
			return
				BGl_declarezd2subtypez12zc0zztype_envz00(BgL_idz00_1866,
				BgL_namez00_1867, BgL_parentsz00_1868, BgL_classz00_1869);
		}

	}



/* declare-aliastype! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2aliastypez12zc0zztype_envz00(obj_t BgL_idz00_47,
		obj_t BgL_namez00_48, obj_t BgL_classz00_49,
		BgL_typez00_bglt BgL_aliasz00_50)
	{
		{	/* Type/tenv.scm 411 */
			{	/* Type/tenv.scm 413 */
				BgL_typez00_bglt BgL_typez00_1779;

				BgL_typez00_1779 =
					BGl_declarezd2typez12zc0zztype_envz00(BgL_idz00_47, BgL_namez00_48,
					BgL_classz00_49);
				((((BgL_typez00_bglt) COBJECT(BgL_typez00_1779))->BgL_aliasz00) =
					((obj_t) ((obj_t) BgL_aliasz00_50)), BUNSPEC);
				return BgL_typez00_1779;
			}
		}

	}



/* &declare-aliastype! */
	BgL_typez00_bglt BGl_z62declarezd2aliastypez12za2zztype_envz00(obj_t
		BgL_envz00_1870, obj_t BgL_idz00_1871, obj_t BgL_namez00_1872,
		obj_t BgL_classz00_1873, obj_t BgL_aliasz00_1874)
	{
		{	/* Type/tenv.scm 411 */
			return
				BGl_declarezd2aliastypez12zc0zztype_envz00(BgL_idz00_1871,
				BgL_namez00_1872, BgL_classz00_1873,
				((BgL_typez00_bglt) BgL_aliasz00_1874));
		}

	}



/* for-each-type! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t
		BgL_procz00_51)
	{
		{	/* Type/tenv.scm 420 */
			{	/* Type/tenv.scm 421 */
				obj_t BgL_zc3z04anonymousza31534ze3z87_1875;

				BgL_zc3z04anonymousza31534ze3z87_1875 =
					MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31534ze3ze5zztype_envz00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza31534ze3z87_1875,
					(int) (((long) 0)), ((obj_t) BgL_procz00_51));
				return
					BGl_hashtablezd2forzd2eachz00zz__hashz00
					(BGl_za2Tenvza2z00zztype_envz00,
					BgL_zc3z04anonymousza31534ze3z87_1875);
			}
		}

	}



/* &for-each-type! */
	obj_t BGl_z62forzd2eachzd2typez12z70zztype_envz00(obj_t BgL_envz00_1876,
		obj_t BgL_procz00_1877)
	{
		{	/* Type/tenv.scm 420 */
			return BGl_forzd2eachzd2typez12z12zztype_envz00(BgL_procz00_1877);
		}

	}



/* &<@anonymous:1534> */
	obj_t BGl_z62zc3z04anonymousza31534ze3ze5zztype_envz00(obj_t BgL_envz00_1878,
		obj_t BgL_kz00_1880, obj_t BgL_xz00_1881)
	{
		{	/* Type/tenv.scm 421 */
			{	/* Type/tenv.scm 421 */
				obj_t BgL_procz00_1879;

				BgL_procz00_1879 = PROCEDURE_REF(BgL_envz00_1878, (int) (((long) 0)));
				return
					PROCEDURE_ENTRY(BgL_procz00_1879) (BgL_procz00_1879, BgL_xz00_1881,
					BEOA);
			}
		}

	}



/* uninitialized-types */
	obj_t BGl_uninitializa7edzd2typesz75zztype_envz00()
	{
		{	/* Type/tenv.scm 428 */
			{	/* Type/tenv.scm 429 */
				obj_t BgL_uninitz00_1887;

				BgL_uninitz00_1887 = MAKE_CELL(BNIL);
				{	/* Type/tenv.scm 431 */
					obj_t BgL_zc3z04anonymousza31537ze3z87_1882;

					BgL_zc3z04anonymousza31537ze3z87_1882 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31537ze3ze5zztype_envz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31537ze3z87_1882,
						(int) (((long) 0)), ((obj_t) BgL_uninitz00_1887));
					BGl_forzd2eachzd2typez12z12zztype_envz00
						(BgL_zc3z04anonymousza31537ze3z87_1882);
				}
				return CELL_REF(BgL_uninitz00_1887);
			}
		}

	}



/* &<@anonymous:1537> */
	obj_t BGl_z62zc3z04anonymousza31537ze3ze5zztype_envz00(obj_t BgL_envz00_1883,
		obj_t BgL_tz00_1885)
	{
		{	/* Type/tenv.scm 430 */
			{	/* Type/tenv.scm 431 */
				obj_t BgL_uninitz00_1884;

				BgL_uninitz00_1884 = PROCEDURE_REF(BgL_envz00_1883, (int) (((long) 0)));
				if (
					(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_tz00_1885)))->BgL_initzf3zf3))
					{	/* Type/tenv.scm 431 */
						return BFALSE;
					}
				else
					{	/* Type/tenv.scm 432 */
						obj_t BgL_auxz00_1981;

						BgL_auxz00_1981 =
							MAKE_YOUNG_PAIR(BgL_tz00_1885, CELL_REF(BgL_uninitz00_1884));
						return CELL_SET(BgL_uninitz00_1884, BgL_auxz00_1981);
					}
			}
		}

	}



/* check-types */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2typeszd2zztype_envz00()
	{
		{	/* Type/tenv.scm 449 */
			{	/* Type/tenv.scm 450 */
				obj_t BgL_utz00_1499;

				BgL_utz00_1499 = BGl_uninitializa7edzd2typesz75zztype_envz00();
				if (PAIRP(BgL_utz00_1499))
					{	/* Type/tenv.scm 451 */
						{	/* Type/tenv.scm 452 */
							obj_t BgL_arg1540z00_1501;

							{	/* Type/tenv.scm 452 */
								obj_t BgL_res1730z00_1784;

								{	/* Type/tenv.scm 452 */
									obj_t BgL_tmpz00_2490;

									BgL_tmpz00_2490 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1730z00_1784 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2490);
								}
								BgL_arg1540z00_1501 = BgL_res1730z00_1784;
							}
							bgl_display_char(((unsigned char) 10), BgL_arg1540z00_1501);
						}
						{	/* Type/tenv.scm 453 */
							obj_t BgL_port1190z00_1502;

							{	/* Type/tenv.scm 453 */
								obj_t BgL_res1731z00_1787;

								{	/* Type/tenv.scm 453 */
									obj_t BgL_tmpz00_2494;

									BgL_tmpz00_2494 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1731z00_1787 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2494);
								}
								BgL_port1190z00_1502 = BgL_res1731z00_1787;
							}
							{	/* Type/tenv.scm 454 */
								long BgL_arg1541z00_1503;

								BgL_arg1541z00_1503 = bgl_list_length(BgL_utz00_1499);
								bgl_display_obj(BINT(BgL_arg1541z00_1503),
									BgL_port1190z00_1502);
							}
							bgl_display_string(BGl_string1746z00zztype_envz00,
								BgL_port1190z00_1502);
							bgl_display_char(((unsigned char) 10), BgL_port1190z00_1502);
						}
						{
							obj_t BgL_utz00_1505;

							BgL_utz00_1505 = BgL_utz00_1499;
						BgL_zc3z04anonymousza31542ze3z87_1506:
							if (NULLP(BgL_utz00_1505))
								{	/* Type/tenv.scm 457 */
									{	/* Type/tenv.scm 458 */
										obj_t BgL_port1191z00_1508;

										{	/* Type/tenv.scm 458 */
											obj_t BgL_res1733z00_1793;

											{	/* Type/tenv.scm 458 */
												obj_t BgL_tmpz00_2504;

												BgL_tmpz00_2504 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1733z00_1793 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2504);
											}
											BgL_port1191z00_1508 = BgL_res1733z00_1793;
										}
										bgl_display_string(BGl_string1747z00zztype_envz00,
											BgL_port1191z00_1508);
										bgl_display_char(((unsigned char) 10),
											BgL_port1191z00_1508);
									}
									BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 56)));
								}
							else
								{	/* Type/tenv.scm 460 */
									bool_t BgL_test1843z00_2511;

									{	/* Type/tenv.scm 460 */
										obj_t BgL_arg1609z00_1533;

										BgL_arg1609z00_1533 = CAR(((obj_t) BgL_utz00_1505));
										BgL_test1843z00_2511 =
											BGl_isazf3zf3zz__objectz00(BgL_arg1609z00_1533,
											BGl_typez00zztype_typez00);
									}
									if (BgL_test1843z00_2511)
										{	/* Type/tenv.scm 460 */
											{	/* Type/tenv.scm 464 */
												obj_t BgL_zc3z04anonymousza31551ze3z87_1889;

												BgL_zc3z04anonymousza31551ze3z87_1889 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza31551ze3ze5zztype_envz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3z04anonymousza31551ze3z87_1889,
													(int) (((long) 0)), BgL_utz00_1505);
												BGl_withzd2exceptionzd2handlerz00zz__errorz00
													(BGl_errorzd2notifyzd2envz00zz__errorz00,
													BgL_zc3z04anonymousza31551ze3z87_1889);
											}
											{	/* Type/tenv.scm 473 */
												obj_t BgL_arg1590z00_1527;

												BgL_arg1590z00_1527 = CDR(((obj_t) BgL_utz00_1505));
												{
													obj_t BgL_utz00_2523;

													BgL_utz00_2523 = BgL_arg1590z00_1527;
													BgL_utz00_1505 = BgL_utz00_2523;
													goto BgL_zc3z04anonymousza31542ze3z87_1506;
												}
											}
										}
									else
										{	/* Type/tenv.scm 478 */
											obj_t BgL_zc3z04anonymousza31595ze3z87_1890;

											BgL_zc3z04anonymousza31595ze3z87_1890 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31595ze3ze5zztype_envz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31595ze3z87_1890,
												(int) (((long) 0)), BgL_utz00_1505);
											BGl_withzd2exceptionzd2handlerz00zz__errorz00
												(BGl_errorzd2notifyzd2envz00zz__errorz00,
												BgL_zc3z04anonymousza31595ze3z87_1890);
					}}}}
				else
					{	/* Type/tenv.scm 451 */
						BFALSE;
					}
				return (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00 =
					((bool_t) 1), BUNSPEC);
			}
		}

	}



/* &check-types */
	obj_t BGl_z62checkzd2typeszb0zztype_envz00(obj_t BgL_envz00_1891)
	{
		{	/* Type/tenv.scm 449 */
			return BGl_checkzd2typeszd2zztype_envz00();
		}

	}



/* &<@anonymous:1551> */
	obj_t BGl_z62zc3z04anonymousza31551ze3ze5zztype_envz00(obj_t BgL_envz00_1892)
	{
		{	/* Type/tenv.scm 463 */
			{	/* Type/tenv.scm 464 */
				obj_t BgL_utz00_1893;

				BgL_utz00_1893 = PROCEDURE_REF(BgL_envz00_1892, (int) (((long) 0)));
				if (CBOOL(
						(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt)
										CAR(
											((obj_t) BgL_utz00_1893)))))->BgL_importzd2locationzd2)))
					{	/* Type/tenv.scm 465 */
						obj_t BgL_arg1558z00_1982;
						obj_t BgL_arg1559z00_1983;

						BgL_arg1558z00_1982 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt)
										CAR(((obj_t) BgL_utz00_1893)))))->BgL_importzd2locationzd2);
						{	/* Type/tenv.scm 468 */
							obj_t BgL_arg1564z00_1984;

							BgL_arg1564z00_1984 = CAR(((obj_t) BgL_utz00_1893));
							BgL_arg1559z00_1983 =
								BGl_shapez00zztools_shapez00(BgL_arg1564z00_1984);
						}
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00
							(BgL_arg1558z00_1982, BGl_za2moduleza2z00zzmodule_modulez00,
							BGl_string1748z00zztype_envz00, BgL_arg1559z00_1983, BNIL);
					}
				else
					{	/* Type/tenv.scm 469 */
						obj_t BgL_arg1568z00_1985;
						obj_t BgL_arg1573z00_1986;

						BgL_arg1568z00_1985 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt)
										CAR(((obj_t) BgL_utz00_1893)))))->BgL_locationz00);
						{	/* Type/tenv.scm 472 */
							obj_t BgL_arg1579z00_1987;

							BgL_arg1579z00_1987 = CAR(((obj_t) BgL_utz00_1893));
							BgL_arg1573z00_1986 =
								BGl_shapez00zztools_shapez00(BgL_arg1579z00_1987);
						}
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00
							(BgL_arg1568z00_1985, BGl_za2moduleza2z00zzmodule_modulez00,
							BGl_string1749z00zztype_envz00, BgL_arg1573z00_1986, BNIL);
					}
			}
		}

	}



/* &<@anonymous:1595> */
	obj_t BGl_z62zc3z04anonymousza31595ze3ze5zztype_envz00(obj_t BgL_envz00_1894)
	{
		{	/* Type/tenv.scm 477 */
			{	/* Type/tenv.scm 478 */
				obj_t BgL_utz00_1895;

				BgL_utz00_1895 = PROCEDURE_REF(BgL_envz00_1894, (int) (((long) 0)));
				{	/* Type/tenv.scm 478 */
					obj_t BgL_arg1598z00_1988;

					{	/* Type/tenv.scm 478 */
						obj_t BgL_arg1602z00_1989;

						BgL_arg1602z00_1989 = CAR(((obj_t) BgL_utz00_1895));
						BgL_arg1598z00_1988 =
							BGl_shapez00zztools_shapez00(BgL_arg1602z00_1989);
					}
					return
						BGl_errorz00zz__errorz00(BGl_za2moduleza2z00zzmodule_modulez00,
						BGl_string1750z00zztype_envz00, BgL_arg1598z00_1988);
				}
			}
		}

	}



/* sub-type? */
	BGL_EXPORTED_DEF bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt
		BgL_minorz00_52, BgL_typez00_bglt BgL_majorz00_53)
	{
		{	/* Type/tenv.scm 486 */
			if ((((obj_t) BgL_minorz00_52) == ((obj_t) BgL_majorz00_53)))
				{	/* Type/tenv.scm 488 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/tenv.scm 488 */
					return
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_majorz00_53),
							(((BgL_typez00_bglt) COBJECT(BgL_minorz00_52))->BgL_parentsz00)));
				}
		}

	}



/* &sub-type? */
	obj_t BGl_z62subzd2typezf3z43zztype_envz00(obj_t BgL_envz00_1898,
		obj_t BgL_minorz00_1899, obj_t BgL_majorz00_1900)
	{
		{	/* Type/tenv.scm 486 */
			return
				BBOOL(BGl_subzd2typezf3z21zztype_envz00(
					((BgL_typez00_bglt) BgL_minorz00_1899),
					((BgL_typez00_bglt) BgL_majorz00_1900)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_envz00()
	{
		{	/* Type/tenv.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_envz00()
	{
		{	/* Type/tenv.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_envz00()
	{
		{	/* Type/tenv.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_envz00()
	{
		{	/* Type/tenv.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 396356879),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long) 458696231),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long) 508385191),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 471073666),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_foreignz00(((long) 42743976),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long) 93941037),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_typez00(((long) 410405073),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
			return
				BGl_modulezd2initializa7ationz75zztvector_accessz00(((long) 189470597),
				BSTRING_TO_STRING(BGl_string1751z00zztype_envz00));
		}

	}

#ifdef __cplusplus
}
#endif
