/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62use1132z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_hook1148zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_unwindzd2protec1154z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62usezd2ev_global1138zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_goto1166zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_bindzd2exit1152z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_var1136zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_binder1160zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_binder1162zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_if1142zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	static obj_t BGl_z62usezd2ev_synchroniza7e1158z17zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1753z00zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62usezd2ev_prog21146zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_withzd2handler1156z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_labels1164zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_setlocal1150zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62usezd2ev_app1168zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_list1144zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_abs1170zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_litt1140zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1751z00zz__evaluate_usez00,
		BgL_bgl_za762use1132za762za7za7_1778z00,
		BGl_z62use1132z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1758z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var11779z00,
		BGl_z62usezd2ev_var1136zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1760z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob1780z00,
		BGl_z62usezd2ev_global1138zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1761z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt1781z00,
		BGl_z62usezd2ev_litt1140zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1762z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if111782z00,
		BGl_z62usezd2ev_if1142zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1763z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list1783z00,
		BGl_z62usezd2ev_list1144zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1764z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog1784z00,
		BGl_z62usezd2ev_prog21146zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1765z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook1785z00,
		BGl_z62usezd2ev_hook1148zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl1786z00,
		BGl_z62usezd2ev_setlocal1150zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1787z00,
		BGl_z62usezd2ev_bindzd2exit1152z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi1788z00,
		BGl_z62usezd2ev_unwindzd2protec1154z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with1789z00,
		BGl_z62usezd2ev_withzd2handler1156z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_sync1790z00,
		BGl_z62usezd2ev_synchroniza7e1158z17zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1791z00,
		BGl_z62usezd2ev_binder1160zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1792z00,
		BGl_z62usezd2ev_binder1162zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe1793z00,
		BGl_z62usezd2ev_labels1164zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto1794z00,
		BGl_z62usezd2ev_goto1166zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app11795z00,
		BGl_z62usezd2ev_app1168zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs11796z00,
		BGl_z62usezd2ev_abs1170zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1752z00zz__evaluate_usez00,
		BgL_bgl_string1752za700za7za7_1797za7, "use1132", 7);
	      DEFINE_STRING(BGl_string1754z00zz__evaluate_usez00,
		BgL_bgl_string1754za700za7za7_1798za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1755z00zz__evaluate_usez00,
		BgL_bgl_string1755za700za7za7_1799za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      DEFINE_STRING(BGl_string1756z00zz__evaluate_usez00,
		BgL_bgl_string1756za700za7za7_1800za7, "&use", 4);
	      DEFINE_STRING(BGl_string1757z00zz__evaluate_usez00,
		BgL_bgl_string1757za700za7za7_1801za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1759z00zz__evaluate_usez00,
		BgL_bgl_string1759za700za7za7_1802za7, "use", 3);
	      DEFINE_STRING(BGl_string1777z00zz__evaluate_usez00,
		BgL_bgl_string1777za700za7za7_1803za7, "__evaluate_use", 14);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva1804z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol1753z00zz__evaluate_usez00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_usez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_2358, char *BgL_fromz00_2359)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_usez00();
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BGl_toplevelzd2initzd2zz__evaluate_usez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
	{
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol1753z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string1752z00zz__evaluate_usez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_usez00()
	{
		{	/* Eval/evaluate_use.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
	{
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_usez00()
	{
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
	{
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc1751z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1752z00zz__evaluate_usez00);
		}

	}



/* &use1132 */
	obj_t BGl_z62use1132z62zz__evaluate_usez00(obj_t BgL_envz00_2203,
		obj_t BgL_ez00_2204, obj_t BgL_donez00_2205)
	{
		{	/* Eval/evaluate_use.scm 62 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1753z00zz__evaluate_usez00,
				BGl_string1754z00zz__evaluate_usez00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_2204)));
		}

	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				obj_t BgL_method1134z00_1121;

				{	/* Eval/evaluate_use.scm 62 */
					obj_t BgL_res1665z00_1719;

					{	/* Eval/evaluate_use.scm 62 */
						long BgL_objzd2classzd2numz00_1684;

						{	/* Eval/evaluate_use.scm 62 */
							long BgL_res1655z00_1687;

							BgL_res1655z00_1687 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_3));
							BgL_objzd2classzd2numz00_1684 = BgL_res1655z00_1687;
						}
						{	/* Eval/evaluate_use.scm 62 */
							obj_t BgL_arg1644z00_1685;

							BgL_arg1644z00_1685 =
								PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_use.scm 62 */
								int BgL_offsetz00_1689;

								BgL_offsetz00_1689 = (int) (BgL_objzd2classzd2numz00_1684);
								{	/* Eval/evaluate_use.scm 62 */
									long BgL_offsetz00_1690;

									BgL_offsetz00_1690 =
										((long) (BgL_offsetz00_1689) - OBJECT_TYPE);
									{	/* Eval/evaluate_use.scm 62 */
										long BgL_modz00_1691;

										BgL_modz00_1691 =
											(BgL_offsetz00_1690 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_use.scm 62 */
											long BgL_restz00_1693;

											BgL_restz00_1693 =
												(BgL_offsetz00_1690 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_use.scm 62 */

												{	/* Eval/evaluate_use.scm 62 */
													obj_t BgL_bucketz00_1695;

													BgL_bucketz00_1695 =
														VECTOR_REF(
														((obj_t) BgL_arg1644z00_1685), BgL_modz00_1691);
													BgL_res1665z00_1719 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1695), BgL_restz00_1693);
					}}}}}}}}
					BgL_method1134z00_1121 = BgL_res1665z00_1719;
				}
				return
					PROCEDURE_ENTRY(BgL_method1134z00_1121) (BgL_method1134z00_1121,
					((obj_t) BgL_ez00_3), BgL_donez00_4, BEOA);
			}
		}

	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_2206,
		obj_t BgL_ez00_2207, obj_t BgL_donez00_2208)
	{
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_2406;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2207,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_use.scm 62 */
						BgL_auxz00_2406 = ((BgL_ev_exprz00_bglt) BgL_ez00_2207);
					}
				else
					{
						obj_t BgL_auxz00_2410;

						BgL_auxz00_2410 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1755z00zz__evaluate_usez00, BINT(((long) 1786)),
							BGl_string1756z00zz__evaluate_usez00,
							BGl_string1757z00zz__evaluate_usez00, BgL_ez00_2207);
						FAILURE(BgL_auxz00_2410, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_2406, BgL_donez00_2208);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
	{
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1758z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1760z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1761z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1762z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1763z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1764z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1765z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1766z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1767z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1768z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1769z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1770z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1771z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1772z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1773z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1774z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1775z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1776z00zz__evaluate_usez00,
				BGl_string1759z00zz__evaluate_usez00);
		}

	}



/* &use-ev_abs1170 */
	obj_t BGl_z62usezd2ev_abs1170zb0zz__evaluate_usez00(obj_t BgL_envz00_2227,
		obj_t BgL_ez00_2228, obj_t BgL_donez00_2229)
	{
		{	/* Eval/evaluate_use.scm 139 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_ez00_2228)))->BgL_bodyz00),
				BgL_donez00_2229);
		}

	}



/* &use-ev_app1168 */
	obj_t BGl_z62usezd2ev_app1168zb0zz__evaluate_usez00(obj_t BgL_envz00_2230,
		obj_t BgL_ez00_2231, obj_t BgL_donez00_2232)
	{
		{	/* Eval/evaluate_use.scm 135 */
			{	/* Eval/evaluate_use.scm 137 */
				BgL_ev_exprz00_bglt BgL_arg1316z00_2288;
				obj_t BgL_arg1318z00_2289;

				BgL_arg1316z00_2288 =
					(((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_ez00_2231)))->BgL_funz00);
				{	/* Eval/evaluate_use.scm 137 */
					obj_t BgL_arg1319z00_2290;

					BgL_arg1319z00_2290 =
						(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_2231)))->BgL_argsz00);
					{
						obj_t BgL_lz00_2292;
						obj_t BgL_donez00_2293;

						BgL_lz00_2292 = BgL_arg1319z00_2290;
						BgL_donez00_2293 = BgL_donez00_2232;
					BgL_useza2za2_2291:
						if (NULLP(BgL_lz00_2292))
							{	/* Eval/evaluate_use.scm 65 */
								BgL_arg1318z00_2289 = BgL_donez00_2293;
							}
						else
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1222z00_2294;
								obj_t BgL_arg1224z00_2295;

								BgL_arg1222z00_2294 = CDR(((obj_t) BgL_lz00_2292));
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1225z00_2296;

									BgL_arg1225z00_2296 = CAR(((obj_t) BgL_lz00_2292));
									BgL_arg1224z00_2295 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1225z00_2296),
										BgL_donez00_2293);
								}
								{
									obj_t BgL_donez00_2449;
									obj_t BgL_lz00_2448;

									BgL_lz00_2448 = BgL_arg1222z00_2294;
									BgL_donez00_2449 = BgL_arg1224z00_2295;
									BgL_donez00_2293 = BgL_donez00_2449;
									BgL_lz00_2292 = BgL_lz00_2448;
									goto BgL_useza2za2_2291;
								}
							}
					}
				}
				return
					BGl_usez00zz__evaluate_usez00(BgL_arg1316z00_2288,
					BgL_arg1318z00_2289);
			}
		}

	}



/* &use-ev_goto1166 */
	obj_t BGl_z62usezd2ev_goto1166zb0zz__evaluate_usez00(obj_t BgL_envz00_2233,
		obj_t BgL_ez00_2234, obj_t BgL_donez00_2235)
	{
		{	/* Eval/evaluate_use.scm 131 */
			{	/* Eval/evaluate_use.scm 133 */
				obj_t BgL_arg1315z00_2298;

				BgL_arg1315z00_2298 =
					(((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_ez00_2234)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2300;
					obj_t BgL_donez00_2301;

					BgL_lz00_2300 = BgL_arg1315z00_2298;
					BgL_donez00_2301 = BgL_donez00_2235;
				BgL_useza2za2_2299:
					if (NULLP(BgL_lz00_2300))
						{	/* Eval/evaluate_use.scm 65 */
							return BgL_donez00_2301;
						}
					else
						{	/* Eval/evaluate_use.scm 67 */
							obj_t BgL_arg1222z00_2302;
							obj_t BgL_arg1224z00_2303;

							BgL_arg1222z00_2302 = CDR(((obj_t) BgL_lz00_2300));
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1225z00_2304;

								BgL_arg1225z00_2304 = CAR(((obj_t) BgL_lz00_2300));
								BgL_arg1224z00_2303 =
									BGl_usez00zz__evaluate_usez00(
									((BgL_ev_exprz00_bglt) BgL_arg1225z00_2304),
									BgL_donez00_2301);
							}
							{
								obj_t BgL_donez00_2462;
								obj_t BgL_lz00_2461;

								BgL_lz00_2461 = BgL_arg1222z00_2302;
								BgL_donez00_2462 = BgL_arg1224z00_2303;
								BgL_donez00_2301 = BgL_donez00_2462;
								BgL_lz00_2300 = BgL_lz00_2461;
								goto BgL_useza2za2_2299;
							}
						}
				}
			}
		}

	}



/* &use-ev_labels1164 */
	obj_t BGl_z62usezd2ev_labels1164zb0zz__evaluate_usez00(obj_t BgL_envz00_2236,
		obj_t BgL_ez00_2237, obj_t BgL_donez00_2238)
	{
		{	/* Eval/evaluate_use.scm 124 */
			{	/* Eval/evaluate_use.scm 126 */
				obj_t BgL_arg1305z00_2306;

				BgL_arg1305z00_2306 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_2237)))->BgL_valsz00);
				{
					obj_t BgL_lz00_2308;
					obj_t BgL_donez00_2309;

					BgL_lz00_2308 = BgL_arg1305z00_2306;
					BgL_donez00_2309 = BgL_donez00_2238;
				BgL_recz00_2307:
					if (NULLP(BgL_lz00_2308))
						{	/* Eval/evaluate_use.scm 127 */
							return
								BGl_usez00zz__evaluate_usez00(
								(((BgL_ev_labelsz00_bglt) COBJECT(
											((BgL_ev_labelsz00_bglt) BgL_ez00_2237)))->BgL_bodyz00),
								BgL_donez00_2309);
						}
					else
						{	/* Eval/evaluate_use.scm 129 */
							obj_t BgL_arg1310z00_2310;
							obj_t BgL_arg1311z00_2311;

							BgL_arg1310z00_2310 = CDR(((obj_t) BgL_lz00_2308));
							{	/* Eval/evaluate_use.scm 129 */
								obj_t BgL_arg1314z00_2312;

								{	/* Eval/evaluate_use.scm 129 */
									obj_t BgL_pairz00_2313;

									BgL_pairz00_2313 = CAR(((obj_t) BgL_lz00_2308));
									BgL_arg1314z00_2312 = CDR(BgL_pairz00_2313);
								}
								BgL_arg1311z00_2311 =
									BGl_usez00zz__evaluate_usez00(
									((BgL_ev_exprz00_bglt) BgL_arg1314z00_2312),
									BgL_donez00_2309);
							}
							{
								obj_t BgL_donez00_2478;
								obj_t BgL_lz00_2477;

								BgL_lz00_2477 = BgL_arg1310z00_2310;
								BgL_donez00_2478 = BgL_arg1311z00_2311;
								BgL_donez00_2309 = BgL_donez00_2478;
								BgL_lz00_2308 = BgL_lz00_2477;
								goto BgL_recz00_2307;
							}
						}
				}
			}
		}

	}



/* &use-ev_binder1162 */
	obj_t BGl_z62usezd2ev_binder1162zb0zz__evaluate_usez00(obj_t BgL_envz00_2239,
		obj_t BgL_ez00_2240, obj_t BgL_donez00_2241)
	{
		{	/* Eval/evaluate_use.scm 120 */
			{	/* Eval/evaluate_use.scm 122 */
				BgL_ev_exprz00_bglt BgL_arg1299z00_2315;
				obj_t BgL_arg1303z00_2316;

				BgL_arg1299z00_2315 =
					(((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_ez00_2240)))->BgL_bodyz00);
				{	/* Eval/evaluate_use.scm 122 */
					obj_t BgL_arg1304z00_2317;

					BgL_arg1304z00_2317 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_ez00_2240)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2319;
						obj_t BgL_donez00_2320;

						BgL_lz00_2319 = BgL_arg1304z00_2317;
						BgL_donez00_2320 = BgL_donez00_2241;
					BgL_useza2za2_2318:
						if (NULLP(BgL_lz00_2319))
							{	/* Eval/evaluate_use.scm 65 */
								BgL_arg1303z00_2316 = BgL_donez00_2320;
							}
						else
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1222z00_2321;
								obj_t BgL_arg1224z00_2322;

								BgL_arg1222z00_2321 = CDR(((obj_t) BgL_lz00_2319));
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1225z00_2323;

									BgL_arg1225z00_2323 = CAR(((obj_t) BgL_lz00_2319));
									BgL_arg1224z00_2322 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1225z00_2323),
										BgL_donez00_2320);
								}
								{
									obj_t BgL_donez00_2492;
									obj_t BgL_lz00_2491;

									BgL_lz00_2491 = BgL_arg1222z00_2321;
									BgL_donez00_2492 = BgL_arg1224z00_2322;
									BgL_donez00_2320 = BgL_donez00_2492;
									BgL_lz00_2319 = BgL_lz00_2491;
									goto BgL_useza2za2_2318;
								}
							}
					}
				}
				return
					BGl_usez00zz__evaluate_usez00(BgL_arg1299z00_2315,
					BgL_arg1303z00_2316);
			}
		}

	}



/* &use-ev_binder1160 */
	obj_t BGl_z62usezd2ev_binder1160zb0zz__evaluate_usez00(obj_t BgL_envz00_2242,
		obj_t BgL_ez00_2243, obj_t BgL_donez00_2244)
	{
		{	/* Eval/evaluate_use.scm 116 */
			{	/* Eval/evaluate_use.scm 118 */
				BgL_ev_exprz00_bglt BgL_arg1293z00_2325;
				obj_t BgL_arg1295z00_2326;

				BgL_arg1293z00_2325 =
					(((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_ez00_2243)))->BgL_bodyz00);
				{	/* Eval/evaluate_use.scm 118 */
					obj_t BgL_arg1297z00_2327;

					BgL_arg1297z00_2327 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_ez00_2243)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2329;
						obj_t BgL_donez00_2330;

						BgL_lz00_2329 = BgL_arg1297z00_2327;
						BgL_donez00_2330 = BgL_donez00_2244;
					BgL_useza2za2_2328:
						if (NULLP(BgL_lz00_2329))
							{	/* Eval/evaluate_use.scm 65 */
								BgL_arg1295z00_2326 = BgL_donez00_2330;
							}
						else
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1222z00_2331;
								obj_t BgL_arg1224z00_2332;

								BgL_arg1222z00_2331 = CDR(((obj_t) BgL_lz00_2329));
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1225z00_2333;

									BgL_arg1225z00_2333 = CAR(((obj_t) BgL_lz00_2329));
									BgL_arg1224z00_2332 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1225z00_2333),
										BgL_donez00_2330);
								}
								{
									obj_t BgL_donez00_2507;
									obj_t BgL_lz00_2506;

									BgL_lz00_2506 = BgL_arg1222z00_2331;
									BgL_donez00_2507 = BgL_arg1224z00_2332;
									BgL_donez00_2330 = BgL_donez00_2507;
									BgL_lz00_2329 = BgL_lz00_2506;
									goto BgL_useza2za2_2328;
								}
							}
					}
				}
				return
					BGl_usez00zz__evaluate_usez00(BgL_arg1293z00_2325,
					BgL_arg1295z00_2326);
			}
		}

	}



/* &use-ev_synchronize1158 */
	obj_t BGl_z62usezd2ev_synchroniza7e1158z17zz__evaluate_usez00(obj_t
		BgL_envz00_2245, obj_t BgL_ez00_2246, obj_t BgL_donez00_2247)
	{
		{	/* Eval/evaluate_use.scm 112 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2246)))->BgL_mutexz00),
				BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2246)))->
						BgL_prelockz00),
					BGl_usez00zz__evaluate_usez00((((BgL_ev_synchroniza7eza7_bglt)
								COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2246)))->
							BgL_bodyz00), BgL_donez00_2247)));
		}

	}



/* &use-ev_with-handler1156 */
	obj_t BGl_z62usezd2ev_withzd2handler1156z62zz__evaluate_usez00(obj_t
		BgL_envz00_2248, obj_t BgL_ez00_2249, obj_t BgL_donez00_2250)
	{
		{	/* Eval/evaluate_use.scm 108 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2249)))->
					BgL_handlerz00),
				BGl_usez00zz__evaluate_usez00((((BgL_ev_withzd2handlerzd2_bglt)
							COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2249)))->
						BgL_bodyz00), BgL_donez00_2250));
		}

	}



/* &use-ev_unwind-protec1154 */
	obj_t BGl_z62usezd2ev_unwindzd2protec1154z62zz__evaluate_usez00(obj_t
		BgL_envz00_2251, obj_t BgL_ez00_2252, obj_t BgL_donez00_2253)
	{
		{	/* Eval/evaluate_use.scm 104 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2252)))->BgL_ez00),
				BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2252)))->
						BgL_bodyz00), BgL_donez00_2253));
		}

	}



/* &use-ev_bind-exit1152 */
	obj_t BGl_z62usezd2ev_bindzd2exit1152z62zz__evaluate_usez00(obj_t
		BgL_envz00_2254, obj_t BgL_ez00_2255, obj_t BgL_donez00_2256)
	{
		{	/* Eval/evaluate_use.scm 100 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2255)))->BgL_bodyz00),
				BgL_donez00_2256);
		}

	}



/* &use-ev_setlocal1150 */
	obj_t BGl_z62usezd2ev_setlocal1150zb0zz__evaluate_usez00(obj_t
		BgL_envz00_2257, obj_t BgL_ez00_2258, obj_t BgL_donez00_2259)
	{
		{	/* Eval/evaluate_use.scm 95 */
			{	/* Eval/evaluate_use.scm 96 */
				obj_t BgL_donez00_2339;

				BgL_donez00_2339 = BgL_donez00_2259;
				{	/* Eval/evaluate_use.scm 97 */
					bool_t BgL_test1812z00_2533;

					{	/* Eval/evaluate_use.scm 97 */
						BgL_ev_varz00_bglt BgL_arg1265z00_2340;

						BgL_arg1265z00_2340 =
							(((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2258)))->BgL_vz00);
						BgL_test1812z00_2533 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg1265z00_2340), BgL_donez00_2339));
					}
					if (BgL_test1812z00_2533)
						{	/* Eval/evaluate_use.scm 97 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 97 */
							BgL_ev_varz00_bglt BgL_arg1258z00_2341;

							BgL_arg1258z00_2341 =
								(((BgL_ev_setlocalz00_bglt) COBJECT(
										((BgL_ev_setlocalz00_bglt) BgL_ez00_2258)))->BgL_vz00);
							BgL_donez00_2339 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg1258z00_2341), BgL_donez00_2339);
						}
				}
				{	/* Eval/evaluate_use.scm 98 */
					BgL_ev_exprz00_bglt BgL_arg1270z00_2342;

					BgL_arg1270z00_2342 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2258))))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1270z00_2342,
						BgL_donez00_2339);
				}
			}
		}

	}



/* &use-ev_hook1148 */
	obj_t BGl_z62usezd2ev_hook1148zb0zz__evaluate_usez00(obj_t BgL_envz00_2260,
		obj_t BgL_ez00_2261, obj_t BgL_donez00_2262)
	{
		{	/* Eval/evaluate_use.scm 91 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_ez00_2261)))->BgL_ez00),
				BgL_donez00_2262);
		}

	}



/* &use-ev_prog21146 */
	obj_t BGl_z62usezd2ev_prog21146zb0zz__evaluate_usez00(obj_t BgL_envz00_2263,
		obj_t BgL_ez00_2264, obj_t BgL_donez00_2265)
	{
		{	/* Eval/evaluate_use.scm 87 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_ez00_2264)))->BgL_e1z00),
				BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2264)))->BgL_e2z00),
					BgL_donez00_2265));
		}

	}



/* &use-ev_list1144 */
	obj_t BGl_z62usezd2ev_list1144zb0zz__evaluate_usez00(obj_t BgL_envz00_2266,
		obj_t BgL_ez00_2267, obj_t BgL_donez00_2268)
	{
		{	/* Eval/evaluate_use.scm 83 */
			{	/* Eval/evaluate_use.scm 85 */
				obj_t BgL_arg1246z00_2346;

				BgL_arg1246z00_2346 =
					(((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_ez00_2267)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2348;
					obj_t BgL_donez00_2349;

					BgL_lz00_2348 = BgL_arg1246z00_2346;
					BgL_donez00_2349 = BgL_donez00_2268;
				BgL_useza2za2_2347:
					if (NULLP(BgL_lz00_2348))
						{	/* Eval/evaluate_use.scm 65 */
							return BgL_donez00_2349;
						}
					else
						{	/* Eval/evaluate_use.scm 67 */
							obj_t BgL_arg1222z00_2350;
							obj_t BgL_arg1224z00_2351;

							BgL_arg1222z00_2350 = CDR(((obj_t) BgL_lz00_2348));
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1225z00_2352;

								BgL_arg1225z00_2352 = CAR(((obj_t) BgL_lz00_2348));
								BgL_arg1224z00_2351 =
									BGl_usez00zz__evaluate_usez00(
									((BgL_ev_exprz00_bglt) BgL_arg1225z00_2352),
									BgL_donez00_2349);
							}
							{
								obj_t BgL_donez00_2567;
								obj_t BgL_lz00_2566;

								BgL_lz00_2566 = BgL_arg1222z00_2350;
								BgL_donez00_2567 = BgL_arg1224z00_2351;
								BgL_donez00_2349 = BgL_donez00_2567;
								BgL_lz00_2348 = BgL_lz00_2566;
								goto BgL_useza2za2_2347;
							}
						}
				}
			}
		}

	}



/* &use-ev_if1142 */
	obj_t BGl_z62usezd2ev_if1142zb0zz__evaluate_usez00(obj_t BgL_envz00_2269,
		obj_t BgL_ez00_2270, obj_t BgL_donez00_2271)
	{
		{	/* Eval/evaluate_use.scm 79 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_ez00_2270)))->BgL_pz00),
				BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_2270)))->BgL_tz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_ez00_2270)))->BgL_ez00),
						BgL_donez00_2271)));
		}

	}



/* &use-ev_litt1140 */
	obj_t BGl_z62usezd2ev_litt1140zb0zz__evaluate_usez00(obj_t BgL_envz00_2272,
		obj_t BgL_ez00_2273, obj_t BgL_donez00_2274)
	{
		{	/* Eval/evaluate_use.scm 76 */
			return BgL_donez00_2274;
		}

	}



/* &use-ev_global1138 */
	obj_t BGl_z62usezd2ev_global1138zb0zz__evaluate_usez00(obj_t BgL_envz00_2275,
		obj_t BgL_varz00_2276, obj_t BgL_donez00_2277)
	{
		{	/* Eval/evaluate_use.scm 73 */
			return BgL_donez00_2277;
		}

	}



/* &use-ev_var1136 */
	obj_t BGl_z62usezd2ev_var1136zb0zz__evaluate_usez00(obj_t BgL_envz00_2278,
		obj_t BgL_varz00_2279, obj_t BgL_donez00_2280)
	{
		{	/* Eval/evaluate_use.scm 69 */
			{	/* Eval/evaluate_use.scm 70 */
				obj_t BgL_donez00_2357;

				BgL_donez00_2357 = BgL_donez00_2280;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								((BgL_ev_varz00_bglt) BgL_varz00_2279)), BgL_donez00_2357)))
					{	/* Eval/evaluate_use.scm 70 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 70 */
						BgL_donez00_2357 =
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_ev_varz00_bglt) BgL_varz00_2279)), BgL_donez00_2357);
					}
				return BgL_donez00_2357;
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
	{
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 330490148),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 180158922),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 251314740),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 193422112),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 68574988),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					93454137), BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797), BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -400105135),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 127905250),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 331540577),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1777z00zz__evaluate_usez00));
		}

	}

#ifdef __cplusplus
}
#endif
