/*===========================================================================*/
/*   (Llib/ucs2.scm)                                                         */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Llib/ucs2.scm -indent -o objs/obj_u/Llib/ucs2.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__ucs2z00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t);
	extern bool_t ucs2_digitp(ucs2_t);
	BGL_EXPORTED_DECL int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char);
	static obj_t BGl_cnstzd2initzd2zz__ucs2z00();
	BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00();
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t, ucs2_t);
	extern ucs2_t ucs2_tolower(ucs2_t);
	static obj_t BGl_gczd2rootszd2initz00zz__ucs2z00();
	static obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t);
	extern bool_t ucs2_upperp(ucs2_t);
	static obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t, obj_t);
	extern bool_t ucs2_definedp(int);
	extern obj_t bstring_to_symbol(obj_t);
	extern ucs2_t ucs2_toupper(ucs2_t);
	static obj_t BGl_symbol1531z00zz__ucs2z00 = BUNSPEC;
	extern bool_t ucs2_whitespacep(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t);
	static obj_t BGl_symbol1541z00zz__ucs2z00 = BUNSPEC;
	BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int);
	static obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
	extern bool_t ucs2_lowerp(ucs2_t);
	static obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t, obj_t, obj_t);
	extern bool_t ucs2_letterp(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2urzd2envz31zz__ucs2z00,
		BgL_bgl_za762integerza7d2za7e31546za7,
		BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zf3zd2envze2zz__ucs2z00,
		BgL_bgl_za762ucs2za7c3za7f3za7521547z00, BGl_z62ucs2zc3zf3z52zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7f3za791za7za7_1548za7, BGl_z62ucs2zf3z91zz__ucs2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upcasezd2envz00zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2upcase1549z00, BGl_z62ucs2zd2upcasezb0zz__ucs2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7c3za71550z00,
		BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00,
		BgL_bgl_za762ucs2za7c3za7d3za7f31551z00, BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2numeri1552z00, BGl_z62ucs2zd2numericzf3z43zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1512z00zz__ucs2z00,
		BgL_bgl_string1512za700za7za7_1553za7, "/tmp/bigloo/runtime/Llib/ucs2.scm",
		33);
	      DEFINE_STRING(BGl_string1513z00zz__ucs2z00,
		BgL_bgl_string1513za700za7za7_1554za7, "&ucs2=?", 7);
	      DEFINE_STRING(BGl_string1514z00zz__ucs2z00,
		BgL_bgl_string1514za700za7za7_1555za7, "bucs2", 5);
	      DEFINE_STRING(BGl_string1515z00zz__ucs2z00,
		BgL_bgl_string1515za700za7za7_1556za7, "&ucs2<?", 7);
	      DEFINE_STRING(BGl_string1516z00zz__ucs2z00,
		BgL_bgl_string1516za700za7za7_1557za7, "&ucs2>?", 7);
	      DEFINE_STRING(BGl_string1517z00zz__ucs2z00,
		BgL_bgl_string1517za700za7za7_1558za7, "&ucs2<=?", 8);
	      DEFINE_STRING(BGl_string1518z00zz__ucs2z00,
		BgL_bgl_string1518za700za7za7_1559za7, "&ucs2>=?", 8);
	      DEFINE_STRING(BGl_string1519z00zz__ucs2z00,
		BgL_bgl_string1519za700za7za7_1560za7, "&ucs2-ci=?", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2alphab1561z00,
		BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1520z00zz__ucs2z00,
		BgL_bgl_string1520za700za7za7_1562za7, "&ucs2-ci<?", 10);
	      DEFINE_STRING(BGl_string1521z00zz__ucs2z00,
		BgL_bgl_string1521za700za7za7_1563za7, "&ucs2-ci>?", 10);
	      DEFINE_STRING(BGl_string1522z00zz__ucs2z00,
		BgL_bgl_string1522za700za7za7_1564za7, "&ucs2-ci<=?", 11);
	      DEFINE_STRING(BGl_string1523z00zz__ucs2z00,
		BgL_bgl_string1523za700za7za7_1565za7, "&ucs2-ci>=?", 11);
	      DEFINE_STRING(BGl_string1524z00zz__ucs2z00,
		BgL_bgl_string1524za700za7za7_1566za7, "&ucs2-alphabetic?", 17);
	      DEFINE_STRING(BGl_string1525z00zz__ucs2z00,
		BgL_bgl_string1525za700za7za7_1567za7, "&ucs2-numeric?", 14);
	      DEFINE_STRING(BGl_string1526z00zz__ucs2z00,
		BgL_bgl_string1526za700za7za7_1568za7, "&ucs2-whitespace?", 17);
	      DEFINE_STRING(BGl_string1527z00zz__ucs2z00,
		BgL_bgl_string1527za700za7za7_1569za7, "&ucs2-upper-case?", 17);
	      DEFINE_STRING(BGl_string1528z00zz__ucs2z00,
		BgL_bgl_string1528za700za7za7_1570za7, "&ucs2-lower-case?", 17);
	      DEFINE_STRING(BGl_string1529z00zz__ucs2z00,
		BgL_bgl_string1529za700za7za7_1571za7, "&ucs2-upcase", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2lowerza71572za7,
		BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2za7e3cha1573za7, BGl_z62ucs2zd2ze3charz53zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1530z00zz__ucs2z00,
		BgL_bgl_string1530za700za7za7_1574za7, "&ucs2-downcase", 14);
	      DEFINE_STRING(BGl_string1532z00zz__ucs2z00,
		BgL_bgl_string1532za700za7za7_1575za7, "integer->ucs2", 13);
	      DEFINE_STRING(BGl_string1533z00zz__ucs2z00,
		BgL_bgl_string1533za700za7za7_1576za7, "Undefined UCS-2 character", 25);
	      DEFINE_STRING(BGl_string1534z00zz__ucs2z00,
		BgL_bgl_string1534za700za7za7_1577za7, "integer out of range or ", 24);
	      DEFINE_STRING(BGl_string1535z00zz__ucs2z00,
		BgL_bgl_string1535za700za7za7_1578za7, "&integer->ucs2", 14);
	      DEFINE_STRING(BGl_string1536z00zz__ucs2z00,
		BgL_bgl_string1536za700za7za7_1579za7, "bint", 4);
	      DEFINE_STRING(BGl_string1537z00zz__ucs2z00,
		BgL_bgl_string1537za700za7za7_1580za7, "&integer->ucs2-ur", 17);
	      DEFINE_STRING(BGl_string1538z00zz__ucs2z00,
		BgL_bgl_string1538za700za7za7_1581za7, "&ucs2->integer", 14);
	      DEFINE_STRING(BGl_string1539z00zz__ucs2z00,
		BgL_bgl_string1539za700za7za7_1582za7, "&char->ucs2", 11);
	      DEFINE_STRING(BGl_string1540z00zz__ucs2z00,
		BgL_bgl_string1540za700za7za7_1583za7, "bchar", 5);
	      DEFINE_STRING(BGl_string1542z00zz__ucs2z00,
		BgL_bgl_string1542za700za7za7_1584za7, "ucs2->char", 10);
	      DEFINE_STRING(BGl_string1543z00zz__ucs2z00,
		BgL_bgl_string1543za700za7za7_1585za7,
		"UCS-2 character out of ISO-LATIN-1 range", 40);
	      DEFINE_STRING(BGl_string1544z00zz__ucs2z00,
		BgL_bgl_string1544za700za7za7_1586za7, "&ucs2->char", 11);
	      DEFINE_STRING(BGl_string1545z00zz__ucs2z00,
		BgL_bgl_string1545za700za7za7_1587za7, "__ucs2", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00,
		BgL_bgl_za762ucs2za7d3za7f3za7421588z00, BGl_z62ucs2zd3zf3z42zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7d3za71589z00,
		BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7e3za71590z00,
		BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00,
		BgL_bgl_za762integerza7d2za7e31591za7,
		BGl_z62integerzd2ze3ucs2z53zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2za7e3int1592za7,
		BGl_z62ucs2zd2ze3integerz53zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2downcasezd2envz00zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2downca1593z00, BGl_z62ucs2zd2downcasezb0zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00,
		BgL_bgl_za762charza7d2za7e3ucs1594za7, BGl_z62charzd2ze3ucs2z53zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00,
		BgL_bgl_za762ucs2za7e3za7f3za7721595z00, BGl_z62ucs2ze3zf3z72zz__ucs2z00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2upperza71596za7,
		BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7c3za71597z00,
		BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7e3za71598z00,
		BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2whites1599z00,
		BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00,
		BgL_bgl_za762ucs2za7e3za7d3za7f31600z00, BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00,
		0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__ucs2z00));
		     ADD_ROOT((void *) (&BGl_symbol1531z00zz__ucs2z00));
		     ADD_ROOT((void *) (&BGl_symbol1541z00zz__ucs2z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long
		BgL_checksumz00_1270, char *BgL_fromz00_1271)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__ucs2z00))
				{
					BGl_requirezd2initializa7ationz75zz__ucs2z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__ucs2z00();
					BGl_cnstzd2initzd2zz__ucs2z00();
					return BGl_importedzd2moduleszd2initz00zz__ucs2z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__ucs2z00()
	{
		{	/* Llib/ucs2.scm 14 */
			BGl_symbol1531z00zz__ucs2z00 =
				bstring_to_symbol(BGl_string1532z00zz__ucs2z00);
			return (BGl_symbol1541z00zz__ucs2z00 =
				bstring_to_symbol(BGl_string1542z00zz__ucs2z00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__ucs2z00()
	{
		{	/* Llib/ucs2.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* ucs2? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t BgL_objz00_3)
	{
		{	/* Llib/ucs2.scm 146 */
			return UCS2P(BgL_objz00_3);
		}

	}



/* &ucs2? */
	obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t BgL_envz00_1150,
		obj_t BgL_objz00_1151)
	{
		{	/* Llib/ucs2.scm 146 */
			return BBOOL(BGl_ucs2zf3zf3zz__ucs2z00(BgL_objz00_1151));
		}

	}



/* ucs2=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t BgL_ucs2az00_4,
		ucs2_t BgL_ucs2bz00_5)
	{
		{	/* Llib/ucs2.scm 152 */
			return (BgL_ucs2az00_4 == BgL_ucs2bz00_5);
		}

	}



/* &ucs2=? */
	obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t BgL_envz00_1152,
		obj_t BgL_ucs2az00_1153, obj_t BgL_ucs2bz00_1154)
	{
		{	/* Llib/ucs2.scm 152 */
			{	/* Llib/ucs2.scm 153 */
				bool_t BgL_tmpz00_1285;

				{	/* Llib/ucs2.scm 153 */
					ucs2_t BgL_auxz00_1295;
					ucs2_t BgL_auxz00_1286;

					{	/* Llib/ucs2.scm 153 */
						obj_t BgL_tmpz00_1296;

						if (UCS2P(BgL_ucs2bz00_1154))
							{	/* Llib/ucs2.scm 153 */
								BgL_tmpz00_1296 = BgL_ucs2bz00_1154;
							}
						else
							{
								obj_t BgL_auxz00_1299;

								BgL_auxz00_1299 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 6361)), BGl_string1513z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1154);
								FAILURE(BgL_auxz00_1299, BFALSE, BFALSE);
							}
						BgL_auxz00_1295 = CUCS2(BgL_tmpz00_1296);
					}
					{	/* Llib/ucs2.scm 153 */
						obj_t BgL_tmpz00_1287;

						if (UCS2P(BgL_ucs2az00_1153))
							{	/* Llib/ucs2.scm 153 */
								BgL_tmpz00_1287 = BgL_ucs2az00_1153;
							}
						else
							{
								obj_t BgL_auxz00_1290;

								BgL_auxz00_1290 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 6361)), BGl_string1513z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1153);
								FAILURE(BgL_auxz00_1290, BFALSE, BFALSE);
							}
						BgL_auxz00_1286 = CUCS2(BgL_tmpz00_1287);
					}
					BgL_tmpz00_1285 =
						BGl_ucs2zd3zf3z20zz__ucs2z00(BgL_auxz00_1286, BgL_auxz00_1295);
				}
				return BBOOL(BgL_tmpz00_1285);
			}
		}

	}



/* ucs2<? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t BgL_ucs2az00_6,
		ucs2_t BgL_ucs2bz00_7)
	{
		{	/* Llib/ucs2.scm 158 */
			return (BgL_ucs2az00_6 < BgL_ucs2bz00_7);
		}

	}



/* &ucs2<? */
	obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t BgL_envz00_1155,
		obj_t BgL_ucs2az00_1156, obj_t BgL_ucs2bz00_1157)
	{
		{	/* Llib/ucs2.scm 158 */
			{	/* Llib/ucs2.scm 159 */
				bool_t BgL_tmpz00_1307;

				{	/* Llib/ucs2.scm 159 */
					ucs2_t BgL_auxz00_1317;
					ucs2_t BgL_auxz00_1308;

					{	/* Llib/ucs2.scm 159 */
						obj_t BgL_tmpz00_1318;

						if (UCS2P(BgL_ucs2bz00_1157))
							{	/* Llib/ucs2.scm 159 */
								BgL_tmpz00_1318 = BgL_ucs2bz00_1157;
							}
						else
							{
								obj_t BgL_auxz00_1321;

								BgL_auxz00_1321 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 6647)), BGl_string1515z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1157);
								FAILURE(BgL_auxz00_1321, BFALSE, BFALSE);
							}
						BgL_auxz00_1317 = CUCS2(BgL_tmpz00_1318);
					}
					{	/* Llib/ucs2.scm 159 */
						obj_t BgL_tmpz00_1309;

						if (UCS2P(BgL_ucs2az00_1156))
							{	/* Llib/ucs2.scm 159 */
								BgL_tmpz00_1309 = BgL_ucs2az00_1156;
							}
						else
							{
								obj_t BgL_auxz00_1312;

								BgL_auxz00_1312 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 6647)), BGl_string1515z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1156);
								FAILURE(BgL_auxz00_1312, BFALSE, BFALSE);
							}
						BgL_auxz00_1308 = CUCS2(BgL_tmpz00_1309);
					}
					BgL_tmpz00_1307 =
						BGl_ucs2zc3zf3z30zz__ucs2z00(BgL_auxz00_1308, BgL_auxz00_1317);
				}
				return BBOOL(BgL_tmpz00_1307);
			}
		}

	}



/* ucs2>? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t BgL_ucs2az00_8,
		ucs2_t BgL_ucs2bz00_9)
	{
		{	/* Llib/ucs2.scm 164 */
			return (BgL_ucs2az00_8 > BgL_ucs2bz00_9);
		}

	}



/* &ucs2>? */
	obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t BgL_envz00_1158,
		obj_t BgL_ucs2az00_1159, obj_t BgL_ucs2bz00_1160)
	{
		{	/* Llib/ucs2.scm 164 */
			{	/* Llib/ucs2.scm 165 */
				bool_t BgL_tmpz00_1329;

				{	/* Llib/ucs2.scm 165 */
					ucs2_t BgL_auxz00_1339;
					ucs2_t BgL_auxz00_1330;

					{	/* Llib/ucs2.scm 165 */
						obj_t BgL_tmpz00_1340;

						if (UCS2P(BgL_ucs2bz00_1160))
							{	/* Llib/ucs2.scm 165 */
								BgL_tmpz00_1340 = BgL_ucs2bz00_1160;
							}
						else
							{
								obj_t BgL_auxz00_1343;

								BgL_auxz00_1343 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 6934)), BGl_string1516z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1160);
								FAILURE(BgL_auxz00_1343, BFALSE, BFALSE);
							}
						BgL_auxz00_1339 = CUCS2(BgL_tmpz00_1340);
					}
					{	/* Llib/ucs2.scm 165 */
						obj_t BgL_tmpz00_1331;

						if (UCS2P(BgL_ucs2az00_1159))
							{	/* Llib/ucs2.scm 165 */
								BgL_tmpz00_1331 = BgL_ucs2az00_1159;
							}
						else
							{
								obj_t BgL_auxz00_1334;

								BgL_auxz00_1334 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 6934)), BGl_string1516z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1159);
								FAILURE(BgL_auxz00_1334, BFALSE, BFALSE);
							}
						BgL_auxz00_1330 = CUCS2(BgL_tmpz00_1331);
					}
					BgL_tmpz00_1329 =
						BGl_ucs2ze3zf3z10zz__ucs2z00(BgL_auxz00_1330, BgL_auxz00_1339);
				}
				return BBOOL(BgL_tmpz00_1329);
			}
		}

	}



/* ucs2<=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t
		BgL_ucs2az00_10, ucs2_t BgL_ucs2bz00_11)
	{
		{	/* Llib/ucs2.scm 170 */
			return (BgL_ucs2az00_10 <= BgL_ucs2bz00_11);
		}

	}



/* &ucs2<=? */
	obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t BgL_envz00_1161,
		obj_t BgL_ucs2az00_1162, obj_t BgL_ucs2bz00_1163)
	{
		{	/* Llib/ucs2.scm 170 */
			{	/* Llib/ucs2.scm 171 */
				bool_t BgL_tmpz00_1351;

				{	/* Llib/ucs2.scm 171 */
					ucs2_t BgL_auxz00_1361;
					ucs2_t BgL_auxz00_1352;

					{	/* Llib/ucs2.scm 171 */
						obj_t BgL_tmpz00_1362;

						if (UCS2P(BgL_ucs2bz00_1163))
							{	/* Llib/ucs2.scm 171 */
								BgL_tmpz00_1362 = BgL_ucs2bz00_1163;
							}
						else
							{
								obj_t BgL_auxz00_1365;

								BgL_auxz00_1365 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 7221)), BGl_string1517z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1163);
								FAILURE(BgL_auxz00_1365, BFALSE, BFALSE);
							}
						BgL_auxz00_1361 = CUCS2(BgL_tmpz00_1362);
					}
					{	/* Llib/ucs2.scm 171 */
						obj_t BgL_tmpz00_1353;

						if (UCS2P(BgL_ucs2az00_1162))
							{	/* Llib/ucs2.scm 171 */
								BgL_tmpz00_1353 = BgL_ucs2az00_1162;
							}
						else
							{
								obj_t BgL_auxz00_1356;

								BgL_auxz00_1356 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 7221)), BGl_string1517z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1162);
								FAILURE(BgL_auxz00_1356, BFALSE, BFALSE);
							}
						BgL_auxz00_1352 = CUCS2(BgL_tmpz00_1353);
					}
					BgL_tmpz00_1351 =
						BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(BgL_auxz00_1352, BgL_auxz00_1361);
				}
				return BBOOL(BgL_tmpz00_1351);
			}
		}

	}



/* ucs2>=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t
		BgL_ucs2az00_12, ucs2_t BgL_ucs2bz00_13)
	{
		{	/* Llib/ucs2.scm 176 */
			return (BgL_ucs2az00_12 >= BgL_ucs2bz00_13);
		}

	}



/* &ucs2>=? */
	obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t BgL_envz00_1164,
		obj_t BgL_ucs2az00_1165, obj_t BgL_ucs2bz00_1166)
	{
		{	/* Llib/ucs2.scm 176 */
			{	/* Llib/ucs2.scm 177 */
				bool_t BgL_tmpz00_1373;

				{	/* Llib/ucs2.scm 177 */
					ucs2_t BgL_auxz00_1383;
					ucs2_t BgL_auxz00_1374;

					{	/* Llib/ucs2.scm 177 */
						obj_t BgL_tmpz00_1384;

						if (UCS2P(BgL_ucs2bz00_1166))
							{	/* Llib/ucs2.scm 177 */
								BgL_tmpz00_1384 = BgL_ucs2bz00_1166;
							}
						else
							{
								obj_t BgL_auxz00_1387;

								BgL_auxz00_1387 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 7510)), BGl_string1518z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1166);
								FAILURE(BgL_auxz00_1387, BFALSE, BFALSE);
							}
						BgL_auxz00_1383 = CUCS2(BgL_tmpz00_1384);
					}
					{	/* Llib/ucs2.scm 177 */
						obj_t BgL_tmpz00_1375;

						if (UCS2P(BgL_ucs2az00_1165))
							{	/* Llib/ucs2.scm 177 */
								BgL_tmpz00_1375 = BgL_ucs2az00_1165;
							}
						else
							{
								obj_t BgL_auxz00_1378;

								BgL_auxz00_1378 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 7510)), BGl_string1518z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1165);
								FAILURE(BgL_auxz00_1378, BFALSE, BFALSE);
							}
						BgL_auxz00_1374 = CUCS2(BgL_tmpz00_1375);
					}
					BgL_tmpz00_1373 =
						BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(BgL_auxz00_1374, BgL_auxz00_1383);
				}
				return BBOOL(BgL_tmpz00_1373);
			}
		}

	}



/* ucs2-ci=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_14, ucs2_t BgL_ucs2bz00_15)
	{
		{	/* Llib/ucs2.scm 182 */
			return (ucs2_toupper(BgL_ucs2az00_14) == ucs2_toupper(BgL_ucs2bz00_15));
		}

	}



/* &ucs2-ci=? */
	obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t BgL_envz00_1167,
		obj_t BgL_ucs2az00_1168, obj_t BgL_ucs2bz00_1169)
	{
		{	/* Llib/ucs2.scm 182 */
			{	/* Llib/ucs2.scm 183 */
				bool_t BgL_tmpz00_1397;

				{	/* Llib/ucs2.scm 183 */
					ucs2_t BgL_auxz00_1407;
					ucs2_t BgL_auxz00_1398;

					{	/* Llib/ucs2.scm 183 */
						obj_t BgL_tmpz00_1408;

						if (UCS2P(BgL_ucs2bz00_1169))
							{	/* Llib/ucs2.scm 183 */
								BgL_tmpz00_1408 = BgL_ucs2bz00_1169;
							}
						else
							{
								obj_t BgL_auxz00_1411;

								BgL_auxz00_1411 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 7808)), BGl_string1519z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1169);
								FAILURE(BgL_auxz00_1411, BFALSE, BFALSE);
							}
						BgL_auxz00_1407 = CUCS2(BgL_tmpz00_1408);
					}
					{	/* Llib/ucs2.scm 183 */
						obj_t BgL_tmpz00_1399;

						if (UCS2P(BgL_ucs2az00_1168))
							{	/* Llib/ucs2.scm 183 */
								BgL_tmpz00_1399 = BgL_ucs2az00_1168;
							}
						else
							{
								obj_t BgL_auxz00_1402;

								BgL_auxz00_1402 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 7808)), BGl_string1519z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1168);
								FAILURE(BgL_auxz00_1402, BFALSE, BFALSE);
							}
						BgL_auxz00_1398 = CUCS2(BgL_tmpz00_1399);
					}
					BgL_tmpz00_1397 =
						BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(BgL_auxz00_1398, BgL_auxz00_1407);
				}
				return BBOOL(BgL_tmpz00_1397);
			}
		}

	}



/* ucs2-ci<? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_16, ucs2_t BgL_ucs2bz00_17)
	{
		{	/* Llib/ucs2.scm 188 */
			return (ucs2_toupper(BgL_ucs2az00_16) < ucs2_toupper(BgL_ucs2bz00_17));
		}

	}



/* &ucs2-ci<? */
	obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t BgL_envz00_1170,
		obj_t BgL_ucs2az00_1171, obj_t BgL_ucs2bz00_1172)
	{
		{	/* Llib/ucs2.scm 188 */
			{	/* Llib/ucs2.scm 189 */
				bool_t BgL_tmpz00_1421;

				{	/* Llib/ucs2.scm 189 */
					ucs2_t BgL_auxz00_1431;
					ucs2_t BgL_auxz00_1422;

					{	/* Llib/ucs2.scm 189 */
						obj_t BgL_tmpz00_1432;

						if (UCS2P(BgL_ucs2bz00_1172))
							{	/* Llib/ucs2.scm 189 */
								BgL_tmpz00_1432 = BgL_ucs2bz00_1172;
							}
						else
							{
								obj_t BgL_auxz00_1435;

								BgL_auxz00_1435 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 8123)), BGl_string1520z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1172);
								FAILURE(BgL_auxz00_1435, BFALSE, BFALSE);
							}
						BgL_auxz00_1431 = CUCS2(BgL_tmpz00_1432);
					}
					{	/* Llib/ucs2.scm 189 */
						obj_t BgL_tmpz00_1423;

						if (UCS2P(BgL_ucs2az00_1171))
							{	/* Llib/ucs2.scm 189 */
								BgL_tmpz00_1423 = BgL_ucs2az00_1171;
							}
						else
							{
								obj_t BgL_auxz00_1426;

								BgL_auxz00_1426 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 8123)), BGl_string1520z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1171);
								FAILURE(BgL_auxz00_1426, BFALSE, BFALSE);
							}
						BgL_auxz00_1422 = CUCS2(BgL_tmpz00_1423);
					}
					BgL_tmpz00_1421 =
						BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(BgL_auxz00_1422, BgL_auxz00_1431);
				}
				return BBOOL(BgL_tmpz00_1421);
			}
		}

	}



/* ucs2-ci>? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_18, ucs2_t BgL_ucs2bz00_19)
	{
		{	/* Llib/ucs2.scm 194 */
			return (ucs2_toupper(BgL_ucs2az00_18) > ucs2_toupper(BgL_ucs2bz00_19));
		}

	}



/* &ucs2-ci>? */
	obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t BgL_envz00_1173,
		obj_t BgL_ucs2az00_1174, obj_t BgL_ucs2bz00_1175)
	{
		{	/* Llib/ucs2.scm 194 */
			{	/* Llib/ucs2.scm 195 */
				bool_t BgL_tmpz00_1445;

				{	/* Llib/ucs2.scm 195 */
					ucs2_t BgL_auxz00_1455;
					ucs2_t BgL_auxz00_1446;

					{	/* Llib/ucs2.scm 195 */
						obj_t BgL_tmpz00_1456;

						if (UCS2P(BgL_ucs2bz00_1175))
							{	/* Llib/ucs2.scm 195 */
								BgL_tmpz00_1456 = BgL_ucs2bz00_1175;
							}
						else
							{
								obj_t BgL_auxz00_1459;

								BgL_auxz00_1459 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 8440)), BGl_string1521z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1175);
								FAILURE(BgL_auxz00_1459, BFALSE, BFALSE);
							}
						BgL_auxz00_1455 = CUCS2(BgL_tmpz00_1456);
					}
					{	/* Llib/ucs2.scm 195 */
						obj_t BgL_tmpz00_1447;

						if (UCS2P(BgL_ucs2az00_1174))
							{	/* Llib/ucs2.scm 195 */
								BgL_tmpz00_1447 = BgL_ucs2az00_1174;
							}
						else
							{
								obj_t BgL_auxz00_1450;

								BgL_auxz00_1450 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 8440)), BGl_string1521z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1174);
								FAILURE(BgL_auxz00_1450, BFALSE, BFALSE);
							}
						BgL_auxz00_1446 = CUCS2(BgL_tmpz00_1447);
					}
					BgL_tmpz00_1445 =
						BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(BgL_auxz00_1446, BgL_auxz00_1455);
				}
				return BBOOL(BgL_tmpz00_1445);
			}
		}

	}



/* ucs2-ci<=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t
		BgL_ucs2az00_20, ucs2_t BgL_ucs2bz00_21)
	{
		{	/* Llib/ucs2.scm 200 */
			return (ucs2_toupper(BgL_ucs2az00_20) <= ucs2_toupper(BgL_ucs2bz00_21));
		}

	}



/* &ucs2-ci<=? */
	obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t BgL_envz00_1176,
		obj_t BgL_ucs2az00_1177, obj_t BgL_ucs2bz00_1178)
	{
		{	/* Llib/ucs2.scm 200 */
			{	/* Llib/ucs2.scm 201 */
				bool_t BgL_tmpz00_1469;

				{	/* Llib/ucs2.scm 201 */
					ucs2_t BgL_auxz00_1479;
					ucs2_t BgL_auxz00_1470;

					{	/* Llib/ucs2.scm 201 */
						obj_t BgL_tmpz00_1480;

						if (UCS2P(BgL_ucs2bz00_1178))
							{	/* Llib/ucs2.scm 201 */
								BgL_tmpz00_1480 = BgL_ucs2bz00_1178;
							}
						else
							{
								obj_t BgL_auxz00_1483;

								BgL_auxz00_1483 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 8757)), BGl_string1522z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1178);
								FAILURE(BgL_auxz00_1483, BFALSE, BFALSE);
							}
						BgL_auxz00_1479 = CUCS2(BgL_tmpz00_1480);
					}
					{	/* Llib/ucs2.scm 201 */
						obj_t BgL_tmpz00_1471;

						if (UCS2P(BgL_ucs2az00_1177))
							{	/* Llib/ucs2.scm 201 */
								BgL_tmpz00_1471 = BgL_ucs2az00_1177;
							}
						else
							{
								obj_t BgL_auxz00_1474;

								BgL_auxz00_1474 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 8757)), BGl_string1522z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1177);
								FAILURE(BgL_auxz00_1474, BFALSE, BFALSE);
							}
						BgL_auxz00_1470 = CUCS2(BgL_tmpz00_1471);
					}
					BgL_tmpz00_1469 =
						BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(BgL_auxz00_1470,
						BgL_auxz00_1479);
				}
				return BBOOL(BgL_tmpz00_1469);
			}
		}

	}



/* ucs2-ci>=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t
		BgL_ucs2az00_22, ucs2_t BgL_ucs2bz00_23)
	{
		{	/* Llib/ucs2.scm 206 */
			return (ucs2_toupper(BgL_ucs2az00_22) >= ucs2_toupper(BgL_ucs2bz00_23));
		}

	}



/* &ucs2-ci>=? */
	obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t BgL_envz00_1179,
		obj_t BgL_ucs2az00_1180, obj_t BgL_ucs2bz00_1181)
	{
		{	/* Llib/ucs2.scm 206 */
			{	/* Llib/ucs2.scm 207 */
				bool_t BgL_tmpz00_1493;

				{	/* Llib/ucs2.scm 207 */
					ucs2_t BgL_auxz00_1503;
					ucs2_t BgL_auxz00_1494;

					{	/* Llib/ucs2.scm 207 */
						obj_t BgL_tmpz00_1504;

						if (UCS2P(BgL_ucs2bz00_1181))
							{	/* Llib/ucs2.scm 207 */
								BgL_tmpz00_1504 = BgL_ucs2bz00_1181;
							}
						else
							{
								obj_t BgL_auxz00_1507;

								BgL_auxz00_1507 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 9074)), BGl_string1523z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2bz00_1181);
								FAILURE(BgL_auxz00_1507, BFALSE, BFALSE);
							}
						BgL_auxz00_1503 = CUCS2(BgL_tmpz00_1504);
					}
					{	/* Llib/ucs2.scm 207 */
						obj_t BgL_tmpz00_1495;

						if (UCS2P(BgL_ucs2az00_1180))
							{	/* Llib/ucs2.scm 207 */
								BgL_tmpz00_1495 = BgL_ucs2az00_1180;
							}
						else
							{
								obj_t BgL_auxz00_1498;

								BgL_auxz00_1498 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 9074)), BGl_string1523z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2az00_1180);
								FAILURE(BgL_auxz00_1498, BFALSE, BFALSE);
							}
						BgL_auxz00_1494 = CUCS2(BgL_tmpz00_1495);
					}
					BgL_tmpz00_1493 =
						BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(BgL_auxz00_1494,
						BgL_auxz00_1503);
				}
				return BBOOL(BgL_tmpz00_1493);
			}
		}

	}



/* ucs2-alphabetic? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_24)
	{
		{	/* Llib/ucs2.scm 212 */
			return ucs2_letterp(BgL_ucs2z00_24);
		}

	}



/* &ucs2-alphabetic? */
	obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t BgL_envz00_1182,
		obj_t BgL_ucs2z00_1183)
	{
		{	/* Llib/ucs2.scm 212 */
			{	/* Llib/ucs2.scm 213 */
				bool_t BgL_tmpz00_1515;

				{	/* Llib/ucs2.scm 213 */
					ucs2_t BgL_auxz00_1516;

					{	/* Llib/ucs2.scm 213 */
						obj_t BgL_tmpz00_1517;

						if (UCS2P(BgL_ucs2z00_1183))
							{	/* Llib/ucs2.scm 213 */
								BgL_tmpz00_1517 = BgL_ucs2z00_1183;
							}
						else
							{
								obj_t BgL_auxz00_1520;

								BgL_auxz00_1520 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 9381)), BGl_string1524z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1183);
								FAILURE(BgL_auxz00_1520, BFALSE, BFALSE);
							}
						BgL_auxz00_1516 = CUCS2(BgL_tmpz00_1517);
					}
					BgL_tmpz00_1515 =
						BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(BgL_auxz00_1516);
				}
				return BBOOL(BgL_tmpz00_1515);
			}
		}

	}



/* ucs2-numeric? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_25)
	{
		{	/* Llib/ucs2.scm 218 */
			return ucs2_digitp(BgL_ucs2z00_25);
		}

	}



/* &ucs2-numeric? */
	obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t BgL_envz00_1184,
		obj_t BgL_ucs2z00_1185)
	{
		{	/* Llib/ucs2.scm 218 */
			{	/* Llib/ucs2.scm 219 */
				bool_t BgL_tmpz00_1528;

				{	/* Llib/ucs2.scm 219 */
					ucs2_t BgL_auxz00_1529;

					{	/* Llib/ucs2.scm 219 */
						obj_t BgL_tmpz00_1530;

						if (UCS2P(BgL_ucs2z00_1185))
							{	/* Llib/ucs2.scm 219 */
								BgL_tmpz00_1530 = BgL_ucs2z00_1185;
							}
						else
							{
								obj_t BgL_auxz00_1533;

								BgL_auxz00_1533 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 9666)), BGl_string1525z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1185);
								FAILURE(BgL_auxz00_1533, BFALSE, BFALSE);
							}
						BgL_auxz00_1529 = CUCS2(BgL_tmpz00_1530);
					}
					BgL_tmpz00_1528 =
						BGl_ucs2zd2numericzf3z21zz__ucs2z00(BgL_auxz00_1529);
				}
				return BBOOL(BgL_tmpz00_1528);
			}
		}

	}



/* ucs2-whitespace? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_26)
	{
		{	/* Llib/ucs2.scm 224 */
			return ucs2_whitespacep(BgL_ucs2z00_26);
		}

	}



/* &ucs2-whitespace? */
	obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t BgL_envz00_1186,
		obj_t BgL_ucs2z00_1187)
	{
		{	/* Llib/ucs2.scm 224 */
			{	/* Llib/ucs2.scm 225 */
				bool_t BgL_tmpz00_1541;

				{	/* Llib/ucs2.scm 225 */
					ucs2_t BgL_auxz00_1542;

					{	/* Llib/ucs2.scm 225 */
						obj_t BgL_tmpz00_1543;

						if (UCS2P(BgL_ucs2z00_1187))
							{	/* Llib/ucs2.scm 225 */
								BgL_tmpz00_1543 = BgL_ucs2z00_1187;
							}
						else
							{
								obj_t BgL_auxz00_1546;

								BgL_auxz00_1546 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 9953)), BGl_string1526z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1187);
								FAILURE(BgL_auxz00_1546, BFALSE, BFALSE);
							}
						BgL_auxz00_1542 = CUCS2(BgL_tmpz00_1543);
					}
					BgL_tmpz00_1541 =
						BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(BgL_auxz00_1542);
				}
				return BBOOL(BgL_tmpz00_1541);
			}
		}

	}



/* ucs2-upper-case? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t
		BgL_ucs2z00_27)
	{
		{	/* Llib/ucs2.scm 230 */
			return ucs2_upperp(BgL_ucs2z00_27);
		}

	}



/* &ucs2-upper-case? */
	obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1188,
		obj_t BgL_ucs2z00_1189)
	{
		{	/* Llib/ucs2.scm 230 */
			{	/* Llib/ucs2.scm 231 */
				bool_t BgL_tmpz00_1554;

				{	/* Llib/ucs2.scm 231 */
					ucs2_t BgL_auxz00_1555;

					{	/* Llib/ucs2.scm 231 */
						obj_t BgL_tmpz00_1556;

						if (UCS2P(BgL_ucs2z00_1189))
							{	/* Llib/ucs2.scm 231 */
								BgL_tmpz00_1556 = BgL_ucs2z00_1189;
							}
						else
							{
								obj_t BgL_auxz00_1559;

								BgL_auxz00_1559 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 10245)), BGl_string1527z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1189);
								FAILURE(BgL_auxz00_1559, BFALSE, BFALSE);
							}
						BgL_auxz00_1555 = CUCS2(BgL_tmpz00_1556);
					}
					BgL_tmpz00_1554 =
						BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1555);
				}
				return BBOOL(BgL_tmpz00_1554);
			}
		}

	}



/* ucs2-lower-case? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t
		BgL_ucs2z00_28)
	{
		{	/* Llib/ucs2.scm 236 */
			return ucs2_lowerp(BgL_ucs2z00_28);
		}

	}



/* &ucs2-lower-case? */
	obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1190,
		obj_t BgL_ucs2z00_1191)
	{
		{	/* Llib/ucs2.scm 236 */
			{	/* Llib/ucs2.scm 237 */
				bool_t BgL_tmpz00_1567;

				{	/* Llib/ucs2.scm 237 */
					ucs2_t BgL_auxz00_1568;

					{	/* Llib/ucs2.scm 237 */
						obj_t BgL_tmpz00_1569;

						if (UCS2P(BgL_ucs2z00_1191))
							{	/* Llib/ucs2.scm 237 */
								BgL_tmpz00_1569 = BgL_ucs2z00_1191;
							}
						else
							{
								obj_t BgL_auxz00_1572;

								BgL_auxz00_1572 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 10532)), BGl_string1528z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1191);
								FAILURE(BgL_auxz00_1572, BFALSE, BFALSE);
							}
						BgL_auxz00_1568 = CUCS2(BgL_tmpz00_1569);
					}
					BgL_tmpz00_1567 =
						BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1568);
				}
				return BBOOL(BgL_tmpz00_1567);
			}
		}

	}



/* ucs2-upcase */
	BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_29)
	{
		{	/* Llib/ucs2.scm 242 */
			return ucs2_toupper(BgL_ucs2z00_29);
		}

	}



/* &ucs2-upcase */
	obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t BgL_envz00_1192,
		obj_t BgL_ucs2z00_1193)
	{
		{	/* Llib/ucs2.scm 242 */
			{	/* Llib/ucs2.scm 243 */
				ucs2_t BgL_tmpz00_1580;

				{	/* Llib/ucs2.scm 243 */
					ucs2_t BgL_auxz00_1581;

					{	/* Llib/ucs2.scm 243 */
						obj_t BgL_tmpz00_1582;

						if (UCS2P(BgL_ucs2z00_1193))
							{	/* Llib/ucs2.scm 243 */
								BgL_tmpz00_1582 = BgL_ucs2z00_1193;
							}
						else
							{
								obj_t BgL_auxz00_1585;

								BgL_auxz00_1585 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 10814)), BGl_string1529z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1193);
								FAILURE(BgL_auxz00_1585, BFALSE, BFALSE);
							}
						BgL_auxz00_1581 = CUCS2(BgL_tmpz00_1582);
					}
					BgL_tmpz00_1580 = BGl_ucs2zd2upcasezd2zz__ucs2z00(BgL_auxz00_1581);
				}
				return BUCS2(BgL_tmpz00_1580);
			}
		}

	}



/* ucs2-downcase */
	BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t
		BgL_ucs2z00_30)
	{
		{	/* Llib/ucs2.scm 248 */
			return ucs2_tolower(BgL_ucs2z00_30);
		}

	}



/* &ucs2-downcase */
	obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t BgL_envz00_1194,
		obj_t BgL_ucs2z00_1195)
	{
		{	/* Llib/ucs2.scm 248 */
			{	/* Llib/ucs2.scm 249 */
				ucs2_t BgL_tmpz00_1593;

				{	/* Llib/ucs2.scm 249 */
					ucs2_t BgL_auxz00_1594;

					{	/* Llib/ucs2.scm 249 */
						obj_t BgL_tmpz00_1595;

						if (UCS2P(BgL_ucs2z00_1195))
							{	/* Llib/ucs2.scm 249 */
								BgL_tmpz00_1595 = BgL_ucs2z00_1195;
							}
						else
							{
								obj_t BgL_auxz00_1598;

								BgL_auxz00_1598 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 11098)), BGl_string1530z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1195);
								FAILURE(BgL_auxz00_1598, BFALSE, BFALSE);
							}
						BgL_auxz00_1594 = CUCS2(BgL_tmpz00_1595);
					}
					BgL_tmpz00_1593 = BGl_ucs2zd2downcasezd2zz__ucs2z00(BgL_auxz00_1594);
				}
				return BUCS2(BgL_tmpz00_1593);
			}
		}

	}



/* integer->ucs2 */
	BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int BgL_intz00_31)
	{
		{	/* Llib/ucs2.scm 254 */
			{	/* Llib/ucs2.scm 255 */
				bool_t BgL_test1629z00_1605;

				if (((long) (BgL_intz00_31) >= ((long) 0)))
					{	/* Llib/ucs2.scm 255 */
						BgL_test1629z00_1605 = ((long) (BgL_intz00_31) < ((long) 65536));
					}
				else
					{	/* Llib/ucs2.scm 255 */
						BgL_test1629z00_1605 = ((bool_t) 0);
					}
				if (BgL_test1629z00_1605)
					{	/* Llib/ucs2.scm 255 */
						if (ucs2_definedp(BgL_intz00_31))
							{	/* Llib/ucs2.scm 256 */
								return BGL_INT_TO_UCS2(BgL_intz00_31);
							}
						else
							{	/* Llib/ucs2.scm 256 */
								return
									CUCS2(BGl_errorz00zz__errorz00(BGl_symbol1531z00zz__ucs2z00,
										BGl_string1533z00zz__ucs2z00, BINT(BgL_intz00_31)));
							}
					}
				else
					{	/* Llib/ucs2.scm 255 */
						return
							CUCS2(BGl_errorz00zz__errorz00(BGl_symbol1531z00zz__ucs2z00,
								BGl_string1534z00zz__ucs2z00, BINT(BgL_intz00_31)));
					}
			}
		}

	}



/* &integer->ucs2 */
	obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1196,
		obj_t BgL_intz00_1197)
	{
		{	/* Llib/ucs2.scm 254 */
			{	/* Llib/ucs2.scm 255 */
				ucs2_t BgL_tmpz00_1620;

				{	/* Llib/ucs2.scm 255 */
					int BgL_auxz00_1621;

					{	/* Llib/ucs2.scm 255 */
						obj_t BgL_tmpz00_1622;

						if (INTEGERP(BgL_intz00_1197))
							{	/* Llib/ucs2.scm 255 */
								BgL_tmpz00_1622 = BgL_intz00_1197;
							}
						else
							{
								obj_t BgL_auxz00_1625;

								BgL_auxz00_1625 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 11394)), BGl_string1535z00zz__ucs2z00,
									BGl_string1536z00zz__ucs2z00, BgL_intz00_1197);
								FAILURE(BgL_auxz00_1625, BFALSE, BFALSE);
							}
						BgL_auxz00_1621 = CINT(BgL_tmpz00_1622);
					}
					BgL_tmpz00_1620 =
						BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1621);
				}
				return BUCS2(BgL_tmpz00_1620);
			}
		}

	}



/* integer->ucs2-ur */
	BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int
		BgL_intz00_32)
	{
		{	/* Llib/ucs2.scm 264 */
			return BGL_INT_TO_UCS2(BgL_intz00_32);
		}

	}



/* &integer->ucs2-ur */
	obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t BgL_envz00_1198,
		obj_t BgL_intz00_1199)
	{
		{	/* Llib/ucs2.scm 264 */
			{	/* Llib/ucs2.scm 265 */
				ucs2_t BgL_tmpz00_1633;

				{	/* Llib/ucs2.scm 265 */
					int BgL_auxz00_1634;

					{	/* Llib/ucs2.scm 265 */
						obj_t BgL_tmpz00_1635;

						if (INTEGERP(BgL_intz00_1199))
							{	/* Llib/ucs2.scm 265 */
								BgL_tmpz00_1635 = BgL_intz00_1199;
							}
						else
							{
								obj_t BgL_auxz00_1638;

								BgL_auxz00_1638 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 11890)), BGl_string1537z00zz__ucs2z00,
									BGl_string1536z00zz__ucs2z00, BgL_intz00_1199);
								FAILURE(BgL_auxz00_1638, BFALSE, BFALSE);
							}
						BgL_auxz00_1634 = CINT(BgL_tmpz00_1635);
					}
					BgL_tmpz00_1633 =
						BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(BgL_auxz00_1634);
				}
				return BUCS2(BgL_tmpz00_1633);
			}
		}

	}



/* ucs2->integer */
	BGL_EXPORTED_DEF int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t
		BgL_ucs2z00_33)
	{
		{	/* Llib/ucs2.scm 270 */
			{	/* Llib/ucs2.scm 271 */
				obj_t BgL_tmpz00_1645;

				BgL_tmpz00_1645 = BUCS2(BgL_ucs2z00_33);
				return CUCS2(BgL_tmpz00_1645);
			}
		}

	}



/* &ucs2->integer */
	obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t BgL_envz00_1200,
		obj_t BgL_ucs2z00_1201)
	{
		{	/* Llib/ucs2.scm 270 */
			{	/* Llib/ucs2.scm 271 */
				int BgL_tmpz00_1648;

				{	/* Llib/ucs2.scm 271 */
					ucs2_t BgL_auxz00_1649;

					{	/* Llib/ucs2.scm 271 */
						obj_t BgL_tmpz00_1650;

						if (UCS2P(BgL_ucs2z00_1201))
							{	/* Llib/ucs2.scm 271 */
								BgL_tmpz00_1650 = BgL_ucs2z00_1201;
							}
						else
							{
								obj_t BgL_auxz00_1653;

								BgL_auxz00_1653 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 12186)), BGl_string1538z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1201);
								FAILURE(BgL_auxz00_1653, BFALSE, BFALSE);
							}
						BgL_auxz00_1649 = CUCS2(BgL_tmpz00_1650);
					}
					BgL_tmpz00_1648 =
						BGl_ucs2zd2ze3integerz31zz__ucs2z00(BgL_auxz00_1649);
				}
				return BINT(BgL_tmpz00_1648);
			}
		}

	}



/* char->ucs2 */
	BGL_EXPORTED_DEF ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char
		BgL_charz00_34)
	{
		{	/* Llib/ucs2.scm 276 */
			{	/* Llib/ucs2.scm 265 */
				int BgL_tmpz00_1660;

				BgL_tmpz00_1660 = (int) (((unsigned char) (BgL_charz00_34)));
				return BGL_INT_TO_UCS2(BgL_tmpz00_1660);
			}
		}

	}



/* &char->ucs2 */
	obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1202,
		obj_t BgL_charz00_1203)
	{
		{	/* Llib/ucs2.scm 276 */
			{	/* Llib/ucs2.scm 277 */
				ucs2_t BgL_tmpz00_1665;

				{	/* Llib/ucs2.scm 277 */
					unsigned char BgL_auxz00_1666;

					{	/* Llib/ucs2.scm 277 */
						obj_t BgL_tmpz00_1667;

						if (CHARP(BgL_charz00_1203))
							{	/* Llib/ucs2.scm 277 */
								BgL_tmpz00_1667 = BgL_charz00_1203;
							}
						else
							{
								obj_t BgL_auxz00_1670;

								BgL_auxz00_1670 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 12499)), BGl_string1539z00zz__ucs2z00,
									BGl_string1540z00zz__ucs2z00, BgL_charz00_1203);
								FAILURE(BgL_auxz00_1670, BFALSE, BFALSE);
							}
						BgL_auxz00_1666 = CCHAR(BgL_tmpz00_1667);
					}
					BgL_tmpz00_1665 = BGl_charzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1666);
				}
				return BUCS2(BgL_tmpz00_1665);
			}
		}

	}



/* ucs2->char */
	BGL_EXPORTED_DEF unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t
		BgL_ucs2z00_35)
	{
		{	/* Llib/ucs2.scm 282 */
			{	/* Llib/ucs2.scm 283 */
				int BgL_intz00_1069;

				{	/* Llib/ucs2.scm 283 */
					int BgL_res1429z00_1072;

					{	/* Llib/ucs2.scm 271 */
						obj_t BgL_tmpz00_1677;

						BgL_tmpz00_1677 = BUCS2(BgL_ucs2z00_35);
						BgL_res1429z00_1072 = CUCS2(BgL_tmpz00_1677);
					}
					BgL_intz00_1069 = BgL_res1429z00_1072;
				}
				if (((long) (BgL_intz00_1069) < ((long) 256)))
					{	/* Llib/ucs2.scm 284 */
						return (char) (((long) (BgL_intz00_1069)));
					}
				else
					{	/* Llib/ucs2.scm 284 */
						return
							CCHAR(BGl_errorz00zz__errorz00(BGl_symbol1541z00zz__ucs2z00,
								BGl_string1543z00zz__ucs2z00, BUCS2(BgL_ucs2z00_35)));
					}
			}
		}

	}



/* &ucs2->char */
	obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t BgL_envz00_1204,
		obj_t BgL_ucs2z00_1205)
	{
		{	/* Llib/ucs2.scm 282 */
			{	/* Llib/ucs2.scm 283 */
				unsigned char BgL_tmpz00_1689;

				{	/* Llib/ucs2.scm 283 */
					ucs2_t BgL_auxz00_1690;

					{	/* Llib/ucs2.scm 283 */
						obj_t BgL_tmpz00_1691;

						if (UCS2P(BgL_ucs2z00_1205))
							{	/* Llib/ucs2.scm 283 */
								BgL_tmpz00_1691 = BgL_ucs2z00_1205;
							}
						else
							{
								obj_t BgL_auxz00_1694;

								BgL_auxz00_1694 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1512z00zz__ucs2z00,
									BINT(((long) 12786)), BGl_string1544z00zz__ucs2z00,
									BGl_string1514z00zz__ucs2z00, BgL_ucs2z00_1205);
								FAILURE(BgL_auxz00_1694, BFALSE, BFALSE);
							}
						BgL_auxz00_1690 = CUCS2(BgL_tmpz00_1691);
					}
					BgL_tmpz00_1689 = BGl_ucs2zd2ze3charz31zz__ucs2z00(BgL_auxz00_1690);
				}
				return BCHAR(BgL_tmpz00_1689);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00()
	{
		{	/* Llib/ucs2.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 330490148),
				BSTRING_TO_STRING(BGl_string1545z00zz__ucs2z00));
		}

	}

#ifdef __cplusplus
}
#endif
