/*===========================================================================*/
/*   (Rgc/rgc.scm)                                                           */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Rgc/rgc.scm -indent -o objs/obj_u/Rgc/rgc.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t,
		int);
	BGL_EXPORTED_DECL long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t, long);
	static obj_t BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgcz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t, long);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2characterz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_symbol1787z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_symbol1789z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1791z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00(obj_t,
		obj_t);
	extern obj_t rgc_buffer_downcase_keyword(obj_t);
	BGL_EXPORTED_DECL unsigned char
		BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2subsymbolzd2zz__rgcz00(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2positionz62zz__rgcz00(obj_t, obj_t, obj_t);
	extern obj_t rgc_buffer_subsymbol(obj_t, long, long);
	static obj_t BGl_objectzd2initzd2zz__rgcz00();
	extern obj_t rgc_buffer_integer(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern double rgc_buffer_flonum(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2integerz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_bof_p(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t, long,
		long, long);
	static obj_t BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t, int);
	extern obj_t rgc_buffer_keyword(obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t, long);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00(obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bytez62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t);
	extern obj_t rgc_buffer_substring(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t, long,
		long);
	static obj_t BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_upcase_subsymbol(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(obj_t, long);
	extern obj_t rgc_buffer_escape_substring(obj_t, long, long, bool_t);
	static obj_t BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2bufposz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_bol_p(obj_t);
	static obj_t BGl_z62rgczd2thezd2submatchz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_insert_substring(obj_t, obj_t, long, long);
	extern bool_t rgc_buffer_eof_p(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgcz00();
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eof2zf3zf3zz__rgcz00(obj_t, long,
		long);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00();
	static obj_t BGl_gczd2rootszd2initz00zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2substringz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	extern long rgc_buffer_fixnum(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t, long,
		long);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t, long,
		long);
	extern bool_t rgc_buffer_insert_char(obj_t, int);
	static obj_t BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	extern int rgc_buffer_unget_char(obj_t, int);
	extern obj_t rgc_buffer_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00(obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2fillzd2bufferz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BUNSPEC;
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2forwardz00zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_eol_p(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00(obj_t, obj_t, long,
		long);
	static obj_t BGl_z62rgczd2startzd2matchz12z70zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_eof2_p(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t rgc_buffer_upcase_keyword(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_fill_buffer(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2subsymbolzd2zz__rgcz00(obj_t, long, long);
	BGL_EXPORTED_DECL double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(obj_t, long, long,
		bool_t);
	extern obj_t rgc_buffer_downcase_subsymbol(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eof2zf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71795za7,
		BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2positionzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71796za7,
		BGl_z62rgczd2bufferzd2positionz62zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bofzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71797za7,
		BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2flonumzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71798za7,
		BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2thezd2submatchzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2theza7d2s1799za7,
		BGl_z62rgczd2thezd2submatchz62zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71800za7,
		BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2bytezd2refzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71801za7,
		BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2symbolzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71802za7,
		BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2stopzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2stopza7d21803za7,
		BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2subsymbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71804za7,
		BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2fixnumzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71805za7,
		BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71806za7,
		BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2insertzd2substringz12zd2envz12zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71807za7,
		BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1749z00zz__rgcz00,
		BgL_bgl_string1749za700za7za7_1808za7, "/tmp/bigloo/runtime/Rgc/rgc.scm",
		31);
	      DEFINE_STRING(BGl_string1750z00zz__rgcz00,
		BgL_bgl_string1750za700za7za7_1809za7, "&rgc-buffer-get-char", 20);
	      DEFINE_STRING(BGl_string1751z00zz__rgcz00,
		BgL_bgl_string1751za700za7za7_1810za7, "input-port", 10);
	      DEFINE_STRING(BGl_string1752z00zz__rgcz00,
		BgL_bgl_string1752za700za7za7_1811za7, "bint", 4);
	      DEFINE_STRING(BGl_string1753z00zz__rgcz00,
		BgL_bgl_string1753za700za7za7_1812za7, "&rgc-buffer-unget-char", 22);
	      DEFINE_STRING(BGl_string1754z00zz__rgcz00,
		BgL_bgl_string1754za700za7za7_1813za7, "&rgc-buffer-insert-substring!", 29);
	      DEFINE_STRING(BGl_string1755z00zz__rgcz00,
		BgL_bgl_string1755za700za7za7_1814za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1756z00zz__rgcz00,
		BgL_bgl_string1756za700za7za7_1815za7, "&rgc-buffer-insert-char!", 24);
	      DEFINE_STRING(BGl_string1757z00zz__rgcz00,
		BgL_bgl_string1757za700za7za7_1816za7, "&rgc-buffer-character", 21);
	      DEFINE_STRING(BGl_string1758z00zz__rgcz00,
		BgL_bgl_string1758za700za7za7_1817za7, "&rgc-buffer-byte", 16);
	      DEFINE_STRING(BGl_string1759z00zz__rgcz00,
		BgL_bgl_string1759za700za7za7_1818za7, "&rgc-buffer-byte-ref", 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2getzd2charzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71819za7,
		BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bufposzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71820za7,
		BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1760z00zz__rgcz00,
		BgL_bgl_string1760za700za7za7_1821za7, "&rgc-buffer-substring", 21);
	      DEFINE_STRING(BGl_string1761z00zz__rgcz00,
		BgL_bgl_string1761za700za7za7_1822za7, "&rgc-buffer-escape-substring", 28);
	      DEFINE_STRING(BGl_string1762z00zz__rgcz00,
		BgL_bgl_string1762za700za7za7_1823za7, "&rgc-buffer-length", 18);
	      DEFINE_STRING(BGl_string1763z00zz__rgcz00,
		BgL_bgl_string1763za700za7za7_1824za7, "&rgc-buffer-fixnum", 18);
	      DEFINE_STRING(BGl_string1764z00zz__rgcz00,
		BgL_bgl_string1764za700za7za7_1825za7, "&rgc-buffer-integer", 19);
	      DEFINE_STRING(BGl_string1765z00zz__rgcz00,
		BgL_bgl_string1765za700za7za7_1826za7, "&rgc-buffer-flonum", 18);
	      DEFINE_STRING(BGl_string1766z00zz__rgcz00,
		BgL_bgl_string1766za700za7za7_1827za7, "&rgc-buffer-symbol", 18);
	      DEFINE_STRING(BGl_string1767z00zz__rgcz00,
		BgL_bgl_string1767za700za7za7_1828za7, "&rgc-buffer-subsymbol", 21);
	      DEFINE_STRING(BGl_string1768z00zz__rgcz00,
		BgL_bgl_string1768za700za7za7_1829za7, "&rgc-buffer-downcase-symbol", 27);
	      DEFINE_STRING(BGl_string1769z00zz__rgcz00,
		BgL_bgl_string1769za700za7za7_1830za7, "&rgc-buffer-downcase-subsymbol",
		30);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2forwardzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71831za7,
		BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1770z00zz__rgcz00,
		BgL_bgl_string1770za700za7za7_1832za7, "&rgc-buffer-upcase-symbol", 25);
	      DEFINE_STRING(BGl_string1771z00zz__rgcz00,
		BgL_bgl_string1771za700za7za7_1833za7, "&rgc-buffer-upcase-subsymbol", 28);
	      DEFINE_STRING(BGl_string1772z00zz__rgcz00,
		BgL_bgl_string1772za700za7za7_1834za7, "&rgc-buffer-keyword", 19);
	      DEFINE_STRING(BGl_string1773z00zz__rgcz00,
		BgL_bgl_string1773za700za7za7_1835za7, "&rgc-buffer-downcase-keyword", 28);
	      DEFINE_STRING(BGl_string1774z00zz__rgcz00,
		BgL_bgl_string1774za700za7za7_1836za7, "&rgc-buffer-upcase-keyword", 26);
	      DEFINE_STRING(BGl_string1775z00zz__rgcz00,
		BgL_bgl_string1775za700za7za7_1837za7, "&rgc-buffer-position", 20);
	      DEFINE_STRING(BGl_string1776z00zz__rgcz00,
		BgL_bgl_string1776za700za7za7_1838za7, "&rgc-buffer-forward", 19);
	      DEFINE_STRING(BGl_string1777z00zz__rgcz00,
		BgL_bgl_string1777za700za7za7_1839za7, "&rgc-buffer-bufpos", 18);
	      DEFINE_STRING(BGl_string1778z00zz__rgcz00,
		BgL_bgl_string1778za700za7za7_1840za7, "&rgc-set-filepos!", 17);
	      DEFINE_STRING(BGl_string1779z00zz__rgcz00,
		BgL_bgl_string1779za700za7za7_1841za7, "&rgc-start-match!", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2subsymbolzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71842za7,
		BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1780z00zz__rgcz00,
		BgL_bgl_string1780za700za7za7_1843za7, "&rgc-stop-match!", 16);
	      DEFINE_STRING(BGl_string1781z00zz__rgcz00,
		BgL_bgl_string1781za700za7za7_1844za7, "&rgc-fill-buffer", 16);
	      DEFINE_STRING(BGl_string1782z00zz__rgcz00,
		BgL_bgl_string1782za700za7za7_1845za7, "&rgc-buffer-bol?", 16);
	      DEFINE_STRING(BGl_string1783z00zz__rgcz00,
		BgL_bgl_string1783za700za7za7_1846za7, "&rgc-buffer-eol?", 16);
	      DEFINE_STRING(BGl_string1784z00zz__rgcz00,
		BgL_bgl_string1784za700za7za7_1847za7, "&rgc-buffer-bof?", 16);
	      DEFINE_STRING(BGl_string1785z00zz__rgcz00,
		BgL_bgl_string1785za700za7za7_1848za7, "&rgc-buffer-eof?", 16);
	      DEFINE_STRING(BGl_string1786z00zz__rgcz00,
		BgL_bgl_string1786za700za7za7_1849za7, "&rgc-buffer-eof2?", 17);
	      DEFINE_STRING(BGl_string1788z00zz__rgcz00,
		BgL_bgl_string1788za700za7za7_1850za7, "stop", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2integerzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71851za7,
		BGl_z62rgczd2bufferzd2integerz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1790z00zz__rgcz00,
		BgL_bgl_string1790za700za7za7_1852za7, "start", 5);
	      DEFINE_STRING(BGl_string1792z00zz__rgcz00,
		BgL_bgl_string1792za700za7za7_1853za7, "start*", 6);
	      DEFINE_STRING(BGl_string1793z00zz__rgcz00,
		BgL_bgl_string1793za700za7za7_1854za7, "&rgc-the-submatch", 17);
	      DEFINE_STRING(BGl_string1794z00zz__rgcz00,
		BgL_bgl_string1794za700za7za7_1855za7, "__rgc", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2keywordzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71856za7,
		BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eolzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71857za7,
		BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2insertzd2charz12zd2envz12zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71858za7,
		BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2lengthzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71859za7,
		BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2fillzd2bufferzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2fillza7d21860za7,
		BGl_z62rgczd2fillzd2bufferz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2subsymbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71861za7,
		BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eofzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71862za7,
		BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2ungetzd2charzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71863za7,
		BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2characterzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71864za7,
		BGl_z62rgczd2bufferzd2characterz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2escapezd2substringzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71865za7,
		BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2substringzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71866za7,
		BGl_z62rgczd2bufferzd2substringz62zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2startzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2startza7d1867za7,
		BGl_z62rgczd2startzd2matchz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71868za7,
		BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bytezd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71869za7,
		BGl_z62rgczd2bufferzd2bytez62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71870za7,
		BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2setzd2fileposz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2setza7d2f1871za7,
		BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bolzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71872za7,
		BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__rgcz00));
		     ADD_ROOT((void *) (&BGl_symbol1787z00zz__rgcz00));
		     ADD_ROOT((void *) (&BGl_symbol1789z00zz__rgcz00));
		     ADD_ROOT((void *) (&BGl_symbol1791z00zz__rgcz00));
		     ADD_ROOT((void *) (&BGl_za2unsafezd2rgcza2zd2zz__rgcz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long
		BgL_checksumz00_2119, char *BgL_fromz00_2120)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgcz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgcz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__rgcz00();
					BGl_cnstzd2initzd2zz__rgcz00();
					BGl_importedzd2moduleszd2initz00zz__rgcz00();
					return BGl_toplevelzd2initzd2zz__rgcz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgcz00()
	{
		{	/* Rgc/rgc.scm 17 */
			BGl_symbol1787z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1788z00zz__rgcz00);
			BGl_symbol1789z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1790z00zz__rgcz00);
			return (BGl_symbol1791z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1792z00zz__rgcz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__rgcz00()
	{
		{	/* Rgc/rgc.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgcz00()
	{
		{	/* Rgc/rgc.scm 17 */
			return (BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BFALSE, BUNSPEC);
		}

	}



/* rgc-buffer-get-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_3, long BgL_indexz00_4)
	{
		{	/* Rgc/rgc.scm 241 */
			return RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_3, BgL_indexz00_4);
		}

	}



/* &rgc-buffer-get-char */
	obj_t BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00(obj_t BgL_envz00_1898,
		obj_t BgL_inputzd2portzd2_1899, obj_t BgL_indexz00_1900)
	{
		{	/* Rgc/rgc.scm 241 */
			{	/* Rgc/rgc.scm 242 */
				int BgL_tmpz00_2133;

				{	/* Rgc/rgc.scm 242 */
					long BgL_auxz00_2141;
					obj_t BgL_auxz00_2134;

					{	/* Rgc/rgc.scm 242 */
						obj_t BgL_tmpz00_2142;

						if (INTEGERP(BgL_indexz00_1900))
							{	/* Rgc/rgc.scm 242 */
								BgL_tmpz00_2142 = BgL_indexz00_1900;
							}
						else
							{
								obj_t BgL_auxz00_2145;

								BgL_auxz00_2145 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 11343)), BGl_string1750z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_indexz00_1900);
								FAILURE(BgL_auxz00_2145, BFALSE, BFALSE);
							}
						BgL_auxz00_2141 = (long) CINT(BgL_tmpz00_2142);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1899))
						{	/* Rgc/rgc.scm 242 */
							BgL_auxz00_2134 = BgL_inputzd2portzd2_1899;
						}
					else
						{
							obj_t BgL_auxz00_2137;

							BgL_auxz00_2137 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 11343)), BGl_string1750z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1899);
							FAILURE(BgL_auxz00_2137, BFALSE, BFALSE);
						}
					BgL_tmpz00_2133 =
						BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(BgL_auxz00_2134,
						BgL_auxz00_2141);
				}
				return BINT(BgL_tmpz00_2133);
			}
		}

	}



/* rgc-buffer-unget-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_5, int BgL_charz00_6)
	{
		{	/* Rgc/rgc.scm 247 */
			return rgc_buffer_unget_char(BgL_inputzd2portzd2_5, BgL_charz00_6);
		}

	}



/* &rgc-buffer-unget-char */
	obj_t BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00(obj_t BgL_envz00_1901,
		obj_t BgL_inputzd2portzd2_1902, obj_t BgL_charz00_1903)
	{
		{	/* Rgc/rgc.scm 247 */
			{	/* Rgc/rgc.scm 248 */
				int BgL_tmpz00_2153;

				{	/* Rgc/rgc.scm 248 */
					int BgL_auxz00_2161;
					obj_t BgL_auxz00_2154;

					{	/* Rgc/rgc.scm 248 */
						obj_t BgL_tmpz00_2162;

						if (INTEGERP(BgL_charz00_1903))
							{	/* Rgc/rgc.scm 248 */
								BgL_tmpz00_2162 = BgL_charz00_1903;
							}
						else
							{
								obj_t BgL_auxz00_2165;

								BgL_auxz00_2165 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 11665)), BGl_string1753z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_charz00_1903);
								FAILURE(BgL_auxz00_2165, BFALSE, BFALSE);
							}
						BgL_auxz00_2161 = CINT(BgL_tmpz00_2162);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1902))
						{	/* Rgc/rgc.scm 248 */
							BgL_auxz00_2154 = BgL_inputzd2portzd2_1902;
						}
					else
						{
							obj_t BgL_auxz00_2157;

							BgL_auxz00_2157 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 11665)), BGl_string1753z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1902);
							FAILURE(BgL_auxz00_2157, BFALSE, BFALSE);
						}
					BgL_tmpz00_2153 =
						BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(BgL_auxz00_2154,
						BgL_auxz00_2161);
				}
				return BINT(BgL_tmpz00_2153);
			}
		}

	}



/* rgc-buffer-insert-substring! */
	BGL_EXPORTED_DEF bool_t
		BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00(obj_t
		BgL_inputzd2portzd2_7, obj_t BgL_strz00_8, long BgL_fromz00_9,
		long BgL_toz00_10)
	{
		{	/* Rgc/rgc.scm 253 */
			return
				rgc_buffer_insert_substring(BgL_inputzd2portzd2_7, BgL_strz00_8,
				BgL_fromz00_9, BgL_toz00_10);
		}

	}



/* &rgc-buffer-insert-substring! */
	obj_t BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00(obj_t
		BgL_envz00_1904, obj_t BgL_inputzd2portzd2_1905, obj_t BgL_strz00_1906,
		obj_t BgL_fromz00_1907, obj_t BgL_toz00_1908)
	{
		{	/* Rgc/rgc.scm 253 */
			{	/* Rgc/rgc.scm 254 */
				bool_t BgL_tmpz00_2173;

				{	/* Rgc/rgc.scm 254 */
					long BgL_auxz00_2197;
					long BgL_auxz00_2188;
					obj_t BgL_auxz00_2181;
					obj_t BgL_auxz00_2174;

					{	/* Rgc/rgc.scm 254 */
						obj_t BgL_tmpz00_2198;

						if (INTEGERP(BgL_toz00_1908))
							{	/* Rgc/rgc.scm 254 */
								BgL_tmpz00_2198 = BgL_toz00_1908;
							}
						else
							{
								obj_t BgL_auxz00_2201;

								BgL_auxz00_2201 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 12002)), BGl_string1754z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_toz00_1908);
								FAILURE(BgL_auxz00_2201, BFALSE, BFALSE);
							}
						BgL_auxz00_2197 = (long) CINT(BgL_tmpz00_2198);
					}
					{	/* Rgc/rgc.scm 254 */
						obj_t BgL_tmpz00_2189;

						if (INTEGERP(BgL_fromz00_1907))
							{	/* Rgc/rgc.scm 254 */
								BgL_tmpz00_2189 = BgL_fromz00_1907;
							}
						else
							{
								obj_t BgL_auxz00_2192;

								BgL_auxz00_2192 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 12002)), BGl_string1754z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_fromz00_1907);
								FAILURE(BgL_auxz00_2192, BFALSE, BFALSE);
							}
						BgL_auxz00_2188 = (long) CINT(BgL_tmpz00_2189);
					}
					if (STRINGP(BgL_strz00_1906))
						{	/* Rgc/rgc.scm 254 */
							BgL_auxz00_2181 = BgL_strz00_1906;
						}
					else
						{
							obj_t BgL_auxz00_2184;

							BgL_auxz00_2184 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 12002)), BGl_string1754z00zz__rgcz00,
								BGl_string1755z00zz__rgcz00, BgL_strz00_1906);
							FAILURE(BgL_auxz00_2184, BFALSE, BFALSE);
						}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1905))
						{	/* Rgc/rgc.scm 254 */
							BgL_auxz00_2174 = BgL_inputzd2portzd2_1905;
						}
					else
						{
							obj_t BgL_auxz00_2177;

							BgL_auxz00_2177 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 12002)), BGl_string1754z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1905);
							FAILURE(BgL_auxz00_2177, BFALSE, BFALSE);
						}
					BgL_tmpz00_2173 =
						BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00
						(BgL_auxz00_2174, BgL_auxz00_2181, BgL_auxz00_2188,
						BgL_auxz00_2197);
				}
				return BBOOL(BgL_tmpz00_2173);
			}
		}

	}



/* rgc-buffer-insert-char! */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(obj_t
		BgL_inputzd2portzd2_11, long BgL_charz00_12)
	{
		{	/* Rgc/rgc.scm 259 */
			return
				rgc_buffer_insert_char(BgL_inputzd2portzd2_11, (int) (BgL_charz00_12));
		}

	}



/* &rgc-buffer-insert-char! */
	obj_t BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00(obj_t
		BgL_envz00_1909, obj_t BgL_inputzd2portzd2_1910, obj_t BgL_charz00_1911)
	{
		{	/* Rgc/rgc.scm 259 */
			{	/* Rgc/rgc.scm 260 */
				bool_t BgL_tmpz00_2210;

				{	/* Rgc/rgc.scm 260 */
					long BgL_auxz00_2218;
					obj_t BgL_auxz00_2211;

					{	/* Rgc/rgc.scm 260 */
						obj_t BgL_tmpz00_2219;

						if (INTEGERP(BgL_charz00_1911))
							{	/* Rgc/rgc.scm 260 */
								BgL_tmpz00_2219 = BgL_charz00_1911;
							}
						else
							{
								obj_t BgL_auxz00_2222;

								BgL_auxz00_2222 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 12340)), BGl_string1756z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_charz00_1911);
								FAILURE(BgL_auxz00_2222, BFALSE, BFALSE);
							}
						BgL_auxz00_2218 = (long) CINT(BgL_tmpz00_2219);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1910))
						{	/* Rgc/rgc.scm 260 */
							BgL_auxz00_2211 = BgL_inputzd2portzd2_1910;
						}
					else
						{
							obj_t BgL_auxz00_2214;

							BgL_auxz00_2214 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 12340)), BGl_string1756z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1910);
							FAILURE(BgL_auxz00_2214, BFALSE, BFALSE);
						}
					BgL_tmpz00_2210 =
						BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(BgL_auxz00_2211,
						BgL_auxz00_2218);
				}
				return BBOOL(BgL_tmpz00_2210);
			}
		}

	}



/* rgc-buffer-character */
	BGL_EXPORTED_DEF unsigned char BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_13)
	{
		{	/* Rgc/rgc.scm 265 */
			return RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_13);
		}

	}



/* &rgc-buffer-character */
	obj_t BGl_z62rgczd2bufferzd2characterz62zz__rgcz00(obj_t BgL_envz00_1912,
		obj_t BgL_inputzd2portzd2_1913)
	{
		{	/* Rgc/rgc.scm 265 */
			{	/* Rgc/rgc.scm 266 */
				unsigned char BgL_tmpz00_2230;

				{	/* Rgc/rgc.scm 266 */
					obj_t BgL_auxz00_2231;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1913))
						{	/* Rgc/rgc.scm 266 */
							BgL_auxz00_2231 = BgL_inputzd2portzd2_1913;
						}
					else
						{
							obj_t BgL_auxz00_2234;

							BgL_auxz00_2234 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 12658)), BGl_string1757z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1913);
							FAILURE(BgL_auxz00_2234, BFALSE, BFALSE);
						}
					BgL_tmpz00_2230 =
						BGl_rgczd2bufferzd2characterz00zz__rgcz00(BgL_auxz00_2231);
				}
				return BCHAR(BgL_tmpz00_2230);
			}
		}

	}



/* rgc-buffer-byte */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_14)
	{
		{	/* Rgc/rgc.scm 271 */
			return RGC_BUFFER_BYTE(BgL_inputzd2portzd2_14);
		}

	}



/* &rgc-buffer-byte */
	obj_t BGl_z62rgczd2bufferzd2bytez62zz__rgcz00(obj_t BgL_envz00_1914,
		obj_t BgL_inputzd2portzd2_1915)
	{
		{	/* Rgc/rgc.scm 271 */
			{	/* Rgc/rgc.scm 272 */
				int BgL_tmpz00_2241;

				{	/* Rgc/rgc.scm 272 */
					obj_t BgL_auxz00_2242;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1915))
						{	/* Rgc/rgc.scm 272 */
							BgL_auxz00_2242 = BgL_inputzd2portzd2_1915;
						}
					else
						{
							obj_t BgL_auxz00_2245;

							BgL_auxz00_2245 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 12964)), BGl_string1758z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1915);
							FAILURE(BgL_auxz00_2245, BFALSE, BFALSE);
						}
					BgL_tmpz00_2241 =
						BGl_rgczd2bufferzd2bytez00zz__rgcz00(BgL_auxz00_2242);
				}
				return BINT(BgL_tmpz00_2241);
			}
		}

	}



/* rgc-buffer-byte-ref */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_15, int BgL_offsetz00_16)
	{
		{	/* Rgc/rgc.scm 277 */
			return RGC_BUFFER_BYTE_REF(BgL_inputzd2portzd2_15, BgL_offsetz00_16);
		}

	}



/* &rgc-buffer-byte-ref */
	obj_t BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00(obj_t BgL_envz00_1916,
		obj_t BgL_inputzd2portzd2_1917, obj_t BgL_offsetz00_1918)
	{
		{	/* Rgc/rgc.scm 277 */
			{	/* Rgc/rgc.scm 278 */
				int BgL_tmpz00_2252;

				{	/* Rgc/rgc.scm 278 */
					int BgL_auxz00_2260;
					obj_t BgL_auxz00_2253;

					{	/* Rgc/rgc.scm 278 */
						obj_t BgL_tmpz00_2261;

						if (INTEGERP(BgL_offsetz00_1918))
							{	/* Rgc/rgc.scm 278 */
								BgL_tmpz00_2261 = BgL_offsetz00_1918;
							}
						else
							{
								obj_t BgL_auxz00_2264;

								BgL_auxz00_2264 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 13276)), BGl_string1759z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_offsetz00_1918);
								FAILURE(BgL_auxz00_2264, BFALSE, BFALSE);
							}
						BgL_auxz00_2260 = CINT(BgL_tmpz00_2261);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1917))
						{	/* Rgc/rgc.scm 278 */
							BgL_auxz00_2253 = BgL_inputzd2portzd2_1917;
						}
					else
						{
							obj_t BgL_auxz00_2256;

							BgL_auxz00_2256 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 13276)), BGl_string1759z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1917);
							FAILURE(BgL_auxz00_2256, BFALSE, BFALSE);
						}
					BgL_tmpz00_2252 =
						BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(BgL_auxz00_2253,
						BgL_auxz00_2260);
				}
				return BINT(BgL_tmpz00_2252);
			}
		}

	}



/* rgc-buffer-substring */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_17, long BgL_startz00_18, long BgL_stopz00_19)
	{
		{	/* Rgc/rgc.scm 283 */
			return
				rgc_buffer_substring(BgL_inputzd2portzd2_17, BgL_startz00_18,
				BgL_stopz00_19);
		}

	}



/* &rgc-buffer-substring */
	obj_t BGl_z62rgczd2bufferzd2substringz62zz__rgcz00(obj_t BgL_envz00_1919,
		obj_t BgL_inputzd2portzd2_1920, obj_t BgL_startz00_1921,
		obj_t BgL_stopz00_1922)
	{
		{	/* Rgc/rgc.scm 283 */
			{	/* Rgc/rgc.scm 284 */
				long BgL_auxz00_2288;
				long BgL_auxz00_2279;
				obj_t BgL_auxz00_2272;

				{	/* Rgc/rgc.scm 284 */
					obj_t BgL_tmpz00_2289;

					if (INTEGERP(BgL_stopz00_1922))
						{	/* Rgc/rgc.scm 284 */
							BgL_tmpz00_2289 = BgL_stopz00_1922;
						}
					else
						{
							obj_t BgL_auxz00_2292;

							BgL_auxz00_2292 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 13604)), BGl_string1760z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_stopz00_1922);
							FAILURE(BgL_auxz00_2292, BFALSE, BFALSE);
						}
					BgL_auxz00_2288 = (long) CINT(BgL_tmpz00_2289);
				}
				{	/* Rgc/rgc.scm 284 */
					obj_t BgL_tmpz00_2280;

					if (INTEGERP(BgL_startz00_1921))
						{	/* Rgc/rgc.scm 284 */
							BgL_tmpz00_2280 = BgL_startz00_1921;
						}
					else
						{
							obj_t BgL_auxz00_2283;

							BgL_auxz00_2283 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 13604)), BGl_string1760z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_startz00_1921);
							FAILURE(BgL_auxz00_2283, BFALSE, BFALSE);
						}
					BgL_auxz00_2279 = (long) CINT(BgL_tmpz00_2280);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1920))
					{	/* Rgc/rgc.scm 284 */
						BgL_auxz00_2272 = BgL_inputzd2portzd2_1920;
					}
				else
					{
						obj_t BgL_auxz00_2275;

						BgL_auxz00_2275 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 13604)), BGl_string1760z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1920);
						FAILURE(BgL_auxz00_2275, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2substringz00zz__rgcz00(BgL_auxz00_2272,
					BgL_auxz00_2279, BgL_auxz00_2288);
			}
		}

	}



/* rgc-buffer-escape-substring */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_20, long BgL_startz00_21, long BgL_stopz00_22,
		bool_t BgL_strictz00_23)
	{
		{	/* Rgc/rgc.scm 289 */
			return
				rgc_buffer_escape_substring(BgL_inputzd2portzd2_20, BgL_startz00_21,
				BgL_stopz00_22, BgL_strictz00_23);
		}

	}



/* &rgc-buffer-escape-substring */
	obj_t BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00(obj_t
		BgL_envz00_1923, obj_t BgL_inputzd2portzd2_1924, obj_t BgL_startz00_1925,
		obj_t BgL_stopz00_1926, obj_t BgL_strictz00_1927)
	{
		{	/* Rgc/rgc.scm 289 */
			{	/* Rgc/rgc.scm 290 */
				long BgL_auxz00_2315;
				long BgL_auxz00_2306;
				obj_t BgL_auxz00_2299;

				{	/* Rgc/rgc.scm 290 */
					obj_t BgL_tmpz00_2316;

					if (INTEGERP(BgL_stopz00_1926))
						{	/* Rgc/rgc.scm 290 */
							BgL_tmpz00_2316 = BgL_stopz00_1926;
						}
					else
						{
							obj_t BgL_auxz00_2319;

							BgL_auxz00_2319 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 13951)), BGl_string1761z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_stopz00_1926);
							FAILURE(BgL_auxz00_2319, BFALSE, BFALSE);
						}
					BgL_auxz00_2315 = (long) CINT(BgL_tmpz00_2316);
				}
				{	/* Rgc/rgc.scm 290 */
					obj_t BgL_tmpz00_2307;

					if (INTEGERP(BgL_startz00_1925))
						{	/* Rgc/rgc.scm 290 */
							BgL_tmpz00_2307 = BgL_startz00_1925;
						}
					else
						{
							obj_t BgL_auxz00_2310;

							BgL_auxz00_2310 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 13951)), BGl_string1761z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_startz00_1925);
							FAILURE(BgL_auxz00_2310, BFALSE, BFALSE);
						}
					BgL_auxz00_2306 = (long) CINT(BgL_tmpz00_2307);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1924))
					{	/* Rgc/rgc.scm 290 */
						BgL_auxz00_2299 = BgL_inputzd2portzd2_1924;
					}
				else
					{
						obj_t BgL_auxz00_2302;

						BgL_auxz00_2302 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 13951)), BGl_string1761z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1924);
						FAILURE(BgL_auxz00_2302, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(BgL_auxz00_2299,
					BgL_auxz00_2306, BgL_auxz00_2315, CBOOL(BgL_strictz00_1927));
			}
		}

	}



/* rgc-buffer-length */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_24)
	{
		{	/* Rgc/rgc.scm 295 */
			return RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_24);
		}

	}



/* &rgc-buffer-length */
	obj_t BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00(obj_t BgL_envz00_1928,
		obj_t BgL_inputzd2portzd2_1929)
	{
		{	/* Rgc/rgc.scm 295 */
			{	/* Rgc/rgc.scm 296 */
				long BgL_tmpz00_2327;

				{	/* Rgc/rgc.scm 296 */
					obj_t BgL_auxz00_2328;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1929))
						{	/* Rgc/rgc.scm 296 */
							BgL_auxz00_2328 = BgL_inputzd2portzd2_1929;
						}
					else
						{
							obj_t BgL_auxz00_2331;

							BgL_auxz00_2331 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 14302)), BGl_string1762z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1929);
							FAILURE(BgL_auxz00_2331, BFALSE, BFALSE);
						}
					BgL_tmpz00_2327 =
						BGl_rgczd2bufferzd2lengthz00zz__rgcz00(BgL_auxz00_2328);
				}
				return BINT(BgL_tmpz00_2327);
			}
		}

	}



/* rgc-buffer-fixnum */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_25)
	{
		{	/* Rgc/rgc.scm 301 */
			return rgc_buffer_fixnum(BgL_inputzd2portzd2_25);
		}

	}



/* &rgc-buffer-fixnum */
	obj_t BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00(obj_t BgL_envz00_1930,
		obj_t BgL_inputzd2portzd2_1931)
	{
		{	/* Rgc/rgc.scm 301 */
			{	/* Rgc/rgc.scm 302 */
				long BgL_tmpz00_2338;

				{	/* Rgc/rgc.scm 302 */
					obj_t BgL_auxz00_2339;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1931))
						{	/* Rgc/rgc.scm 302 */
							BgL_auxz00_2339 = BgL_inputzd2portzd2_1931;
						}
					else
						{
							obj_t BgL_auxz00_2342;

							BgL_auxz00_2342 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 14625)), BGl_string1763z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1931);
							FAILURE(BgL_auxz00_2342, BFALSE, BFALSE);
						}
					BgL_tmpz00_2338 =
						BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(BgL_auxz00_2339);
				}
				return BINT(BgL_tmpz00_2338);
			}
		}

	}



/* rgc-buffer-integer */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_26)
	{
		{	/* Rgc/rgc.scm 307 */
			return rgc_buffer_integer(BgL_inputzd2portzd2_26);
		}

	}



/* &rgc-buffer-integer */
	obj_t BGl_z62rgczd2bufferzd2integerz62zz__rgcz00(obj_t BgL_envz00_1932,
		obj_t BgL_inputzd2portzd2_1933)
	{
		{	/* Rgc/rgc.scm 307 */
			{	/* Rgc/rgc.scm 308 */
				obj_t BgL_auxz00_2349;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1933))
					{	/* Rgc/rgc.scm 308 */
						BgL_auxz00_2349 = BgL_inputzd2portzd2_1933;
					}
				else
					{
						obj_t BgL_auxz00_2352;

						BgL_auxz00_2352 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 14948)), BGl_string1764z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1933);
						FAILURE(BgL_auxz00_2352, BFALSE, BFALSE);
					}
				return BGl_rgczd2bufferzd2integerz00zz__rgcz00(BgL_auxz00_2349);
			}
		}

	}



/* rgc-buffer-flonum */
	BGL_EXPORTED_DEF double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_27)
	{
		{	/* Rgc/rgc.scm 313 */
			return rgc_buffer_flonum(BgL_inputzd2portzd2_27);
		}

	}



/* &rgc-buffer-flonum */
	obj_t BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00(obj_t BgL_envz00_1934,
		obj_t BgL_inputzd2portzd2_1935)
	{
		{	/* Rgc/rgc.scm 313 */
			{	/* Rgc/rgc.scm 314 */
				double BgL_tmpz00_2358;

				{	/* Rgc/rgc.scm 314 */
					obj_t BgL_auxz00_2359;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1935))
						{	/* Rgc/rgc.scm 314 */
							BgL_auxz00_2359 = BgL_inputzd2portzd2_1935;
						}
					else
						{
							obj_t BgL_auxz00_2362;

							BgL_auxz00_2362 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 15274)), BGl_string1765z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1935);
							FAILURE(BgL_auxz00_2362, BFALSE, BFALSE);
						}
					BgL_tmpz00_2358 =
						BGl_rgczd2bufferzd2flonumz00zz__rgcz00(BgL_auxz00_2359);
				}
				return DOUBLE_TO_REAL(BgL_tmpz00_2358);
			}
		}

	}



/* rgc-buffer-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_28)
	{
		{	/* Rgc/rgc.scm 319 */
			return rgc_buffer_symbol(BgL_inputzd2portzd2_28);
		}

	}



/* &rgc-buffer-symbol */
	obj_t BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00(obj_t BgL_envz00_1936,
		obj_t BgL_inputzd2portzd2_1937)
	{
		{	/* Rgc/rgc.scm 319 */
			{	/* Rgc/rgc.scm 320 */
				obj_t BgL_auxz00_2369;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1937))
					{	/* Rgc/rgc.scm 320 */
						BgL_auxz00_2369 = BgL_inputzd2portzd2_1937;
					}
				else
					{
						obj_t BgL_auxz00_2372;

						BgL_auxz00_2372 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 15599)), BGl_string1766z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1937);
						FAILURE(BgL_auxz00_2372, BFALSE, BFALSE);
					}
				return BGl_rgczd2bufferzd2symbolz00zz__rgcz00(BgL_auxz00_2369);
			}
		}

	}



/* rgc-buffer-subsymbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_29, long BgL_startz00_30, long BgL_stopz00_31)
	{
		{	/* Rgc/rgc.scm 325 */
			return
				rgc_buffer_subsymbol(BgL_inputzd2portzd2_29, BgL_startz00_30,
				BgL_stopz00_31);
		}

	}



/* &rgc-buffer-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00(obj_t BgL_envz00_1938,
		obj_t BgL_inputzd2portzd2_1939, obj_t BgL_startz00_1940,
		obj_t BgL_stopz00_1941)
	{
		{	/* Rgc/rgc.scm 325 */
			{	/* Rgc/rgc.scm 326 */
				long BgL_auxz00_2394;
				long BgL_auxz00_2385;
				obj_t BgL_auxz00_2378;

				{	/* Rgc/rgc.scm 326 */
					obj_t BgL_tmpz00_2395;

					if (INTEGERP(BgL_stopz00_1941))
						{	/* Rgc/rgc.scm 326 */
							BgL_tmpz00_2395 = BgL_stopz00_1941;
						}
					else
						{
							obj_t BgL_auxz00_2398;

							BgL_auxz00_2398 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 15918)), BGl_string1767z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_stopz00_1941);
							FAILURE(BgL_auxz00_2398, BFALSE, BFALSE);
						}
					BgL_auxz00_2394 = (long) CINT(BgL_tmpz00_2395);
				}
				{	/* Rgc/rgc.scm 326 */
					obj_t BgL_tmpz00_2386;

					if (INTEGERP(BgL_startz00_1940))
						{	/* Rgc/rgc.scm 326 */
							BgL_tmpz00_2386 = BgL_startz00_1940;
						}
					else
						{
							obj_t BgL_auxz00_2389;

							BgL_auxz00_2389 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 15918)), BGl_string1767z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_startz00_1940);
							FAILURE(BgL_auxz00_2389, BFALSE, BFALSE);
						}
					BgL_auxz00_2385 = (long) CINT(BgL_tmpz00_2386);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1939))
					{	/* Rgc/rgc.scm 326 */
						BgL_auxz00_2378 = BgL_inputzd2portzd2_1939;
					}
				else
					{
						obj_t BgL_auxz00_2381;

						BgL_auxz00_2381 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 15918)), BGl_string1767z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1939);
						FAILURE(BgL_auxz00_2381, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(BgL_auxz00_2378,
					BgL_auxz00_2385, BgL_auxz00_2394);
			}
		}

	}



/* rgc-buffer-downcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_32)
	{
		{	/* Rgc/rgc.scm 331 */
			{	/* Rgc/rgc.scm 332 */
				long BgL_arg1164z00_2115;

				{	/* Rgc/rgc.scm 332 */
					long BgL_res1555z00_2116;

					BgL_res1555z00_2116 = RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_32);
					BgL_arg1164z00_2115 = BgL_res1555z00_2116;
				}
				return
					rgc_buffer_downcase_subsymbol(BgL_inputzd2portzd2_32, ((long) 0),
					BgL_arg1164z00_2115);
		}}

	}



/* &rgc-buffer-downcase-symbol */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00(obj_t
		BgL_envz00_1942, obj_t BgL_inputzd2portzd2_1943)
	{
		{	/* Rgc/rgc.scm 331 */
			{	/* Rgc/rgc.scm 332 */
				obj_t BgL_auxz00_2406;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1943))
					{	/* Rgc/rgc.scm 332 */
						BgL_auxz00_2406 = BgL_inputzd2portzd2_1943;
					}
				else
					{
						obj_t BgL_auxz00_2409;

						BgL_auxz00_2409 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 16311)), BGl_string1768z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1943);
						FAILURE(BgL_auxz00_2409, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(BgL_auxz00_2406);
			}
		}

	}



/* rgc-buffer-downcase-subsymbol */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2downcasezd2subsymbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_33, long BgL_startz00_34, long BgL_stopz00_35)
	{
		{	/* Rgc/rgc.scm 337 */
			return
				rgc_buffer_downcase_subsymbol(BgL_inputzd2portzd2_33, BgL_startz00_34,
				BgL_stopz00_35);
		}

	}



/* &rgc-buffer-downcase-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00(obj_t
		BgL_envz00_1944, obj_t BgL_inputzd2portzd2_1945, obj_t BgL_startz00_1946,
		obj_t BgL_stopz00_1947)
	{
		{	/* Rgc/rgc.scm 337 */
			{	/* Rgc/rgc.scm 338 */
				long BgL_auxz00_2431;
				long BgL_auxz00_2422;
				obj_t BgL_auxz00_2415;

				{	/* Rgc/rgc.scm 338 */
					obj_t BgL_tmpz00_2432;

					if (INTEGERP(BgL_stopz00_1947))
						{	/* Rgc/rgc.scm 338 */
							BgL_tmpz00_2432 = BgL_stopz00_1947;
						}
					else
						{
							obj_t BgL_auxz00_2435;

							BgL_auxz00_2435 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 16651)), BGl_string1769z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_stopz00_1947);
							FAILURE(BgL_auxz00_2435, BFALSE, BFALSE);
						}
					BgL_auxz00_2431 = (long) CINT(BgL_tmpz00_2432);
				}
				{	/* Rgc/rgc.scm 338 */
					obj_t BgL_tmpz00_2423;

					if (INTEGERP(BgL_startz00_1946))
						{	/* Rgc/rgc.scm 338 */
							BgL_tmpz00_2423 = BgL_startz00_1946;
						}
					else
						{
							obj_t BgL_auxz00_2426;

							BgL_auxz00_2426 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 16651)), BGl_string1769z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_startz00_1946);
							FAILURE(BgL_auxz00_2426, BFALSE, BFALSE);
						}
					BgL_auxz00_2422 = (long) CINT(BgL_tmpz00_2423);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1945))
					{	/* Rgc/rgc.scm 338 */
						BgL_auxz00_2415 = BgL_inputzd2portzd2_1945;
					}
				else
					{
						obj_t BgL_auxz00_2418;

						BgL_auxz00_2418 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 16651)), BGl_string1769z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1945);
						FAILURE(BgL_auxz00_2418, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2downcasezd2subsymbolzd2zz__rgcz00(BgL_auxz00_2415,
					BgL_auxz00_2422, BgL_auxz00_2431);
			}
		}

	}



/* rgc-buffer-upcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_36)
	{
		{	/* Rgc/rgc.scm 343 */
			{	/* Rgc/rgc.scm 344 */
				long BgL_arg1165z00_2117;

				{	/* Rgc/rgc.scm 344 */
					long BgL_res1556z00_2118;

					BgL_res1556z00_2118 = RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_36);
					BgL_arg1165z00_2117 = BgL_res1556z00_2118;
				}
				return
					rgc_buffer_upcase_subsymbol(BgL_inputzd2portzd2_36, ((long) 0),
					BgL_arg1165z00_2117);
		}}

	}



/* &rgc-buffer-upcase-symbol */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00(obj_t
		BgL_envz00_1948, obj_t BgL_inputzd2portzd2_1949)
	{
		{	/* Rgc/rgc.scm 343 */
			{	/* Rgc/rgc.scm 344 */
				obj_t BgL_auxz00_2443;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1949))
					{	/* Rgc/rgc.scm 344 */
						BgL_auxz00_2443 = BgL_inputzd2portzd2_1949;
					}
				else
					{
						obj_t BgL_auxz00_2446;

						BgL_auxz00_2446 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 17049)), BGl_string1770z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1949);
						FAILURE(BgL_auxz00_2446, BFALSE, BFALSE);
					}
				return BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(BgL_auxz00_2443);
			}
		}

	}



/* rgc-buffer-upcase-subsymbol */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2upcasezd2subsymbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_37, long BgL_startz00_38, long BgL_stopz00_39)
	{
		{	/* Rgc/rgc.scm 349 */
			return
				rgc_buffer_upcase_subsymbol(BgL_inputzd2portzd2_37, BgL_startz00_38,
				BgL_stopz00_39);
		}

	}



/* &rgc-buffer-upcase-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00(obj_t
		BgL_envz00_1950, obj_t BgL_inputzd2portzd2_1951, obj_t BgL_startz00_1952,
		obj_t BgL_stopz00_1953)
	{
		{	/* Rgc/rgc.scm 349 */
			{	/* Rgc/rgc.scm 350 */
				long BgL_auxz00_2468;
				long BgL_auxz00_2459;
				obj_t BgL_auxz00_2452;

				{	/* Rgc/rgc.scm 350 */
					obj_t BgL_tmpz00_2469;

					if (INTEGERP(BgL_stopz00_1953))
						{	/* Rgc/rgc.scm 350 */
							BgL_tmpz00_2469 = BgL_stopz00_1953;
						}
					else
						{
							obj_t BgL_auxz00_2472;

							BgL_auxz00_2472 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 17387)), BGl_string1771z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_stopz00_1953);
							FAILURE(BgL_auxz00_2472, BFALSE, BFALSE);
						}
					BgL_auxz00_2468 = (long) CINT(BgL_tmpz00_2469);
				}
				{	/* Rgc/rgc.scm 350 */
					obj_t BgL_tmpz00_2460;

					if (INTEGERP(BgL_startz00_1952))
						{	/* Rgc/rgc.scm 350 */
							BgL_tmpz00_2460 = BgL_startz00_1952;
						}
					else
						{
							obj_t BgL_auxz00_2463;

							BgL_auxz00_2463 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 17387)), BGl_string1771z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_startz00_1952);
							FAILURE(BgL_auxz00_2463, BFALSE, BFALSE);
						}
					BgL_auxz00_2459 = (long) CINT(BgL_tmpz00_2460);
				}
				if (INPUT_PORTP(BgL_inputzd2portzd2_1951))
					{	/* Rgc/rgc.scm 350 */
						BgL_auxz00_2452 = BgL_inputzd2portzd2_1951;
					}
				else
					{
						obj_t BgL_auxz00_2455;

						BgL_auxz00_2455 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 17387)), BGl_string1771z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1951);
						FAILURE(BgL_auxz00_2455, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2upcasezd2subsymbolzd2zz__rgcz00(BgL_auxz00_2452,
					BgL_auxz00_2459, BgL_auxz00_2468);
			}
		}

	}



/* rgc-buffer-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_40)
	{
		{	/* Rgc/rgc.scm 355 */
			return rgc_buffer_keyword(BgL_inputzd2portzd2_40);
		}

	}



/* &rgc-buffer-keyword */
	obj_t BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00(obj_t BgL_envz00_1954,
		obj_t BgL_inputzd2portzd2_1955)
	{
		{	/* Rgc/rgc.scm 355 */
			{	/* Rgc/rgc.scm 356 */
				obj_t BgL_auxz00_2479;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1955))
					{	/* Rgc/rgc.scm 356 */
						BgL_auxz00_2479 = BgL_inputzd2portzd2_1955;
					}
				else
					{
						obj_t BgL_auxz00_2482;

						BgL_auxz00_2482 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 17735)), BGl_string1772z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1955);
						FAILURE(BgL_auxz00_2482, BFALSE, BFALSE);
					}
				return BGl_rgczd2bufferzd2keywordz00zz__rgcz00(BgL_auxz00_2479);
			}
		}

	}



/* rgc-buffer-downcase-keyword */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_41)
	{
		{	/* Rgc/rgc.scm 361 */
			return rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_41);
		}

	}



/* &rgc-buffer-downcase-keyword */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00(obj_t
		BgL_envz00_1956, obj_t BgL_inputzd2portzd2_1957)
	{
		{	/* Rgc/rgc.scm 361 */
			{	/* Rgc/rgc.scm 362 */
				obj_t BgL_auxz00_2488;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1957))
					{	/* Rgc/rgc.scm 362 */
						BgL_auxz00_2488 = BgL_inputzd2portzd2_1957;
					}
				else
					{
						obj_t BgL_auxz00_2491;

						BgL_auxz00_2491 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 18072)), BGl_string1773z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1957);
						FAILURE(BgL_auxz00_2491, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(BgL_auxz00_2488);
			}
		}

	}



/* rgc-buffer-upcase-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_42)
	{
		{	/* Rgc/rgc.scm 367 */
			return rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_42);
		}

	}



/* &rgc-buffer-upcase-keyword */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00(obj_t
		BgL_envz00_1958, obj_t BgL_inputzd2portzd2_1959)
	{
		{	/* Rgc/rgc.scm 367 */
			{	/* Rgc/rgc.scm 368 */
				obj_t BgL_auxz00_2497;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1959))
					{	/* Rgc/rgc.scm 368 */
						BgL_auxz00_2497 = BgL_inputzd2portzd2_1959;
					}
				else
					{
						obj_t BgL_auxz00_2500;

						BgL_auxz00_2500 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 18416)), BGl_string1774z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1959);
						FAILURE(BgL_auxz00_2500, BFALSE, BFALSE);
					}
				return
					BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(BgL_auxz00_2497);
			}
		}

	}



/* rgc-buffer-position */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_43, long BgL_forwardz00_44)
	{
		{	/* Rgc/rgc.scm 373 */
			return RGC_BUFFER_POSITION(BgL_inputzd2portzd2_43, BgL_forwardz00_44);
		}

	}



/* &rgc-buffer-position */
	obj_t BGl_z62rgczd2bufferzd2positionz62zz__rgcz00(obj_t BgL_envz00_1960,
		obj_t BgL_inputzd2portzd2_1961, obj_t BgL_forwardz00_1962)
	{
		{	/* Rgc/rgc.scm 373 */
			{	/* Rgc/rgc.scm 374 */
				long BgL_tmpz00_2506;

				{	/* Rgc/rgc.scm 374 */
					long BgL_auxz00_2514;
					obj_t BgL_auxz00_2507;

					{	/* Rgc/rgc.scm 374 */
						obj_t BgL_tmpz00_2515;

						if (INTEGERP(BgL_forwardz00_1962))
							{	/* Rgc/rgc.scm 374 */
								BgL_tmpz00_2515 = BgL_forwardz00_1962;
							}
						else
							{
								obj_t BgL_auxz00_2518;

								BgL_auxz00_2518 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 18757)), BGl_string1775z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_forwardz00_1962);
								FAILURE(BgL_auxz00_2518, BFALSE, BFALSE);
							}
						BgL_auxz00_2514 = (long) CINT(BgL_tmpz00_2515);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1961))
						{	/* Rgc/rgc.scm 374 */
							BgL_auxz00_2507 = BgL_inputzd2portzd2_1961;
						}
					else
						{
							obj_t BgL_auxz00_2510;

							BgL_auxz00_2510 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 18757)), BGl_string1775z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1961);
							FAILURE(BgL_auxz00_2510, BFALSE, BFALSE);
						}
					BgL_tmpz00_2506 =
						BGl_rgczd2bufferzd2positionz00zz__rgcz00(BgL_auxz00_2507,
						BgL_auxz00_2514);
				}
				return BINT(BgL_tmpz00_2506);
			}
		}

	}



/* rgc-buffer-forward */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2forwardz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_45)
	{
		{	/* Rgc/rgc.scm 379 */
			return RGC_BUFFER_FORWARD(BgL_inputzd2portzd2_45);
		}

	}



/* &rgc-buffer-forward */
	obj_t BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00(obj_t BgL_envz00_1963,
		obj_t BgL_inputzd2portzd2_1964)
	{
		{	/* Rgc/rgc.scm 379 */
			{	/* Rgc/rgc.scm 380 */
				long BgL_tmpz00_2526;

				{	/* Rgc/rgc.scm 380 */
					obj_t BgL_auxz00_2527;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1964))
						{	/* Rgc/rgc.scm 380 */
							BgL_auxz00_2527 = BgL_inputzd2portzd2_1964;
						}
					else
						{
							obj_t BgL_auxz00_2530;

							BgL_auxz00_2530 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 19091)), BGl_string1776z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1964);
							FAILURE(BgL_auxz00_2530, BFALSE, BFALSE);
						}
					BgL_tmpz00_2526 =
						BGl_rgczd2bufferzd2forwardz00zz__rgcz00(BgL_auxz00_2527);
				}
				return BINT(BgL_tmpz00_2526);
			}
		}

	}



/* rgc-buffer-bufpos */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2bufposz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_46)
	{
		{	/* Rgc/rgc.scm 385 */
			return RGC_BUFFER_BUFPOS(BgL_inputzd2portzd2_46);
		}

	}



/* &rgc-buffer-bufpos */
	obj_t BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00(obj_t BgL_envz00_1965,
		obj_t BgL_inputzd2portzd2_1966)
	{
		{	/* Rgc/rgc.scm 385 */
			{	/* Rgc/rgc.scm 386 */
				long BgL_tmpz00_2537;

				{	/* Rgc/rgc.scm 386 */
					obj_t BgL_auxz00_2538;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1966))
						{	/* Rgc/rgc.scm 386 */
							BgL_auxz00_2538 = BgL_inputzd2portzd2_1966;
						}
					else
						{
							obj_t BgL_auxz00_2541;

							BgL_auxz00_2541 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 19415)), BGl_string1777z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1966);
							FAILURE(BgL_auxz00_2541, BFALSE, BFALSE);
						}
					BgL_tmpz00_2537 =
						BGl_rgczd2bufferzd2bufposz00zz__rgcz00(BgL_auxz00_2538);
				}
				return BINT(BgL_tmpz00_2537);
			}
		}

	}



/* rgc-set-filepos! */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_47)
	{
		{	/* Rgc/rgc.scm 391 */
			return BINT(RGC_SET_FILEPOS(BgL_inputzd2portzd2_47));
		}

	}



/* &rgc-set-filepos! */
	obj_t BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00(obj_t BgL_envz00_1967,
		obj_t BgL_inputzd2portzd2_1968)
	{
		{	/* Rgc/rgc.scm 391 */
			{	/* Rgc/rgc.scm 392 */
				obj_t BgL_auxz00_2549;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1968))
					{	/* Rgc/rgc.scm 392 */
						BgL_auxz00_2549 = BgL_inputzd2portzd2_1968;
					}
				else
					{
						obj_t BgL_auxz00_2552;

						BgL_auxz00_2552 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
							BINT(((long) 19731)), BGl_string1778z00zz__rgcz00,
							BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1968);
						FAILURE(BgL_auxz00_2552, BFALSE, BFALSE);
					}
				return BGl_rgczd2setzd2fileposz12z12zz__rgcz00(BgL_auxz00_2549);
			}
		}

	}



/* rgc-start-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_48)
	{
		{	/* Rgc/rgc.scm 397 */
			return RGC_START_MATCH(BgL_inputzd2portzd2_48);
		}

	}



/* &rgc-start-match! */
	obj_t BGl_z62rgczd2startzd2matchz12z70zz__rgcz00(obj_t BgL_envz00_1969,
		obj_t BgL_inputzd2portzd2_1970)
	{
		{	/* Rgc/rgc.scm 397 */
			{	/* Rgc/rgc.scm 398 */
				long BgL_tmpz00_2558;

				{	/* Rgc/rgc.scm 398 */
					obj_t BgL_auxz00_2559;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1970))
						{	/* Rgc/rgc.scm 398 */
							BgL_auxz00_2559 = BgL_inputzd2portzd2_1970;
						}
					else
						{
							obj_t BgL_auxz00_2562;

							BgL_auxz00_2562 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 20034)), BGl_string1779z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1970);
							FAILURE(BgL_auxz00_2562, BFALSE, BFALSE);
						}
					BgL_tmpz00_2558 =
						BGl_rgczd2startzd2matchz12z12zz__rgcz00(BgL_auxz00_2559);
				}
				return BINT(BgL_tmpz00_2558);
			}
		}

	}



/* rgc-stop-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_49, long BgL_forwardz00_50)
	{
		{	/* Rgc/rgc.scm 403 */
			return RGC_STOP_MATCH(BgL_inputzd2portzd2_49, BgL_forwardz00_50);
		}

	}



/* &rgc-stop-match! */
	obj_t BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00(obj_t BgL_envz00_1971,
		obj_t BgL_inputzd2portzd2_1972, obj_t BgL_forwardz00_1973)
	{
		{	/* Rgc/rgc.scm 403 */
			{	/* Rgc/rgc.scm 404 */
				long BgL_tmpz00_2569;

				{	/* Rgc/rgc.scm 404 */
					long BgL_auxz00_2577;
					obj_t BgL_auxz00_2570;

					{	/* Rgc/rgc.scm 404 */
						obj_t BgL_tmpz00_2578;

						if (INTEGERP(BgL_forwardz00_1973))
							{	/* Rgc/rgc.scm 404 */
								BgL_tmpz00_2578 = BgL_forwardz00_1973;
							}
						else
							{
								obj_t BgL_auxz00_2581;

								BgL_auxz00_2581 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 20344)), BGl_string1780z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_forwardz00_1973);
								FAILURE(BgL_auxz00_2581, BFALSE, BFALSE);
							}
						BgL_auxz00_2577 = (long) CINT(BgL_tmpz00_2578);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1972))
						{	/* Rgc/rgc.scm 404 */
							BgL_auxz00_2570 = BgL_inputzd2portzd2_1972;
						}
					else
						{
							obj_t BgL_auxz00_2573;

							BgL_auxz00_2573 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 20344)), BGl_string1780z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1972);
							FAILURE(BgL_auxz00_2573, BFALSE, BFALSE);
						}
					BgL_tmpz00_2569 =
						BGl_rgczd2stopzd2matchz12z12zz__rgcz00(BgL_auxz00_2570,
						BgL_auxz00_2577);
				}
				return BINT(BgL_tmpz00_2569);
			}
		}

	}



/* rgc-fill-buffer */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_51)
	{
		{	/* Rgc/rgc.scm 409 */
			return rgc_fill_buffer(BgL_inputzd2portzd2_51);
		}

	}



/* &rgc-fill-buffer */
	obj_t BGl_z62rgczd2fillzd2bufferz62zz__rgcz00(obj_t BgL_envz00_1974,
		obj_t BgL_inputzd2portzd2_1975)
	{
		{	/* Rgc/rgc.scm 409 */
			{	/* Rgc/rgc.scm 410 */
				bool_t BgL_tmpz00_2589;

				{	/* Rgc/rgc.scm 410 */
					obj_t BgL_auxz00_2590;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1975))
						{	/* Rgc/rgc.scm 410 */
							BgL_auxz00_2590 = BgL_inputzd2portzd2_1975;
						}
					else
						{
							obj_t BgL_auxz00_2593;

							BgL_auxz00_2593 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 20671)), BGl_string1781z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1975);
							FAILURE(BgL_auxz00_2593, BFALSE, BFALSE);
						}
					BgL_tmpz00_2589 =
						BGl_rgczd2fillzd2bufferz00zz__rgcz00(BgL_auxz00_2590);
				}
				return BBOOL(BgL_tmpz00_2589);
			}
		}

	}



/* rgc-buffer-bol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_52)
	{
		{	/* Rgc/rgc.scm 415 */
			return rgc_buffer_bol_p(BgL_inputzd2portzd2_52);
		}

	}



/* &rgc-buffer-bol? */
	obj_t BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00(obj_t BgL_envz00_1976,
		obj_t BgL_inputzd2portzd2_1977)
	{
		{	/* Rgc/rgc.scm 415 */
			{	/* Rgc/rgc.scm 416 */
				bool_t BgL_tmpz00_2600;

				{	/* Rgc/rgc.scm 416 */
					obj_t BgL_auxz00_2601;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1977))
						{	/* Rgc/rgc.scm 416 */
							BgL_auxz00_2601 = BgL_inputzd2portzd2_1977;
						}
					else
						{
							obj_t BgL_auxz00_2604;

							BgL_auxz00_2604 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 20990)), BGl_string1782z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1977);
							FAILURE(BgL_auxz00_2604, BFALSE, BFALSE);
						}
					BgL_tmpz00_2600 =
						BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(BgL_auxz00_2601);
				}
				return BBOOL(BgL_tmpz00_2600);
			}
		}

	}



/* rgc-buffer-eol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_53, long BgL_forwardz00_54, long BgL_bufposz00_55)
	{
		{	/* Rgc/rgc.scm 421 */
			return
				rgc_buffer_eol_p(BgL_inputzd2portzd2_53, BgL_forwardz00_54,
				BgL_bufposz00_55);
		}

	}



/* &rgc-buffer-eol? */
	obj_t BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00(obj_t BgL_envz00_1978,
		obj_t BgL_inputzd2portzd2_1979, obj_t BgL_forwardz00_1980,
		obj_t BgL_bufposz00_1981)
	{
		{	/* Rgc/rgc.scm 421 */
			{	/* Rgc/rgc.scm 422 */
				bool_t BgL_tmpz00_2611;

				{	/* Rgc/rgc.scm 422 */
					long BgL_auxz00_2628;
					long BgL_auxz00_2619;
					obj_t BgL_auxz00_2612;

					{	/* Rgc/rgc.scm 422 */
						obj_t BgL_tmpz00_2629;

						if (INTEGERP(BgL_bufposz00_1981))
							{	/* Rgc/rgc.scm 422 */
								BgL_tmpz00_2629 = BgL_bufposz00_1981;
							}
						else
							{
								obj_t BgL_auxz00_2632;

								BgL_auxz00_2632 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 21324)), BGl_string1783z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_bufposz00_1981);
								FAILURE(BgL_auxz00_2632, BFALSE, BFALSE);
							}
						BgL_auxz00_2628 = (long) CINT(BgL_tmpz00_2629);
					}
					{	/* Rgc/rgc.scm 422 */
						obj_t BgL_tmpz00_2620;

						if (INTEGERP(BgL_forwardz00_1980))
							{	/* Rgc/rgc.scm 422 */
								BgL_tmpz00_2620 = BgL_forwardz00_1980;
							}
						else
							{
								obj_t BgL_auxz00_2623;

								BgL_auxz00_2623 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 21324)), BGl_string1783z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_forwardz00_1980);
								FAILURE(BgL_auxz00_2623, BFALSE, BFALSE);
							}
						BgL_auxz00_2619 = (long) CINT(BgL_tmpz00_2620);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1979))
						{	/* Rgc/rgc.scm 422 */
							BgL_auxz00_2612 = BgL_inputzd2portzd2_1979;
						}
					else
						{
							obj_t BgL_auxz00_2615;

							BgL_auxz00_2615 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 21324)), BGl_string1783z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1979);
							FAILURE(BgL_auxz00_2615, BFALSE, BFALSE);
						}
					BgL_tmpz00_2611 =
						BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(BgL_auxz00_2612,
						BgL_auxz00_2619, BgL_auxz00_2628);
				}
				return BBOOL(BgL_tmpz00_2611);
			}
		}

	}



/* rgc-buffer-bof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_56)
	{
		{	/* Rgc/rgc.scm 427 */
			return rgc_buffer_bof_p(BgL_inputzd2portzd2_56);
		}

	}



/* &rgc-buffer-bof? */
	obj_t BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00(obj_t BgL_envz00_1982,
		obj_t BgL_inputzd2portzd2_1983)
	{
		{	/* Rgc/rgc.scm 427 */
			{	/* Rgc/rgc.scm 428 */
				bool_t BgL_tmpz00_2640;

				{	/* Rgc/rgc.scm 428 */
					obj_t BgL_auxz00_2641;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1983))
						{	/* Rgc/rgc.scm 428 */
							BgL_auxz00_2641 = BgL_inputzd2portzd2_1983;
						}
					else
						{
							obj_t BgL_auxz00_2644;

							BgL_auxz00_2644 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 21658)), BGl_string1784z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1983);
							FAILURE(BgL_auxz00_2644, BFALSE, BFALSE);
						}
					BgL_tmpz00_2640 =
						BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(BgL_auxz00_2641);
				}
				return BBOOL(BgL_tmpz00_2640);
			}
		}

	}



/* rgc-buffer-eof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_57)
	{
		{	/* Rgc/rgc.scm 433 */
			return rgc_buffer_eof_p(BgL_inputzd2portzd2_57);
		}

	}



/* &rgc-buffer-eof? */
	obj_t BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00(obj_t BgL_envz00_1984,
		obj_t BgL_inputzd2portzd2_1985)
	{
		{	/* Rgc/rgc.scm 433 */
			{	/* Rgc/rgc.scm 434 */
				bool_t BgL_tmpz00_2651;

				{	/* Rgc/rgc.scm 434 */
					obj_t BgL_auxz00_2652;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1985))
						{	/* Rgc/rgc.scm 434 */
							BgL_auxz00_2652 = BgL_inputzd2portzd2_1985;
						}
					else
						{
							obj_t BgL_auxz00_2655;

							BgL_auxz00_2655 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 21977)), BGl_string1785z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1985);
							FAILURE(BgL_auxz00_2655, BFALSE, BFALSE);
						}
					BgL_tmpz00_2651 =
						BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(BgL_auxz00_2652);
				}
				return BBOOL(BgL_tmpz00_2651);
			}
		}

	}



/* rgc-buffer-eof2? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eof2zf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_58, long BgL_forwardz00_59, long BgL_bufposz00_60)
	{
		{	/* Rgc/rgc.scm 439 */
			return
				rgc_buffer_eof2_p(BgL_inputzd2portzd2_58, BgL_forwardz00_59,
				BgL_bufposz00_60);
		}

	}



/* &rgc-buffer-eof2? */
	obj_t BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00(obj_t BgL_envz00_1986,
		obj_t BgL_inputzd2portzd2_1987, obj_t BgL_forwardz00_1988,
		obj_t BgL_bufposz00_1989)
	{
		{	/* Rgc/rgc.scm 439 */
			{	/* Rgc/rgc.scm 440 */
				bool_t BgL_tmpz00_2662;

				{	/* Rgc/rgc.scm 440 */
					long BgL_auxz00_2679;
					long BgL_auxz00_2670;
					obj_t BgL_auxz00_2663;

					{	/* Rgc/rgc.scm 440 */
						obj_t BgL_tmpz00_2680;

						if (INTEGERP(BgL_bufposz00_1989))
							{	/* Rgc/rgc.scm 440 */
								BgL_tmpz00_2680 = BgL_bufposz00_1989;
							}
						else
							{
								obj_t BgL_auxz00_2683;

								BgL_auxz00_2683 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 22312)), BGl_string1786z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_bufposz00_1989);
								FAILURE(BgL_auxz00_2683, BFALSE, BFALSE);
							}
						BgL_auxz00_2679 = (long) CINT(BgL_tmpz00_2680);
					}
					{	/* Rgc/rgc.scm 440 */
						obj_t BgL_tmpz00_2671;

						if (INTEGERP(BgL_forwardz00_1988))
							{	/* Rgc/rgc.scm 440 */
								BgL_tmpz00_2671 = BgL_forwardz00_1988;
							}
						else
							{
								obj_t BgL_auxz00_2674;

								BgL_auxz00_2674 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
									BINT(((long) 22312)), BGl_string1786z00zz__rgcz00,
									BGl_string1752z00zz__rgcz00, BgL_forwardz00_1988);
								FAILURE(BgL_auxz00_2674, BFALSE, BFALSE);
							}
						BgL_auxz00_2670 = (long) CINT(BgL_tmpz00_2671);
					}
					if (INPUT_PORTP(BgL_inputzd2portzd2_1987))
						{	/* Rgc/rgc.scm 440 */
							BgL_auxz00_2663 = BgL_inputzd2portzd2_1987;
						}
					else
						{
							obj_t BgL_auxz00_2666;

							BgL_auxz00_2666 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 22312)), BGl_string1786z00zz__rgcz00,
								BGl_string1751z00zz__rgcz00, BgL_inputzd2portzd2_1987);
							FAILURE(BgL_auxz00_2666, BFALSE, BFALSE);
						}
					BgL_tmpz00_2662 =
						BGl_rgczd2bufferzd2eof2zf3zf3zz__rgcz00(BgL_auxz00_2663,
						BgL_auxz00_2670, BgL_auxz00_2679);
				}
				return BBOOL(BgL_tmpz00_2662);
			}
		}

	}



/* rgc-the-submatch */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t
		BgL_rgczd2submatcheszd2_61, long BgL_posz00_62, long BgL_matchz00_63,
		long BgL_submatchz00_64)
	{
		{	/* Rgc/rgc.scm 449 */
			{
				obj_t BgL_submatchesz00_1127;
				long BgL_startz00_1128;
				obj_t BgL_stopz00_1129;

				BgL_submatchesz00_1127 = BgL_rgczd2submatcheszd2_61;
				BgL_startz00_1128 = ((long) -1);
				BgL_stopz00_1129 = BINT(((long) -1));
			BgL_zc3z04anonymousza31166ze3z87_1130:
				if (NULLP(BgL_submatchesz00_1127))
					{	/* Rgc/rgc.scm 458 */
						{	/* Rgc/rgc.scm 459 */
							int BgL_res1558z00_1577;

							{	/* Rgc/rgc.scm 459 */
								int BgL_tmpz00_2692;

								BgL_tmpz00_2692 = (int) (((long) 2));
								BgL_res1558z00_1577 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2692);
							} BgL_res1558z00_1577;
						}
						{	/* Rgc/rgc.scm 459 */
							int BgL_tmpz00_2695;

							BgL_tmpz00_2695 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_2695, BgL_stopz00_1129);
						}
						return BINT(BgL_startz00_1128);
					}
				else
					{	/* Rgc/rgc.scm 460 */
						obj_t BgL_mvz00_1134;

						BgL_mvz00_1134 = CAR(((obj_t) BgL_submatchesz00_1127));
						{	/* Rgc/rgc.scm 460 */
							obj_t BgL_ruz00_1135;

							BgL_ruz00_1135 = VECTOR_REF(((obj_t) BgL_mvz00_1134), ((long) 0));
							{	/* Rgc/rgc.scm 461 */
								obj_t BgL_smz00_1136;

								BgL_smz00_1136 =
									VECTOR_REF(((obj_t) BgL_mvz00_1134), ((long) 1));
								{	/* Rgc/rgc.scm 462 */
									obj_t BgL_spz00_1137;

									BgL_spz00_1137 =
										VECTOR_REF(((obj_t) BgL_mvz00_1134), ((long) 2));
									{	/* Rgc/rgc.scm 463 */
										obj_t BgL_whatz00_1138;

										BgL_whatz00_1138 =
											VECTOR_REF(((obj_t) BgL_mvz00_1134), ((long) 3));
										{	/* Rgc/rgc.scm 464 */

											{	/* Rgc/rgc.scm 466 */
												bool_t BgL_test1932z00_2709;

												if (((long) CINT(BgL_ruz00_1135) == BgL_matchz00_63))
													{	/* Rgc/rgc.scm 466 */
														if (
															((long) CINT(BgL_smz00_1136) ==
																BgL_submatchz00_64))
															{	/* Rgc/rgc.scm 466 */
																BgL_test1932z00_2709 =
																	(
																	(long) CINT(BgL_spz00_1137) <= BgL_posz00_62);
															}
														else
															{	/* Rgc/rgc.scm 466 */
																BgL_test1932z00_2709 = ((bool_t) 0);
															}
													}
												else
													{	/* Rgc/rgc.scm 466 */
														BgL_test1932z00_2709 = ((bool_t) 0);
													}
												if (BgL_test1932z00_2709)
													{	/* Rgc/rgc.scm 466 */
														if (
															(BgL_whatz00_1138 == BGl_symbol1787z00zz__rgcz00))
															{	/* Rgc/rgc.scm 467 */
																if (
																	((long) CINT(BgL_stopz00_1129) < ((long) 0)))
																	{	/* Rgc/rgc.scm 470 */
																		obj_t BgL_arg1174z00_1145;

																		BgL_arg1174z00_1145 =
																			CDR(((obj_t) BgL_submatchesz00_1127));
																		{
																			obj_t BgL_stopz00_2726;
																			obj_t BgL_submatchesz00_2725;

																			BgL_submatchesz00_2725 =
																				BgL_arg1174z00_1145;
																			BgL_stopz00_2726 = BgL_spz00_1137;
																			BgL_stopz00_1129 = BgL_stopz00_2726;
																			BgL_submatchesz00_1127 =
																				BgL_submatchesz00_2725;
																			goto
																				BgL_zc3z04anonymousza31166ze3z87_1130;
																		}
																	}
																else
																	{	/* Rgc/rgc.scm 471 */
																		obj_t BgL_arg1176z00_1146;

																		BgL_arg1176z00_1146 =
																			CDR(((obj_t) BgL_submatchesz00_1127));
																		{
																			obj_t BgL_submatchesz00_2729;

																			BgL_submatchesz00_2729 =
																				BgL_arg1176z00_1146;
																			BgL_submatchesz00_1127 =
																				BgL_submatchesz00_2729;
																			goto
																				BgL_zc3z04anonymousza31166ze3z87_1130;
																		}
																	}
															}
														else
															{	/* Rgc/rgc.scm 467 */
																if (
																	(BgL_whatz00_1138 ==
																		BGl_symbol1789z00zz__rgcz00))
																	{	/* Rgc/rgc.scm 473 */
																		long BgL_val0_1086z00_1148;

																		BgL_val0_1086z00_1148 =
																			(
																			(long) CINT(BgL_spz00_1137) - ((long) 1));
																		{	/* Rgc/rgc.scm 473 */
																			int BgL_res1566z00_1602;

																			{	/* Rgc/rgc.scm 473 */
																				int BgL_tmpz00_2734;

																				BgL_tmpz00_2734 = (int) (((long) 2));
																				BgL_res1566z00_1602 =
																					BGL_MVALUES_NUMBER_SET
																					(BgL_tmpz00_2734);
																			} BgL_res1566z00_1602;
																		}
																		{	/* Rgc/rgc.scm 473 */
																			int BgL_tmpz00_2737;

																			BgL_tmpz00_2737 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_tmpz00_2737,
																				BgL_stopz00_1129);
																		}
																		return BINT(BgL_val0_1086z00_1148);
																	}
																else
																	{	/* Rgc/rgc.scm 467 */
																		if (
																			(BgL_whatz00_1138 ==
																				BGl_symbol1791z00zz__rgcz00))
																			{	/* Rgc/rgc.scm 475 */
																				obj_t BgL_arg1180z00_1151;
																				long BgL_arg1185z00_1152;

																				BgL_arg1180z00_1151 =
																					CDR(((obj_t) BgL_submatchesz00_1127));
																				BgL_arg1185z00_1152 =
																					(
																					(long) CINT(BgL_spz00_1137) -
																					((long) 1));
																				{
																					long BgL_startz00_2748;
																					obj_t BgL_submatchesz00_2747;

																					BgL_submatchesz00_2747 =
																						BgL_arg1180z00_1151;
																					BgL_startz00_2748 =
																						BgL_arg1185z00_1152;
																					BgL_startz00_1128 = BgL_startz00_2748;
																					BgL_submatchesz00_1127 =
																						BgL_submatchesz00_2747;
																					goto
																						BgL_zc3z04anonymousza31166ze3z87_1130;
																				}
																			}
																		else
																			{	/* Rgc/rgc.scm 467 */
																				return BUNSPEC;
																			}
																	}
															}
													}
												else
													{	/* Rgc/rgc.scm 466 */
														if ((BgL_whatz00_1138 == BgL_stopz00_1129))
															{	/* Rgc/rgc.scm 476 */
																{	/* Rgc/rgc.scm 477 */
																	int BgL_res1569z00_1608;

																	{	/* Rgc/rgc.scm 477 */
																		int BgL_tmpz00_2751;

																		BgL_tmpz00_2751 = (int) (((long) 2));
																		BgL_res1569z00_1608 =
																			BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2751);
																	} BgL_res1569z00_1608;
																}
																{	/* Rgc/rgc.scm 477 */
																	int BgL_tmpz00_2754;

																	BgL_tmpz00_2754 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_2754,
																		BgL_stopz00_1129);
																}
																return BINT(BgL_startz00_1128);
															}
														else
															{	/* Rgc/rgc.scm 479 */
																obj_t BgL_arg1188z00_1156;

																BgL_arg1188z00_1156 =
																	CDR(((obj_t) BgL_submatchesz00_1127));
																{
																	obj_t BgL_submatchesz00_2760;

																	BgL_submatchesz00_2760 = BgL_arg1188z00_1156;
																	BgL_submatchesz00_1127 =
																		BgL_submatchesz00_2760;
																	goto BgL_zc3z04anonymousza31166ze3z87_1130;
																}
															}
													}
											}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* &rgc-the-submatch */
	obj_t BGl_z62rgczd2thezd2submatchz62zz__rgcz00(obj_t BgL_envz00_1990,
		obj_t BgL_rgczd2submatcheszd2_1991, obj_t BgL_posz00_1992,
		obj_t BgL_matchz00_1993, obj_t BgL_submatchz00_1994)
	{
		{	/* Rgc/rgc.scm 449 */
			{	/* Rgc/rgc.scm 458 */
				long BgL_auxz00_2780;
				long BgL_auxz00_2771;
				long BgL_auxz00_2762;

				{	/* Rgc/rgc.scm 458 */
					obj_t BgL_tmpz00_2781;

					if (INTEGERP(BgL_submatchz00_1994))
						{	/* Rgc/rgc.scm 458 */
							BgL_tmpz00_2781 = BgL_submatchz00_1994;
						}
					else
						{
							obj_t BgL_auxz00_2784;

							BgL_auxz00_2784 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 23377)), BGl_string1793z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_submatchz00_1994);
							FAILURE(BgL_auxz00_2784, BFALSE, BFALSE);
						}
					BgL_auxz00_2780 = (long) CINT(BgL_tmpz00_2781);
				}
				{	/* Rgc/rgc.scm 458 */
					obj_t BgL_tmpz00_2772;

					if (INTEGERP(BgL_matchz00_1993))
						{	/* Rgc/rgc.scm 458 */
							BgL_tmpz00_2772 = BgL_matchz00_1993;
						}
					else
						{
							obj_t BgL_auxz00_2775;

							BgL_auxz00_2775 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 23377)), BGl_string1793z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_matchz00_1993);
							FAILURE(BgL_auxz00_2775, BFALSE, BFALSE);
						}
					BgL_auxz00_2771 = (long) CINT(BgL_tmpz00_2772);
				}
				{	/* Rgc/rgc.scm 458 */
					obj_t BgL_tmpz00_2763;

					if (INTEGERP(BgL_posz00_1992))
						{	/* Rgc/rgc.scm 458 */
							BgL_tmpz00_2763 = BgL_posz00_1992;
						}
					else
						{
							obj_t BgL_auxz00_2766;

							BgL_auxz00_2766 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__rgcz00,
								BINT(((long) 23377)), BGl_string1793z00zz__rgcz00,
								BGl_string1752z00zz__rgcz00, BgL_posz00_1992);
							FAILURE(BgL_auxz00_2766, BFALSE, BFALSE);
						}
					BgL_auxz00_2762 = (long) CINT(BgL_tmpz00_2763);
				}
				return
					BGl_rgczd2thezd2submatchz00zz__rgcz00(BgL_rgczd2submatcheszd2_1991,
					BgL_auxz00_2762, BgL_auxz00_2771, BgL_auxz00_2780);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgcz00()
	{
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgcz00()
	{
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgcz00()
	{
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00()
	{
		{	/* Rgc/rgc.scm 17 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 330490148),
				BSTRING_TO_STRING(BGl_string1794z00zz__rgcz00));
		}

	}

#ifdef __cplusplus
}
#endif
