/*===========================================================================*/
/*   (Rgc/rgcposix.scm)                                                      */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed 12 Feb 2020 07:45:41 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3g -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Rgc/rgcposix.scm -indent -o objs/obj_u/Rgc/rgcposix.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_symbol1918z00zz__rgc_posixz00 = BUNSPEC;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_symbol1920z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1922z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1924z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1926z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1929z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1931z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1935z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1937z00zz__rgc_posixz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1943z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1945z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__rgc_posixz00();
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__rgc_posixz00();
	static obj_t BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__rgc_posixz00();
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgc_posixz00();
	BGL_EXPORTED_DECL obj_t BGl_posixzd2ze3rgcz31zz__rgc_posixz00(obj_t);
	static obj_t BGl_z62posixzd2ze3rgcz53zz__rgc_posixz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BUNSPEC;
	extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(obj_t);
	static obj_t BGl_parsezd2posixzd2expz00zz__rgc_posixz00(obj_t, long);
	static obj_t BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_posixz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zz__rgc_posixz00();
	static obj_t BGl_list1941z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_posixz00();
	static obj_t BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__rgc_posixz00();
	static obj_t BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_makezd2rgczd2orz00zz__rgc_posixz00(obj_t);
	static obj_t BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(obj_t, long);
	static obj_t BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1914z00zz__rgc_posixz00,
		BgL_bgl_string1914za700za7za7_1951za7,
		"RGC:Illegal Posix regexp -- terminated early", 44);
	      DEFINE_STRING(BGl_string1915z00zz__rgc_posixz00,
		BgL_bgl_string1915za700za7za7_1952za7,
		"/tmp/bigloo/runtime/Rgc/rgcposix.scm", 36);
	      DEFINE_STRING(BGl_string1916z00zz__rgc_posixz00,
		BgL_bgl_string1916za700za7za7_1953za7, "&posix->rgc", 11);
	      DEFINE_STRING(BGl_string1917z00zz__rgc_posixz00,
		BgL_bgl_string1917za700za7za7_1954za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1919z00zz__rgc_posixz00,
		BgL_bgl_string1919za700za7za7_1955za7, "*", 1);
	      DEFINE_STRING(BGl_string1921z00zz__rgc_posixz00,
		BgL_bgl_string1921za700za7za7_1956za7, "+", 1);
	      DEFINE_STRING(BGl_string1923z00zz__rgc_posixz00,
		BgL_bgl_string1923za700za7za7_1957za7, "?", 1);
	      DEFINE_STRING(BGl_string1925z00zz__rgc_posixz00,
		BgL_bgl_string1925za700za7za7_1958za7, "**", 2);
	      DEFINE_STRING(BGl_string1927z00zz__rgc_posixz00,
		BgL_bgl_string1927za700za7za7_1959za7, ">=", 2);
	      DEFINE_STRING(BGl_string1928z00zz__rgc_posixz00,
		BgL_bgl_string1928za700za7za7_1960za7, "RGC:Illegal posix string", 24);
	      DEFINE_STRING(BGl_string1930z00zz__rgc_posixz00,
		BgL_bgl_string1930za700za7za7_1961za7, "or", 2);
	      DEFINE_STRING(BGl_string1932z00zz__rgc_posixz00,
		BgL_bgl_string1932za700za7za7_1962za7, ":", 1);
	      DEFINE_STRING(BGl_string1933z00zz__rgc_posixz00,
		BgL_bgl_string1933za700za7za7_1963za7, "RGC: `^' regexps not supported.",
		31);
	      DEFINE_STRING(BGl_string1934z00zz__rgc_posixz00,
		BgL_bgl_string1934za700za7za7_1964za7, "RGC: `$' regexps not supported.",
		31);
	      DEFINE_STRING(BGl_string1936z00zz__rgc_posixz00,
		BgL_bgl_string1936za700za7za7_1965za7, "all", 3);
	      DEFINE_STRING(BGl_string1938z00zz__rgc_posixz00,
		BgL_bgl_string1938za700za7za7_1966za7, "submatch", 8);
	      DEFINE_STRING(BGl_string1939z00zz__rgc_posixz00,
		BgL_bgl_string1939za700za7za7_1967za7,
		"RGC:subexpression has no terminating close parenthesis", 54);
	      DEFINE_STRING(BGl_string1940z00zz__rgc_posixz00,
		BgL_bgl_string1940za700za7za7_1968za7,
		"RGC:expression may not terminate with a backslash", 49);
	      DEFINE_STRING(BGl_string1942z00zz__rgc_posixz00,
		BgL_bgl_string1942za700za7za7_1969za7,
		"double-bracket regexps not supported.", 37);
	      DEFINE_STRING(BGl_string1944z00zz__rgc_posixz00,
		BgL_bgl_string1944za700za7za7_1970za7, "out", 3);
	      DEFINE_STRING(BGl_string1946z00zz__rgc_posixz00,
		BgL_bgl_string1946za700za7za7_1971za7, "in", 2);
	      DEFINE_STRING(BGl_string1947z00zz__rgc_posixz00,
		BgL_bgl_string1947za700za7za7_1972za7, "Illegal - in [...] regexp", 25);
	      DEFINE_STRING(BGl_string1948z00zz__rgc_posixz00,
		BgL_bgl_string1948za700za7za7_1973za7,
		"Missing close right bracket in regexp", 37);
	      DEFINE_STRING(BGl_string1949z00zz__rgc_posixz00,
		BgL_bgl_string1949za700za7za7_1974za7, "Missing close brace in regexp", 29);
	      DEFINE_STRING(BGl_string1950z00zz__rgc_posixz00,
		BgL_bgl_string1950za700za7za7_1975za7, "__rgc_posix", 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_posixzd2ze3rgczd2envze3zz__rgc_posixz00,
		BgL_bgl_za762posixza7d2za7e3rg1976za7,
		BGl_z62posixzd2ze3rgcz53zz__rgc_posixz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol1918z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1920z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1922z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1924z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1926z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1929z00zz__rgc_posixz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1931z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1935z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1937z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1943z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1945z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_za2errzd2stringza2zd2zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_list1941z00zz__rgc_posixz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_posixz00(long
		BgL_checksumz00_2432, char *BgL_fromz00_2433)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_posixz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_posixz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__rgc_posixz00();
					BGl_cnstzd2initzd2zz__rgc_posixz00();
					BGl_importedzd2moduleszd2initz00zz__rgc_posixz00();
					return BGl_toplevelzd2initzd2zz__rgc_posixz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_posixz00()
	{
		{	/* Rgc/rgcposix.scm 14 */
			BGl_symbol1918z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1919z00zz__rgc_posixz00);
			BGl_symbol1920z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1921z00zz__rgc_posixz00);
			BGl_symbol1922z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1923z00zz__rgc_posixz00);
			BGl_symbol1924z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1925z00zz__rgc_posixz00);
			BGl_symbol1926z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1927z00zz__rgc_posixz00);
			BGl_symbol1929z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1930z00zz__rgc_posixz00);
			BGl_symbol1931z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1932z00zz__rgc_posixz00);
			BGl_symbol1935z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1936z00zz__rgc_posixz00);
			BGl_symbol1937z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1938z00zz__rgc_posixz00);
			BGl_list1941z00zz__rgc_posixz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '.')),
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '=')),
					MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ':')), BNIL)));
			BGl_symbol1943z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1944z00zz__rgc_posixz00);
			return (BGl_symbol1945z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1946z00zz__rgc_posixz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__rgc_posixz00()
	{
		{	/* Rgc/rgcposix.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_posixz00()
	{
		{	/* Rgc/rgcposix.scm 14 */
			return (BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BUNSPEC, BUNSPEC);
		}

	}



/* posix->rgc */
	BGL_EXPORTED_DEF obj_t BGl_posixzd2ze3rgcz31zz__rgc_posixz00(obj_t BgL_sz00_3)
	{
		{	/* Rgc/rgcposix.scm 52 */
			BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BgL_sz00_3;
			{	/* Rgc/rgcposix.scm 54 */
				obj_t BgL_rgcz00_1139;

				BgL_rgcz00_1139 =
					BGl_parsezd2posixzd2expz00zz__rgc_posixz00(BgL_sz00_3, ((long) 0));
				{	/* Rgc/rgcposix.scm 55 */
					obj_t BgL_iz00_1140;

					{	/* Rgc/rgcposix.scm 56 */
						int BgL_tmpz00_2460;

						BgL_tmpz00_2460 = (int) (((long) 1));
						BgL_iz00_1140 = BGL_MVALUES_VAL(BgL_tmpz00_2460);
					}
					if (((long) CINT(BgL_iz00_1140) == STRING_LENGTH(BgL_sz00_3)))
						{	/* Rgc/rgcposix.scm 56 */
							return BgL_rgcz00_1139;
						}
					else
						{	/* Rgc/rgcposix.scm 56 */
							return
								BGl_errorz00zz__errorz00(BFALSE,
								BGl_string1914z00zz__rgc_posixz00,
								BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
						}
				}
			}
		}

	}



/* &posix->rgc */
	obj_t BGl_z62posixzd2ze3rgcz53zz__rgc_posixz00(obj_t BgL_envz00_2428,
		obj_t BgL_sz00_2429)
	{
		{	/* Rgc/rgcposix.scm 52 */
			{	/* Rgc/rgcposix.scm 53 */
				obj_t BgL_auxz00_2468;

				if (STRINGP(BgL_sz00_2429))
					{	/* Rgc/rgcposix.scm 53 */
						BgL_auxz00_2468 = BgL_sz00_2429;
					}
				else
					{
						obj_t BgL_auxz00_2471;

						BgL_auxz00_2471 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1915z00zz__rgc_posixz00,
							BINT(((long) 1819)), BGl_string1916z00zz__rgc_posixz00,
							BGl_string1917z00zz__rgc_posixz00, BgL_sz00_2429);
						FAILURE(BgL_auxz00_2471, BFALSE, BFALSE);
					}
				return BGl_posixzd2ze3rgcz31zz__rgc_posixz00(BgL_auxz00_2468);
			}
		}

	}



/* make-rgc-repeat */
	obj_t BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(obj_t BgL_minz00_5,
		obj_t BgL_maxz00_6, obj_t BgL_rgcz00_7)
	{
		{	/* Rgc/rgcposix.scm 77 */
			{	/* Rgc/rgcposix.scm 79 */
				bool_t BgL_test1980z00_2476;

				if ((BgL_minz00_5 == BINT(((long) 0))))
					{	/* Rgc/rgcposix.scm 79 */
						if (CBOOL(BgL_maxz00_6))
							{	/* Rgc/rgcposix.scm 79 */
								BgL_test1980z00_2476 = ((bool_t) 0);
							}
						else
							{	/* Rgc/rgcposix.scm 79 */
								BgL_test1980z00_2476 = ((bool_t) 1);
							}
					}
				else
					{	/* Rgc/rgcposix.scm 79 */
						BgL_test1980z00_2476 = ((bool_t) 0);
					}
				if (BgL_test1980z00_2476)
					{	/* Rgc/rgcposix.scm 80 */
						obj_t BgL_arg1227z00_1146;

						BgL_arg1227z00_1146 = MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
						return
							MAKE_YOUNG_PAIR(BGl_symbol1918z00zz__rgc_posixz00,
							BgL_arg1227z00_1146);
					}
				else
					{	/* Rgc/rgcposix.scm 81 */
						bool_t BgL_test1983z00_2484;

						if ((BgL_minz00_5 == BINT(((long) 1))))
							{	/* Rgc/rgcposix.scm 81 */
								if (CBOOL(BgL_maxz00_6))
									{	/* Rgc/rgcposix.scm 81 */
										BgL_test1983z00_2484 = ((bool_t) 0);
									}
								else
									{	/* Rgc/rgcposix.scm 81 */
										BgL_test1983z00_2484 = ((bool_t) 1);
									}
							}
						else
							{	/* Rgc/rgcposix.scm 81 */
								BgL_test1983z00_2484 = ((bool_t) 0);
							}
						if (BgL_test1983z00_2484)
							{	/* Rgc/rgcposix.scm 82 */
								obj_t BgL_arg1235z00_1149;

								BgL_arg1235z00_1149 = MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
								return
									MAKE_YOUNG_PAIR(BGl_symbol1920z00zz__rgc_posixz00,
									BgL_arg1235z00_1149);
							}
						else
							{	/* Rgc/rgcposix.scm 83 */
								bool_t BgL_test1986z00_2492;

								if ((BgL_minz00_5 == BINT(((long) 0))))
									{	/* Rgc/rgcposix.scm 83 */
										BgL_test1986z00_2492 = (BgL_maxz00_6 == BINT(((long) 1)));
									}
								else
									{	/* Rgc/rgcposix.scm 83 */
										BgL_test1986z00_2492 = ((bool_t) 0);
									}
								if (BgL_test1986z00_2492)
									{	/* Rgc/rgcposix.scm 84 */
										obj_t BgL_arg1238z00_1152;

										BgL_arg1238z00_1152 = MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
										return
											MAKE_YOUNG_PAIR(BGl_symbol1922z00zz__rgc_posixz00,
											BgL_arg1238z00_1152);
									}
								else
									{	/* Rgc/rgcposix.scm 83 */
										if (CBOOL(BgL_maxz00_6))
											{	/* Rgc/rgcposix.scm 88 */
												obj_t BgL_arg1241z00_1153;

												{	/* Rgc/rgcposix.scm 88 */
													obj_t BgL_arg1245z00_1154;

													{	/* Rgc/rgcposix.scm 88 */
														obj_t BgL_arg1246z00_1155;

														BgL_arg1246z00_1155 =
															MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
														BgL_arg1245z00_1154 =
															MAKE_YOUNG_PAIR(BgL_maxz00_6,
															BgL_arg1246z00_1155);
													}
													BgL_arg1241z00_1153 =
														MAKE_YOUNG_PAIR(BgL_minz00_5, BgL_arg1245z00_1154);
												}
												return
													MAKE_YOUNG_PAIR(BGl_symbol1924z00zz__rgc_posixz00,
													BgL_arg1241z00_1153);
											}
										else
											{	/* Rgc/rgcposix.scm 86 */
												obj_t BgL_arg1247z00_1156;

												{	/* Rgc/rgcposix.scm 86 */
													obj_t BgL_arg1248z00_1157;

													BgL_arg1248z00_1157 =
														MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
													BgL_arg1247z00_1156 =
														MAKE_YOUNG_PAIR(BgL_minz00_5, BgL_arg1248z00_1157);
												}
												return
													MAKE_YOUNG_PAIR(BGl_symbol1926z00zz__rgc_posixz00,
													BgL_arg1247z00_1156);
											}
									}
							}
					}
			}
		}

	}



/* make-rgc-or */
	obj_t BGl_makezd2rgczd2orz00zz__rgc_posixz00(obj_t BgL_rgcsz00_8)
	{
		{	/* Rgc/rgcposix.scm 93 */
			if (NULLP(BgL_rgcsz00_8))
				{	/* Rgc/rgcposix.scm 95 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string1928z00zz__rgc_posixz00,
						BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
				}
			else
				{	/* Rgc/rgcposix.scm 95 */
					if (NULLP(CDR(BgL_rgcsz00_8)))
						{	/* Rgc/rgcposix.scm 97 */
							return CAR(BgL_rgcsz00_8);
						}
					else
						{	/* Rgc/rgcposix.scm 100 */
							obj_t BgL_arg1256z00_1164;

							BgL_arg1256z00_1164 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_rgcsz00_8,
								BNIL);
							return MAKE_YOUNG_PAIR(BGl_symbol1929z00zz__rgc_posixz00,
								BgL_arg1256z00_1164);
						}
				}
		}

	}



/* make-rgc-sequence */
	obj_t BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(obj_t BgL_rgcsz00_9)
	{
		{	/* Rgc/rgcposix.scm 105 */
			if (NULLP(BgL_rgcsz00_9))
				{	/* Rgc/rgcposix.scm 107 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string1928z00zz__rgc_posixz00,
						BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
				}
			else
				{	/* Rgc/rgcposix.scm 107 */
					if (NULLP(CDR(BgL_rgcsz00_9)))
						{	/* Rgc/rgcposix.scm 109 */
							return CAR(BgL_rgcsz00_9);
						}
					else
						{	/* Rgc/rgcposix.scm 112 */
							obj_t BgL_arg1270z00_1169;

							BgL_arg1270z00_1169 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_rgcsz00_9,
								BNIL);
							return MAKE_YOUNG_PAIR(BGl_symbol1931z00zz__rgc_posixz00,
								BgL_arg1270z00_1169);
						}
				}
		}

	}



/* parse-posix-exp */
	obj_t BGl_parsezd2posixzd2expz00zz__rgc_posixz00(obj_t BgL_sz00_10,
		long BgL_iz00_11)
	{
		{	/* Rgc/rgcposix.scm 119 */
			{	/* Rgc/rgcposix.scm 120 */
				long BgL_lenz00_1171;

				BgL_lenz00_1171 = STRING_LENGTH(BgL_sz00_10);
				if ((BgL_iz00_11 < BgL_lenz00_1171))
					{
						long BgL_iz00_1175;
						obj_t BgL_branchesz00_1176;

						BgL_iz00_1175 = BgL_iz00_11;
						BgL_branchesz00_1176 = BNIL;
					BgL_zc3z04anonymousza31273ze3z87_1177:
						{	/* Rgc/rgcposix.scm 124 */
							obj_t BgL_branchz00_1178;

							BgL_branchz00_1178 =
								BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(BgL_sz00_10,
								BgL_iz00_1175);
							{	/* Rgc/rgcposix.scm 125 */
								obj_t BgL_iz00_1179;

								{	/* Rgc/rgcposix.scm 126 */
									int BgL_tmpz00_2531;

									BgL_tmpz00_2531 = (int) (((long) 1));
									BgL_iz00_1179 = BGL_MVALUES_VAL(BgL_tmpz00_2531);
								}
								{	/* Rgc/rgcposix.scm 126 */
									obj_t BgL_branchesz00_1180;

									BgL_branchesz00_1180 =
										MAKE_YOUNG_PAIR(BgL_branchz00_1178, BgL_branchesz00_1176);
									{	/* Rgc/rgcposix.scm 127 */
										bool_t BgL_test1994z00_2535;

										if (((long) CINT(BgL_iz00_1179) < BgL_lenz00_1171))
											{	/* Rgc/rgcposix.scm 127 */
												BgL_test1994z00_2535 =
													(((unsigned char) '|') ==
													STRING_REF(BgL_sz00_10, (long) CINT(BgL_iz00_1179)));
											}
										else
											{	/* Rgc/rgcposix.scm 127 */
												BgL_test1994z00_2535 = ((bool_t) 0);
											}
										if (BgL_test1994z00_2535)
											{
												obj_t BgL_branchesz00_2545;
												long BgL_iz00_2542;

												BgL_iz00_2542 =
													((long) CINT(BgL_iz00_1179) + ((long) 1));
												BgL_branchesz00_2545 = BgL_branchesz00_1180;
												BgL_branchesz00_1176 = BgL_branchesz00_2545;
												BgL_iz00_1175 = BgL_iz00_2542;
												goto BgL_zc3z04anonymousza31273ze3z87_1177;
											}
										else
											{	/* Rgc/rgcposix.scm 129 */
												obj_t BgL_val0_1100z00_1185;

												BgL_val0_1100z00_1185 =
													BGl_makezd2rgczd2orz00zz__rgc_posixz00(bgl_reverse
													(BgL_branchesz00_1180));
												{	/* Rgc/rgcposix.scm 129 */
													int BgL_res1734z00_1836;

													{	/* Rgc/rgcposix.scm 129 */
														int BgL_tmpz00_2548;

														BgL_tmpz00_2548 = (int) (((long) 2));
														BgL_res1734z00_1836 =
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2548);
													} BgL_res1734z00_1836;
												}
												{	/* Rgc/rgcposix.scm 129 */
													int BgL_tmpz00_2551;

													BgL_tmpz00_2551 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_2551, BgL_iz00_1179);
												}
												return BgL_val0_1100z00_1185;
											}
									}
								}
							}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 121 */
						{	/* Rgc/rgcposix.scm 130 */
							int BgL_res1735z00_1837;

							{	/* Rgc/rgcposix.scm 130 */
								int BgL_tmpz00_2554;

								BgL_tmpz00_2554 = (int) (((long) 2));
								BgL_res1735z00_1837 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2554);
							} BgL_res1735z00_1837;
						}
						{	/* Rgc/rgcposix.scm 130 */
							obj_t BgL_auxz00_2559;
							int BgL_tmpz00_2557;

							BgL_auxz00_2559 = BINT(BgL_iz00_11);
							BgL_tmpz00_2557 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_2557, BgL_auxz00_2559);
						}
						return BNIL;
					}
			}
		}

	}



/* parse-posix-branch */
	obj_t BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(obj_t BgL_sz00_12,
		long BgL_iz00_13)
	{
		{	/* Rgc/rgcposix.scm 138 */
			{	/* Rgc/rgcposix.scm 139 */
				long BgL_lenz00_1193;

				BgL_lenz00_1193 = STRING_LENGTH(BgL_sz00_12);
				{
					obj_t BgL_iz00_1196;
					obj_t BgL_piecesz00_1197;

					BgL_iz00_1196 = BINT(BgL_iz00_13);
					BgL_piecesz00_1197 = BNIL;
				BgL_zc3z04anonymousza31280ze3z87_1198:
					if (((long) CINT(BgL_iz00_1196) < BgL_lenz00_1193))
						{	/* Rgc/rgcposix.scm 143 */
							obj_t BgL_piecez00_1200;

							BgL_piecez00_1200 =
								BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(BgL_sz00_12,
								BgL_iz00_1196);
							{	/* Rgc/rgcposix.scm 144 */
								obj_t BgL_iz00_1201;

								{	/* Rgc/rgcposix.scm 145 */
									int BgL_tmpz00_2567;

									BgL_tmpz00_2567 = (int) (((long) 1));
									BgL_iz00_1201 = BGL_MVALUES_VAL(BgL_tmpz00_2567);
								}
								{	/* Rgc/rgcposix.scm 145 */
									obj_t BgL_piecesz00_1202;

									BgL_piecesz00_1202 =
										MAKE_YOUNG_PAIR(BgL_piecez00_1200, BgL_piecesz00_1197);
									if (((long) CINT(BgL_iz00_1201) < BgL_lenz00_1193))
										{	/* Rgc/rgcposix.scm 147 */
											unsigned char BgL_aux1042z00_1205;

											BgL_aux1042z00_1205 =
												STRING_REF(BgL_sz00_12, (long) CINT(BgL_iz00_1201));
											switch (BgL_aux1042z00_1205)
												{
												case ((unsigned char) ')'):
												case ((unsigned char) '|'):

													{	/* Rgc/rgcposix.scm 149 */
														obj_t BgL_val0_1104z00_1207;

														BgL_val0_1104z00_1207 =
															BGl_makezd2rgczd2sequencez00zz__rgc_posixz00
															(bgl_reverse(BgL_piecesz00_1202));
														{	/* Rgc/rgcposix.scm 149 */
															int BgL_res1740z00_1849;

															{	/* Rgc/rgcposix.scm 149 */
																int BgL_tmpz00_2578;

																BgL_tmpz00_2578 = (int) (((long) 2));
																BgL_res1740z00_1849 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2578);
															} BgL_res1740z00_1849;
														}
														{	/* Rgc/rgcposix.scm 149 */
															int BgL_tmpz00_2581;

															BgL_tmpz00_2581 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2581,
																BgL_iz00_1201);
														}
														return BgL_val0_1104z00_1207;
													}
													break;
												default:
													{
														obj_t BgL_piecesz00_2585;
														obj_t BgL_iz00_2584;

														BgL_iz00_2584 = BgL_iz00_1201;
														BgL_piecesz00_2585 = BgL_piecesz00_1202;
														BgL_piecesz00_1197 = BgL_piecesz00_2585;
														BgL_iz00_1196 = BgL_iz00_2584;
														goto BgL_zc3z04anonymousza31280ze3z87_1198;
													}
												}
										}
									else
										{	/* Rgc/rgcposix.scm 152 */
											obj_t BgL_val0_1106z00_1210;

											BgL_val0_1106z00_1210 =
												BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(bgl_reverse
												(BgL_piecesz00_1202));
											{	/* Rgc/rgcposix.scm 152 */
												int BgL_res1741z00_1850;

												{	/* Rgc/rgcposix.scm 152 */
													int BgL_tmpz00_2589;

													BgL_tmpz00_2589 = (int) (((long) 2));
													BgL_res1741z00_1850 =
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2589);
												} BgL_res1741z00_1850;
											}
											{	/* Rgc/rgcposix.scm 152 */
												int BgL_tmpz00_2592;

												BgL_tmpz00_2592 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2592, BgL_iz00_1201);
											}
											return BgL_val0_1106z00_1210;
										}
								}
							}
						}
					else
						{	/* Rgc/rgcposix.scm 153 */
							obj_t BgL_val0_1108z00_1213;

							BgL_val0_1108z00_1213 =
								BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(bgl_reverse
								(BgL_piecesz00_1197));
							{	/* Rgc/rgcposix.scm 153 */
								int BgL_res1742z00_1851;

								{	/* Rgc/rgcposix.scm 153 */
									int BgL_tmpz00_2597;

									BgL_tmpz00_2597 = (int) (((long) 2));
									BgL_res1742z00_1851 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2597);
								} BgL_res1742z00_1851;
							}
							{	/* Rgc/rgcposix.scm 153 */
								int BgL_tmpz00_2600;

								BgL_tmpz00_2600 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_2600, BgL_iz00_1196);
							}
							return BgL_val0_1108z00_1213;
						}
				}
			}
		}

	}



/* parse-posix-piece */
	obj_t BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(obj_t BgL_sz00_14,
		obj_t BgL_iz00_15)
	{
		{	/* Rgc/rgcposix.scm 161 */
			{	/* Rgc/rgcposix.scm 162 */
				long BgL_lenz00_1217;

				BgL_lenz00_1217 = STRING_LENGTH(BgL_sz00_14);
				{	/* Rgc/rgcposix.scm 163 */
					obj_t BgL_atomz00_1218;

					BgL_atomz00_1218 =
						BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(BgL_sz00_14,
						BgL_iz00_15);
					{	/* Rgc/rgcposix.scm 164 */
						obj_t BgL_iz00_1219;

						{	/* Rgc/rgcposix.scm 165 */
							int BgL_tmpz00_2606;

							BgL_tmpz00_2606 = (int) (((long) 1));
							BgL_iz00_1219 = BGL_MVALUES_VAL(BgL_tmpz00_2606);
						}
						if (((long) CINT(BgL_iz00_1219) < BgL_lenz00_1217))
							{

								{	/* Rgc/rgcposix.scm 166 */
									unsigned char BgL_aux1044z00_1222;

									BgL_aux1044z00_1222 =
										STRING_REF(BgL_sz00_14, (long) CINT(BgL_iz00_1219));
									switch (BgL_aux1044z00_1222)
										{
										case ((unsigned char) '*'):
										case ((unsigned char) '+'):
										case ((unsigned char) '?'):

											{	/* Rgc/rgcposix.scm 168 */
												obj_t BgL_fromz00_1224;

												switch (BgL_aux1044z00_1222)
													{
													case ((unsigned char) '*'):

														{	/* Rgc/rgcposix.scm 170 */
															int BgL_res1748z00_1864;

															{	/* Rgc/rgcposix.scm 170 */
																int BgL_tmpz00_2614;

																BgL_tmpz00_2614 = (int) (((long) 2));
																BgL_res1748z00_1864 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2614);
															} BgL_res1748z00_1864;
														}
														{	/* Rgc/rgcposix.scm 170 */
															int BgL_tmpz00_2617;

															BgL_tmpz00_2617 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2617, BFALSE);
														}
														BgL_fromz00_1224 = BINT(((long) 0));
														break;
													case ((unsigned char) '+'):

														{	/* Rgc/rgcposix.scm 171 */
															int BgL_res1749z00_1865;

															{	/* Rgc/rgcposix.scm 171 */
																int BgL_tmpz00_2621;

																BgL_tmpz00_2621 = (int) (((long) 2));
																BgL_res1749z00_1865 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2621);
															} BgL_res1749z00_1865;
														}
														{	/* Rgc/rgcposix.scm 171 */
															int BgL_tmpz00_2624;

															BgL_tmpz00_2624 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2624, BFALSE);
														}
														BgL_fromz00_1224 = BINT(((long) 1));
														break;
													case ((unsigned char) '?'):

														{	/* Rgc/rgcposix.scm 172 */
															int BgL_res1750z00_1866;

															{	/* Rgc/rgcposix.scm 172 */
																int BgL_tmpz00_2628;

																BgL_tmpz00_2628 = (int) (((long) 2));
																BgL_res1750z00_1866 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2628);
															} BgL_res1750z00_1866;
														}
														{	/* Rgc/rgcposix.scm 172 */
															obj_t BgL_auxz00_2633;
															int BgL_tmpz00_2631;

															BgL_auxz00_2633 = BINT(((long) 1));
															BgL_tmpz00_2631 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2631,
																BgL_auxz00_2633);
														}
														BgL_fromz00_1224 = BINT(((long) 0));
														break;
													default:
														BgL_fromz00_1224 = BUNSPEC;
													}
												{	/* Rgc/rgcposix.scm 169 */
													obj_t BgL_toz00_1225;

													{	/* Rgc/rgcposix.scm 173 */
														int BgL_tmpz00_2638;

														BgL_tmpz00_2638 = (int) (((long) 1));
														BgL_toz00_1225 = BGL_MVALUES_VAL(BgL_tmpz00_2638);
													}
													{	/* Rgc/rgcposix.scm 173 */
														obj_t BgL_val0_1118z00_1226;
														long BgL_val1_1119z00_1227;

														BgL_val0_1118z00_1226 =
															BGl_makezd2rgczd2repeatz00zz__rgc_posixz00
															(BgL_fromz00_1224, BgL_toz00_1225,
															BgL_atomz00_1218);
														BgL_val1_1119z00_1227 =
															((long) CINT(BgL_iz00_1219) + ((long) 1));
														{	/* Rgc/rgcposix.scm 173 */
															int BgL_res1752z00_1869;

															{	/* Rgc/rgcposix.scm 173 */
																int BgL_tmpz00_2644;

																BgL_tmpz00_2644 = (int) (((long) 2));
																BgL_res1752z00_1869 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2644);
															} BgL_res1752z00_1869;
														}
														{	/* Rgc/rgcposix.scm 173 */
															obj_t BgL_auxz00_2649;
															int BgL_tmpz00_2647;

															BgL_auxz00_2649 = BINT(BgL_val1_1119z00_1227);
															BgL_tmpz00_2647 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2647,
																BgL_auxz00_2649);
														}
														return BgL_val0_1118z00_1226;
													}
												}
											}
											break;
										case ((unsigned char) '{'):

											{	/* Rgc/rgcposix.scm 175 */
												obj_t BgL_fromz00_1237;

												{	/* Rgc/rgcposix.scm 176 */
													obj_t BgL_arg1293z00_1242;

													if (INTEGERP(BgL_iz00_1219))
														{	/* Rgc/rgcposix.scm 176 */
															BgL_arg1293z00_1242 =
																ADDFX(BgL_iz00_1219, BINT(((long) 1)));
														}
													else
														{	/* Rgc/rgcposix.scm 176 */
															BgL_arg1293z00_1242 =
																BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_1219,
																BINT(((long) 1)));
														}
													BgL_fromz00_1237 =
														BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00
														(BgL_sz00_14, BgL_arg1293z00_1242);
												}
												{	/* Rgc/rgcposix.scm 176 */
													obj_t BgL_toz00_1238;
													obj_t BgL_iz00_1239;

													{	/* Rgc/rgcposix.scm 177 */
														int BgL_tmpz00_2659;

														BgL_tmpz00_2659 = (int) (((long) 1));
														BgL_toz00_1238 = BGL_MVALUES_VAL(BgL_tmpz00_2659);
													}
													{	/* Rgc/rgcposix.scm 177 */
														int BgL_tmpz00_2662;

														BgL_tmpz00_2662 = (int) (((long) 2));
														BgL_iz00_1239 = BGL_MVALUES_VAL(BgL_tmpz00_2662);
													}
													{	/* Rgc/rgcposix.scm 177 */
														obj_t BgL_val0_1120z00_1240;

														BgL_val0_1120z00_1240 =
															BGl_makezd2rgczd2repeatz00zz__rgc_posixz00
															(BgL_fromz00_1237, BgL_toz00_1238,
															BgL_atomz00_1218);
														{	/* Rgc/rgcposix.scm 177 */
															int BgL_res1755z00_1873;

															{	/* Rgc/rgcposix.scm 177 */
																int BgL_tmpz00_2666;

																BgL_tmpz00_2666 = (int) (((long) 2));
																BgL_res1755z00_1873 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2666);
															} BgL_res1755z00_1873;
														}
														{	/* Rgc/rgcposix.scm 177 */
															int BgL_tmpz00_2669;

															BgL_tmpz00_2669 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2669,
																BgL_iz00_1239);
														}
														return BgL_val0_1120z00_1240;
													}
												}
											}
											break;
										default:
											{	/* Rgc/rgcposix.scm 178 */
												int BgL_res1745z00_1857;

												{	/* Rgc/rgcposix.scm 178 */
													int BgL_tmpz00_2672;

													BgL_tmpz00_2672 = (int) (((long) 2));
													BgL_res1745z00_1857 =
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2672);
												} BgL_res1745z00_1857;
											}
											{	/* Rgc/rgcposix.scm 178 */
												int BgL_tmpz00_2675;

												BgL_tmpz00_2675 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2675, BgL_iz00_1219);
											}
											return BgL_atomz00_1218;
										}
								}
							}
						else
							{	/* Rgc/rgcposix.scm 165 */
								{	/* Rgc/rgcposix.scm 179 */
									int BgL_res1756z00_1874;

									{	/* Rgc/rgcposix.scm 179 */
										int BgL_tmpz00_2679;

										BgL_tmpz00_2679 = (int) (((long) 2));
										BgL_res1756z00_1874 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2679);
									} BgL_res1756z00_1874;
								}
								{	/* Rgc/rgcposix.scm 179 */
									int BgL_tmpz00_2682;

									BgL_tmpz00_2682 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2682, BgL_iz00_1219);
								}
								return BgL_atomz00_1218;
							}
					}
				}
			}
		}

	}



/* parse-posix-atom */
	obj_t BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(obj_t BgL_sz00_16,
		obj_t BgL_iz00_17)
	{
		{	/* Rgc/rgcposix.scm 187 */
			{	/* Rgc/rgcposix.scm 188 */
				long BgL_lenz00_1248;

				BgL_lenz00_1248 = STRING_LENGTH(BgL_sz00_16);
				if (((long) CINT(BgL_iz00_17) < BgL_lenz00_1248))
					{	/* Rgc/rgcposix.scm 190 */
						unsigned char BgL_cz00_1251;

						BgL_cz00_1251 = STRING_REF(BgL_sz00_16, (long) CINT(BgL_iz00_17));
						{

							switch (BgL_cz00_1251)
								{
								case ((unsigned char) '^'):

									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1933z00zz__rgc_posixz00,
										BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									break;
								case ((unsigned char) '$'):

									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1934z00zz__rgc_posixz00,
										BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									break;
								case ((unsigned char) '.'):

									{	/* Rgc/rgcposix.scm 194 */
										obj_t BgL_val0_1126z00_1255;
										long BgL_val1_1127z00_1256;

										BgL_val0_1126z00_1255 = BGl_symbol1935z00zz__rgc_posixz00;
										BgL_val1_1127z00_1256 =
											((long) CINT(BgL_iz00_17) + ((long) 1));
										{	/* Rgc/rgcposix.scm 194 */
											int BgL_res1765z00_1891;

											{	/* Rgc/rgcposix.scm 194 */
												int BgL_tmpz00_2695;

												BgL_tmpz00_2695 = (int) (((long) 2));
												BgL_res1765z00_1891 =
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2695);
											} BgL_res1765z00_1891;
										}
										{	/* Rgc/rgcposix.scm 194 */
											obj_t BgL_auxz00_2700;
											int BgL_tmpz00_2698;

											BgL_auxz00_2700 = BINT(BgL_val1_1127z00_1256);
											BgL_tmpz00_2698 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2698, BgL_auxz00_2700);
										}
										return BgL_val0_1126z00_1255;
									}
									break;
								case ((unsigned char) '['):

									return
										BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(BgL_sz00_16,
										((long) CINT(BgL_iz00_17) + ((long) 1)));
									break;
								case ((unsigned char) '('):

									{	/* Rgc/rgcposix.scm 196 */
										obj_t BgL_rez00_1258;

										BgL_rez00_1258 =
											BGl_parsezd2posixzd2expz00zz__rgc_posixz00(BgL_sz00_16,
											((long) CINT(BgL_iz00_17) + ((long) 1)));
										{	/* Rgc/rgcposix.scm 197 */
											obj_t BgL_iz00_1259;

											{	/* Rgc/rgcposix.scm 198 */
												int BgL_tmpz00_2709;

												BgL_tmpz00_2709 = (int) (((long) 1));
												BgL_iz00_1259 = BGL_MVALUES_VAL(BgL_tmpz00_2709);
											}
											{	/* Rgc/rgcposix.scm 198 */
												bool_t BgL_test2001z00_2712;

												if (((long) CINT(BgL_iz00_1259) < BgL_lenz00_1248))
													{	/* Rgc/rgcposix.scm 198 */
														BgL_test2001z00_2712 =
															(((unsigned char) ')') ==
															STRING_REF(BgL_sz00_16,
																(long) CINT(BgL_iz00_1259)));
													}
												else
													{	/* Rgc/rgcposix.scm 198 */
														BgL_test2001z00_2712 = ((bool_t) 0);
													}
												if (BgL_test2001z00_2712)
													{	/* Rgc/rgcposix.scm 199 */
														obj_t BgL_val0_1128z00_1263;
														long BgL_val1_1129z00_1264;

														{	/* Rgc/rgcposix.scm 199 */
															obj_t BgL_arg1305z00_1265;

															BgL_arg1305z00_1265 =
																MAKE_YOUNG_PAIR(BgL_rez00_1258, BNIL);
															BgL_val0_1128z00_1263 =
																MAKE_YOUNG_PAIR
																(BGl_symbol1937z00zz__rgc_posixz00,
																BgL_arg1305z00_1265);
														}
														BgL_val1_1129z00_1264 =
															((long) CINT(BgL_iz00_1259) + ((long) 1));
														{	/* Rgc/rgcposix.scm 199 */
															int BgL_res1772z00_1907;

															{	/* Rgc/rgcposix.scm 199 */
																int BgL_tmpz00_2723;

																BgL_tmpz00_2723 = (int) (((long) 2));
																BgL_res1772z00_1907 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2723);
															} BgL_res1772z00_1907;
														}
														{	/* Rgc/rgcposix.scm 199 */
															obj_t BgL_auxz00_2728;
															int BgL_tmpz00_2726;

															BgL_auxz00_2728 = BINT(BgL_val1_1129z00_1264);
															BgL_tmpz00_2726 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2726,
																BgL_auxz00_2728);
														}
														return BgL_val0_1128z00_1263;
													}
												else
													{	/* Rgc/rgcposix.scm 198 */
														return
															BGl_errorz00zz__errorz00(BFALSE,
															BGl_string1939z00zz__rgc_posixz00,
															BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
													}
											}
										}
									}
									break;
								case ((unsigned char) '\\'):

									{	/* Rgc/rgcposix.scm 201 */
										long BgL_iz00_1269;

										BgL_iz00_1269 = ((long) CINT(BgL_iz00_17) + ((long) 1));
										if ((BgL_iz00_1269 < BgL_lenz00_1248))
											{	/* Rgc/rgcposix.scm 203 */
												obj_t BgL_val0_1130z00_1271;
												long BgL_val1_1131z00_1272;

												{	/* Rgc/rgcposix.scm 203 */
													unsigned char BgL_arg1309z00_1273;

													BgL_arg1309z00_1273 =
														STRING_REF(BgL_sz00_16, BgL_iz00_1269);
													{	/* Rgc/rgcposix.scm 203 */
														obj_t BgL_list1310z00_1274;

														BgL_list1310z00_1274 =
															MAKE_YOUNG_PAIR(BCHAR(BgL_arg1309z00_1273), BNIL);
														BgL_val0_1130z00_1271 =
															BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
															(BgL_list1310z00_1274);
												}}
												BgL_val1_1131z00_1272 = (BgL_iz00_1269 + ((long) 1));
												{	/* Rgc/rgcposix.scm 203 */
													int BgL_res1778z00_1919;

													{	/* Rgc/rgcposix.scm 203 */
														int BgL_tmpz00_2741;

														BgL_tmpz00_2741 = (int) (((long) 2));
														BgL_res1778z00_1919 =
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2741);
													} BgL_res1778z00_1919;
												}
												{	/* Rgc/rgcposix.scm 203 */
													obj_t BgL_auxz00_2746;
													int BgL_tmpz00_2744;

													BgL_auxz00_2746 = BINT(BgL_val1_1131z00_1272);
													BgL_tmpz00_2744 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_2744, BgL_auxz00_2746);
												}
												return BgL_val0_1130z00_1271;
											}
										else
											{	/* Rgc/rgcposix.scm 202 */
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1940z00zz__rgc_posixz00,
													BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
											}
									}
									break;
								case ((unsigned char) ')'):
								case ((unsigned char) '|'):
								case ((unsigned char) '*'):
								case ((unsigned char) '+'):
								case ((unsigned char) '?'):
								case ((unsigned char) '{'):

									{	/* Rgc/rgcposix.scm 206 */
										int BgL_res1779z00_1920;

										{	/* Rgc/rgcposix.scm 206 */
											int BgL_tmpz00_2750;

											BgL_tmpz00_2750 = (int) (((long) 2));
											BgL_res1779z00_1920 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2750);
										} BgL_res1779z00_1920;
									}
									{	/* Rgc/rgcposix.scm 206 */
										int BgL_tmpz00_2753;

										BgL_tmpz00_2753 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2753, BgL_iz00_17);
									}
									return BNIL;
									break;
								default:
									{	/* Rgc/rgcposix.scm 207 */
										obj_t BgL_val0_1124z00_1277;
										long BgL_val1_1125z00_1278;

										{	/* Rgc/rgcposix.scm 207 */
											obj_t BgL_list1311z00_1279;

											BgL_list1311z00_1279 =
												MAKE_YOUNG_PAIR(BCHAR(BgL_cz00_1251), BNIL);
											BgL_val0_1124z00_1277 =
												BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
												(BgL_list1311z00_1279);
										}
										BgL_val1_1125z00_1278 =
											((long) CINT(BgL_iz00_17) + ((long) 1));
										{	/* Rgc/rgcposix.scm 207 */
											int BgL_res1763z00_1888;

											{	/* Rgc/rgcposix.scm 207 */
												int BgL_tmpz00_2761;

												BgL_tmpz00_2761 = (int) (((long) 2));
												BgL_res1763z00_1888 =
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2761);
											} BgL_res1763z00_1888;
										}
										{	/* Rgc/rgcposix.scm 207 */
											obj_t BgL_auxz00_2766;
											int BgL_tmpz00_2764;

											BgL_auxz00_2766 = BINT(BgL_val1_1125z00_1278);
											BgL_tmpz00_2764 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2764, BgL_auxz00_2766);
										}
										return BgL_val0_1124z00_1277;
									}
								}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 189 */
						{	/* Rgc/rgcposix.scm 208 */
							int BgL_res1780z00_1921;

							{	/* Rgc/rgcposix.scm 208 */
								int BgL_tmpz00_2770;

								BgL_tmpz00_2770 = (int) (((long) 2));
								BgL_res1780z00_1921 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2770);
							} BgL_res1780z00_1921;
						}
						{	/* Rgc/rgcposix.scm 208 */
							int BgL_tmpz00_2773;

							BgL_tmpz00_2773 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_2773, BgL_iz00_17);
						}
						return BNIL;
					}
			}
		}

	}



/* parse-posix-bracket */
	obj_t BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(obj_t BgL_sz00_18,
		long BgL_iz00_19)
	{
		{	/* Rgc/rgcposix.scm 216 */
			{	/* Rgc/rgcposix.scm 217 */
				long BgL_lenz00_1283;

				BgL_lenz00_1283 = STRING_LENGTH(BgL_sz00_18);
				if ((BgL_iz00_19 < BgL_lenz00_1283))
					{	/* Rgc/rgcposix.scm 219 */
						bool_t BgL_negatezf3zf3_1285;

						{	/* Rgc/rgcposix.scm 220 */
							unsigned char BgL_cz00_1351;

							BgL_cz00_1351 = STRING_REF(BgL_sz00_18, BgL_iz00_19);
							if ((BgL_cz00_1351 == ((unsigned char) '^')))
								{	/* Rgc/rgcposix.scm 222 */
									long BgL_val1_1137z00_1354;

									BgL_val1_1137z00_1354 = (BgL_iz00_19 + ((long) 1));
									{	/* Rgc/rgcposix.scm 222 */
										int BgL_res1786z00_1935;

										{	/* Rgc/rgcposix.scm 222 */
											int BgL_tmpz00_2783;

											BgL_tmpz00_2783 = (int) (((long) 2));
											BgL_res1786z00_1935 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2783);
										} BgL_res1786z00_1935;
									}
									{	/* Rgc/rgcposix.scm 222 */
										obj_t BgL_auxz00_2788;
										int BgL_tmpz00_2786;

										BgL_auxz00_2788 = BINT(BgL_val1_1137z00_1354);
										BgL_tmpz00_2786 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2786, BgL_auxz00_2788);
									}
									BgL_negatezf3zf3_1285 = ((bool_t) 1);
								}
							else
								{	/* Rgc/rgcposix.scm 221 */
									{	/* Rgc/rgcposix.scm 223 */
										int BgL_res1787z00_1936;

										{	/* Rgc/rgcposix.scm 223 */
											int BgL_tmpz00_2791;

											BgL_tmpz00_2791 = (int) (((long) 2));
											BgL_res1787z00_1936 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2791);
										} BgL_res1787z00_1936;
									}
									{	/* Rgc/rgcposix.scm 223 */
										obj_t BgL_auxz00_2796;
										int BgL_tmpz00_2794;

										BgL_auxz00_2796 = BINT(BgL_iz00_19);
										BgL_tmpz00_2794 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2794, BgL_auxz00_2796);
									}
									BgL_negatezf3zf3_1285 = ((bool_t) 0);
						}}
						{	/* Rgc/rgcposix.scm 220 */
							obj_t BgL_i0z00_1286;

							{	/* Rgc/rgcposix.scm 224 */
								int BgL_tmpz00_2799;

								BgL_tmpz00_2799 = (int) (((long) 1));
								BgL_i0z00_1286 = BGL_MVALUES_VAL(BgL_tmpz00_2799);
							}
							{
								obj_t BgL_iz00_1289;
								obj_t BgL_csetz00_1290;

								BgL_iz00_1289 = BgL_i0z00_1286;
								BgL_csetz00_1290 = BNIL;
							BgL_zc3z04anonymousza31316ze3z87_1291:
								if (((long) CINT(BgL_iz00_1289) < BgL_lenz00_1283))
									{	/* Rgc/rgcposix.scm 227 */
										unsigned char BgL_cz00_1293;

										BgL_cz00_1293 =
											STRING_REF(BgL_sz00_18, (long) CINT(BgL_iz00_1289));
										{

											switch (BgL_cz00_1293)
												{
												case ((unsigned char) '['):

													{	/* Rgc/rgcposix.scm 231 */
														long BgL_i1z00_1297;

														BgL_i1z00_1297 =
															((long) CINT(BgL_iz00_1289) + ((long) 1));
														{	/* Rgc/rgcposix.scm 233 */
															bool_t BgL_test2007z00_2809;

															if ((BgL_i1z00_1297 < BgL_lenz00_1283))
																{	/* Rgc/rgcposix.scm 233 */
																	BgL_test2007z00_2809 =
																		CBOOL
																		(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(BCHAR(STRING_REF(BgL_sz00_18,
																					BgL_i1z00_1297)),
																			BGl_list1941z00zz__rgc_posixz00));
																}
															else
																{	/* Rgc/rgcposix.scm 233 */
																	BgL_test2007z00_2809 = ((bool_t) 0);
																}
															if (BgL_test2007z00_2809)
																{	/* Rgc/rgcposix.scm 233 */
																	return
																		BGl_errorz00zz__errorz00(BFALSE,
																		BGl_string1942z00zz__rgc_posixz00,
																		BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
																}
															else
																{	/* Rgc/rgcposix.scm 238 */
																	obj_t BgL_arg1322z00_1301;

																	BgL_arg1322z00_1301 =
																		MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																				'[')), BgL_csetz00_1290);
																	{
																		obj_t BgL_csetz00_2821;
																		obj_t BgL_iz00_2819;

																		BgL_iz00_2819 = BINT(BgL_i1z00_1297);
																		BgL_csetz00_2821 = BgL_arg1322z00_1301;
																		BgL_csetz00_1290 = BgL_csetz00_2821;
																		BgL_iz00_1289 = BgL_iz00_2819;
																		goto BgL_zc3z04anonymousza31316ze3z87_1291;
																	}
																}
														}
													}
													break;
												case ((unsigned char) ']'):

													if (
														((long) CINT(BgL_iz00_1289) ==
															(long) CINT(BgL_i0z00_1286)))
														{	/* Rgc/rgcposix.scm 242 */
															long BgL_arg1325z00_1305;
															obj_t BgL_arg1326z00_1306;

															BgL_arg1325z00_1305 =
																((long) CINT(BgL_iz00_1289) + ((long) 1));
															BgL_arg1326z00_1306 =
																MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ']')),
																BgL_csetz00_1290);
															{
																obj_t BgL_csetz00_2832;
																obj_t BgL_iz00_2830;

																BgL_iz00_2830 = BINT(BgL_arg1325z00_1305);
																BgL_csetz00_2832 = BgL_arg1326z00_1306;
																BgL_csetz00_1290 = BgL_csetz00_2832;
																BgL_iz00_1289 = BgL_iz00_2830;
																goto BgL_zc3z04anonymousza31316ze3z87_1291;
															}
														}
													else
														{	/* Rgc/rgcposix.scm 241 */
															if (BgL_negatezf3zf3_1285)
																{	/* Rgc/rgcposix.scm 246 */
																	obj_t BgL_val0_1140z00_1307;
																	long BgL_val1_1141z00_1308;

																	{	/* Rgc/rgcposix.scm 246 */
																		obj_t BgL_arg1327z00_1309;

																		BgL_arg1327z00_1309 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_csetz00_1290, BNIL);
																		BgL_val0_1140z00_1307 =
																			MAKE_YOUNG_PAIR
																			(BGl_symbol1943z00zz__rgc_posixz00,
																			BgL_arg1327z00_1309);
																	}
																	BgL_val1_1141z00_1308 =
																		((long) CINT(BgL_iz00_1289) + ((long) 1));
																	{	/* Rgc/rgcposix.scm 246 */
																		int BgL_res1817z00_2030;

																		{	/* Rgc/rgcposix.scm 246 */
																			int BgL_tmpz00_2838;

																			BgL_tmpz00_2838 = (int) (((long) 2));
																			BgL_res1817z00_2030 =
																				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2838);
																		} BgL_res1817z00_2030;
																	}
																	{	/* Rgc/rgcposix.scm 246 */
																		obj_t BgL_auxz00_2843;
																		int BgL_tmpz00_2841;

																		BgL_auxz00_2843 =
																			BINT(BgL_val1_1141z00_1308);
																		BgL_tmpz00_2841 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_2841,
																			BgL_auxz00_2843);
																	}
																	return BgL_val0_1140z00_1307;
																}
															else
																{	/* Rgc/rgcposix.scm 247 */
																	obj_t BgL_val0_1142z00_1310;
																	long BgL_val1_1143z00_1311;

																	{	/* Rgc/rgcposix.scm 247 */
																		obj_t BgL_arg1329z00_1312;

																		BgL_arg1329z00_1312 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_csetz00_1290, BNIL);
																		BgL_val0_1142z00_1310 =
																			MAKE_YOUNG_PAIR
																			(BGl_symbol1945z00zz__rgc_posixz00,
																			BgL_arg1329z00_1312);
																	}
																	BgL_val1_1143z00_1311 =
																		((long) CINT(BgL_iz00_1289) + ((long) 1));
																	{	/* Rgc/rgcposix.scm 247 */
																		int BgL_res1819z00_2033;

																		{	/* Rgc/rgcposix.scm 247 */
																			int BgL_tmpz00_2850;

																			BgL_tmpz00_2850 = (int) (((long) 2));
																			BgL_res1819z00_2033 =
																				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2850);
																		} BgL_res1819z00_2033;
																	}
																	{	/* Rgc/rgcposix.scm 247 */
																		obj_t BgL_auxz00_2855;
																		int BgL_tmpz00_2853;

																		BgL_auxz00_2855 =
																			BINT(BgL_val1_1143z00_1311);
																		BgL_tmpz00_2853 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_2853,
																			BgL_auxz00_2855);
																	}
																	return BgL_val0_1142z00_1310;
																}
														}
													break;
												case ((unsigned char) '-'):

													{	/* Rgc/rgcposix.scm 250 */
														bool_t BgL_test2011z00_2858;

														if (
															((long) CINT(BgL_iz00_1289) ==
																(long) CINT(BgL_i0z00_1286)))
															{	/* Rgc/rgcposix.scm 250 */
																BgL_test2011z00_2858 = ((bool_t) 1);
															}
														else
															{	/* Rgc/rgcposix.scm 250 */
																if (
																	(((long) CINT(BgL_iz00_1289) + ((long) 1)) <
																		BgL_lenz00_1283))
																	{	/* Rgc/rgcposix.scm 251 */
																		BgL_test2011z00_2858 =
																			(((unsigned char) ']') ==
																			STRING_REF(BgL_sz00_18,
																				((long) CINT(BgL_iz00_1289) +
																					((long) 1))));
																	}
																else
																	{	/* Rgc/rgcposix.scm 251 */
																		BgL_test2011z00_2858 = ((bool_t) 0);
																	}
															}
														if (BgL_test2011z00_2858)
															{	/* Rgc/rgcposix.scm 253 */
																long BgL_arg1336z00_1319;
																obj_t BgL_arg1337z00_1320;

																BgL_arg1336z00_1319 =
																	((long) CINT(BgL_iz00_1289) + ((long) 1));
																BgL_arg1337z00_1320 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '-')),
																	BgL_csetz00_1290);
																{
																	obj_t BgL_csetz00_2877;
																	obj_t BgL_iz00_2875;

																	BgL_iz00_2875 = BINT(BgL_arg1336z00_1319);
																	BgL_csetz00_2877 = BgL_arg1337z00_1320;
																	BgL_csetz00_1290 = BgL_csetz00_2877;
																	BgL_iz00_1289 = BgL_iz00_2875;
																	goto BgL_zc3z04anonymousza31316ze3z87_1291;
																}
															}
														else
															{	/* Rgc/rgcposix.scm 250 */
																return
																	BGl_errorz00zz__errorz00(BFALSE,
																	BGl_string1947z00zz__rgc_posixz00,
																	BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
															}
													}
													break;
												default:
													{	/* Rgc/rgcposix.scm 260 */
														long BgL_iz00_1326;

														BgL_iz00_1326 =
															((long) CINT(BgL_iz00_1289) + ((long) 1));
														{	/* Rgc/rgcposix.scm 261 */
															bool_t BgL_test2014z00_2881;

															if (
																((BgL_iz00_1326 + ((long) 1)) <
																	BgL_lenz00_1283))
																{	/* Rgc/rgcposix.scm 261 */
																	BgL_test2014z00_2881 =
																		(((unsigned char) '-') ==
																		STRING_REF(BgL_sz00_18, BgL_iz00_1326));
																}
															else
																{	/* Rgc/rgcposix.scm 261 */
																	BgL_test2014z00_2881 = ((bool_t) 0);
																}
															if (BgL_test2014z00_2881)
																{	/* Rgc/rgcposix.scm 264 */
																	long BgL_iz00_1332;

																	BgL_iz00_1332 = (BgL_iz00_1326 + ((long) 1));
																	{	/* Rgc/rgcposix.scm 264 */
																		long BgL_toz00_1333;

																		BgL_toz00_1333 =
																			(STRING_REF(BgL_sz00_18, BgL_iz00_1332));
																		{	/* Rgc/rgcposix.scm 265 */

																			{	/* Rgc/rgcposix.scm 266 */
																				long BgL_g1050z00_1334;

																				BgL_g1050z00_1334 = (BgL_cz00_1293);
																				{
																					long BgL_jz00_1994;
																					obj_t BgL_csetz00_1995;

																					BgL_jz00_1994 = BgL_g1050z00_1334;
																					BgL_csetz00_1995 = BgL_csetz00_1290;
																				BgL_laapz00_1993:
																					if ((BgL_jz00_1994 > BgL_toz00_1333))
																						{	/* Rgc/rgcposix.scm 269 */
																							long BgL_arg1349z00_2002;

																							BgL_arg1349z00_2002 =
																								(BgL_iz00_1332 + ((long) 1));
																							{
																								obj_t BgL_csetz00_2896;
																								obj_t BgL_iz00_2894;

																								BgL_iz00_2894 =
																									BINT(BgL_arg1349z00_2002);
																								BgL_csetz00_2896 =
																									BgL_csetz00_1995;
																								BgL_csetz00_1290 =
																									BgL_csetz00_2896;
																								BgL_iz00_1289 = BgL_iz00_2894;
																								goto
																									BgL_zc3z04anonymousza31316ze3z87_1291;
																							}
																						}
																					else
																						{	/* Rgc/rgcposix.scm 271 */
																							long BgL_arg1350z00_2003;
																							obj_t BgL_arg1352z00_2004;

																							BgL_arg1350z00_2003 =
																								(BgL_jz00_1994 + ((long) 1));
																							{	/* Rgc/rgcposix.scm 272 */
																								unsigned char
																									BgL_arg1353z00_2005;
																								BgL_arg1353z00_2005 =
																									(BgL_jz00_1994);
																								BgL_arg1352z00_2004 =
																									MAKE_YOUNG_PAIR(BCHAR
																									(BgL_arg1353z00_2005),
																									BgL_csetz00_1995);
																							}
																							{
																								obj_t BgL_csetz00_2902;
																								long BgL_jz00_2901;

																								BgL_jz00_2901 =
																									BgL_arg1350z00_2003;
																								BgL_csetz00_2902 =
																									BgL_arg1352z00_2004;
																								BgL_csetz00_1995 =
																									BgL_csetz00_2902;
																								BgL_jz00_1994 = BgL_jz00_2901;
																								goto BgL_laapz00_1993;
																							}
																						}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Rgc/rgcposix.scm 275 */
																	obj_t BgL_arg1355z00_1346;

																	BgL_arg1355z00_1346 =
																		MAKE_YOUNG_PAIR(BCHAR(BgL_cz00_1293),
																		BgL_csetz00_1290);
																	{
																		obj_t BgL_csetz00_2907;
																		obj_t BgL_iz00_2905;

																		BgL_iz00_2905 = BINT(BgL_iz00_1326);
																		BgL_csetz00_2907 = BgL_arg1355z00_1346;
																		BgL_csetz00_1290 = BgL_csetz00_2907;
																		BgL_iz00_1289 = BgL_iz00_2905;
																		goto BgL_zc3z04anonymousza31316ze3z87_1291;
																	}
																}
														}
													}
												}
										}
									}
								else
									{	/* Rgc/rgcposix.scm 226 */
										return
											BGl_errorz00zz__errorz00(BFALSE,
											BGl_string1948z00zz__rgc_posixz00,
											BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									}
							}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 218 */
						return
							BGl_errorz00zz__errorz00(BFALSE,
							BGl_string1948z00zz__rgc_posixz00,
							BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
					}
			}
		}

	}



/* parse-posix-braces */
	obj_t BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(obj_t BgL_sz00_20,
		obj_t BgL_iz00_21)
	{
		{	/* Rgc/rgcposix.scm 285 */
			{	/* Rgc/rgcposix.scm 296 */
				obj_t BgL_commaz00_1358;
				obj_t BgL_rbz00_1359;

				{	/* Rgc/rgcposix.scm 287 */
					long BgL_lenz00_2072;

					BgL_lenz00_2072 = STRING_LENGTH(BgL_sz00_20);
					{
						obj_t BgL_offsetz00_2074;

						BgL_offsetz00_2074 = BgL_iz00_21;
					BgL_loopz00_2073:
						if (((long) CINT(BgL_offsetz00_2074) >= BgL_lenz00_2072))
							{	/* Rgc/rgcposix.scm 290 */
								BgL_commaz00_1358 = BFALSE;
							}
						else
							{	/* Rgc/rgcposix.scm 290 */
								if (
									(STRING_REF(BgL_sz00_20,
											(long) CINT(BgL_offsetz00_2074)) ==
										((unsigned char) ',')))
									{	/* Rgc/rgcposix.scm 292 */
										BgL_commaz00_1358 = BgL_offsetz00_2074;
									}
								else
									{
										obj_t BgL_offsetz00_2919;

										BgL_offsetz00_2919 =
											ADDFX(BgL_offsetz00_2074, BINT(((long) 1)));
										BgL_offsetz00_2074 = BgL_offsetz00_2919;
										goto BgL_loopz00_2073;
									}
							}
					}
				}
				{	/* Rgc/rgcposix.scm 287 */
					long BgL_lenz00_2092;

					BgL_lenz00_2092 = STRING_LENGTH(BgL_sz00_20);
					{
						obj_t BgL_offsetz00_2094;

						BgL_offsetz00_2094 = BgL_iz00_21;
					BgL_loopz00_2093:
						if (((long) CINT(BgL_offsetz00_2094) >= BgL_lenz00_2092))
							{	/* Rgc/rgcposix.scm 290 */
								BgL_rbz00_1359 = BFALSE;
							}
						else
							{	/* Rgc/rgcposix.scm 290 */
								if (
									(STRING_REF(BgL_sz00_20,
											(long) CINT(BgL_offsetz00_2094)) ==
										((unsigned char) '}')))
									{	/* Rgc/rgcposix.scm 292 */
										BgL_rbz00_1359 = BgL_offsetz00_2094;
									}
								else
									{
										obj_t BgL_offsetz00_2930;

										BgL_offsetz00_2930 =
											ADDFX(BgL_offsetz00_2094, BINT(((long) 1)));
										BgL_offsetz00_2094 = BgL_offsetz00_2930;
										goto BgL_loopz00_2093;
									}
							}
					}
				}
				if (CBOOL(BgL_rbz00_1359))
					{	/* Rgc/rgcposix.scm 299 */
						bool_t BgL_test2022z00_2935;

						if (CBOOL(BgL_commaz00_1358))
							{	/* Rgc/rgcposix.scm 299 */
								BgL_test2022z00_2935 =
									(
									(long) CINT(BgL_commaz00_1358) < (long) CINT(BgL_rbz00_1359));
							}
						else
							{	/* Rgc/rgcposix.scm 299 */
								BgL_test2022z00_2935 = ((bool_t) 0);
							}
						if (BgL_test2022z00_2935)
							{	/* Rgc/rgcposix.scm 300 */
								obj_t BgL_val0_1144z00_1361;
								obj_t BgL_val1_1145z00_1362;
								long BgL_val2_1146z00_1363;

								{	/* Rgc/rgcposix.scm 300 */
									obj_t BgL_arg1360z00_1364;

									BgL_arg1360z00_1364 =
										c_substring(BgL_sz00_20,
										(long) CINT(BgL_iz00_21), (long) CINT(BgL_commaz00_1358));
									{	/* Ieee/number.scm 165 */

										BgL_val0_1144z00_1361 =
											BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
											(BgL_arg1360z00_1364, BINT(((long) 10)));
								}}
								if (
									(((long) CINT(BgL_commaz00_1358) + ((long) 1)) ==
										(long) CINT(BgL_rbz00_1359)))
									{	/* Rgc/rgcposix.scm 301 */
										BgL_val1_1145z00_1362 = BFALSE;
									}
								else
									{	/* Rgc/rgcposix.scm 302 */
										obj_t BgL_arg1362z00_1368;

										BgL_arg1362z00_1368 =
											c_substring(BgL_sz00_20,
											((long) CINT(BgL_commaz00_1358) + ((long) 1)),
											(long) CINT(BgL_rbz00_1359));
										{	/* Ieee/number.scm 165 */

											BgL_val1_1145z00_1362 =
												BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
												(BgL_arg1362z00_1368, BINT(((long) 10)));
									}}
								BgL_val2_1146z00_1363 =
									((long) CINT(BgL_rbz00_1359) + ((long) 1));
								{	/* Rgc/rgcposix.scm 300 */
									int BgL_res1849z00_2132;

									{	/* Rgc/rgcposix.scm 300 */
										int BgL_tmpz00_2959;

										BgL_tmpz00_2959 = (int) (((long) 3));
										BgL_res1849z00_2132 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2959);
									} BgL_res1849z00_2132;
								}
								{	/* Rgc/rgcposix.scm 300 */
									int BgL_tmpz00_2962;

									BgL_tmpz00_2962 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2962, BgL_val1_1145z00_1362);
								}
								{	/* Rgc/rgcposix.scm 300 */
									obj_t BgL_auxz00_2967;
									int BgL_tmpz00_2965;

									BgL_auxz00_2967 = BINT(BgL_val2_1146z00_1363);
									BgL_tmpz00_2965 = (int) (((long) 2));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2965, BgL_auxz00_2967);
								}
								return BgL_val0_1144z00_1361;
							}
						else
							{	/* Rgc/rgcposix.scm 304 */
								obj_t BgL_mz00_1373;

								{	/* Rgc/rgcposix.scm 304 */
									obj_t BgL_arg1365z00_1377;

									BgL_arg1365z00_1377 =
										c_substring(BgL_sz00_20,
										(long) CINT(BgL_iz00_21), (long) CINT(BgL_rbz00_1359));
									{	/* Ieee/number.scm 165 */

										BgL_mz00_1373 =
											BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
											(BgL_arg1365z00_1377, BINT(((long) 10)));
								}}
								{	/* Rgc/rgcposix.scm 305 */
									long BgL_val2_1149z00_1376;

									BgL_val2_1149z00_1376 =
										((long) CINT(BgL_rbz00_1359) + ((long) 1));
									{	/* Rgc/rgcposix.scm 305 */
										int BgL_res1852z00_2139;

										{	/* Rgc/rgcposix.scm 305 */
											int BgL_tmpz00_2977;

											BgL_tmpz00_2977 = (int) (((long) 3));
											BgL_res1852z00_2139 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2977);
										} BgL_res1852z00_2139;
									}
									{	/* Rgc/rgcposix.scm 305 */
										int BgL_tmpz00_2980;

										BgL_tmpz00_2980 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2980, BgL_mz00_1373);
									}
									{	/* Rgc/rgcposix.scm 305 */
										obj_t BgL_auxz00_2985;
										int BgL_tmpz00_2983;

										BgL_auxz00_2985 = BINT(BgL_val2_1149z00_1376);
										BgL_tmpz00_2983 = (int) (((long) 2));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2983, BgL_auxz00_2985);
									}
									return BgL_mz00_1373;
								}
							}
					}
				else
					{	/* Rgc/rgcposix.scm 298 */
						return
							BGl_errorz00zz__errorz00(BFALSE,
							BGl_string1949z00zz__rgc_posixz00,
							BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgc_posixz00()
	{
		{	/* Rgc/rgcposix.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgc_posixz00()
	{
		{	/* Rgc/rgcposix.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_posixz00()
	{
		{	/* Rgc/rgcposix.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_posixz00()
	{
		{	/* Rgc/rgcposix.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 330490148),
				BSTRING_TO_STRING(BGl_string1950z00zz__rgc_posixz00));
		}

	}

#ifdef __cplusplus
}
#endif
